(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[         0,          0]
NotebookDataLength[    682313,      16844]
NotebookOptionsPosition[    664918,      16293]
NotebookOutlinePosition[    665431,      16313]
CellTagsIndexPosition[    665388,      16310]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Exit", "[", "]"}]], "Input",
 CellChangeTimes->{{3.651218426338436*^9, 3.6512184284984703`*^9}}],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["-HR system with live gauges and parameter fixing. \n-Build General \
L2 solution for LF system ",
  FontWeight->"Bold"],
 StyleBox["in",
  FontWeight->"Bold",
  FontSlant->"Italic"],
 StyleBox[" boundary frame.\n-Show boundary stability.\n",
  FontWeight->"Bold"],
 "David Hilditch and Milton Ruiz."
}], "Subtitle",
 CellChangeTimes->{{3.530345106049459*^9, 3.530345117173244*^9}, {
   3.536995309680488*^9, 3.536995313709453*^9}, 3.5372623602272997`*^9, {
   3.5472123969042664`*^9, 3.547212407211228*^9}, {3.5483997446856956`*^9, 
   3.548399750808976*^9}, {3.651173859883544*^9, 3.651173861961891*^9}, {
   3.6513767653477583`*^9, 3.651376765687461*^9}, {3.651428363782976*^9, 
   3.651428364334887*^9}, {3.6514284082689953`*^9, 3.6514284094535913`*^9}, {
   3.651428445677929*^9, 3.6514284465650663`*^9}, {3.6514307380135527`*^9, 
   3.6514307504933023`*^9}, {3.651675705705524*^9, 3.651675705819215*^9}, {
   3.652789705818685*^9, 3.652789729993272*^9}, {3.6527897981531143`*^9, 
   3.65278980104867*^9}, {3.6530407726560802`*^9, 3.6530408073128567`*^9}, {
   3.6732322244105062`*^9, 3.67323228282215*^9}, {3.6732323159148893`*^9, 
   3.673232324722611*^9}, 3.673232845268762*^9, {3.678178985394351*^9, 
   3.678179019413437*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Beta]", "=", "0"}], ";"}]], "Input",
 CellChangeTimes->{{3.654912052917741*^9, 3.654912056370288*^9}}],

Cell[CellGroupData[{

Cell[TextData[{
 "Setup ",
 StyleBox["preferred",
  FontSlant->"Italic"],
 " formulation as in [arXiv:1303.4783]."
}], "Subsection",
 CellChangeTimes->{{3.652797361526671*^9, 3.652797369522779*^9}, {
  3.652797542933208*^9, 3.652797556344241*^9}, {3.652797723717732*^9, 
  3.6527977653599*^9}, {3.6528160472618*^9, 3.652816047623438*^9}, {
  3.653040653172439*^9, 3.6530406626505423`*^9}}],

Cell[CellGroupData[{

Cell["Laplace-Fourier transformation of  Gauge EoMs", "Text",
 CellChangeTimes->{{3.652784236480344*^9, 3.652784239962298*^9}, {
  3.6732323866978283`*^9, 3.673232387584601*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"GaugeEoMs", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"s", " ", 
        RowBox[{"\[Alpha]", "[", "x", "]"}]}], "-", 
       RowBox[{"\[Beta]", " ", 
        RowBox[{
         RowBox[{"\[Alpha]", "'"}], "[", "x", "]"}]}]}], "\[Equal]", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "g1"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Kss", "[", "x", "]"}], "+", 
          RowBox[{"Kqq", "[", "x", "]"}]}], ")"}]}], "+", 
       RowBox[{"g2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"\[Beta]s", "'"}], "[", "x", "]"}], "+", 
          RowBox[{"I", " ", "\[Omega]", " ", 
           RowBox[{"\[Beta]\[Omega]", "[", "x", "]"}]}]}], ")"}]}], "+", 
       RowBox[{"2", "c1", " ", 
        RowBox[{"\[Theta]", "[", "x", "]"}]}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"s", " ", 
        RowBox[{"\[Beta]s", "[", "x", "]"}]}], "-", 
       RowBox[{"\[Beta]", " ", 
        RowBox[{
         RowBox[{"\[Beta]s", "'"}], "[", "x", "]"}]}]}], "\[Equal]", 
      RowBox[{
       RowBox[{"g3", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"gss", "'"}], "[", "x", "]"}], "+", 
          RowBox[{"I", " ", "\[Omega]", " ", 
           RowBox[{"gs\[Omega]", "[", "x", "]"}]}]}], ")"}]}], "+", 
       RowBox[{"g4", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"gss", "'"}], "[", "x", "]"}], "+", 
          RowBox[{
           RowBox[{"gqq", "'"}], "[", "x", "]"}]}], ")"}]}], "-", 
       RowBox[{"g5", " ", 
        RowBox[{
         RowBox[{"\[Alpha]", "'"}], "[", "x", "]"}]}], "+", 
       RowBox[{"2", "c2", " ", 
        RowBox[{"Zs", "[", "x", "]"}]}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"s", " ", 
        RowBox[{"\[Beta]\[Omega]", "[", "x", "]"}]}], "-", 
       RowBox[{"\[Beta]", " ", 
        RowBox[{
         RowBox[{"\[Beta]\[Omega]", "'"}], "[", "x", "]"}]}]}], "\[Equal]", 
      RowBox[{
       RowBox[{"g3", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"gs\[Omega]", "'"}], "[", "x", "]"}], "+", 
          RowBox[{"I", " ", "\[Omega]", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"gqq", "[", "x", "]"}], "-", 
             RowBox[{"g\[Nu]\[Nu]", "[", "x", "]"}]}], ")"}]}]}], ")"}]}], 
       "+", 
       RowBox[{"g4", " ", "I", " ", "\[Omega]", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"gss", "[", "x", "]"}], "+", 
          RowBox[{"gqq", "[", "x", "]"}]}], ")"}]}], "-", 
       RowBox[{"g5", " ", "I", " ", "\[Omega]", " ", 
        RowBox[{"\[Alpha]", "[", "x", "]"}]}], "+", 
       RowBox[{"2", "c2", " ", 
        RowBox[{"Z\[Omega]", "[", "x", "]"}]}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"s", " ", 
        RowBox[{"\[Beta]\[Nu]", "[", "x", "]"}]}], "-", 
       RowBox[{"\[Beta]", " ", 
        RowBox[{
         RowBox[{"\[Beta]\[Nu]", "'"}], "[", "x", "]"}]}]}], "\[Equal]", 
      RowBox[{
       RowBox[{"g3", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"gs\[Nu]", "'"}], "[", "x", "]"}], "+", 
          RowBox[{"I", " ", "\[Omega]", " ", 
           RowBox[{"g\[Omega]\[Nu]", "[", "x", "]"}]}]}], ")"}]}], "+", 
       RowBox[{"2", "c2", " ", 
        RowBox[{"Z\[Nu]", "[", "x", "]"}]}]}]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.652784044501865*^9, 3.6527842075902433`*^9}, {
  3.652784362252232*^9, 3.652784364225174*^9}, {3.6527844149687433`*^9, 
  3.6527845320299892`*^9}, {3.652785732073542*^9, 3.6527857625247097`*^9}, {
  3.652785913180176*^9, 3.6527859433121977`*^9}, {3.652786029675954*^9, 
  3.6527860560678673`*^9}, {3.652787507758995*^9, 3.652787514056611*^9}, {
  3.652787679421596*^9, 3.652787682594412*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Laplace-Fourier transformation of  Metric EoMs", "Text",
 CellChangeTimes->{{3.652787224964044*^9, 3.652787230119459*^9}, {
  3.673232406687419*^9, 3.673232407223852*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MetricEoMs", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"s", " ", 
        RowBox[{"gss", "[", "x", "]"}]}], "-", 
       RowBox[{"\[Beta]", " ", 
        RowBox[{
         RowBox[{"gss", "'"}], "[", "x", "]"}]}]}], "\[Equal]", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], 
        RowBox[{"Kss", "[", "x", "]"}]}], "+", 
       RowBox[{"2", 
        RowBox[{
         RowBox[{"\[Beta]s", "'"}], "[", "x", "]"}]}], "+", 
       RowBox[{
        RowBox[{"1", "/", "3"}], "c3", " ", 
        RowBox[{"\[Theta]", "[", "x", "]"}]}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"s", " ", 
        RowBox[{"gqq", "[", "x", "]"}]}], "-", 
       RowBox[{"\[Beta]", " ", 
        RowBox[{
         RowBox[{"gqq", "'"}], "[", "x", "]"}]}]}], "\[Equal]", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], 
        RowBox[{"Kqq", "[", "x", "]"}]}], "+", 
       RowBox[{"2", "I", " ", "\[Omega]", " ", 
        RowBox[{"\[Beta]\[Omega]", "[", "x", "]"}]}], "+", 
       RowBox[{
        RowBox[{"2", "/", "3"}], "c3", " ", 
        RowBox[{"\[Theta]", "[", "x", "]"}]}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"s", " ", 
        RowBox[{"gs\[Omega]", "[", "x", "]"}]}], "-", 
       RowBox[{"\[Beta]", " ", 
        RowBox[{
         RowBox[{"gs\[Omega]", "'"}], "[", "x", "]"}]}]}], "\[Equal]", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], 
        RowBox[{"Ks\[Omega]", "[", "x", "]"}]}], "+", 
       RowBox[{"I", " ", "\[Omega]", " ", 
        RowBox[{"\[Beta]s", "[", "x", "]"}]}], "+", 
       RowBox[{
        RowBox[{"\[Beta]\[Omega]", "'"}], "[", "x", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"s", " ", 
        RowBox[{"gs\[Nu]", "[", "x", "]"}]}], "-", 
       RowBox[{"\[Beta]", " ", 
        RowBox[{
         RowBox[{"gs\[Nu]", "'"}], "[", "x", "]"}]}]}], "\[Equal]", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], 
        RowBox[{"Ks\[Nu]", "[", "x", "]"}]}], "+", 
       RowBox[{
        RowBox[{"\[Beta]\[Nu]", "'"}], "[", "x", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"s", " ", 
        RowBox[{"g\[Omega]\[Nu]", "[", "x", "]"}]}], "-", 
       RowBox[{"\[Beta]", " ", 
        RowBox[{
         RowBox[{"g\[Omega]\[Nu]", "'"}], "[", "x", "]"}]}]}], "\[Equal]", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], 
        RowBox[{"K\[Omega]\[Nu]", "[", "x", "]"}]}], "+", 
       RowBox[{"I", " ", "\[Omega]", " ", 
        RowBox[{"\[Beta]\[Nu]", "[", "x", "]"}]}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"s", " ", 
        RowBox[{"g\[Nu]\[Nu]", "[", "x", "]"}]}], "-", 
       RowBox[{"\[Beta]", " ", 
        RowBox[{
         RowBox[{"g\[Nu]\[Nu]", "'"}], "[", "x", "]"}]}]}], "\[Equal]", 
      RowBox[{
       RowBox[{"-", "2"}], 
       RowBox[{"K\[Nu]\[Nu]", "[", "x", "]"}]}]}]}], "}"}]}], ";"}]], "Input",\

 CellChangeTimes->{{3.652787234269599*^9, 3.652787263322262*^9}, {
  3.652787301978957*^9, 3.652787482902459*^9}, {3.652787521691478*^9, 
  3.6527875977896557`*^9}, {3.652787629661603*^9, 3.652787655917136*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Variables to remove", "Text",
 CellChangeTimes->{{3.673232445453497*^9, 3.673232448156252*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"VariablesToRemove", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Kss", "[", "x", "]"}], ",", 
     RowBox[{"Kqq", "[", "x", "]"}], ",", 
     RowBox[{"Ks\[Omega]", "[", "x", "]"}], ",", 
     RowBox[{"Ks\[Nu]", "[", "x", "]"}], ",", 
     RowBox[{"K\[Omega]\[Nu]", "[", "x", "]"}], ",", 
     RowBox[{"K\[Nu]\[Nu]", "[", "x", "]"}], ",", 
     RowBox[{"\[Theta]", "[", "x", "]"}], ",", 
     RowBox[{"Zs", "[", "x", "]"}], ",", 
     RowBox[{"Z\[Omega]", "[", "x", "]"}], ",", 
     RowBox[{"Z\[Nu]", "[", "x", "]"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.652787729885627*^9, 3.652787813520224*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Rules to remove constraints", "Text",
 CellChangeTimes->{{3.652788902935603*^9, 3.652788914964048*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"RemoveKContraintRules", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Union", "[", 
          RowBox[{"MetricEoMs", ",", "GaugeEoMs"}], "]"}], "//", "Flatten"}], 
        ")"}], ",", "VariablesToRemove"}], "]"}], "//", "Simplify"}], "//", 
    "Flatten"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.652787699726358*^9, 3.652787724527939*^9}, {
  3.652787818443407*^9, 3.652787859713953*^9}, {3.6527879406922503`*^9, 
  3.65278795873978*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DRemoveKContraintRules", "=", 
   RowBox[{
    SubscriptBox["\[PartialD]", "x"], "RemoveKContraintRules"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.652788023094966*^9, 3.652788037104641*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"HamMomRules", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"H", "[", "x", "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"gss", "''"}], "[", "x", "]"}], "+", 
          RowBox[{
           RowBox[{"gqq", "''"}], "[", "x", "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"\[Omega]", "^", "2"}], 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"gss", "[", "x", "]"}], "+", 
          RowBox[{"gqq", "[", "x", "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"gss", "''"}], "[", "x", "]"}], "-", 
       RowBox[{
        SuperscriptBox["\[Omega]", "2"], 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"gqq", "[", "x", "]"}], "-", 
          RowBox[{"g\[Nu]\[Nu]", "[", "x", "]"}]}], ")"}]}], "+", 
       RowBox[{"2", "I", " ", "\[Omega]", " ", 
        RowBox[{
         RowBox[{"gs\[Omega]", "'"}], "[", "x", "]"}]}]}]}], ",", 
     RowBox[{
      RowBox[{"Ms", "[", "x", "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{"I", " ", "\[Omega]", " ", 
        RowBox[{"Ks\[Omega]", "[", "x", "]"}]}], "-", 
       RowBox[{
        SubscriptBox["\[PartialD]", "x"], 
        RowBox[{"Kqq", "[", "x", "]"}]}]}]}], ",", 
     RowBox[{
      RowBox[{"M\[Omega]", "[", "x", "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        RowBox[{"Ks\[Omega]", "'"}], "[", "x", "]"}], "+", 
       RowBox[{"I", " ", "\[Omega]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Kqq", "[", "x", "]"}], "-", 
          RowBox[{"K\[Nu]\[Nu]", "[", "x", "]"}]}], ")"}]}], "-", 
       RowBox[{"I", " ", "\[Omega]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Kss", "[", "x", "]"}], "+", 
          RowBox[{"Kqq", "[", "x", "]"}]}], ")"}]}]}]}], ",", 
     RowBox[{
      RowBox[{"M\[Nu]", "[", "x", "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        RowBox[{"Ks\[Nu]", "'"}], "[", "x", "]"}], "+", 
       RowBox[{"I", " ", "\[Omega]", " ", 
        RowBox[{"K\[Omega]\[Nu]", "[", "x", "]"}]}]}]}]}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.652788252500123*^9, 3.652788256269866*^9}, {
   3.652788294237462*^9, 3.65278830452535*^9}, 3.652788526213192*^9, {
   3.6527885831209583`*^9, 3.652788627377926*^9}, {3.652788709543894*^9, 
   3.652788710154241*^9}, {3.6527887857556973`*^9, 3.6527887934896383`*^9}, {
   3.6527888712534103`*^9, 3.6527888783196363`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Rules to remove Ricci", "Text",
 CellChangeTimes->{{3.652789491137385*^9, 3.652789498469211*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"RicciRules", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"Rss", "[", "x", "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        RowBox[{"1", "/", "2"}], 
        SuperscriptBox["\[Omega]", "2"], 
        RowBox[{"gss", "[", "x", "]"}]}], "-", 
       RowBox[{
        RowBox[{"1", "/", "2"}], 
        RowBox[{
         RowBox[{"gqq", "''"}], "[", "x", "]"}]}], "+", 
       RowBox[{"I", " ", "\[Omega]", " ", 
        RowBox[{
         RowBox[{"gs\[Omega]", "'"}], "[", "x", "]"}]}]}]}], ",", 
     RowBox[{
      RowBox[{"Rqq", "[", "x", "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"-", "1"}], "/", "2"}], 
        RowBox[{
         RowBox[{"gqq", "''"}], "[", "x", "]"}]}], "+", 
       RowBox[{
        RowBox[{"1", "/", "2"}], 
        SuperscriptBox["\[Omega]", "2"], 
        RowBox[{"gss", "[", "x", "]"}]}], "+", 
       RowBox[{
        SuperscriptBox["\[Omega]", "2"], 
        RowBox[{"g\[Nu]\[Nu]", "[", "x", "]"}]}], "+", 
       RowBox[{"I", " ", "\[Omega]", " ", 
        RowBox[{
         RowBox[{"gs\[Omega]", "'"}], "[", "x", "]"}]}]}]}], ",", 
     RowBox[{
      RowBox[{"Rs\[Omega]", "[", "x", "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "1"}], "/", "2"}], "I", " ", "\[Omega]", " ", 
       RowBox[{
        RowBox[{"g\[Nu]\[Nu]", "'"}], "[", "x", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"Rs\[Nu]", "[", "x", "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        RowBox[{"1", "/", "2"}], 
        SuperscriptBox["\[Omega]", "2"], 
        RowBox[{"gs\[Nu]", "[", "x", "]"}]}], "+", 
       RowBox[{
        RowBox[{"1", "/", "2"}], "I", " ", "\[Omega]", " ", 
        RowBox[{
         RowBox[{"g\[Omega]\[Nu]", "'"}], "[", "x", "]"}]}]}]}], ",", 
     RowBox[{
      RowBox[{"R\[Omega]\[Nu]", "[", "x", "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"-", "1"}], "/", "2"}], 
        RowBox[{
         RowBox[{"g\[Omega]\[Nu]", "''"}], "[", "x", "]"}]}], "+", 
       RowBox[{
        RowBox[{"1", "/", "2"}], "I", " ", "\[Omega]", " ", 
        RowBox[{
         RowBox[{"gs\[Nu]", "'"}], "[", "x", "]"}]}]}]}], ",", 
     RowBox[{
      RowBox[{"R\[Nu]\[Nu]", "[", "x", "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"-", "1"}], "/", "2"}], 
        RowBox[{
         RowBox[{"g\[Nu]\[Nu]", "''"}], "[", "x", "]"}]}], "+", 
       RowBox[{
        RowBox[{"1", "/", "2"}], 
        SuperscriptBox["\[Omega]", "2"], 
        RowBox[{"g\[Nu]\[Nu]", "[", "x", "]"}]}]}]}]}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.652789500178644*^9, 3.652789513894575*^9}, {
  3.652796691966235*^9, 3.652796911681994*^9}, {3.6527969435514183`*^9, 
  3.6527971638404293`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Constraint EoMs", "Text",
 CellChangeTimes->{{3.652786069544407*^9, 3.652786074066617*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ConstraintEoMs", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"s", " ", 
        RowBox[{"\[Theta]", "[", "x", "]"}]}], "-", 
       RowBox[{"\[Beta]", " ", 
        RowBox[{
         RowBox[{"\[Theta]", "'"}], "[", "x", "]"}]}]}], "\[Equal]", 
      RowBox[{
       RowBox[{"c7", " ", 
        RowBox[{"H", "[", "x", "]"}]}], "+", 
       RowBox[{"c8", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"Zs", "'"}], "[", "x", "]"}], "+", 
          RowBox[{"I", " ", "\[Omega]", " ", 
           RowBox[{"Z\[Omega]", "[", "x", "]"}]}]}], ")"}]}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"s", " ", 
        RowBox[{"Zs", "[", "x", "]"}]}], "-", 
       RowBox[{"\[Beta]", " ", 
        RowBox[{
         RowBox[{"Zs", "'"}], "[", "x", "]"}]}]}], "\[Equal]", 
      RowBox[{
       RowBox[{"c9", " ", 
        RowBox[{"Ms", "[", "x", "]"}]}], "+", 
       RowBox[{"c10", " ", 
        RowBox[{
         RowBox[{"\[Theta]", "'"}], "[", "x", "]"}]}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"s", " ", 
        RowBox[{"Z\[Omega]", "[", "x", "]"}]}], "-", 
       RowBox[{"\[Beta]", " ", 
        RowBox[{
         RowBox[{"Z\[Omega]", "'"}], "[", "x", "]"}]}]}], "\[Equal]", 
      RowBox[{
       RowBox[{"c9", " ", 
        RowBox[{"M\[Omega]", "[", "x", "]"}]}], "+", 
       RowBox[{"c10", " ", "I", " ", "\[Omega]", " ", 
        RowBox[{"\[Theta]", "[", "x", "]"}]}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"s", " ", 
        RowBox[{"Z\[Nu]", "[", "x", "]"}]}], "-", 
       RowBox[{"\[Beta]", " ", 
        RowBox[{
         RowBox[{"Z\[Nu]", "'"}], "[", "x", "]"}]}]}], "\[Equal]", 
      RowBox[{"c9", " ", 
       RowBox[{"M\[Nu]", "[", "x", "]"}]}]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6527860902648087`*^9, 3.652786124854333*^9}, {
   3.652786166190013*^9, 3.652786166837224*^9}, {3.6527862000930853`*^9, 
   3.652786308577427*^9}, 3.6527868383044577`*^9, {3.6527870621279097`*^9, 
   3.6527870860251503`*^9}, {3.652787662126279*^9, 3.652787668565598*^9}, {
   3.652813155892021*^9, 3.65281317525696*^9}, {3.652813946943898*^9, 
   3.6528139613744507`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Laplace-Fourier transformation of Extrinsic curvature EoMs", "Text",
 CellChangeTimes->{{3.6527890307429533`*^9, 3.652789037882169*^9}, {
   3.65281318905935*^9, 3.652813189737925*^9}, 3.673232429586022*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"KEoMs", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"s", " ", 
        RowBox[{"Kss", "[", "x", "]"}]}], "-", 
       RowBox[{"\[Beta]", " ", 
        RowBox[{
         RowBox[{"Kss", "'"}], "[", "x", "]"}]}]}], "\[Equal]", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{
         RowBox[{"\[Alpha]", "''"}], "[", "x", "]"}]}], "+", 
       RowBox[{"Rss", "[", "x", "]"}], "+", 
       RowBox[{"2", "c4", " ", 
        RowBox[{
         RowBox[{"Zs", "'"}], "[", "x", "]"}]}], "+", 
       RowBox[{
        RowBox[{"1", "/", "3"}], "c5", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"Zs", "'"}], "[", "x", "]"}], "+", 
          RowBox[{"I", " ", "\[Omega]", " ", 
           RowBox[{"Z\[Omega]", "[", "x", "]"}]}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"1", "/", "3"}], "c6", " ", 
        RowBox[{"H", "[", "x", "]"}]}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"s", " ", 
        RowBox[{"Kqq", "[", "x", "]"}]}], "-", 
       RowBox[{"\[Beta]", " ", 
        RowBox[{
         RowBox[{"Kqq", "'"}], "[", "x", "]"}]}]}], "\[Equal]", 
      RowBox[{
       RowBox[{
        RowBox[{"+", 
         SuperscriptBox["\[Omega]", "2"]}], 
        RowBox[{"\[Alpha]", "[", "x", "]"}]}], "+", 
       RowBox[{"Rqq", "[", "x", "]"}], "+", 
       RowBox[{"2", "c4", " ", "I", " ", "\[Omega]", " ", 
        RowBox[{"Z\[Omega]", "[", "x", "]"}]}], "+", 
       RowBox[{
        RowBox[{"2", "/", "3"}], "c5", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"Zs", "'"}], "[", "x", "]"}], "+", 
          RowBox[{"I", " ", "\[Omega]", " ", 
           RowBox[{"Z\[Omega]", "[", "x", "]"}]}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"2", "/", "3"}], "c6", " ", 
        RowBox[{"H", "[", "x", "]"}]}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"s", " ", 
        RowBox[{"Ks\[Omega]", "[", "x", "]"}]}], "-", 
       RowBox[{"\[Beta]", " ", 
        RowBox[{
         RowBox[{"Ks\[Omega]", "'"}], "[", "x", "]"}]}]}], "\[Equal]", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "I"}], " ", "\[Omega]", " ", 
        RowBox[{
         RowBox[{"\[Alpha]", "'"}], "[", "x", "]"}]}], "+", 
       RowBox[{"Rs\[Omega]", "[", "x", "]"}], "+", 
       RowBox[{"c4", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"Z\[Omega]", "'"}], "[", "x", "]"}], "+", 
          RowBox[{"I", " ", "\[Omega]", " ", 
           RowBox[{"Zs", "[", "x", "]"}]}]}], ")"}]}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"s", " ", 
        RowBox[{"Ks\[Nu]", "[", "x", "]"}]}], "-", 
       RowBox[{"\[Beta]", " ", 
        RowBox[{
         RowBox[{"Ks\[Nu]", "'"}], "[", "x", "]"}]}]}], "\[Equal]", 
      RowBox[{
       RowBox[{"Rs\[Nu]", "[", "x", "]"}], "+", 
       RowBox[{"c4", " ", 
        RowBox[{
         RowBox[{"Z\[Nu]", "'"}], "[", "x", "]"}]}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"s", " ", 
        RowBox[{"K\[Omega]\[Nu]", "[", "x", "]"}]}], "-", 
       RowBox[{"\[Beta]", " ", 
        RowBox[{
         RowBox[{"K\[Omega]\[Nu]", "'"}], "[", "x", "]"}]}]}], "\[Equal]", 
      RowBox[{
       RowBox[{"R\[Omega]\[Nu]", "[", "x", "]"}], "+", 
       RowBox[{"c4", " ", "I", " ", "\[Omega]", " ", 
        RowBox[{"Z\[Nu]", "[", "x", "]"}]}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"s", " ", 
        RowBox[{"K\[Nu]\[Nu]", "[", "x", "]"}]}], "-", 
       RowBox[{"\[Beta]", " ", 
        RowBox[{
         RowBox[{"K\[Nu]\[Nu]", "'"}], "[", "x", "]"}]}]}], "\[Equal]", 
      RowBox[{"R\[Nu]\[Nu]", "[", "x", "]"}]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.652789026255311*^9, 3.65278921802382*^9}, {
   3.652789248030675*^9, 3.652789476715047*^9}, {3.6528137031495943`*^9, 
   3.652813727727191*^9}, 3.65281536492871*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ListEMRaw", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Union", "[", 
           RowBox[{"KEoMs", ",", "ConstraintEoMs"}], "]"}], "//", "Flatten"}],
          ")"}], "/.", "HamMomRules"}], "/.", "DRemoveKContraintRules"}], "/.",
       "RemoveKContraintRules"}], "/.", "RicciRules"}], "//", "Simplify"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.652789560252726*^9, 3.6527896415918207`*^9}, {
  3.652789747367648*^9, 3.652789749829278*^9}, {3.6527972056001*^9, 
  3.652797207378607*^9}, {3.652797294666622*^9, 3.6527973270301247`*^9}, {
  3.652797569243013*^9, 3.6527975769441957`*^9}, {3.652799344101552*^9, 
  3.6527993445239162`*^9}}],

Cell[CellGroupData[{

Cell["\<\
Fix a few parameters to ensure strong hyperbolicity   of  the  constraint  \
subsystem  
with vanishing gauge - constraint coupling\
\>", "Text",
 CellChangeTimes->{{3.673232601551281*^9, 3.673232605227047*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"c1", "=", "g1"}], ";", 
  RowBox[{"c2", "=", "g3"}], ";", 
  RowBox[{"c3", "\[Rule]", "0"}], ";", 
  RowBox[{"c4", "\[Rule]", "1"}], ";", 
  RowBox[{"c5", "\[Rule]", "0"}], ";", 
  RowBox[{"c6", "\[Rule]", "0"}], ";", 
  RowBox[{"c7", "\[Rule]", 
   RowBox[{"1", "/", "2"}]}], ";", 
  RowBox[{"c8", "\[Rule]", "1"}], ";", 
  RowBox[{"c9", "\[Rule]", "1"}], ";", 
  RowBox[{"c10", "\[Rule]", 
   RowBox[{"2", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"g4", "/", "g3"}]}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"RulesM", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[Eta]\[Chi]", "\[Rule]", 
      FractionBox[
       RowBox[{
        RowBox[{"4", " ", "\[Mu]S"}], "-", 
        RowBox[{"3", " ", "\[Mu]Ss"}]}], "\[Mu]S"]}], ",", 
     RowBox[{"c3", "\[Rule]", " ", "0"}], ",", 
     RowBox[{"c4", "\[Rule]", "1"}], ",", 
     RowBox[{"c5", "\[Rule]", "0"}], ",", 
     RowBox[{"c6", "\[Rule]", "0"}], ",", 
     RowBox[{"c7", "\[Rule]", 
      RowBox[{"1", "/", "2"}]}], ",", 
     RowBox[{"c8", "\[Rule]", "1"}], ",", 
     RowBox[{"c9", "\[Rule]", " ", "1"}], ",", 
     RowBox[{"c10", "\[Rule]", 
      FractionBox["\[Mu]Ss", "\[Mu]S"]}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.652799328461409*^9, 3.6527993323030577`*^9}, {
  3.652814136600006*^9, 3.652814141968618*^9}, {3.653040680143187*^9, 
  3.6530406995257893`*^9}, {3.653040731425549*^9, 3.653040755831924*^9}, {
  3.65304108063342*^9, 3.6530410832088757`*^9}, {3.653041573065987*^9, 
  3.653041574680408*^9}, {3.6732327580654783`*^9, 3.673232763900838*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Puncture gauge rule", "Text",
 CellChangeTimes->{{3.673232615304945*^9, 3.67323262643928*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ToPunctureNotationRule", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"g1", "\[Rule]", "\[Mu]L"}], ",", 
     RowBox[{"g2", "\[Rule]", "0"}], ",", 
     RowBox[{"g3", "\[Rule]", "\[Mu]S"}], ",", 
     RowBox[{"g4", "\[Rule]", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "1"}], "/", "3"}], "\[Mu]S", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          RowBox[{"1", "/", "2"}], "\[Eta]\[Chi]"}]}], ")"}]}]}], ",", 
     RowBox[{"g5", "\[Rule]", "\[Eta]L"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6527990263606586`*^9, 3.652799043439228*^9}, {
  3.6527991488330603`*^9, 3.6527991580280647`*^9}, {3.652799197125218*^9, 
  3.652799244870364*^9}, {3.6528127891131697`*^9, 3.652812792340077*^9}}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"ListEM", "=", 
   RowBox[{
    RowBox[{"ListEMRaw", "//.", "ToPunctureNotationRule"}], "//", 
    "Simplify"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.652798746857162*^9, 3.652798851889595*^9}, 
   3.6527988838682127`*^9, {3.652799257645728*^9, 3.652799280601584*^9}, 
   3.6527993112306128`*^9, {3.652799348650259*^9, 3.6527993521032763`*^9}, {
   3.652802343712431*^9, 3.652802344778008*^9}, {3.6528124187646017`*^9, 
   3.6528124371439877`*^9}, {3.652812540944372*^9, 3.652812551666832*^9}, {
   3.652813533835705*^9, 3.652813541160252*^9}, 3.6530415514374943`*^9}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Setup first order LF system", "Subsection",
 CellChangeTimes->{{3.547058194716805*^9, 3.547058205203157*^9}, {
   3.54719962648418*^9, 3.5471996319637003`*^9}, 3.547208702887014*^9, {
   3.5482061480053577`*^9, 3.5482061523135157`*^9}, {3.652985419628213*^9, 
   3.652985423414968*^9}}],

Cell[CellGroupData[{

Cell["Define various State vectors", "Text",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.530344990406041*^9, 3.530345003322054*^9}, 
   3.547206936092039*^9},
 FontSize->14],

Cell[BoxData[
 RowBox[{
  RowBox[{"uold", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[Alpha]", "[", "x", "]"}], ",", 
     RowBox[{"D\[Alpha]", "[", "x", "]"}], ",", 
     RowBox[{"\[Beta]s", "[", "x", "]"}], ",", 
     RowBox[{"D\[Beta]s", "[", "x", "]"}], ",", 
     RowBox[{"\[Beta]\[Omega]", "[", "x", "]"}], ",", 
     RowBox[{"D\[Beta]\[Omega]", "[", "x", "]"}], ",", 
     RowBox[{"gss", "[", "x", "]"}], ",", 
     RowBox[{"gqq", "[", "x", "]"}], ",", 
     RowBox[{"gs\[Omega]", "[", "x", "]"}], ",", 
     RowBox[{"Dgss", "[", "x", "]"}], ",", 
     RowBox[{"Dgqq", "[", "x", "]"}], ",", 
     RowBox[{"Dgs\[Omega]", "[", "x", "]"}], ",", 
     RowBox[{"gs\[Nu]", "[", "x", "]"}], ",", 
     RowBox[{"g\[Omega]\[Nu]", "[", "x", "]"}], ",", 
     RowBox[{"g\[Nu]\[Nu]", "[", "x", "]"}], ",", 
     RowBox[{"Dgs\[Nu]", "[", "x", "]"}], ",", 
     RowBox[{"Dg\[Omega]\[Nu]", "[", "x", "]"}], ",", 
     RowBox[{"Dg\[Nu]\[Nu]", "[", "x", "]"}], ",", 
     RowBox[{"\[Beta]\[Nu]", "[", "x", "]"}], ",", 
     RowBox[{"D\[Beta]\[Nu]", "[", "x", "]"}]}], "}"}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.5301720081765747`*^9, 3.530172197902275*^9}, {
   3.530172371961339*^9, 3.530172389682527*^9}, {3.530172534032537*^9, 
   3.530172564184395*^9}, {3.530247343993697*^9, 3.530247350813449*^9}, {
   3.530264652376114*^9, 3.5302646555978203`*^9}, {3.53030000605732*^9, 
   3.5303000068699923`*^9}, 3.5303002685166607`*^9, 3.530341696979515*^9, 
   3.530345003322336*^9, {3.530345179932502*^9, 3.5303451816330137`*^9}, {
   3.530345269522511*^9, 3.5303453820123777`*^9}, {3.530345453279357*^9, 
   3.530345462952424*^9}, {3.5303488242014227`*^9, 3.530348841533942*^9}, {
   3.53034895863966*^9, 3.530348963573598*^9}, {3.535031358163735*^9, 
   3.5350313827536488`*^9}, {3.5352935528514843`*^9, 3.535293557092828*^9}, {
   3.535293805975095*^9, 3.535293828211422*^9}, {3.535294620249815*^9, 
   3.5352946225193644`*^9}, {3.535295426330598*^9, 3.535295441245957*^9}, 
   3.547206936093845*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"usim", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[Alpha]", "[", "x", "]"}], ",", 
     RowBox[{"D\[Alpha]", "[", "x", "]"}], ",", 
     RowBox[{"\[CapitalLambda]m", "[", "x", "]"}], ",", 
     RowBox[{"D\[CapitalLambda]m", "[", "x", "]"}], ",", 
     RowBox[{"\[Beta]\[Omega]", "[", "x", "]"}], ",", 
     RowBox[{"D\[Beta]\[Omega]", "[", "x", "]"}], ",", " ", 
     RowBox[{"g\[Omega]\[Omega]", "[", "x", "]"}], ",", " ", 
     RowBox[{"Dg\[Omega]\[Omega]", "[", "x", "]"}], ",", 
     RowBox[{"\[Theta]", "[", "x", "]"}], ",", 
     RowBox[{"D\[Theta]", "[", "x", "]"}], ",", 
     RowBox[{"Zs", "[", "x", "]"}], ",", 
     RowBox[{"DZs", "[", "x", "]"}], ",", 
     RowBox[{"Z\[Omega]", "[", "x", "]"}], ",", 
     RowBox[{"DZ\[Omega]", "[", "x", "]"}], ",", 
     RowBox[{"Z\[Nu]", "[", "x", "]"}], ",", 
     RowBox[{"DZ\[Nu]", "[", "x", "]"}], ",", 
     RowBox[{"\[Beta]\[Nu]", "[", "x", "]"}], ",", 
     RowBox[{"D\[Beta]\[Nu]", "[", "x", "]"}], ",", 
     RowBox[{"g\[Omega]\[Nu]", "[", "x", "]"}], ",", 
     RowBox[{"Dg\[Omega]\[Nu]", "[", "x", "]"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.530425921670341*^9, 3.5304259797055483`*^9}, {
   3.530426052213068*^9, 3.530426105592609*^9}, {3.530426885142496*^9, 
   3.5304269018673277`*^9}, {3.530429521763331*^9, 3.530429541073978*^9}, {
   3.5304309384180193`*^9, 3.530430945791935*^9}, {3.5347697744657307`*^9, 
   3.534769774697977*^9}, 3.5347698346677732`*^9, {3.534769891500556*^9, 
   3.534769891722006*^9}, {3.5347699805058928`*^9, 3.534769980741033*^9}, {
   3.53477001461375*^9, 3.534770014670685*^9}, {3.5347701043426332`*^9, 
   3.5347702269780416`*^9}, {3.5347702620174837`*^9, 3.534770263941082*^9}, {
   3.534770321253119*^9, 3.534770323563813*^9}, {3.534770375514049*^9, 
   3.534770377811017*^9}, {3.534770521344352*^9, 3.534770522935658*^9}, {
   3.534771113064178*^9, 3.534771116573944*^9}, {3.53477125415856*^9, 
   3.5347712681209106`*^9}, 3.5347713116054173`*^9, {3.534771361755978*^9, 
   3.534771373043192*^9}, {3.534771413573476*^9, 3.5347714295445757`*^9}, {
   3.5347714626359253`*^9, 3.534771462902092*^9}, {3.5347716379704227`*^9, 
   3.5347716521882*^9}, {3.5347717033069267`*^9, 3.534771748594179*^9}, {
   3.534772579903067*^9, 3.5347725801302958`*^9}, 3.5347726401148252`*^9, 
   3.53477270547246*^9, 3.5347727946493187`*^9, 3.534772847639454*^9, {
   3.534772970135106*^9, 3.534772995568901*^9}, {3.534773052759851*^9, 
   3.534773062229525*^9}, 3.534773174306823*^9, {3.534773223111446*^9, 
   3.534773237957213*^9}, 3.5347733308341293`*^9, {3.534773382669188*^9, 
   3.534773426299115*^9}, {3.534774085089182*^9, 3.5347741099152803`*^9}, {
   3.534774195872725*^9, 3.534774207803019*^9}, {3.534774657716077*^9, 
   3.5347747001382723`*^9}, 3.53477473179854*^9, 3.534774858069687*^9, {
   3.534838328859247*^9, 3.5348383348123493`*^9}, {3.5350211299037523`*^9, 
   3.535021135593532*^9}, {3.547202591151043*^9, 3.54720259374219*^9}, 
   3.547206936101028*^9, {3.547208130154908*^9, 3.547208130400717*^9}, 
   3.54745987384295*^9, {3.547459904197486*^9, 3.54745997662074*^9}, 
   3.5474600408736267`*^9, {3.547461136777343*^9, 3.5474611393637342`*^9}, {
   3.5474651409567223`*^9, 3.547465155882155*^9}, {3.547465230407097*^9, 
   3.547465234324911*^9}, {3.5474660714049053`*^9, 3.547466073123876*^9}, {
   3.547466144173965*^9, 3.547466164078455*^9}, {3.5477219950286837`*^9, 
   3.5477220664074783`*^9}, {3.5477242292176743`*^9, 3.54772423596257*^9}, {
   3.547741433768956*^9, 3.5477414673560047`*^9}, {3.548074821135778*^9, 
   3.548074836844245*^9}, {3.548075080153492*^9, 3.548075123960003*^9}, {
   3.5480756666366177`*^9, 3.548075666836535*^9}, {3.548079794371105*^9, 
   3.548079797138818*^9}, {3.548094856407802*^9, 3.548094860614346*^9}, {
   3.548134554564748*^9, 3.548134572187955*^9}, {3.5481379802217913`*^9, 
   3.548137983903019*^9}, {3.548931167549914*^9, 3.548931168707177*^9}, {
   3.5490281487274847`*^9, 3.549028150073563*^9}, {3.549072881650461*^9, 
   3.549072883657373*^9}, {3.5533270563401527`*^9, 3.553327072344693*^9}, {
   3.553336853019648*^9, 3.553336856337084*^9}, {3.651143916240079*^9, 
   3.651143920070451*^9}, {3.6512185444027147`*^9, 3.651218556476068*^9}, {
   3.6512196486485157`*^9, 3.651219648849812*^9}, {3.651230043646481*^9, 
   3.651230067416473*^9}, {3.651248690146324*^9, 3.6512486929639797`*^9}, {
   3.6527781417990026`*^9, 3.652778195380797*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ucons", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[Theta]", "[", "x", "]"}], ",", 
     RowBox[{"Zs", "[", "x", "]"}], ",", 
     RowBox[{"Z\[Omega]", "[", "x", "]"}], ",", 
     RowBox[{"Z\[Nu]", "[", "x", "]"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.5471930694809093`*^9, 3.547206936106153*^9, {3.547373985288199*^9, 
   3.5473739858767*^9}, {3.547459992627472*^9, 3.547459994839159*^9}, {
   3.547465249479124*^9, 3.547465250166882*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Sigma]Vec", "=", 
   RowBox[{"{", 
    RowBox[{
    "\[Sigma]\[Alpha]", ",", "\[Sigma]\[Beta]s", ",", 
     "\[Sigma]\[Beta]\[Omega]", ",", "\[Sigma]\[Beta]\[Nu]", ",", 
     "\[Sigma]\[Theta]", ",", "\[Sigma]Zs", ",", "\[Sigma]Z\[Omega]", ",", 
     "\[Sigma]Z\[Nu]", ",", "\[Sigma]RePsi", ",", "\[Sigma]ImPsi"}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.547276401581093*^9, 3.547276466176759*^9}, {
   3.5474600771027308`*^9, 3.54746008672812*^9}, {3.5474652629494677`*^9, 
   3.547465268182375*^9}, 3.547530460600471*^9, {3.5481622408454237`*^9, 
   3.548162241024476*^9}, {3.6512300981391706`*^9, 3.651230098535857*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"bcVec", "=", 
   RowBox[{"{", 
    RowBox[{
    "g\[Alpha]", ",", "g\[Beta]s", ",", "g\[Beta]\[Omega]", ",", 
     "g\[Beta]\[Nu]", ",", "g\[Theta]", ",", "gZs", ",", "gZ\[Omega]", ",", 
     "gZ\[Nu]", ",", "gRePsi", ",", "gImPsi"}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"GaugebcVec", "=", 
   RowBox[{"{", 
    RowBox[{
    "g\[Alpha]", ",", "g\[Beta]s", ",", "g\[Beta]\[Omega]", ",", 
     "g\[Beta]\[Nu]"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.547276401581093*^9, 3.547276527235094*^9}, {
  3.547361519788253*^9, 3.547361521721767*^9}, {3.547460097541943*^9, 
  3.547460106643688*^9}, {3.547465272949617*^9, 3.54746528105492*^9}, {
  3.5481622483148937`*^9, 3.548162248393743*^9}, {3.651230102858667*^9, 
  3.651230105184733*^9}, {3.652604057306201*^9, 3.652604063602404*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Define some Rules to keep things clean", "Text",
 CellGroupingRules->{GroupTogetherGrouping, 10001.},
 CellChangeTimes->{{3.530345012032325*^9, 3.5303450231074743`*^9}, 
   3.547206936112529*^9},
 FontSize->14],

Cell[BoxData[
 RowBox[{
  RowBox[{"Use\[Mu]SsRules", "=", 
   RowBox[{"{", " ", 
    RowBox[{"\[Eta]\[Chi]", "\[Rule]", 
     FractionBox[
      RowBox[{
       RowBox[{"4", " ", "\[Mu]S"}], "-", 
       RowBox[{"3", " ", "\[Mu]Ss"}]}], "\[Mu]S"]}], " ", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.531124279349491*^9, 3.531124281527525*^9}, {
   3.531125046583099*^9, 3.5311250502862787`*^9}, {3.531129882932065*^9, 
   3.531129913950431*^9}, {3.532795283338214*^9, 3.532795297627232*^9}, {
   3.532795411371622*^9, 3.532795426005645*^9}, 3.54720693611651*^9, {
   3.550739153205868*^9, 3.5507391536872*^9}, {3.651214796502509*^9, 
   3.6512148024853897`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"UnTauRules", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[Tau]", "\[Rule]", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"s", "^", "2"}], "+", 
        RowBox[{"\[Omega]", "^", "2"}]}], "]"}]}], ",", 
     RowBox[{"\[Tau]\[Mu]L", "\[Rule]", 
      RowBox[{
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"s", "^", "2"}], "+", 
         RowBox[{"\[Mu]L", "*", 
          RowBox[{"\[Omega]", "^", "2"}]}]}], "]"}], "/", 
       RowBox[{"Sqrt", "[", "\[Mu]L", "]"}]}]}], ",", 
     RowBox[{"\[Tau]\[Mu]S", "\[Rule]", 
      RowBox[{
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"s", "^", "2"}], "+", 
         RowBox[{"\[Mu]S", "*", 
          RowBox[{"\[Omega]", "^", "2"}]}]}], "]"}], "/", 
       RowBox[{"Sqrt", "[", "\[Mu]S", "]"}]}]}], ",", 
     RowBox[{"\[Tau]\[Mu]Ss", "\[Rule]", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"-", "I"}], ")"}], "*", 
          RowBox[{"Sqrt", "[", 
           RowBox[{
            RowBox[{"3", "*", 
             RowBox[{"s", "^", "2"}]}], "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "4"}], "+", "\[Eta]\[Chi]"}], ")"}], "*", 
             "\[Mu]S", "*", 
             RowBox[{"\[Omega]", "^", "2"}]}]}], "]"}]}], ")"}]}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Sqrt", "[", 
          RowBox[{
           RowBox[{"-", "4"}], "+", "\[Eta]\[Chi]"}], "]"}], "*", 
         RowBox[{"Sqrt", "[", "\[Mu]S", "]"}]}], ")"}]}]}], ",", 
     RowBox[{"\[Tau]\[Theta]", "->", 
      FractionBox[
       SqrtBox[
        RowBox[{
         RowBox[{
          SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
         RowBox[{"\[Mu]Ss", " ", 
          SuperscriptBox["\[Omega]", "2"]}]}]], 
       SqrtBox["\[Mu]Ss"]]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.651219209603571*^9, 3.651219224877255*^9}, {
   3.651349456615741*^9, 3.651349458834201*^9}, 3.651349545479265*^9, {
   3.651679643911599*^9, 3.651679657453076*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"TautoPiRule", "=", 
   RowBox[{"{", 
    RowBox[{"\[Tau]\[Mu]S", "\[Rule]", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "s"}], "+", "\[CapitalPi]\[Mu]S"}], 
      SqrtBox["\[Mu]S"]]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.655896452058482*^9, 3.655896473731104*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Mu]\[Theta]Rule", "=", 
   RowBox[{"\[Mu]Ss", "\[Rule]", 
    RowBox[{"\[Mu]S", " ", "\[Mu]\[Theta]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6516864746458883`*^9, 3.65168649659667*^9}, 
   3.651689549418375*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[CapitalPi]Rule", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"s", "+", 
        RowBox[{
         SqrtBox["\[Mu]L"], " ", "\[Tau]\[Mu]L"}]}], ")"}], "\[Rule]", " ", 
      "\[CapitalPi]\[Mu]L"}], ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"s", "+", 
        RowBox[{
         SqrtBox["\[Mu]S"], " ", "\[Tau]\[Mu]S"}]}], ")"}], "\[Rule]", " ", 
      "\[CapitalPi]\[Mu]S"}], ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"s", "+", 
        RowBox[{
         SqrtBox["\[Mu]Ss"], " ", "\[Tau]\[Mu]Ss"}]}], ")"}], "\[Rule]", " ", 
      "\[CapitalPi]\[Mu]Ss"}], ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"s", "+", "\[Tau]"}], ")"}], "\[Rule]", " ", "\[CapitalPi]"}], 
     ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"s", "+", 
        RowBox[{
         SqrtBox["\[Mu]\[Theta]"], " ", "\[Tau]\[Theta]"}]}], ")"}], 
      "\[Rule]", " ", "\[CapitalPi]\[Theta]"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.655259276278173*^9, 3.6552592819969053`*^9}, {
  3.6552593139160633`*^9, 3.655259371352046*^9}, {3.6552594343967543`*^9, 
  3.6552594455713587`*^9}, {3.65609165562825*^9, 3.656091661451934*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Un\[CapitalPi]Rule", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[CapitalPi]\[Mu]L", "\[Rule]", " ", 
      RowBox[{"(", 
       RowBox[{"s", "+", 
        RowBox[{
         SqrtBox["\[Mu]L"], " ", "\[Tau]\[Mu]L"}]}], ")"}]}], ",", 
     RowBox[{"\[CapitalPi]\[Mu]S", "\[Rule]", " ", 
      RowBox[{"(", 
       RowBox[{"s", "+", 
        RowBox[{
         SqrtBox["\[Mu]S"], " ", "\[Tau]\[Mu]S"}]}], ")"}]}], ",", 
     RowBox[{"\[CapitalPi]\[Mu]Ss", "\[Rule]", " ", 
      RowBox[{"(", 
       RowBox[{"s", "+", 
        RowBox[{
         SqrtBox["\[Mu]Ss"], " ", "\[Tau]\[Mu]Ss"}]}], ")"}]}], ",", 
     RowBox[{"\[CapitalPi]", "\[Rule]", " ", 
      RowBox[{"(", 
       RowBox[{"s", "+", "\[Tau]"}], ")"}]}], ",", 
     RowBox[{"\[CapitalPi]\[Theta]", "\[Rule]", " ", 
      RowBox[{"(", 
       RowBox[{"s", "+", 
        RowBox[{
         SqrtBox["\[Mu]\[Theta]"], " ", "\[Tau]\[Theta]"}]}], ")"}]}]}], 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.655260651882431*^9, 3.6552607005113277`*^9}, {
  3.6560916751492577`*^9, 3.656091682763524*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"TauRules", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      SqrtBox[
       RowBox[{
        SuperscriptBox["s", "2"], "+", 
        SuperscriptBox["\[Omega]", "2"]}]], "\[Rule]", "\[Tau]"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["s", "2"], "+", 
       SuperscriptBox["\[Omega]", "2"]}], "\[Rule]", 
      SuperscriptBox["\[Tau]", "2"]}], ",", 
     RowBox[{
      SqrtBox[
       RowBox[{
        SuperscriptBox["s", "2"], "+", 
        RowBox[{"\[Mu]L", " ", 
         SuperscriptBox["\[Omega]", "2"]}]}]], "\[Rule]", 
      RowBox[{"\[Tau]\[Mu]L", 
       SqrtBox["\[Mu]L"]}]}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["s", "2"], "+", 
       RowBox[{"\[Mu]L", " ", 
        SuperscriptBox["\[Omega]", "2"]}]}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["\[Tau]\[Mu]L", "2"], "\[Mu]L"}]}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["s", "2"], "+", 
       RowBox[{"\[Mu]S", " ", 
        SuperscriptBox["\[Omega]", "2"]}]}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["\[Tau]\[Mu]S", "2"], " ", "\[Mu]S"}]}], ",", 
     RowBox[{
      SqrtBox[
       RowBox[{
        SuperscriptBox["s", "2"], "+", 
        RowBox[{"\[Mu]S", " ", 
         SuperscriptBox["\[Omega]", "2"]}]}]], "\[Rule]", 
      RowBox[{
       SqrtBox["\[Mu]S"], " ", "\[Tau]\[Mu]S"}]}], ",", 
     RowBox[{
      SqrtBox[
       RowBox[{
        RowBox[{"3", " ", 
         SuperscriptBox["s", "2"]}], "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "4"}], "+", "\[Eta]\[Chi]"}], ")"}], " ", "\[Mu]S", 
         " ", 
         SuperscriptBox["\[Omega]", "2"]}]}]], "\[Rule]", 
      RowBox[{
       RowBox[{"-", "\[ImaginaryI]"}], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"-", "4"}], "+", "\[Eta]\[Chi]"}]], " ", 
       SqrtBox["\[Mu]S"], " ", "\[Tau]\[Mu]Ss"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"3", " ", 
        SuperscriptBox["s", "2"]}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "4"}], "+", "\[Eta]\[Chi]"}], ")"}], " ", "\[Mu]S", 
        " ", 
        SuperscriptBox["\[Omega]", "2"]}]}], "\[Rule]", 
      RowBox[{
       RowBox[{"-", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "4"}], "+", "\[Eta]\[Chi]"}], ")"}]}], "\[Mu]S", " ", 
       SuperscriptBox["\[Tau]\[Mu]Ss", "2"]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"-", "3"}], " ", 
        SuperscriptBox["s", "2"]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "4"}], "+", "\[Eta]\[Chi]"}], ")"}], " ", "\[Mu]S", 
        " ", 
        SuperscriptBox["\[Omega]", "2"]}]}], "\[Rule]", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "4"}], "+", "\[Eta]\[Chi]"}], ")"}], "\[Mu]S", " ", 
       SuperscriptBox["\[Tau]\[Mu]Ss", "2"]}]}], ",", 
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{
        SuperscriptBox["s", "2"], "+", 
        RowBox[{"\[Mu]Ss", " ", 
         SuperscriptBox["\[Omega]", "2"]}]}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{"Sqrt", "[", "\[Mu]Ss", "]"}], " ", "\[Tau]\[Mu]Ss"}]}], ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["s", "2"], "+", 
        RowBox[{"\[Mu]Ss", " ", 
         SuperscriptBox["\[Omega]", "2"]}]}], ")"}], "\[Rule]", " ", 
      RowBox[{"\[Mu]Ss", " ", 
       SuperscriptBox["\[Tau]\[Mu]Ss", "2"]}]}], ",", 
     RowBox[{
      SqrtBox[
       RowBox[{
        RowBox[{
         SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
        RowBox[{"\[Mu]Ss", " ", 
         SuperscriptBox["\[Omega]", "2"]}]}]], "\[Rule]", 
      RowBox[{"\[Tau]\[Theta]", 
       SqrtBox["\[Mu]Ss"]}]}], ",", 
     RowBox[{
      RowBox[{"1", "/", 
       SqrtBox[
        RowBox[{
         RowBox[{
          SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
         RowBox[{"\[Mu]Ss", " ", 
          SuperscriptBox["\[Omega]", "2"]}]}]]}], "\[Rule]", 
      RowBox[{"1", "/", 
       RowBox[{"(", 
        RowBox[{"\[Tau]\[Theta]", 
         SqrtBox["\[Mu]Ss"]}], ")"}]}]}], ",", 
     RowBox[{
      RowBox[{"-", 
       SqrtBox[
        RowBox[{
         RowBox[{
          SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
         RowBox[{"\[Mu]Ss", " ", 
          SuperscriptBox["\[Omega]", "2"]}]}]]}], "\[Rule]", 
      RowBox[{
       RowBox[{"-", "\[Tau]\[Theta]"}], 
       SqrtBox["\[Mu]Ss"]}]}], ",", 
     RowBox[{
      SqrtBox[
       RowBox[{
        SuperscriptBox["s", "2"], "+", 
        RowBox[{
         FractionBox["\[Mu]Ss", 
          RowBox[{" ", "\[Mu]S"}]], " ", 
         SuperscriptBox["\[Omega]", "2"]}]}]], "\[Rule]", 
      RowBox[{
       FractionBox[
        SqrtBox["\[Mu]Ss"], 
        RowBox[{"Sqrt", "[", "\[Mu]S", "]"}]], " ", "\[Tau]\[Theta]"}]}], ",", 
     RowBox[{
      SqrtBox[
       RowBox[{
        SuperscriptBox["s", "2"], "+", 
        RowBox[{"\[Mu]\[Theta]", " ", 
         SuperscriptBox["\[Omega]", "2"]}]}]], "\[Rule]", 
      RowBox[{
       SqrtBox["\[Mu]\[Theta]"], " ", "\[Tau]\[Theta]"}]}]}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.651215209396049*^9, 3.651215340613996*^9}, {
   3.6512181114469347`*^9, 3.651218140487069*^9}, 3.6512182686400433`*^9, {
   3.651219094428334*^9, 3.651219095058854*^9}, 3.6512191855013*^9, {
   3.6512197073315277`*^9, 3.651219807252041*^9}, {3.651222568291174*^9, 
   3.651222629940732*^9}, 3.651349478568944*^9, {3.6514072974752493`*^9, 
   3.651407346483883*^9}, {3.651679634156233*^9, 3.651679634890958*^9}, {
   3.651679736968156*^9, 3.651679740400144*^9}, {3.651679805534252*^9, 
   3.6516798185325413`*^9}, {3.65168641716367*^9, 3.651686417501009*^9}, {
   3.6552240143133163`*^9, 3.655224014666399*^9}, {3.655305190241199*^9, 
   3.655305268381901*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Define Rules and equations for first order reduction", "Text",
 CellGroupingRules->{GroupTogetherGrouping, 10003.},
 CellChangeTimes->{{3.5303450629914494`*^9, 3.530345098525598*^9}, 
   3.547206936151906*^9},
 FontSize->14],

Cell[BoxData[{
 RowBox[{
  RowBox[{"FirstOrderRule", "=", 
   RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FirstOrderRule", "=", 
   RowBox[{"Append", "[", 
    RowBox[{"FirstOrderRule", ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "x"], 
       RowBox[{"\[Alpha]", "[", "x", "]"}]}], "\[Rule]", " ", 
      RowBox[{"D\[Alpha]", "[", "x", "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FirstOrderRule", "=", 
   RowBox[{"Append", "[", 
    RowBox[{"FirstOrderRule", ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "x"], 
       RowBox[{"\[Beta]s", "[", "x", "]"}]}], "\[Rule]", " ", 
      RowBox[{"D\[Beta]s", "[", "x", "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FirstOrderRule", "=", 
   RowBox[{"Append", "[", 
    RowBox[{"FirstOrderRule", ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "x"], 
       RowBox[{"\[Beta]\[Omega]", "[", "x", "]"}]}], "\[Rule]", " ", 
      RowBox[{"D\[Beta]\[Omega]", "[", "x", "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FirstOrderRule", "=", 
   RowBox[{"Append", "[", 
    RowBox[{"FirstOrderRule", ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "x"], 
       RowBox[{"\[Beta]\[Nu]", "[", "x", "]"}]}], "\[Rule]", " ", 
      RowBox[{"D\[Beta]\[Nu]", "[", "x", "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FirstOrderRule", "=", 
   RowBox[{"Append", "[", 
    RowBox[{"FirstOrderRule", ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "x"], 
       RowBox[{"gss", "[", "x", "]"}]}], "\[Rule]", " ", 
      RowBox[{"Dgss", "[", "x", "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FirstOrderRule", "=", 
   RowBox[{"Append", "[", 
    RowBox[{"FirstOrderRule", ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "x"], 
       RowBox[{"gqq", "[", "x", "]"}]}], "\[Rule]", " ", 
      RowBox[{"Dgqq", "[", "x", "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FirstOrderRule", "=", 
   RowBox[{"Append", "[", 
    RowBox[{"FirstOrderRule", ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "x"], 
       RowBox[{"gs\[Omega]", "[", "x", "]"}]}], "\[Rule]", " ", 
      RowBox[{"Dgs\[Omega]", "[", "x", "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FirstOrderRule", "=", 
   RowBox[{"Append", "[", 
    RowBox[{"FirstOrderRule", ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "x"], 
       RowBox[{"gs\[Nu]", "[", "x", "]"}]}], "\[Rule]", " ", 
      RowBox[{"Dgs\[Nu]", "[", "x", "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FirstOrderRule", "=", 
   RowBox[{"Append", "[", 
    RowBox[{"FirstOrderRule", ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "x"], 
       RowBox[{"g\[Omega]\[Nu]", "[", "x", "]"}]}], "\[Rule]", " ", 
      RowBox[{"Dg\[Omega]\[Nu]", "[", "x", "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FirstOrderRule", "=", 
   RowBox[{"Append", "[", 
    RowBox[{"FirstOrderRule", ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "x"], 
       RowBox[{"g\[Nu]\[Nu]", "[", "x", "]"}]}], "\[Rule]", " ", 
      RowBox[{"Dg\[Nu]\[Nu]", "[", "x", "]"}]}]}], "]"}]}], ";"}]}], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10003.},
 CellChangeTimes->{{3.5302474265806026`*^9, 3.5302476796008053`*^9}, {
   3.530247710191208*^9, 3.530247763712022*^9}, {3.530247814100389*^9, 
   3.530247855079142*^9}, {3.530249130389386*^9, 3.530249133574627*^9}, {
   3.5302543875720663`*^9, 3.5302543935315857`*^9}, {3.530264697760817*^9, 
   3.530264702387138*^9}, {3.530266370620912*^9, 3.5302663779034567`*^9}, {
   3.530269465127914*^9, 3.530269473171736*^9}, {3.5302872525799513`*^9, 
   3.530287254014162*^9}, {3.530291415369923*^9, 3.530291426654337*^9}, {
   3.530293033233342*^9, 3.530293040258341*^9}, {3.5302972172652903`*^9, 
   3.530297225981155*^9}, {3.530297927908642*^9, 3.5302979369318237`*^9}, {
   3.530300236849388*^9, 3.530300245379388*^9}, {3.5303021094177217`*^9, 
   3.530302116411375*^9}, {3.530340315151968*^9, 3.5303403218248158`*^9}, 
   3.530341714816245*^9, 3.53034509852569*^9, {3.530348205631606*^9, 
   3.530348213783983*^9}, {3.530349092016548*^9, 3.530349097221483*^9}, {
   3.5311213108621902`*^9, 3.531121317206554*^9}, {3.532068809965425*^9, 
   3.532068822902671*^9}, {3.532069022398518*^9, 3.532069037565769*^9}, {
   3.5320716637122993`*^9, 3.532071676109915*^9}, {3.532072247212975*^9, 
   3.532072253419416*^9}, {3.532180103243885*^9, 3.532180112059511*^9}, {
   3.534326505788772*^9, 3.534326534646813*^9}, {3.539076973876287*^9, 
   3.539076987771624*^9}, {3.539077258454446*^9, 3.539077328042698*^9}, {
   3.539077579811636*^9, 3.539077594384849*^9}, {3.539341341293804*^9, 
   3.539341347803842*^9}, {3.539341814832204*^9, 3.539341822133787*^9}, 
   3.539351400602227*^9, {3.539351449619824*^9, 3.5393514606041822`*^9}, {
   3.539351606355834*^9, 3.539351607978468*^9}, 3.539351682574147*^9, {
   3.539351828008547*^9, 3.539351830067569*^9}, {3.539359791086154*^9, 
   3.5393597964105883`*^9}, {3.542968432420957*^9, 3.542968445173922*^9}, {
   3.5429691649728622`*^9, 3.5429691701647778`*^9}, {3.5429699478177032`*^9, 
   3.542969953435837*^9}, {3.543122419857826*^9, 3.543122424941843*^9}, {
   3.543729831621521*^9, 3.543729835984755*^9}, {3.54427261381778*^9, 
   3.544272619642281*^9}, {3.547193973588904*^9, 3.547194007145289*^9}, 
   3.547206936154269*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"FirstEqn", "=", 
   RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FirstEqn", "=", 
   RowBox[{"Append", "[", 
    RowBox[{"FirstEqn", ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "x"], 
       RowBox[{"\[Alpha]", "[", "x", "]"}]}], "\[Equal]", " ", 
      RowBox[{"D\[Alpha]", "[", "x", "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FirstEqn", "=", 
   RowBox[{"Append", "[", 
    RowBox[{"FirstEqn", ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "x"], 
       RowBox[{"\[Beta]s", "[", "x", "]"}]}], "\[Equal]", " ", 
      RowBox[{"D\[Beta]s", "[", "x", "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FirstEqn", "=", 
   RowBox[{"Append", "[", 
    RowBox[{"FirstEqn", ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "x"], 
       RowBox[{"\[Beta]\[Omega]", "[", "x", "]"}]}], "\[Equal]", " ", 
      RowBox[{"D\[Beta]\[Omega]", "[", "x", "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FirstEqn", "=", 
   RowBox[{"Append", "[", 
    RowBox[{"FirstEqn", ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "x"], 
       RowBox[{"\[Beta]\[Nu]", "[", "x", "]"}]}], "\[Equal]", " ", 
      RowBox[{"D\[Beta]\[Nu]", "[", "x", "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FirstEqn", "=", 
   RowBox[{"Append", "[", 
    RowBox[{"FirstEqn", ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "x"], 
       RowBox[{"gss", "[", "x", "]"}]}], "\[Equal]", " ", 
      RowBox[{"Dgss", "[", "x", "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FirstEqn", "=", 
   RowBox[{"Append", "[", 
    RowBox[{"FirstEqn", ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "x"], 
       RowBox[{"gqq", "[", "x", "]"}]}], "\[Equal]", " ", 
      RowBox[{"Dgqq", "[", "x", "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FirstEqn", "=", 
   RowBox[{"Append", "[", 
    RowBox[{"FirstEqn", ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "x"], 
       RowBox[{"gs\[Omega]", "[", "x", "]"}]}], "\[Equal]", " ", 
      RowBox[{"Dgs\[Omega]", "[", "x", "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FirstEqn", "=", 
   RowBox[{"Append", "[", 
    RowBox[{"FirstEqn", ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "x"], 
       RowBox[{"gs\[Nu]", "[", "x", "]"}]}], "\[Equal]", " ", 
      RowBox[{"Dgs\[Nu]", "[", "x", "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FirstEqn", "=", 
   RowBox[{"Append", "[", 
    RowBox[{"FirstEqn", ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "x"], 
       RowBox[{"g\[Omega]\[Nu]", "[", "x", "]"}]}], "\[Equal]", " ", 
      RowBox[{"Dg\[Omega]\[Nu]", "[", "x", "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FirstEqn", "=", 
   RowBox[{"Append", "[", 
    RowBox[{"FirstEqn", ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "x"], 
       RowBox[{"g\[Nu]\[Nu]", "[", "x", "]"}]}], "\[Equal]", " ", 
      RowBox[{"Dg\[Nu]\[Nu]", "[", "x", "]"}]}]}], "]"}]}], ";"}]}], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10003.},
 CellChangeTimes->{{3.530247988406879*^9, 3.5302481255636463`*^9}, {
   3.530249475886003*^9, 3.530249488990003*^9}, {3.5302544038837957`*^9, 
   3.530254406243308*^9}, {3.530264712942143*^9, 3.530264718006071*^9}, {
   3.530266380761738*^9, 3.530266388842992*^9}, {3.530269477525956*^9, 
   3.530269484207884*^9}, {3.530283561998287*^9, 3.530283564105056*^9}, {
   3.530291430312748*^9, 3.530291439964919*^9}, {3.530293045310071*^9, 
   3.530293051816696*^9}, {3.530297232497725*^9, 3.5302972429227448`*^9}, {
   3.530297942342248*^9, 3.53029795103473*^9}, {3.530300286966674*^9, 
   3.5303002925378304`*^9}, {3.530302119886397*^9, 3.5303021305703497`*^9}, {
   3.530340325799293*^9, 3.530340332218403*^9}, 3.5303416036999483`*^9, 
   3.5303450985257597`*^9, {3.5303482170118647`*^9, 3.530348223763152*^9}, {
   3.530349100627479*^9, 3.530349105683344*^9}, {3.53112132114349*^9, 
   3.531121329982985*^9}, {3.532068827974917*^9, 3.5320688408388767`*^9}, {
   3.532069040041189*^9, 3.532069053278216*^9}, {3.532071679486787*^9, 
   3.532071691438512*^9}, {3.532072260018928*^9, 3.532072265747666*^9}, {
   3.5321801158182783`*^9, 3.532180124400508*^9}, {3.5343265388055058`*^9, 
   3.534326546024432*^9}, {3.539076993355792*^9, 3.539077000267344*^9}, {
   3.5390772883563147`*^9, 3.5390772968381243`*^9}, {3.539077598659915*^9, 
   3.539077605036441*^9}, {3.539341355052073*^9, 3.539341360139666*^9}, {
   3.539341828752082*^9, 3.539341834200035*^9}, 3.539351407242177*^9, 
   3.539351464979731*^9, {3.5393516143230124`*^9, 3.5393516157873907`*^9}, 
   3.5393516851101522`*^9, {3.53935183457347*^9, 3.539351837806364*^9}, {
   3.539361048095888*^9, 3.539361060148535*^9}, {3.5429684515484877`*^9, 
   3.542968456314095*^9}, {3.542969176388811*^9, 3.542969182101468*^9}, {
   3.542969956282497*^9, 3.542969963383567*^9}, {3.543122427915457*^9, 
   3.5431224335047827`*^9}, {3.5437298429293957`*^9, 3.543729847362315*^9}, {
   3.544272623705966*^9, 3.544272629274547*^9}, {3.5471940128813057`*^9, 
   3.547194068192369*^9}, 3.5471986923026943`*^9, 3.5472069361579523`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"SecEqn", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"ListEM", "//.", "FirstOrderRule"}], "//.", 
      RowBox[{
       SubscriptBox["\[PartialD]", "x"], "FirstOrderRule"}]}], "//.", 
     "FirstOrderRule"}], "//.", "RulesM"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.530247861203053*^9, 3.530247913300679*^9}, {
   3.530247966288114*^9, 3.530247967440112*^9}, {3.530248133306673*^9, 
   3.5302481385628033`*^9}, {3.532071694917983*^9, 3.532071703318285*^9}, 
   3.537876542191009*^9, 3.5390770118033667`*^9, {3.539077340509533*^9, 
   3.539077346181746*^9}, 3.5391941867120123`*^9, 3.539341849762012*^9, {
   3.5393421044116364`*^9, 3.539342109380135*^9}, {3.540104537641123*^9, 
   3.5401045430567837`*^9}, {3.5402408448780107`*^9, 
   3.5402408520211554`*^9}, {3.545732819826997*^9, 3.545732825515069*^9}, 
   3.547206936159872*^9, {3.6554246675036697`*^9, 3.655424699710003*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Make first order reduction", "Text",
 CellChangeTimes->{{3.530345757999241*^9, 3.53034576227227*^9}, 
   3.547206936161471*^9},
 FontSize->14],

Cell[BoxData[
 RowBox[{
  RowBox[{"FullEqn", "=", 
   RowBox[{
    RowBox[{"Join", "[", 
     RowBox[{"FirstEqn", ",", "SecEqn"}], "]"}], "//", "Flatten"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.530248140277876*^9, 3.530248179259117*^9}, {
   3.5302482875510273`*^9, 3.530248292527464*^9}, {3.530248364594668*^9, 
   3.530248386394988*^9}, {3.530249263093444*^9, 3.5302492888687983`*^9}, 
   3.530279156804134*^9, 3.530279198043104*^9, {3.532072035813283*^9, 
   3.532072039086028*^9}, 3.547206936161965*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"RHSOrgRule", "=", 
   RowBox[{"Collect", "[", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Solve", "[", 
        RowBox[{"FullEqn", ",", 
         RowBox[{
          SubscriptBox["\[PartialD]", "x"], "uold"}]}], "]"}], "//", 
       "Flatten"}], ")"}], ",", "uold"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.53024818714671*^9, 3.53024821393189*^9}, {
   3.5302482525774193`*^9, 3.53024825447257*^9}, {3.530249900290649*^9, 
   3.530249908875306*^9}, {3.530249938913062*^9, 3.530249951864129*^9}, {
   3.530279203696662*^9, 3.530279205549505*^9}, {3.530279258767394*^9, 
   3.530279348986649*^9}, 3.530279794968791*^9, 3.53029453497202*^9, {
   3.530295272316372*^9, 3.530295283082232*^9}, {3.530349316676524*^9, 
   3.530349332582526*^9}, {3.53207204094252*^9, 3.532072043863865*^9}, 
   3.534326566974462*^9, 3.537210164754033*^9, {3.537210873549361*^9, 
   3.537210878549732*^9}, 3.547206936163897*^9, {3.548078919119816*^9, 
   3.548078934696638*^9}, {3.6527979507760477`*^9, 3.652797958755965*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Derive principal symbol", "Text",
 CellChangeTimes->{{3.530345757999241*^9, 3.53034576227227*^9}, {
   3.547199562648673*^9, 3.547199567459133*^9}, 3.547206936165491*^9},
 FontSize->14],

Cell[BoxData[
 RowBox[{
  RowBox[{"FullEqnsOld", "=", 
   RowBox[{
    RowBox[{"Join", "[", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"ListEM", "//.", "FirstOrderRule"}], "//.", 
         RowBox[{
          SubscriptBox["\[PartialD]", "x"], " ", "FirstOrderRule"}]}], "//.", 
        "FirstOrderRule"}], ")"}], ",", "FirstEqn"}], "]"}], "//", 
    "Flatten"}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.530298386179887*^9, 3.530298399046866*^9}, {
   3.5302984486880903`*^9, 3.530298497511113*^9}, {3.5302985474869633`*^9, 
   3.5302985718447227`*^9}, {3.530298602853127*^9, 3.5302986100309896`*^9}, {
   3.530298850638938*^9, 3.530298851957321*^9}, 3.530343443288423*^9, {
   3.5303449165483627`*^9, 3.5303449214177933`*^9}, {3.532065665090712*^9, 
   3.532065668538219*^9}, {3.5320720519423447`*^9, 3.53207205490355*^9}, 
   3.54720693616614*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"FullRulesOld", "=", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{"FullEqnsOld", ",", 
      RowBox[{
       SubscriptBox["\[PartialD]", "x"], "uold"}]}], "]"}], "//", 
    "Flatten"}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.530298615137289*^9, 3.5302987540793667`*^9}, {
   3.530298844518961*^9, 3.5302988460614567`*^9}, 3.530341230412383*^9, 
   3.5303432994113894`*^9, 3.530343443288494*^9, {3.530344916548403*^9, 
   3.530344921417823*^9}, {3.530349171055997*^9, 3.530349179690503*^9}, {
   3.532065671658496*^9, 3.532065676730715*^9}, {3.532072056863505*^9, 
   3.532072059216337*^9}, 3.5472069361680613`*^9, {3.651218444455422*^9, 
   3.651218446268993*^9}, 3.6527981141800623`*^9, {3.652799625511396*^9, 
   3.652799630194264*^9}, {3.652799719561328*^9, 3.652799721047593*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"RHSFullold", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      SubscriptBox["\[PartialD]", "x"], "uold"}], ")"}], "/.", 
    "FullRulesOld"}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.53029875788246*^9, 3.530298778866983*^9}, 
   3.530343443288558*^9, {3.530344916548441*^9, 3.5303449214178534`*^9}, {
   3.530349189743965*^9, 3.530349189813641*^9}, 3.530349474405703*^9, 
   3.5304254616362543`*^9, {3.532065680689432*^9, 3.532065683665371*^9}, {
   3.5320720616305428`*^9, 3.5320720653587513`*^9}, 3.547206936169815*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"M", "=", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Coefficient", "[", 
       RowBox[{
        RowBox[{"RHSFullold", "[", 
         RowBox[{"[", "i", "]"}], "]"}], ",", 
        RowBox[{"uold", "[", 
         RowBox[{"[", "j", "]"}], "]"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "20"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", "20"}], "}"}]}], "]"}], "//", "Simplify"}]}], ";", 
  RowBox[{"M", "//", "MatrixForm"}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.5302987801861267`*^9, 3.5302988288941183`*^9}, {
   3.5302988623123817`*^9, 3.530298919667416*^9}, 3.530343443288623*^9, {
   3.530344916548479*^9, 3.530344921417881*^9}, {3.53034914370837*^9, 
   3.530349144947448*^9}, {3.530349195775571*^9, 3.5303491959357452`*^9}, {
   3.532072067175438*^9, 3.5320720721911716`*^9}, {3.539077360070733*^9, 
   3.539077369552458*^9}, 3.547206936171864*^9, {3.547207213799554*^9, 
   3.547207220231032*^9}, {3.547465803866297*^9, 3.547465818211978*^9}, {
   3.550652636334132*^9, 3.550652646340991*^9}, 3.652798136267329*^9, {
   3.652855877097484*^9, 3.652855878666205*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"Clear", "[", 
   RowBox[{
   "ListEM", ",", "FirstOrderRule", ",", "FirstEqn", ",", "FullEqnsOld", ",", 
    "FullRulesOld", ",", "RHSFullold"}], "]"}], "*)"}]], "Input",
 CellChangeTimes->{{3.548078805368245*^9, 3.548078902651925*^9}, 
   3.548078943233162*^9, {3.652798143004848*^9, 3.652798144688702*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Change of variables", "Subsection",
 CellChangeTimes->{{3.547058194716805*^9, 3.547058205203157*^9}, {
   3.54719962648418*^9, 3.5471996319637003`*^9}, 3.547208702887014*^9}],

Cell[CellGroupData[{

Cell["Equations for change of variables", "Text",
 CellChangeTimes->{{3.54719970548287*^9, 3.547199726195203*^9}},
 FontSize->14],

Cell[BoxData[
 RowBox[{
  RowBox[{"ConstraintRule", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Theta]", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"(", " ", 
         RowBox[{
          RowBox[{
           RowBox[{"-", 
            FractionBox["s", "4"]}], 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"gss", "[", "x", "]"}], "+", 
             RowBox[{"gqq", "[", "x", "]"}]}], ")"}]}], "+", " ", 
          RowBox[{
           FractionBox["1", "4"], "\[Beta]", " ", 
           RowBox[{
            SubscriptBox["\[PartialD]", "x"], 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"gss", "[", "x", "]"}], "+", 
              RowBox[{"gqq", "[", "x", "]"}]}], ")"}]}]}], "+", 
          RowBox[{
           FractionBox["1", "2"], 
           RowBox[{
            SubscriptBox["\[PartialD]", "x"], 
            RowBox[{"\[Beta]s", "[", "x", "]"}]}]}], "+", 
          RowBox[{
           FractionBox["I", "2"], "\[Omega]", " ", 
           RowBox[{"\[Beta]\[Omega]", "[", "x", "]"}]}], "+", 
          RowBox[{
           FractionBox["1", 
            RowBox[{"2", "\[Mu]L"}]], 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"s", " ", 
              RowBox[{"\[Alpha]", "[", "x", "]"}]}], "-", " ", 
             RowBox[{"\[Beta]", " ", 
              RowBox[{
               SubscriptBox["\[PartialD]", "x"], 
               RowBox[{"\[Alpha]", "[", "x", "]"}]}]}]}], ")"}]}]}], ")"}]}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Zs", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"(", " ", 
         RowBox[{
          RowBox[{
           FractionBox["1", 
            RowBox[{"2", "\[Mu]S"}]], 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"s", " ", 
              RowBox[{"\[Beta]s", "[", "x", "]"}]}], "-", 
             RowBox[{"\[Beta]", " ", 
              RowBox[{
               SubscriptBox["\[PartialD]", "x"], 
               RowBox[{"\[Beta]s", "[", "x", "]"}]}]}], "+", 
             RowBox[{"\[Eta]L", " ", 
              RowBox[{
               SubscriptBox["\[PartialD]", "x"], 
               RowBox[{"\[Alpha]", "[", "x", "]"}]}]}]}], ")"}]}], "-", 
          RowBox[{
           FractionBox["1", "2"], 
           RowBox[{
            SubscriptBox["\[PartialD]", "x"], 
            RowBox[{"gss", "[", "x", "]"}]}]}], "-", 
          RowBox[{
           FractionBox["1", "2"], "I", " ", "\[Omega]", " ", 
           RowBox[{"gs\[Omega]", "[", "x", "]"}]}], "+", 
          RowBox[{
           FractionBox["1", "6"], 
           RowBox[{"(", 
            RowBox[{"1", "+", 
             FractionBox["\[Eta]\[Chi]", "2"]}], ")"}], 
           RowBox[{
            SubscriptBox["\[PartialD]", "x"], 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"gss", "[", "x", "]"}], "+", 
              RowBox[{"gqq", "[", "x", "]"}]}], ")"}]}]}]}], ")"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Z\[Omega]", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           FractionBox["1", 
            RowBox[{"2", "\[Mu]S"}]], 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"s", " ", 
              RowBox[{"\[Beta]\[Omega]", "[", "x", "]"}]}], "-", 
             RowBox[{"\[Beta]", " ", 
              RowBox[{
               SubscriptBox["\[PartialD]", "x"], 
               RowBox[{"\[Beta]\[Omega]", "[", "x", "]"}]}]}], "+", 
             RowBox[{"\[Eta]L", " ", "I", " ", "\[Omega]", " ", 
              RowBox[{"\[Alpha]", "[", "x", "]"}]}]}], ")"}]}], "-", 
          RowBox[{
           FractionBox["1", "2"], 
           RowBox[{
            SubscriptBox["\[PartialD]", "x"], 
            RowBox[{"gs\[Omega]", "[", "x", "]"}]}]}], "-", 
          RowBox[{
           FractionBox["1", "2"], "I", " ", "\[Omega]", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"gqq", "[", "x", "]"}], "-", 
             RowBox[{"g\[Nu]\[Nu]", "[", "x", "]"}]}], ")"}]}], "+", 
          RowBox[{
           FractionBox["1", "6"], 
           RowBox[{"(", 
            RowBox[{"1", "+", 
             FractionBox["\[Eta]\[Chi]", "2"]}], ")"}], "I", " ", "\[Omega]", 
           
           RowBox[{"(", 
            RowBox[{
             RowBox[{"gss", "[", "x", "]"}], "+", 
             RowBox[{"gqq", "[", "x", "]"}]}], ")"}]}]}], ")"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Z\[Nu]", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"(", " ", 
         RowBox[{
          RowBox[{
           FractionBox["1", 
            RowBox[{"2", "\[Mu]S"}]], 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"s", " ", 
              RowBox[{"\[Beta]\[Nu]", "[", "x", "]"}]}], "-", 
             RowBox[{"\[Beta]", " ", 
              RowBox[{
               SubscriptBox["\[PartialD]", "x"], 
               RowBox[{"\[Beta]\[Nu]", "[", "x", "]"}]}]}]}], ")"}]}], "-", 
          RowBox[{
           FractionBox["1", "2"], 
           RowBox[{
            SubscriptBox["\[PartialD]", "x"], 
            RowBox[{"gs\[Nu]", "[", "x", "]"}]}]}], "-", 
          RowBox[{
           FractionBox["1", "2"], "I", " ", "\[Omega]", " ", 
           RowBox[{"g\[Omega]\[Nu]", "[", "x", "]"}]}]}], ")"}]}]}], 
      "\[IndentingNewLine]", "}"}], "/.", "RHSOrgRule"}], "//", 
    "FullSimplify"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.548075458121704*^9, 3.5480754946814137`*^9}, {
  3.548078669997916*^9, 3.548078680417492*^9}, {3.548078711203867*^9, 
  3.548078723877659*^9}, {3.548319123009145*^9, 3.548319134578354*^9}, {
  3.550652999856948*^9, 3.550653051267453*^9}, {3.5506533399300117`*^9, 
  3.550653384009223*^9}, {3.65495470141068*^9, 3.65495470488361*^9}, {
  3.655423843112166*^9, 3.655423848709406*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DConstraintRule", "=", 
   RowBox[{"Collect", "[", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"D\[Theta]", "[", "x", "]"}], "\[Rule]", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              SubscriptBox["\[PartialD]", "x"], 
              RowBox[{"(", 
               RowBox[{"ucons", "/.", "ConstraintRule"}], ")"}]}], "/.", 
             "ConstraintRule"}], ")"}], "/.", "RHSOrgRule"}], ")"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"DZs", "[", "x", "]"}], "\[Rule]", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              SubscriptBox["\[PartialD]", "x"], 
              RowBox[{"(", 
               RowBox[{"ucons", "/.", "ConstraintRule"}], ")"}]}], "/.", 
             "ConstraintRule"}], ")"}], "/.", "RHSOrgRule"}], ")"}], "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"DZ\[Omega]", "[", "x", "]"}], "\[Rule]", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              SubscriptBox["\[PartialD]", "x"], 
              RowBox[{"(", 
               RowBox[{"ucons", "/.", "ConstraintRule"}], ")"}]}], "/.", 
             "ConstraintRule"}], ")"}], "/.", "RHSOrgRule"}], ")"}], "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"DZ\[Nu]", "[", "x", "]"}], "\[Rule]", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              SubscriptBox["\[PartialD]", "x"], 
              RowBox[{"(", 
               RowBox[{"ucons", "/.", "ConstraintRule"}], ")"}]}], "/.", 
             "ConstraintRule"}], ")"}], "/.", "RHSOrgRule"}], ")"}], "[", 
         RowBox[{"[", "4", "]"}], "]"}]}]}], "}"}], ",", "uold", ",", 
     "FullSimplify"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.548075008524581*^9, 3.548075040741562*^9}, {
   3.548075542381576*^9, 3.548075566196712*^9}, {3.5480760510326977`*^9, 
   3.5480760605528793`*^9}, {3.548076092444392*^9, 3.548076096248694*^9}, {
   3.548078694615734*^9, 3.548078703501184*^9}, 3.548078779071525*^9, {
   3.5481378684358*^9, 3.54813787270392*^9}}]
}, Closed]],

Cell[BoxData[
 RowBox[{
  RowBox[{"ChangeofVarRuleNewToOld", "=", 
   RowBox[{
    RowBox[{"Join", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"\[CapitalLambda]m", "[", "x", "]"}], "\[Rule]", 
         RowBox[{
          RowBox[{"gqq", "[", "x", "]"}], "+", 
          RowBox[{"gss", "[", "x", "]"}], "+", 
          FractionBox[
           RowBox[{"6", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Eta]L"}], ")"}], " ", 
            RowBox[{"\[Alpha]", "[", "x", "]"}]}], 
           RowBox[{
            RowBox[{"3", " ", "\[Mu]L"}], "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "4"}], "+", "\[Eta]\[Chi]"}], ")"}], " ", 
             "\[Mu]S"}]}]]}]}], ",", 
        RowBox[{
         RowBox[{"D\[CapitalLambda]m", "[", "x", "]"}], "\[Rule]", " ", 
         RowBox[{
          RowBox[{"Dgqq", "[", "x", "]"}], "+", 
          RowBox[{"Dgss", "[", "x", "]"}], "+", 
          FractionBox[
           RowBox[{"6", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Eta]L"}], ")"}], " ", 
            RowBox[{"D\[Alpha]", "[", "x", "]"}]}], 
           RowBox[{
            RowBox[{"3", " ", "\[Mu]L"}], "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "4"}], "+", "\[Eta]\[Chi]"}], ")"}], " ", 
             "\[Mu]S"}]}]]}]}], ",", 
        RowBox[{
         RowBox[{"g\[Omega]\[Omega]", "[", "x", "]"}], "\[Rule]", 
         RowBox[{
          RowBox[{"gqq", "[", "x", "]"}], "-", 
          RowBox[{"g\[Nu]\[Nu]", "[", "x", "]"}]}]}], ",", 
        RowBox[{
         RowBox[{"Dg\[Omega]\[Omega]", "[", "x", "]"}], "\[Rule]", " ", 
         RowBox[{
          RowBox[{"Dgqq", "[", "x", "]"}], "-", 
          RowBox[{"Dg\[Nu]\[Nu]", "[", "x", "]"}]}]}]}], "}"}], ",", 
      "\[IndentingNewLine]", "ConstraintRule", ",", "DConstraintRule"}], 
     "]"}], "//", "Flatten"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.530093707337989*^9, 3.530093777229506*^9}, {
   3.5300941037486677`*^9, 3.530094154165329*^9}, {3.5300942654580584`*^9, 
   3.530094607072236*^9}, {3.530094659614648*^9, 3.5300949149288282`*^9}, {
   3.5300954469159803`*^9, 3.53009546527775*^9}, {3.530095503323963*^9, 
   3.530095580404419*^9}, {3.530095732090004*^9, 3.530095844287867*^9}, {
   3.53009591038202*^9, 3.5300959804232903`*^9}, {3.5301065466045837`*^9, 
   3.530106547122665*^9}, 3.530106891718705*^9, {3.53025005742775*^9, 
   3.530250118987364*^9}, {3.5302508824438143`*^9, 3.530250887587348*^9}, {
   3.530251647908214*^9, 3.5302516486119947`*^9}, {3.530255680045043*^9, 
   3.53025568601973*^9}, 3.530264913830554*^9, {3.5302679509163513`*^9, 
   3.530267951139723*^9}, {3.530280920279067*^9, 3.530280925414311*^9}, {
   3.530287878013505*^9, 3.530287878746229*^9}, {3.5302880017856607`*^9, 
   3.530288004016059*^9}, {3.530288036497604*^9, 3.5302880478052797`*^9}, 
   3.530289353385353*^9, {3.530290524602027*^9, 3.530290525095633*^9}, {
   3.530300305268671*^9, 3.530300331015286*^9}, {3.5303010748133698`*^9, 
   3.53030109017146*^9}, {3.530340248797632*^9, 3.530340251893578*^9}, {
   3.5303408081506853`*^9, 3.530340816585198*^9}, 3.530341927579206*^9, {
   3.530345816227428*^9, 3.530345820082782*^9}, {3.530346743349512*^9, 
   3.530346751036776*^9}, {3.530346806652548*^9, 3.5303468121620417`*^9}, {
   3.530349784365444*^9, 3.53034981312224*^9}, 3.530350230797963*^9, {
   3.5311223247256413`*^9, 3.531122327979219*^9}, {3.532071752840773*^9, 
   3.532071755070827*^9}, {3.532072094595883*^9, 3.532072097337247*^9}, {
   3.532072799398602*^9, 3.532072801965543*^9}, {3.535020832220642*^9, 
   3.535020861596562*^9}, {3.535021273251429*^9, 3.535021275591012*^9}, {
   3.537682927303042*^9, 3.5376829336727743`*^9}, 3.537683084675796*^9, {
   3.5390774167167377`*^9, 3.5390774231905603`*^9}, {3.54745978330617*^9, 
   3.547459789144949*^9}, {3.547460282014423*^9, 3.547460293798644*^9}, {
   3.547465470300774*^9, 3.5474656333936567`*^9}, {3.547465921128602*^9, 
   3.547465925652998*^9}, {3.547466328788419*^9, 3.547466334303203*^9}, {
   3.547993879894805*^9, 3.547993892572949*^9}, 3.548074896475932*^9, {
   3.54807493782197*^9, 3.548074950075019*^9}, 3.548075939511387*^9, {
   3.5480781460521927`*^9, 3.548078162243333*^9}, {3.5480787307563057`*^9, 
   3.54807873430431*^9}, {3.548078774595018*^9, 3.5480787754565268`*^9}, {
   3.5480798183546457`*^9, 3.548079820560669*^9}, {3.5481366008980627`*^9, 
   3.548136661621396*^9}, {3.548136781856875*^9, 3.5481367880834293`*^9}, {
   3.548137856631271*^9, 3.548137927855434*^9}, {3.548931235816897*^9, 
   3.5489312375157833`*^9}, {3.5489312897577543`*^9, 3.548931299406234*^9}, {
   3.550653118170044*^9, 3.5506531208772497`*^9}, {3.5506542950844297`*^9, 
   3.5506543119918127`*^9}, {3.655424755270893*^9, 3.655424762087392*^9}, {
   3.656089462269292*^9, 3.6560894662621098`*^9}}],

Cell[CellGroupData[{

Cell["Similarity transformation; regular", "Text",
 CellChangeTimes->{{3.547200241828013*^9, 3.5472002558029327`*^9}, {
  3.547814938579824*^9, 3.547814940829965*^9}, {3.548134845568275*^9, 
  3.548134846598678*^9}, {3.5481368026991177`*^9, 3.548136803442957*^9}},
 FontSize->14],

Cell[BoxData[
 RowBox[{
  RowBox[{"Collect", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"usim", "//.", "ChangeofVarRuleNewToOld"}], "//.", 
     "ToPunctureNotationRule"}], ",", "uold"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{
  3.652810584440111*^9, {3.6528107663169947`*^9, 3.65281080797532*^9}, {
   3.6528110504673233`*^9, 3.65281105952144*^9}, {3.652811129251849*^9, 
   3.652811131103359*^9}, {3.65281118478162*^9, 3.652811194974799*^9}, 
   3.65281210038713*^9, {3.652812151895385*^9, 3.652812179382964*^9}, 
   3.652812594961957*^9, {3.652814916285618*^9, 3.652814927634831*^9}, {
   3.652854190057168*^9, 3.6528541951317043`*^9}, 3.652856230003484*^9, 
   3.6528566844626207`*^9, {3.6549547712182713`*^9, 3.654954775003704*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"SCoV", "=", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Coefficient", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"usim", "//.", "ChangeofVarRuleNewToOld"}], "//.", 
            "ToPunctureNotationRule"}], "/.", "RulesM"}], ")"}], "[", 
         RowBox[{"[", "i", "]"}], "]"}], ",", 
        RowBox[{"uold", "[", 
         RowBox[{"[", "j", "]"}], "]"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "20"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", "20"}], "}"}]}], "]"}], "//", "Simplify"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"SCoV", "//", "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.530426363988531*^9, 3.5304263823594646`*^9}, {
   3.530430153843556*^9, 3.530430153997694*^9}, 3.530432096470646*^9, 
   3.531121274333042*^9, {3.53112259869379*^9, 3.5311226042360563`*^9}, 
   3.531123664728901*^9, {3.5320274602741137`*^9, 3.532027487266341*^9}, {
   3.532068358516803*^9, 3.5320683846530647`*^9}, {3.53206967435572*^9, 
   3.532069678771268*^9}, {3.532071837737769*^9, 3.532071845530311*^9}, {
   3.5320719191265583`*^9, 3.53207193608643*^9}, {3.5320726864914217`*^9, 
   3.532072687244276*^9}, {3.534769794402945*^9, 3.534769798142008*^9}, {
   3.534770774451868*^9, 3.5347707896344833`*^9}, 3.534770939095787*^9, {
   3.537212825195676*^9, 3.5372128301187963`*^9}, {3.5376830440074778`*^9, 
   3.53768305254312*^9}, 3.53935294138348*^9, 3.539353441959281*^9, {
   3.543730083838881*^9, 3.543730094761176*^9}, 3.543740724805479*^9, 
   3.543741903071578*^9, {3.544337463299555*^9, 3.544337469700235*^9}, {
   3.54720015883095*^9, 3.547200165440744*^9}, {3.547202837987062*^9, 
   3.547202840037487*^9}, {3.5472033368388643`*^9, 3.5472033493997297`*^9}, {
   3.547208107041915*^9, 3.547208113673073*^9}, {3.547208238838088*^9, 
   3.547208259476503*^9}, {3.5474604014574957`*^9, 3.5474604029756413`*^9}, {
   3.547460995712687*^9, 3.5474609972358217`*^9}, {3.547465730422677*^9, 
   3.5474657350200663`*^9}, 3.547722129644681*^9, 3.547741553466226*^9, {
   3.5480751992606564`*^9, 3.548075209699881*^9}, {3.548075707292338*^9, 
   3.548075707471663*^9}, {3.5480789762314568`*^9, 3.5480789893920727`*^9}, {
   3.548089912834155*^9, 3.548089947138977*^9}, 3.548138003834423*^9, {
   3.5481595718042307`*^9, 3.548159571989277*^9}, 3.54893135173342*^9, {
   3.5506567693952847`*^9, 3.550656769593981*^9}, 3.5507386775864143`*^9, {
   3.550810170143523*^9, 3.5508101703859262`*^9}, {3.651230410768271*^9, 
   3.651230424562365*^9}, {3.6512305695987463`*^9, 3.6512305697750072`*^9}, 
   3.6528066783397923`*^9, 3.652810608218948*^9, {3.652814937824926*^9, 
   3.65281494599586*^9}, {3.652853840629773*^9, 3.652853843468012*^9}, 
   3.652856247308449*^9, {3.652856289840164*^9, 3.652856291924762*^9}, {
   3.652957084466864*^9, 3.65295709345781*^9}, {3.654953502717554*^9, 
   3.654953529476269*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0"},
     {"0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0"},
     {
      FractionBox[
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Eta]L"}], ")"}]}], 
       RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}]], "0", "0", "0", "0", "0", "1", "1",
       "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", 
      FractionBox[
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Eta]L"}], ")"}]}], 
       RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}]], "0", "0", "0", "0", "0", "0", "0",
       "1", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "1"}], "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0", 
      "0", "0", "0", 
      RowBox[{"-", "1"}], "0", "0"},
     {
      FractionBox["s", 
       RowBox[{"2", " ", "\[Mu]L"}]], "0", "0", 
      FractionBox["1", "2"], 
      FractionBox[
       RowBox[{"\[ImaginaryI]", " ", "\[Omega]"}], "2"], "0", 
      RowBox[{"-", 
       FractionBox["s", "4"]}], 
      RowBox[{"-", 
       FractionBox["s", "4"]}], "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0"},
     {"0", 
      FractionBox[
       RowBox[{"s", " ", "\[Eta]L"}], 
       RowBox[{"2", " ", "\[Mu]Ss"}]], 
      FractionBox[
       RowBox[{
        SuperscriptBox["s", "2"], "+", 
        RowBox[{"\[Mu]S", " ", 
         SuperscriptBox["\[Omega]", "2"]}]}], 
       RowBox[{"2", " ", "\[Mu]Ss"}]], "0", "0", 
      FractionBox[
       RowBox[{"\[ImaginaryI]", " ", "\[Mu]S", " ", "\[Omega]"}], 
       RowBox[{"2", " ", "\[Mu]Ss"}]], "0", "0", "0", 
      RowBox[{"-", 
       FractionBox["s", "4"]}], 
      RowBox[{"-", 
       FractionBox["s", "4"]}], "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", 
      FractionBox["\[Eta]L", 
       RowBox[{"2", " ", "\[Mu]S"}]], 
      FractionBox["s", 
       RowBox[{"2", " ", "\[Mu]S"}]], "0", "0", "0", "0", "0", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"\[ImaginaryI]", " ", "\[Omega]"}], "2"]}], 
      RowBox[{"-", 
       FractionBox["\[Mu]Ss", 
        RowBox[{"4", " ", "\[Mu]S"}]]}], 
      RowBox[{
       FractionBox["1", "2"], "-", 
       FractionBox["\[Mu]Ss", 
        RowBox[{"4", " ", "\[Mu]S"}]]}], "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {
      RowBox[{
       FractionBox[
        SuperscriptBox["s", "2"], 
        RowBox[{"2", " ", "\[Mu]L"}]], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", 
          FractionBox["\[Eta]L", 
           RowBox[{"2", " ", "\[Mu]S"}]]}], ")"}], " ", 
        SuperscriptBox["\[Omega]", "2"]}]}], "0", "0", 
      FractionBox["s", "2"], 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"\[ImaginaryI]", " ", "s", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Mu]S"}], ")"}], " ", "\[Omega]"}], 
        RowBox[{"2", " ", "\[Mu]S"}]]}], "0", 
      FractionBox[
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          SuperscriptBox["s", "2"]}], " ", "\[Mu]S"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "2"}], " ", "\[Mu]S"}], "+", "\[Mu]Ss"}], ")"}], " ", 
         SuperscriptBox["\[Omega]", "2"]}]}], 
       RowBox[{"4", " ", "\[Mu]S"}]], 
      FractionBox[
       RowBox[{
        RowBox[{
         SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
        RowBox[{"\[Mu]Ss", " ", 
         SuperscriptBox["\[Omega]", "2"]}]}], 
       RowBox[{"4", " ", "\[Mu]S"}]], "0", "0", "0", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"\[ImaginaryI]", " ", "\[Omega]"}], "2"]}], "0", "0", "0", 
      "0", "0", "0", "0", "0"},
     {
      FractionBox[
       RowBox[{"\[ImaginaryI]", " ", "\[Eta]L", " ", "\[Omega]"}], 
       RowBox[{"2", " ", "\[Mu]S"}]], "0", "0", "0", 
      FractionBox["s", 
       RowBox[{"2", " ", "\[Mu]S"}]], "0", 
      FractionBox[
       RowBox[{"\[ImaginaryI]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", "\[Mu]S"}], "-", "\[Mu]Ss"}], ")"}], " ", 
        "\[Omega]"}], 
       RowBox[{"4", " ", "\[Mu]S"}]], 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"\[ImaginaryI]", " ", "\[Mu]Ss", " ", "\[Omega]"}], 
        RowBox[{"4", " ", "\[Mu]S"}]]}], "0", "0", "0", 
      RowBox[{"-", 
       FractionBox["1", "2"]}], "0", "0", 
      FractionBox[
       RowBox[{"\[ImaginaryI]", " ", "\[Omega]"}], "2"], "0", "0", "0", "0", 
      "0"},
     {"0", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"\[ImaginaryI]", " ", 
         RowBox[{"(", 
          RowBox[{"\[Eta]L", "-", 
           RowBox[{"2", " ", "\[Mu]S"}]}], ")"}], " ", "\[Omega]"}], 
        RowBox[{"2", " ", "\[Mu]S"}]]}], 
      FractionBox[
       RowBox[{"\[ImaginaryI]", " ", "s", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Mu]S"}], ")"}], " ", "\[Omega]"}], 
       RowBox[{"2", " ", "\[Mu]S"}]], "0", "0", 
      FractionBox["s", "2"], "0", "0", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          SuperscriptBox["s", "2"]}], "-", 
         SuperscriptBox["\[Omega]", "2"]}], ")"}]}], 
      FractionBox[
       RowBox[{"\[ImaginaryI]", " ", "\[Mu]Ss", " ", "\[Omega]"}], 
       RowBox[{"4", " ", "\[Mu]S"}]], 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"\[ImaginaryI]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", "\[Mu]S"}], "-", "\[Mu]Ss"}], ")"}], " ", 
         "\[Omega]"}], 
        RowBox[{"4", " ", "\[Mu]S"}]]}], "0", "0", "0", "0", "0", "0", 
      FractionBox[
       RowBox[{"\[ImaginaryI]", " ", "\[Omega]"}], "2"], "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"\[ImaginaryI]", " ", "\[Omega]"}], "2"]}], "0", 
      RowBox[{"-", 
       FractionBox["1", "2"]}], "0", "0", 
      FractionBox["s", 
       RowBox[{"2", " ", "\[Mu]S"}]], "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          SuperscriptBox["s", "2"]}], "-", 
         SuperscriptBox["\[Omega]", "2"]}], ")"}]}], "0", "0", "0", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"\[ImaginaryI]", " ", "\[Omega]"}], "2"]}], "0", "0", 
      FractionBox["s", "2"]},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "1", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "1"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", 
      "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "1", "0", "0", "0"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.65295714016916*^9, 3.652957599888773*^9, 3.6549128926617107`*^9, {
   3.654953492308898*^9, 3.6549535361407337`*^9}, 3.654954752378401*^9, 
   3.654954906232617*^9, 3.655069796454022*^9, 3.655087122991025*^9, 
   3.655087174256555*^9, 3.6554247712857637`*^9, 3.655815331202818*^9, 
   3.656074158719041*^9, 3.6560806885251093`*^9, 3.656111025864777*^9, 
   3.656113557637313*^9, 3.656163171668627*^9, 3.656164672861681*^9, 
   3.656164794624072*^9, 3.656178228377122*^9, 3.6562137091611423`*^9, 
   3.656213921852376*^9, 3.656700614750404*^9, 3.656700773522977*^9, 
   3.656718180259379*^9, 3.6567658525499907`*^9, 3.656866918490375*^9, 
   3.656867236645557*^9, 3.6651324413801193`*^9, 3.665146703376507*^9, 
   3.6652013203132887`*^9, 3.665244531939207*^9, 3.674265408642519*^9, 
   3.6781065915730553`*^9, 3.6781096402057543`*^9, 3.680866399779324*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"SCoVinv", "=", 
   RowBox[{
    RowBox[{"Inverse", "[", "SCoV", "]"}], "//", "Simplify"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5327933748428*^9, 3.532793401593585*^9}, {
   3.534326378178841*^9, 3.534326388680828*^9}, {3.534769801519698*^9, 
   3.5347698084326563`*^9}, {3.543730374251733*^9, 3.543730377951295*^9}, {
   3.543735808051981*^9, 3.5437358274453497`*^9}, 3.543739921344488*^9, {
   3.5437403698945932`*^9, 3.543740370277524*^9}, {3.544272789596596*^9, 
   3.544272799772822*^9}, {3.547198928669134*^9, 3.5471989359947357`*^9}, {
   3.547202849560259*^9, 3.547202852608185*^9}, {3.547208267530223*^9, 
   3.547208271014958*^9}, {3.5474612150340967`*^9, 3.547461228476371*^9}, {
   3.5474657386499023`*^9, 3.547465749164918*^9}, {3.5480789910179253`*^9, 
   3.548078993809836*^9}, {3.652858537915505*^9, 3.6528585383733807`*^9}, 
   3.65285883722432*^9, {3.652957097661457*^9, 3.652957098120767*^9}}],

Cell["The transformation is regular ", "Text",
 CellChangeTimes->{{3.530426618875182*^9, 3.530426634549214*^9}, {
   3.532027490624528*^9, 3.53202749132749*^9}, {3.547199850857273*^9, 
   3.547199876531013*^9}, 3.547208015848537*^9, {3.547722142390748*^9, 
   3.547722145668997*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"SCoV", "//", "Det"}], "//", "FullSimplify"}], "//", "Factor"}],
     "//", "FullSimplify"}], ")"}], "/.", "RulesM"}]], "Input",
 CellChangeTimes->{{3.530426390472766*^9, 3.530426395554627*^9}, {
   3.532068347355324*^9, 3.532068349674892*^9}, {3.532068391564231*^9, 
   3.532068396491879*^9}, {3.532068921087401*^9, 3.5320689296389008`*^9}, {
   3.53206915584934*^9, 3.53206916095161*^9}, {3.532069553594211*^9, 
   3.5320695572014627`*^9}, {3.532069698057251*^9, 3.5320696987681303`*^9}, 
   3.533214740213573*^9, 3.534326394989079*^9, 3.535020373725909*^9, 
   3.537259680416028*^9, 3.5372597533962173`*^9, 3.537683060494166*^9, 
   3.547203190320236*^9, 3.547208280609438*^9, {3.547461241204019*^9, 
   3.5474612422254744`*^9}, 3.547470525084073*^9, 3.5489314944810343`*^9, {
   3.549022879493359*^9, 3.549022896362781*^9}, {3.550656880454583*^9, 
   3.550656883826591*^9}, {3.552918922957016*^9, 3.552918930991832*^9}, {
   3.651138974585634*^9, 3.651138992153987*^9}, 3.651230405756459*^9, {
   3.652856849716392*^9, 3.652856850247094*^9}, 3.652858852809894*^9, 
   3.652878792482615*^9, 3.6530410004170523`*^9, {3.654912907258308*^9, 
   3.654912930546377*^9}}],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["s", "2"], "+", 
      SuperscriptBox["\[Omega]", "2"]}], ")"}], "3"], " ", 
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox["s", "2"], "+", 
     RowBox[{"\[Mu]S", " ", 
      SuperscriptBox["\[Omega]", "2"]}]}], ")"}]}], 
  RowBox[{"256", " ", "\[Mu]Ss"}]]], "Output",
 CellChangeTimes->{
  3.65287879283036*^9, 3.6528791140944357`*^9, 3.652879150125404*^9, 
   3.652957616196731*^9, {3.654912904718948*^9, 3.6549129315257587`*^9}, 
   3.6549549242980328`*^9, 3.6550697965611477`*^9, 3.655087123095366*^9, 
   3.655087174366652*^9, 3.6554247713909693`*^9, 3.6558153314060926`*^9, 
   3.65607415888936*^9, 3.656080688711364*^9, 3.656111026092134*^9, 
   3.656113557741973*^9, 3.65616317183681*^9, 3.65616467318036*^9, 
   3.656164794790213*^9, 3.6561782285538197`*^9, 3.6562137093143272`*^9, 
   3.656213922048605*^9, 3.656700614950493*^9, 3.656700773731048*^9, 
   3.656718180466651*^9, 3.65676585273237*^9, 3.656866918699645*^9, 
   3.656867236867763*^9, 3.665132441548678*^9, 3.665146703558537*^9, 
   3.66520132052137*^9, 3.665244532163066*^9, 3.6742654088484*^9, 
   3.678106591795323*^9, 3.678109640383459*^9, 3.680866400004137*^9}]
}, Open  ]],

Cell["Rule to go to new variables", "Text",
 CellChangeTimes->{{3.548386657408092*^9, 3.548386677904351*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ChangeofVarRuleOldToNew", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"uold", "[", 
       RowBox[{"[", "i", "]"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"SCoVinv", ".", "usim"}], ")"}], "[", 
       RowBox[{"[", "i", "]"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "20"}], "}"}]}], "]"}]}], ";", 
  RowBox[{"ChangeofVarRuleOldToNew", "//", "MatrixForm"}]}]], "Input",
 CellChangeTimes->{{3.5483502304486322`*^9, 3.548350249289974*^9}, {
  3.54835029434229*^9, 3.548350415335991*^9}, {3.548386009841257*^9, 
  3.5483860149633636`*^9}, {3.548931467001977*^9, 3.548931470097991*^9}, {
  3.651230489782181*^9, 3.651230489954883*^9}, {3.654954946286681*^9, 
  3.6549549508130198`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{
        RowBox[{"\[Alpha]", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"\[Alpha]", "[", "x", "]"}]}]},
      {
       RowBox[{
        RowBox[{"D\[Alpha]", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"D\[Alpha]", "[", "x", "]"}]}]},
      {
       RowBox[{
        RowBox[{"\[Beta]s", "[", "x", "]"}], "\[Rule]", 
        RowBox[{
         FractionBox[
          RowBox[{"s", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "\[Eta]L"}], " ", "\[Mu]L"}], "+", "\[Mu]Ss"}], 
            ")"}], " ", 
           RowBox[{"D\[Alpha]", "[", "x", "]"}]}], 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             RowBox[{"\[Mu]S", " ", 
              SuperscriptBox["\[Omega]", "2"]}]}], ")"}]}]], "-", 
         FractionBox[
          RowBox[{"\[ImaginaryI]", " ", "\[Mu]S", " ", "\[Omega]", " ", 
           RowBox[{"D\[Beta]\[Omega]", "[", "x", "]"}]}], 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           RowBox[{"\[Mu]S", " ", 
            SuperscriptBox["\[Omega]", "2"]}]}]], "+", 
         FractionBox[
          RowBox[{"2", " ", "\[Mu]Ss", " ", 
           RowBox[{"D\[Theta]", "[", "x", "]"}]}], 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           RowBox[{"\[Mu]S", " ", 
            SuperscriptBox["\[Omega]", "2"]}]}]], "+", 
         FractionBox[
          RowBox[{"s", " ", "\[Mu]Ss", " ", 
           RowBox[{"D\[CapitalLambda]m", "[", "x", "]"}]}], 
          RowBox[{
           RowBox[{"2", " ", 
            SuperscriptBox["s", "2"]}], "+", 
           RowBox[{"2", " ", "\[Mu]S", " ", 
            SuperscriptBox["\[Omega]", "2"]}]}]]}]}]},
      {
       RowBox[{
        RowBox[{"D\[Beta]s", "[", "x", "]"}], "\[Rule]", 
        RowBox[{
         FractionBox[
          RowBox[{"s", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "\[Eta]L"}], " ", "\[Mu]L"}], "+", "\[Mu]Ss"}], 
            ")"}], " ", 
           RowBox[{"\[Alpha]", "[", "x", "]"}]}], 
          RowBox[{"\[Mu]L", " ", 
           RowBox[{"(", 
            RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}]}]], "-", 
         RowBox[{"\[ImaginaryI]", " ", "\[Omega]", " ", 
          RowBox[{"\[Beta]\[Omega]", "[", "x", "]"}]}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"\[Theta]", "[", "x", "]"}]}], "+", 
         RowBox[{
          FractionBox["1", "2"], " ", "s", " ", 
          RowBox[{"\[CapitalLambda]m", "[", "x", "]"}]}]}]}]},
      {
       RowBox[{
        RowBox[{"\[Beta]\[Omega]", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"\[Beta]\[Omega]", "[", "x", "]"}]}]},
      {
       RowBox[{
        RowBox[{"D\[Beta]\[Omega]", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"D\[Beta]\[Omega]", "[", "x", "]"}]}]},
      {
       RowBox[{
        RowBox[{"gss", "[", "x", "]"}], "\[Rule]", 
        RowBox[{
         RowBox[{"-", 
          FractionBox[
           RowBox[{"2", " ", 
            RowBox[{"DZs", "[", "x", "]"}]}], 
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]}], "-", 
         FractionBox[
          RowBox[{
           SuperscriptBox["\[Omega]", "2"], " ", 
           RowBox[{"g\[Omega]\[Omega]", "[", "x", "]"}]}], 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]], "+", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Omega]", " ", 
           RowBox[{"Z\[Omega]", "[", "x", "]"}]}], 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]], "+", 
         FractionBox[
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", 
               SuperscriptBox["s", "2"]}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Eta]L"}], ")"}]}], "-", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Eta]L", "-", "\[Mu]L", "+", 
                "\[Mu]Ss"}], ")"}], " ", 
              SuperscriptBox["\[Omega]", "2"]}]}], ")"}], " ", 
           RowBox[{"\[Alpha]", "[", "x", "]"}]}], 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}], ")"}]}]], "-", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "s", " ", "\[Omega]", " ", 
           RowBox[{"\[Beta]\[Omega]", "[", "x", "]"}]}], 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]], "+", 
         FractionBox[
          RowBox[{"2", " ", "s", " ", 
           RowBox[{"\[Theta]", "[", "x", "]"}]}], 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]], "+", 
         RowBox[{"\[CapitalLambda]m", "[", "x", "]"}]}]}]},
      {
       RowBox[{
        RowBox[{"gqq", "[", "x", "]"}], "\[Rule]", 
        RowBox[{
         FractionBox[
          RowBox[{"2", " ", 
           RowBox[{"DZs", "[", "x", "]"}]}], 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]], "+", 
         FractionBox[
          RowBox[{
           SuperscriptBox["\[Omega]", "2"], " ", 
           RowBox[{"g\[Omega]\[Omega]", "[", "x", "]"}]}], 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]], "-", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Omega]", " ", 
           RowBox[{"Z\[Omega]", "[", "x", "]"}]}], 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]], "-", 
         FractionBox[
          RowBox[{"2", " ", 
           SuperscriptBox["\[Omega]", "2"], " ", 
           RowBox[{"\[Alpha]", "[", "x", "]"}]}], 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]], "+", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "s", " ", "\[Omega]", " ", 
           RowBox[{"\[Beta]\[Omega]", "[", "x", "]"}]}], 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]], "-", 
         FractionBox[
          RowBox[{"2", " ", "s", " ", 
           RowBox[{"\[Theta]", "[", "x", "]"}]}], 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]]}]}]},
      {
       RowBox[{
        RowBox[{"gs\[Omega]", "[", "x", "]"}], "\[Rule]", 
        RowBox[{
         RowBox[{"-", 
          FractionBox[
           RowBox[{"\[ImaginaryI]", " ", "\[Omega]", " ", 
            RowBox[{"Dg\[Omega]\[Omega]", "[", "x", "]"}]}], 
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]}], "-", 
         FractionBox[
          RowBox[{"2", " ", 
           RowBox[{"DZ\[Omega]", "[", "x", "]"}]}], 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]], "-", 
         FractionBox[
          RowBox[{"\[ImaginaryI]", " ", "\[Omega]", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              SuperscriptBox["s", "2"], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "2"}], "+", "\[Eta]L"}], ")"}], " ", 
                 "\[Mu]L"}], "+", "\[Mu]Ss"}], ")"}]}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"\[Eta]L", " ", "\[Mu]L"}], "-", 
                RowBox[{"2", " ", "\[Mu]L", " ", "\[Mu]S"}], "-", "\[Mu]Ss", 
                "+", 
                RowBox[{"2", " ", "\[Mu]S", " ", "\[Mu]Ss"}]}], ")"}], " ", 
              SuperscriptBox["\[Omega]", "2"]}]}], ")"}], " ", 
           RowBox[{"D\[Alpha]", "[", "x", "]"}]}], 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             RowBox[{"\[Mu]S", " ", 
              SuperscriptBox["\[Omega]", "2"]}]}], ")"}]}]], "+", 
         FractionBox[
          RowBox[{"s", " ", 
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", 
                RowBox[{"2", " ", "\[Mu]S"}]}], ")"}], " ", 
              SuperscriptBox["\[Omega]", "2"]}]}], ")"}], " ", 
           RowBox[{"D\[Beta]\[Omega]", "[", "x", "]"}]}], 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             RowBox[{"\[Mu]S", " ", 
              SuperscriptBox["\[Omega]", "2"]}]}], ")"}]}]], "+", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "s", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Mu]S"}], ")"}], " ", "\[Mu]Ss", " ", 
           "\[Omega]", " ", 
           RowBox[{"D\[Theta]", "[", "x", "]"}]}], 
          RowBox[{"\[Mu]S", " ", 
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             RowBox[{"\[Mu]S", " ", 
              SuperscriptBox["\[Omega]", "2"]}]}], ")"}]}]], "+", 
         FractionBox[
          RowBox[{"\[ImaginaryI]", " ", "\[Mu]Ss", " ", "\[Omega]", " ", 
           RowBox[{"D\[CapitalLambda]m", "[", "x", "]"}]}], 
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             RowBox[{"\[Mu]S", " ", 
              SuperscriptBox["\[Omega]", "2"]}]}], ")"}]}]]}]}]},
      {
       RowBox[{
        RowBox[{"Dgss", "[", "x", "]"}], "\[Rule]", 
        RowBox[{
         RowBox[{"-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[Omega]", "2"], " ", 
            RowBox[{"Dg\[Omega]\[Omega]", "[", "x", "]"}]}], 
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Omega]", " ", 
           RowBox[{"DZ\[Omega]", "[", "x", "]"}]}], 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]], "+", 
         FractionBox[
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", 
               SuperscriptBox["s", "2"]}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Eta]L"}], ")"}]}], "-", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Eta]L", "-", "\[Mu]L", "+", 
                "\[Mu]Ss"}], ")"}], " ", 
              SuperscriptBox["\[Omega]", "2"]}]}], ")"}], " ", 
           RowBox[{"D\[Alpha]", "[", "x", "]"}]}], 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}], ")"}]}]], "-", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "s", " ", "\[Omega]", " ", 
           RowBox[{"D\[Beta]\[Omega]", "[", "x", "]"}]}], 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]], "+", 
         FractionBox[
          RowBox[{"2", " ", "s", " ", "\[Mu]Ss", " ", 
           RowBox[{"D\[Theta]", "[", "x", "]"}]}], 
          RowBox[{
           RowBox[{
            SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
           RowBox[{"\[Mu]S", " ", 
            SuperscriptBox["\[Omega]", "2"]}]}]], "+", 
         RowBox[{"D\[CapitalLambda]m", "[", "x", "]"}], "-", 
         RowBox[{"2", " ", 
          RowBox[{"Zs", "[", "x", "]"}]}]}]}]},
      {
       RowBox[{
        RowBox[{"Dgqq", "[", "x", "]"}], "\[Rule]", 
        RowBox[{
         FractionBox[
          RowBox[{
           SuperscriptBox["\[Omega]", "2"], " ", 
           RowBox[{"Dg\[Omega]\[Omega]", "[", "x", "]"}]}], 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]], "-", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Omega]", " ", 
           RowBox[{"DZ\[Omega]", "[", "x", "]"}]}], 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]], "-", 
         FractionBox[
          RowBox[{"2", " ", 
           SuperscriptBox["\[Omega]", "2"], " ", 
           RowBox[{"D\[Alpha]", "[", "x", "]"}]}], 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]], "+", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "s", " ", "\[Omega]", " ", 
           RowBox[{"D\[Beta]\[Omega]", "[", "x", "]"}]}], 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]], "-", 
         FractionBox[
          RowBox[{"2", " ", "s", " ", "\[Mu]Ss", " ", 
           RowBox[{"D\[Theta]", "[", "x", "]"}]}], 
          RowBox[{
           RowBox[{
            SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
           RowBox[{"\[Mu]S", " ", 
            SuperscriptBox["\[Omega]", "2"]}]}]], "+", 
         RowBox[{"2", " ", 
          RowBox[{"Zs", "[", "x", "]"}]}]}]}]},
      {
       RowBox[{
        RowBox[{"Dgs\[Omega]", "[", "x", "]"}], "\[Rule]", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "\[ImaginaryI]"}], " ", "\[Omega]", " ", 
          RowBox[{"g\[Omega]\[Omega]", "[", "x", "]"}]}], "-", 
         RowBox[{"2", " ", 
          RowBox[{"Z\[Omega]", "[", "x", "]"}]}], "-", 
         FractionBox[
          RowBox[{"\[ImaginaryI]", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "\[Eta]L"}], " ", "\[Mu]L"}], "-", 
             RowBox[{"2", " ", "\[Mu]S"}], "+", 
             RowBox[{"2", " ", "\[Eta]L", " ", "\[Mu]S"}], "+", "\[Mu]Ss"}], 
            ")"}], " ", "\[Omega]", " ", 
           RowBox[{"\[Alpha]", "[", "x", "]"}]}], 
          RowBox[{"\[Mu]S", " ", 
           RowBox[{"(", 
            RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}]}]], "+", 
         FractionBox[
          RowBox[{"s", " ", 
           RowBox[{"\[Beta]\[Omega]", "[", "x", "]"}]}], "\[Mu]S"], "+", 
         FractionBox[
          RowBox[{"\[ImaginaryI]", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"2", " ", "\[Mu]S"}], "-", "\[Mu]Ss"}], ")"}], " ", 
           "\[Omega]", " ", 
           RowBox[{"\[CapitalLambda]m", "[", "x", "]"}]}], 
          RowBox[{"2", " ", "\[Mu]S"}]]}]}]},
      {
       RowBox[{
        RowBox[{"gs\[Nu]", "[", "x", "]"}], "\[Rule]", 
        RowBox[{
         RowBox[{"-", 
          FractionBox[
           RowBox[{"\[ImaginaryI]", " ", "\[Omega]", " ", 
            RowBox[{"Dg\[Omega]\[Nu]", "[", "x", "]"}]}], 
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]}], "-", 
         FractionBox[
          RowBox[{"2", " ", 
           RowBox[{"DZ\[Nu]", "[", "x", "]"}]}], 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]], "+", 
         FractionBox[
          RowBox[{"s", " ", 
           RowBox[{"D\[Beta]\[Nu]", "[", "x", "]"}]}], 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]]}]}]},
      {
       RowBox[{
        RowBox[{"g\[Omega]\[Nu]", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"g\[Omega]\[Nu]", "[", "x", "]"}]}]},
      {
       RowBox[{
        RowBox[{"g\[Nu]\[Nu]", "[", "x", "]"}], "\[Rule]", 
        RowBox[{
         FractionBox[
          RowBox[{"2", " ", 
           RowBox[{"DZs", "[", "x", "]"}]}], 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]], "-", 
         FractionBox[
          RowBox[{
           SuperscriptBox["s", "2"], " ", 
           RowBox[{"g\[Omega]\[Omega]", "[", "x", "]"}]}], 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]], "-", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Omega]", " ", 
           RowBox[{"Z\[Omega]", "[", "x", "]"}]}], 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]], "-", 
         FractionBox[
          RowBox[{"2", " ", 
           SuperscriptBox["\[Omega]", "2"], " ", 
           RowBox[{"\[Alpha]", "[", "x", "]"}]}], 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]], "+", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "s", " ", "\[Omega]", " ", 
           RowBox[{"\[Beta]\[Omega]", "[", "x", "]"}]}], 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]], "-", 
         FractionBox[
          RowBox[{"2", " ", "s", " ", 
           RowBox[{"\[Theta]", "[", "x", "]"}]}], 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]]}]}]},
      {
       RowBox[{
        RowBox[{"Dgs\[Nu]", "[", "x", "]"}], "\[Rule]", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "\[ImaginaryI]"}], " ", "\[Omega]", " ", 
          RowBox[{"g\[Omega]\[Nu]", "[", "x", "]"}]}], "-", 
         RowBox[{"2", " ", 
          RowBox[{"Z\[Nu]", "[", "x", "]"}]}], "+", 
         FractionBox[
          RowBox[{"s", " ", 
           RowBox[{"\[Beta]\[Nu]", "[", "x", "]"}]}], "\[Mu]S"]}]}]},
      {
       RowBox[{
        RowBox[{"Dg\[Omega]\[Nu]", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"Dg\[Omega]\[Nu]", "[", "x", "]"}]}]},
      {
       RowBox[{
        RowBox[{"Dg\[Nu]\[Nu]", "[", "x", "]"}], "\[Rule]", 
        RowBox[{
         RowBox[{"-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["s", "2"], " ", 
            RowBox[{"Dg\[Omega]\[Omega]", "[", "x", "]"}]}], 
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]}], "-", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Omega]", " ", 
           RowBox[{"DZ\[Omega]", "[", "x", "]"}]}], 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]], "-", 
         FractionBox[
          RowBox[{"2", " ", 
           SuperscriptBox["\[Omega]", "2"], " ", 
           RowBox[{"D\[Alpha]", "[", "x", "]"}]}], 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]], "+", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "s", " ", "\[Omega]", " ", 
           RowBox[{"D\[Beta]\[Omega]", "[", "x", "]"}]}], 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]], "-", 
         FractionBox[
          RowBox[{"2", " ", "s", " ", "\[Mu]Ss", " ", 
           RowBox[{"D\[Theta]", "[", "x", "]"}]}], 
          RowBox[{
           RowBox[{
            SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
           RowBox[{"\[Mu]S", " ", 
            SuperscriptBox["\[Omega]", "2"]}]}]], "+", 
         RowBox[{"2", " ", 
          RowBox[{"Zs", "[", "x", "]"}]}]}]}]},
      {
       RowBox[{
        RowBox[{"\[Beta]\[Nu]", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"\[Beta]\[Nu]", "[", "x", "]"}]}]},
      {
       RowBox[{
        RowBox[{"D\[Beta]\[Nu]", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"D\[Beta]\[Nu]", "[", "x", "]"}]}]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.654954951435141*^9, 3.6550697966092033`*^9, 
  3.655087123136307*^9, 3.6550871744079227`*^9, 3.655424771437893*^9, 
  3.655815331459639*^9, 3.656074158934803*^9, 3.656080688751993*^9, 
  3.656111026135612*^9, 3.656113557787888*^9, 3.656163171864016*^9, 
  3.656164673230646*^9, 3.6561647948136597`*^9, 3.656178228598733*^9, 
  3.656213709347041*^9, 3.656213922085904*^9, 3.6567006149916687`*^9, 
  3.65670077376011*^9, 3.65671818049994*^9, 3.656765852782325*^9, 
  3.65686691873358*^9, 3.656867236901046*^9, 3.665132441611052*^9, 
  3.665146703598303*^9, 3.665201320563835*^9, 3.6652445322201853`*^9, 
  3.6742654088996143`*^9, 3.678106591828792*^9, 3.6781096404086943`*^9, 
  3.680866400056471*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Principal symbol after rotation ", "Text",
 CellChangeTimes->{{3.530425472596621*^9, 3.530425473882598*^9}, {
   3.530435920427431*^9, 3.5304359420438538`*^9}, 3.547199762482212*^9},
 FontSize->14],

Cell[BoxData[
 RowBox[{
  RowBox[{"Msim", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"SCoV", ".", "M", ".", "SCoVinv"}], "/.", "RulesM"}], "//", 
    "Simplify"}]}], ";", 
  RowBox[{"Msim", "//", "MatrixForm"}], ";"}]], "Input",
 CellChangeTimes->{{3.530426563982806*^9, 3.53042660577474*^9}, {
   3.530426642557097*^9, 3.530426644960182*^9}, {3.530426963202936*^9, 
   3.5304269717253733`*^9}, 3.531121284140505*^9, 3.532069587798566*^9, {
   3.532069683449882*^9, 3.532069684466428*^9}, 3.532069754826047*^9, {
   3.5320700139839067`*^9, 3.532070024135215*^9}, {3.532070230399769*^9, 
   3.5320702352718563`*^9}, {3.532071893020979*^9, 3.532071898915234*^9}, {
   3.532072125871909*^9, 3.53207212859925*^9}, {3.5327934084543343`*^9, 
   3.532793431250925*^9}, 3.532793928803261*^9, {3.532794167322324*^9, 
   3.5327941744850883`*^9}, {3.532794323702692*^9, 3.532794340036571*^9}, 
   3.5327973451724167`*^9, {3.533213619810577*^9, 3.533213623857984*^9}, {
   3.534769912262968*^9, 3.534769925570471*^9}, 3.534770035918343*^9, 
   3.5350203789628057`*^9, {3.544272807005186*^9, 3.544272812101532*^9}, {
   3.544962994579906*^9, 3.544962999636153*^9}, 3.547095064540415*^9, 
   3.547199033992106*^9, {3.547202827247828*^9, 3.54720283017489*^9}, {
   3.547202875821933*^9, 3.547202893103745*^9}, {3.5472033693274918`*^9, 
   3.54720337368543*^9}, {3.5472084693254013`*^9, 3.54720848250921*^9}, 
   3.54746204690515*^9, 3.547462083376083*^9, 3.547477475972416*^9, 
   3.547724351792191*^9, {3.548075643979086*^9, 3.548075650112368*^9}, 
   3.5480790024041452`*^9, 3.5480790985889387`*^9, 3.548090149960308*^9, 
   3.548090496471425*^9, 3.548134815685246*^9, 3.548931491442697*^9, 
   3.5490203673492193`*^9, {3.550655345036336*^9, 3.5506553704559307`*^9}, 
   3.5506573568962107`*^9, {3.55065740303014*^9, 3.5506574032260323`*^9}, 
   3.5507387113248587`*^9, {3.651215106683147*^9, 3.65121510937418*^9}, {
   3.651218597553584*^9, 3.6512185977832937`*^9}, {3.6516761703551598`*^9, 
   3.651676172972665*^9}, {3.652852931626306*^9, 3.652852937626087*^9}, {
   3.6528588627932377`*^9, 3.652858875540537*^9}, 3.6529571369762983`*^9, 
   3.65495508849823*^9, 3.654965970407106*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Equation of motion after the rotation", "Text",
 CellChangeTimes->{{3.547725872758978*^9, 3.547725886110214*^9}},
 FontSize->14],

Cell[BoxData[
 RowBox[{
  RowBox[{"RHSrotRule", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "x"], 
       RowBox[{"(", 
        RowBox[{"usim", "[", 
         RowBox[{"[", "i", "]"}], "]"}], ")"}]}], "\[Rule]", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Msim", ".", "usim"}], ")"}], "[", 
       RowBox[{"[", "i", "]"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "20"}], "}"}]}], "]"}]}], ";", 
  RowBox[{
   RowBox[{"Collect", "[", 
    RowBox[{
     RowBox[{"RHSrotRule", "/.", "RulesM"}], ",", "usim", ",", 
     "FullSimplify"}], "]"}], "//", "MatrixForm"}], ";"}]], "Input",
 CellChangeTimes->{{3.5477257299669247`*^9, 3.547725735772737*^9}, 
   3.547725845777048*^9, 3.547725897375905*^9, {3.547726139618638*^9, 
   3.547726142493857*^9}, {3.547741565426207*^9, 3.547741570028102*^9}, {
   3.548075227263894*^9, 3.548075235521802*^9}, {3.548075719868626*^9, 
   3.5480757333222723`*^9}, {3.5480761178240013`*^9, 3.54807611799188*^9}, {
   3.5480804943159523`*^9, 3.548080500721636*^9}, {3.548090352870843*^9, 
   3.548090369354343*^9}, {3.5481379557730017`*^9, 3.548137958977882*^9}, {
   3.548147122944543*^9, 3.548147123144457*^9}, {3.6512185894776363`*^9, 
   3.651218589642769*^9}, {3.651254227149732*^9, 3.6512542308077517`*^9}, {
   3.654913287782655*^9, 3.654913340209269*^9}, 3.65496577126086*^9, 
   3.6549667854007883`*^9, 3.654967001176858*^9}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Diagonalizability and general solution", "Subsection",
 CellChangeTimes->{{3.547058194716805*^9, 3.547058205203157*^9}, {
  3.5470582393700438`*^9, 3.547058247176804*^9}, {3.547724289267255*^9, 
  3.5477242905840883`*^9}, {3.651214918510507*^9, 3.651214921764297*^9}, {
  3.651250041454368*^9, 3.6512500456654167`*^9}}],

Cell[CellGroupData[{

Cell["Identify special cases", "Text",
 CellChangeTimes->{{3.547208864878004*^9, 3.547208875291933*^9}, {
  3.547793613287134*^9, 3.547793616423315*^9}},
 FontSize->14],

Cell["\<\
The following line is slow, but reveals no special cases in (s, omega), only \
in gauge parameters.\
\>", "Text",
 CellChangeTimes->{{3.54807575160476*^9, 3.548075758776381*^9}, {
  3.651215031705336*^9, 3.651215058988132*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"(", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Msim", "/.", "RulesM"}], "//", "FullSimplify"}], "//", 
      "Eigenvectors"}], "//", "Det"}], "//", "PowerExpand"}], "//", 
   "Simplify"}], ")"}]], "Input",
 CellChangeTimes->{{3.547208683124262*^9, 3.547208687338776*^9}, {
   3.5472087687964363`*^9, 3.5472087695921297`*^9}, {3.547208822792984*^9, 
   3.547208824688349*^9}, {3.547212590407762*^9, 3.547212592344726*^9}, {
   3.547789891695236*^9, 3.547789894806172*^9}, {3.547814812287468*^9, 
   3.547814813692985*^9}, {3.5479939703793*^9, 3.547993971466915*^9}, {
   3.54807525208969*^9, 3.548075254378983*^9}, {3.548075744810708*^9, 
   3.5480757639454393`*^9}, {3.548138088670142*^9, 3.548138095362981*^9}, 
   3.548138148365786*^9, {3.5481587956404943`*^9, 3.5481587972355347`*^9}, {
   3.651214927682208*^9, 3.651214928615782*^9}, {3.651214968739107*^9, 
   3.651214984423848*^9}, {3.651215119664843*^9, 3.651215119847066*^9}, {
   3.6512301538867064`*^9, 3.651230191656583*^9}, {3.651290928753768*^9, 
   3.651290930635655*^9}, {3.651676236101019*^9, 3.6516762560577793`*^9}, {
   3.654913401679605*^9, 3.654913402439365*^9}, {3.654913440742991*^9, 
   3.654913449764436*^9}}],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{"64", " ", 
    SuperscriptBox["s", "14"], " ", 
    SuperscriptBox["\[Mu]S", "3"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], "2"]}], 
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Eta]L"}], ")"}], "2"], " ", 
    SuperscriptBox["\[Mu]L", 
     RowBox[{"3", "/", "2"}]], " ", 
    SuperscriptBox["\[Mu]Ss", "3"], " ", 
    SuperscriptBox["\[Omega]", "14"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["s", "2"], "+", 
       SuperscriptBox["\[Omega]", "2"]}], ")"}], 
     RowBox[{"5", "/", "2"}]], " ", 
    SqrtBox[
     RowBox[{
      SuperscriptBox["s", "2"], "+", 
      RowBox[{"\[Mu]L", " ", 
       SuperscriptBox["\[Omega]", "2"]}]}]], " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["s", "2"], "+", 
      RowBox[{"\[Mu]S", " ", 
       SuperscriptBox["\[Omega]", "2"]}]}], ")"}], " ", 
    SqrtBox[
     RowBox[{
      SuperscriptBox["s", "2"], "+", 
      RowBox[{"\[Mu]Ss", " ", 
       SuperscriptBox["\[Omega]", "2"]}]}]], " ", 
    SqrtBox[
     RowBox[{
      RowBox[{
       SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
      RowBox[{"\[Mu]Ss", " ", 
       SuperscriptBox["\[Omega]", "2"]}]}]]}]]}]], "Output",
 CellChangeTimes->{{3.6516762425758944`*^9, 3.651676258309692*^9}, 
   3.651684351085198*^9, {3.651693256437436*^9, 3.651693274783742*^9}, 
   3.6518254441651983`*^9, 3.651825553106695*^9, 3.651828967210868*^9, 
   3.652591896882642*^9, 3.6526097774818974`*^9, 3.6526122555141706`*^9, 
   3.654813786978557*^9, 3.6548142441200323`*^9, 3.654913398765257*^9, 
   3.65491345836672*^9, 3.6549501373691607`*^9, 3.654965781367392*^9, 
   3.655069803757814*^9, 3.6550870837968807`*^9, 3.655087130206695*^9, 
   3.655087183792238*^9, 3.655424787935882*^9, 3.655815339212316*^9, 
   3.6560741667432327`*^9, 3.6560806963551197`*^9, 3.656111033392858*^9, 
   3.656113565476348*^9, 3.6561631828964863`*^9, 3.656164683348406*^9, 
   3.656164805011322*^9, 3.656178236501556*^9, 3.656213717258774*^9, 
   3.656213930016687*^9, 3.656700696291687*^9, 3.656700855093053*^9, 
   3.656718262766399*^9, 3.656765933712482*^9, 3.6568669993329973`*^9, 
   3.656867318066338*^9, 3.665132450691348*^9, 3.665146785617147*^9, 
   3.665201401411693*^9, 3.665244614425709*^9, 3.674265490495459*^9, 
   3.678106674347208*^9, 3.678109720557212*^9, 3.68086641002124*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Diagonalizability of the symbol", "Text",
 CellChangeTimes->{{3.547199918022839*^9, 3.547199936941071*^9}, {
  3.5472083814673853`*^9, 3.547208400151346*^9}, {3.651218281055172*^9, 
  3.651218293898705*^9}},
 FontSize->14],

Cell[CellGroupData[{

Cell["Speeds and characteristic variables", "Text",
 CellChangeTimes->{{3.547202161047031*^9, 3.547202175142025*^9}, 
   3.5472078001336813`*^9, {3.547793998265483*^9, 3.547793999850561*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"evals", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Msim", "/.", "RulesM"}], "//", "Eigenvalues"}], "//", 
       "FullSimplify"}], "//", "PowerExpand"}], "//", "Simplify"}], ")"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.530426975525567*^9, 3.530426995795273*^9}, 
   3.531121292988615*^9, {3.531468777780774*^9, 3.531468797677039*^9}, {
   3.531468839455475*^9, 3.531469022481968*^9}, {3.531469135537056*^9, 
   3.5314692376889887`*^9}, 3.531470025219775*^9, {3.531482610659986*^9, 
   3.531482621428328*^9}, {3.53148278075075*^9, 3.531482784317589*^9}, 
   3.531486360340416*^9, {3.532793561889612*^9, 3.532793610216693*^9}, {
   3.532794410697782*^9, 3.532794420898583*^9}, {3.5332136264269667`*^9, 
   3.533213658691854*^9}, {3.533213796773774*^9, 3.5332139166789637`*^9}, {
   3.533214300927072*^9, 3.5332143184763527`*^9}, 3.534767379492297*^9, {
   3.5347699279923487`*^9, 3.5347699370596943`*^9}, {3.534838359588194*^9, 
   3.534838367718177*^9}, {3.5472020837299023`*^9, 3.547202130097238*^9}, {
   3.5472022540522327`*^9, 3.547202255451749*^9}, {3.547202721644278*^9, 
   3.5472027232683*^9}, {3.5472030322834797`*^9, 3.547203034433797*^9}, {
   3.5472084888178596`*^9, 3.547208494307727*^9}, 3.5474735107282953`*^9, 
   3.547473543696335*^9, {3.5480792578643713`*^9, 3.548079258040022*^9}, {
   3.548080643019318*^9, 3.548080913666436*^9}, {3.550739345325881*^9, 
   3.550739358206911*^9}, {3.651173738595057*^9, 3.651173765748868*^9}, {
   3.651173795875866*^9, 3.651173829882128*^9}, {3.651215073524334*^9, 
   3.651215073866206*^9}, {3.6512151257251062`*^9, 3.651215125884005*^9}, 
   3.6512188015375147`*^9, {3.654950200245376*^9, 3.6549502012679358`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"S", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Msim", "/.", "RulesM"}], "//", "Transpose"}], "//", 
       "Eigenvectors"}], "//", "FullSimplify"}], "//", "PowerExpand"}], "//", 
    "FullSimplify"}]}], ";", 
  RowBox[{"S", "//", "MatrixForm"}], ";"}]], "Input",
 CellChangeTimes->{{3.550739371266403*^9, 3.550739372103588*^9}, {
  3.5507394257200937`*^9, 3.550739437456414*^9}, {3.550740406842597*^9, 
  3.5507404086126757`*^9}, {3.6512150793402367`*^9, 3.651215080594643*^9}, {
  3.6512151300940027`*^9, 3.651215130335884*^9}, {3.6549502089161367`*^9, 
  3.654950230697454*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Define simplified incoming \[OpenCurlyQuote]characteristic variables\
\[CloseCurlyQuote]", "Text",
 CellChangeTimes->{{3.547741088746664*^9, 3.547741100590172*^9}, {
  3.547746948041939*^9, 3.547746952235895*^9}, {3.5477485006764317`*^9, 
  3.547748509662521*^9}, {3.651215137814459*^9, 3.651215147242793*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"evalIn", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "\[Tau]\[Mu]L"}], ",", 
     RowBox[{"-", "\[Tau]\[Mu]Ss"}], ",", 
     RowBox[{"-", "\[Tau]\[Mu]S"}], ",", 
     RowBox[{"-", "\[Tau]\[Mu]S"}], ",", 
     RowBox[{"-", 
      FractionBox[
       SqrtBox[
        RowBox[{
         RowBox[{
          SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
         RowBox[{"\[Mu]Ss", " ", 
          SuperscriptBox["\[Omega]", "2"]}]}]], 
       SqrtBox["\[Mu]Ss"]]}], ",", 
     RowBox[{"-", "\[Tau]"}], ",", 
     RowBox[{"-", "\[Tau]"}], ",", 
     RowBox[{"-", "\[Tau]"}], ",", 
     RowBox[{"-", "\[Tau]"}], ",", 
     RowBox[{"-", "\[Tau]"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5477404294407043`*^9, 3.5477404921676197`*^9}, 
   3.547794125668778*^9, {3.651218829586578*^9, 3.651218847096126*^9}, 
   3.6512192057648687`*^9, {3.651676887649047*^9, 3.651676889533555*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"CharVarIn", "=", 
   RowBox[{"{", 
    RowBox[{",", ",", ",", ",", ",", ",", ",", ",", ","}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.547734830179928*^9, 3.547734842551586*^9}, 
   3.547794128608263*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"CharVarIn", "[", 
    RowBox[{"[", "1", "]"}], "]"}], "=", 
   RowBox[{
    RowBox[{"D\[Alpha]", "[", "x", "]"}], "-", 
    RowBox[{"\[Tau]\[Mu]L", " ", 
     RowBox[{"\[Alpha]", "[", "x", "]"}]}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.54773935137568*^9, 3.547739366288591*^9}, 
   3.547739795879011*^9, 3.547794131638342*^9, {3.651218861424741*^9, 
   3.651218864520052*^9}, 3.651218907583331*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"CharVarIn", "[", 
    RowBox[{"[", "2", "]"}], "]"}], "=", 
   RowBox[{
    RowBox[{"D\[Beta]s", "[", "x", "]"}], "-", 
    FractionBox[
     RowBox[{"\[Mu]S", " ", 
      SuperscriptBox["\[Tau]\[Mu]S", "2"], " ", 
      RowBox[{"\[Beta]s", "[", "x", "]"}]}], 
     RowBox[{"\[Mu]Ss", " ", "\[Tau]\[Mu]Ss"}]], "-", 
    RowBox[{"\[ImaginaryI]", " ", "\[Omega]", " ", 
     RowBox[{"(", 
      RowBox[{
       FractionBox[
        RowBox[{"\[Mu]S", " ", 
         RowBox[{"D\[Beta]\[Omega]", "[", "x", "]"}]}], 
        RowBox[{"\[Mu]Ss", " ", "\[Tau]\[Mu]Ss"}]], "-", 
       RowBox[{"\[Beta]\[Omega]", "[", "x", "]"}]}], ")"}]}], "-", 
    RowBox[{
     FractionBox[
      RowBox[{"s", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"\[Eta]L", " ", "\[Mu]L"}], "-", "\[Mu]Ss"}], ")"}]}], 
      RowBox[{"\[Mu]L", " ", 
       RowBox[{"(", 
        RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", "\[Mu]Ss", " ", 
       "\[Tau]\[Mu]Ss"}]], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"\[Mu]L", " ", 
        RowBox[{"D\[Alpha]", "[", "x", "]"}]}], "-", 
       RowBox[{"\[Mu]Ss", " ", "\[Tau]\[Mu]Ss", " ", 
        RowBox[{"\[Alpha]", "[", "x", "]"}]}]}], ")"}]}]}]}], ";"}]], "Input",\

 CellChangeTimes->{{3.5477398788026533`*^9, 3.547739884537043*^9}, 
   3.5477466057734957`*^9, {3.547746861335986*^9, 3.5477469126761436`*^9}, 
   3.547794134832165*^9, {3.5480758128386517`*^9, 3.548075814725444*^9}, 
   3.548140746726053*^9, {3.548344728222674*^9, 3.5483447460730343`*^9}, {
   3.548931533409639*^9, 3.5489315401540833`*^9}, 3.651220432834906*^9, 
   3.6516763621447144`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"CharVarIn", "[", 
    RowBox[{"[", "3", "]"}], "]"}], "=", 
   RowBox[{
    RowBox[{"D\[Beta]\[Omega]", "[", "x", "]"}], "-", 
    FractionBox[
     RowBox[{"\[Mu]Ss", " ", 
      SuperscriptBox["\[Tau]\[Mu]Ss", "2"], " ", 
      RowBox[{"\[Beta]\[Omega]", "[", "x", "]"}]}], 
     RowBox[{"\[Mu]S", " ", "\[Tau]\[Mu]S"}]], "+", 
    FractionBox[
     RowBox[{"\[ImaginaryI]", " ", "\[Mu]Ss", " ", "\[Omega]", " ", 
      RowBox[{"D\[Beta]s", "[", "x", "]"}]}], 
     RowBox[{"\[Mu]S", " ", "\[Tau]\[Mu]S"}]], "-", 
    RowBox[{"\[ImaginaryI]", " ", "\[Omega]", " ", 
     RowBox[{"\[Beta]s", "[", "x", "]"}]}], "-", 
    FractionBox[
     RowBox[{"\[ImaginaryI]", " ", "s", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Eta]L", " ", "\[Mu]L"}], "-", "\[Mu]Ss"}], ")"}], " ", 
      "\[Omega]", " ", 
      RowBox[{"\[Alpha]", "[", "x", "]"}]}], 
     RowBox[{"\[Mu]L", " ", "\[Mu]S", " ", "\[Tau]\[Mu]S"}]]}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.547739891867284*^9, 3.547740050837226*^9, {3.547740083192067*^9, 
   3.547740094651928*^9}, {3.547740306080751*^9, 3.5477403252587337`*^9}, 
   3.547794137558877*^9, {3.548075820445092*^9, 3.548075820529298*^9}, 
   3.5481469171591177`*^9, {3.5482144901782227`*^9, 3.5482145205074167`*^9}, {
   3.548346693717848*^9, 3.548346765435994*^9}, {3.5483468077682257`*^9, 
   3.548346818609536*^9}, 3.54893278921052*^9, 3.5489335896903048`*^9, 
   3.550741680246423*^9, 3.6512227514936543`*^9, 3.651676366741487*^9}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"CharVarIn", "[", 
     RowBox[{"[", "4", "]"}], "]"}], "=", 
    RowBox[{
     RowBox[{"D\[Beta]\[Nu]", "[", "x", "]"}], "-", 
     RowBox[{"\[Tau]\[Mu]S", " ", 
      RowBox[{"\[Beta]\[Nu]", "[", "x", "]"}]}]}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.547739894738953*^9, 3.5477399235220947`*^9}, 
   3.5477941402547417`*^9, 3.651222754133108*^9, 3.654950247328583*^9, {
   3.6549504612414827`*^9, 3.6549504670806*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"CharVarIn", "[", 
    RowBox[{"[", "5", "]"}], "]"}], "=", 
   RowBox[{
    RowBox[{"D\[Theta]", "[", "x", "]"}], "-", 
    FractionBox[
     RowBox[{
      SqrtBox[
       RowBox[{
        RowBox[{
         SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
        RowBox[{"\[Mu]Ss", " ", 
         SuperscriptBox["\[Omega]", "2"]}]}]], " ", 
      RowBox[{"\[Theta]", "[", "x", "]"}]}], 
     SqrtBox["\[Mu]Ss"]]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.547734807354042*^9, 3.547734849962345*^9}, {
   3.547734898699058*^9, 3.54773491350173*^9}, {3.54773523376051*^9, 
   3.547735240816495*^9}, {3.547738856844551*^9, 3.547738858075205*^9}, 
   3.547739807049996*^9, 3.547794143961768*^9, {3.548075860412031*^9, 
   3.548075862801688*^9}, 3.651222781277277*^9, 3.65167684877278*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"CharVarIn", "[", 
    RowBox[{"[", "6", "]"}], "]"}], "=", 
   RowBox[{
    RowBox[{"s", " ", 
     RowBox[{"DZs", "[", "x", "]"}]}], "+", 
    FractionBox[
     RowBox[{"\[Mu]Ss", " ", "\[Tau]", " ", 
      RowBox[{"D\[Theta]", "[", "x", "]"}]}], "\[Mu]S"], "-", 
    RowBox[{"s", " ", "\[Tau]", " ", 
     RowBox[{"Zs", "[", "x", "]"}]}], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          SuperscriptBox["s", "2"]}], " ", "\[Mu]S"}], "-", 
        RowBox[{"\[Mu]Ss", " ", 
         SuperscriptBox["\[Omega]", "2"]}]}], ")"}], " ", 
      RowBox[{"\[Theta]", "[", "x", "]"}]}], "\[Mu]S"]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5477348587390213`*^9, 3.547734914621709*^9}, 
   3.547739810363418*^9, {3.5477399935007057`*^9, 3.5477399950883408`*^9}, 
   3.547794146473363*^9, {3.5480758671132193`*^9, 3.548075867801737*^9}, 
   3.651222782299343*^9, 3.6516771366386747`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"CharVarIn", "[", 
    RowBox[{"[", "7", "]"}], "]"}], "=", 
   RowBox[{
    RowBox[{"s", " ", 
     RowBox[{"DZ\[Omega]", "[", "x", "]"}]}], "-", 
    FractionBox[
     RowBox[{"\[ImaginaryI]", " ", "\[Mu]Ss", " ", "\[Omega]", " ", 
      RowBox[{"D\[Theta]", "[", "x", "]"}]}], "\[Mu]S"], "-", 
    RowBox[{"s", " ", "\[Tau]", " ", 
     RowBox[{"Z\[Omega]", "[", "x", "]"}]}], "+", 
    FractionBox[
     RowBox[{
     "\[ImaginaryI]", " ", "\[Mu]Ss", " ", "\[Tau]", " ", "\[Omega]", " ", 
      RowBox[{"\[Theta]", "[", "x", "]"}]}], "\[Mu]S"]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.547734861742795*^9, 3.547734915805415*^9}, 
   3.547739813887414*^9, {3.547739997834546*^9, 3.5477399991615458`*^9}, 
   3.547794149382155*^9, {3.5480758729166737`*^9, 3.548075873613791*^9}, 
   3.6512227829154053`*^9, 3.651677217314039*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"CharVarIn", "[", 
    RowBox[{"[", "8", "]"}], "]"}], "=", 
   RowBox[{
    RowBox[{"s", " ", 
     RowBox[{"DZ\[Nu]", "[", "x", "]"}]}], "-", 
    RowBox[{"s", " ", "\[Tau]", " ", 
     RowBox[{"Z\[Nu]", "[", "x", "]"}]}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.547734863939808*^9, 3.547734917045865*^9}, 
   3.547739817506589*^9, {3.547740002097764*^9, 3.54774000344309*^9}, 
   3.547794152000374*^9, {3.548075880244541*^9, 3.548075880825048*^9}, 
   3.651222783518807*^9, {3.6516853221875687`*^9, 3.651685324410946*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"CharVarIn", "[", 
    RowBox[{"[", "9", "]"}], "]"}], "=", 
   RowBox[{
    RowBox[{"s", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Dg\[Omega]\[Nu]", "[", "x", "]"}], "-", 
       RowBox[{"\[Tau]", " ", 
        RowBox[{"g\[Omega]\[Nu]", "[", "x", "]"}]}]}], ")"}]}], "-", " ", 
    RowBox[{"\[ImaginaryI]", " ", "\[Omega]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"D\[Beta]\[Nu]", "[", "x", "]"}], "-", 
       RowBox[{"\[Tau]", " ", 
        RowBox[{"\[Beta]\[Nu]", "[", "x", "]"}]}]}], ")"}]}]}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.547740505502129*^9, 3.547740513321698*^9}, {
   3.547744692962556*^9, 3.547744730072625*^9}, 3.547744780639976*^9, {
   3.547786601481249*^9, 3.5477866066809607`*^9}, 3.547794154658332*^9, {
   3.5481390889102573`*^9, 3.548139107655751*^9}, {3.548147183701954*^9, 
   3.548147198558683*^9}, {3.548147366223302*^9, 3.548147486452511*^9}, 
   3.6512233442977657`*^9, {3.651223395734734*^9, 3.6512234208960342`*^9}, {
   3.6513863222370043`*^9, 3.651386329510067*^9}, {3.6516769557733707`*^9, 
   3.651676958159257*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"CharVarIn", "[", 
    RowBox[{"[", "10", "]"}], "]"}], "=", 
   RowBox[{
    RowBox[{"s", " ", 
     RowBox[{"Dg\[Omega]\[Omega]", "[", "x", "]"}]}], "+", 
    FractionBox[
     RowBox[{"2", " ", 
      SuperscriptBox["\[Omega]", "2"], " ", 
      RowBox[{"D\[Alpha]", "[", "x", "]"}]}], "s"], "-", 
    RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Omega]", " ", 
     RowBox[{"D\[Beta]\[Omega]", "[", "x", "]"}]}], "-", 
    FractionBox[
     RowBox[{"4", " ", "\[Mu]Ss", " ", 
      SuperscriptBox["\[Omega]", "2"], " ", 
      RowBox[{"D\[Theta]", "[", "x", "]"}]}], 
     RowBox[{
      SuperscriptBox["s", "2"], " ", "\[Mu]S"}]], "-", 
    RowBox[{"s", " ", "\[Tau]", " ", 
     RowBox[{"g\[Omega]\[Omega]", "[", "x", "]"}]}], "-", 
    FractionBox[
     RowBox[{"2", " ", "\[Tau]", " ", 
      SuperscriptBox["\[Omega]", "2"], " ", 
      RowBox[{"\[Alpha]", "[", "x", "]"}]}], "s"], "+", 
    RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Tau]", " ", "\[Omega]", " ", 
     RowBox[{"\[Beta]\[Omega]", "[", "x", "]"}]}], "+", 
    FractionBox[
     RowBox[{"4", " ", "\[Mu]Ss", " ", "\[Tau]", " ", 
      SuperscriptBox["\[Omega]", "2"], " ", 
      RowBox[{"\[Theta]", "[", "x", "]"}]}], 
     RowBox[{
      SuperscriptBox["s", "2"], " ", "\[Mu]S"}]]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.547740507896865*^9, 3.5477405177786217`*^9}, {
   3.547740831777075*^9, 3.547740849426421*^9}, 3.5477941573058157`*^9, 
   3.548140098345954*^9, 3.548157252894655*^9, {3.5483155430096397`*^9, 
   3.5483155781312838`*^9}, {3.548933247177603*^9, 3.548933247852572*^9}, 
   3.550746318288045*^9, {3.651223276313319*^9, 3.651223366728263*^9}, {
   3.6513871460588837`*^9, 3.651387146533392*^9}, {3.651425990693365*^9, 
   3.6514259912930727`*^9}, 3.651426139262582*^9, 3.651676386925802*^9, 
   3.651676918368465*^9, {3.6516770145601177`*^9, 3.6516770240243807`*^9}, 
   3.651677199200651*^9}],

Cell["\<\
Verify that the characteristic variables satisfy advection equations\
\>", "Text",
 CellChangeTimes->{{3.547741201988923*^9, 3.547741222287199*^9}, {
  3.651223422325758*^9, 3.651223423235708*^9}, {3.651676896219555*^9, 
  3.6516768970330687`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 SubscriptBox["\[PartialD]", "x"], 
                 RowBox[{"CharVarIn", "[", 
                  RowBox[{"[", "i", "]"}], "]"}]}], "-", 
                RowBox[{
                 RowBox[{"evalIn", "[", 
                  RowBox[{"[", "i", "]"}], "]"}], 
                 RowBox[{"CharVarIn", "[", 
                  RowBox[{"[", "i", "]"}], "]"}]}]}], "/.", 
               "FirstOrderRule"}], "/.", "ChangeofVarRuleNewToOld"}], "//.", 
             "RHSrotRule"}], "/.", "RHSOrgRule"}], "/.", "RulesM"}], "/.", 
          "ChangeofVarRuleOldToNew"}], "/.", "UnTauRules"}], "/.", 
        "Use\[Mu]SsRules"}], "//", "PowerExpand"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "10"}], "}"}]}], "]"}], "//", "Simplify"}], "//", 
   "PowerExpand"}], "//", "FullSimplify"}]], "Input",
 CellChangeTimes->{{3.547739181001676*^9, 3.5477392851220207`*^9}, {
   3.547739324357913*^9, 3.547739335608419*^9}, {3.547739371397852*^9, 
   3.5477394221218443`*^9}, {3.547739559235976*^9, 3.547739571984915*^9}, {
   3.547739802671392*^9, 3.5477398496660767`*^9}, {3.547739960717989*^9, 
   3.5477399691311283`*^9}, {3.547740013376573*^9, 3.547740021453044*^9}, {
   3.547740058046686*^9, 3.547740063987216*^9}, {3.547740149198859*^9, 
   3.547740151486432*^9}, {3.5477402118354673`*^9, 3.547740284241366*^9}, 
   3.547740333757771*^9, {3.54774040094311*^9, 3.5477404192947617`*^9}, {
   3.547740524218218*^9, 3.547740532235875*^9}, {3.547744794632927*^9, 
   3.5477448005478*^9}, 3.54778661171386*^9, {3.547794161992251*^9, 
   3.547794170039495*^9}, {3.548075831893462*^9, 3.548075844042553*^9}, {
   3.5480759057895937`*^9, 3.548075905953964*^9}, {3.548076159340994*^9, 
   3.548076161778326*^9}, {3.5480762031010437`*^9, 3.548076277692625*^9}, {
   3.5480792774486237`*^9, 3.5480793168597727`*^9}, {3.548079386399*^9, 
   3.548079421807321*^9}, {3.548079520062405*^9, 3.548079520261281*^9}, {
   3.5480795506667633`*^9, 3.5480795708624687`*^9}, {3.548080993926857*^9, 
   3.54808106130857*^9}, {3.54808112228624*^9, 3.548081144576043*^9}, {
   3.548146943950736*^9, 3.548146952807744*^9}, {3.5507403791905727`*^9, 
   3.550740388388186*^9}, 3.550740448927245*^9, {3.550741686934469*^9, 
   3.550741694032387*^9}, 3.651218888322446*^9, {3.6512192451590023`*^9, 
   3.651219247273109*^9}, {3.651220839557033*^9, 3.651220846894012*^9}, {
   3.651676301535627*^9, 3.6516763213590107`*^9}, {3.654950273992941*^9, 
   3.654950286447974*^9}, {3.654965819476026*^9, 3.654965823044609*^9}, 
   3.654966968085905*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.5507416898929777`*^9, 3.550741695680174*^9}, 
   3.5507463212981663`*^9, 3.5507544278741407`*^9, 3.550810152404739*^9, 
   3.5508102033702707`*^9, 3.551446476370049*^9, 3.5514555894788322`*^9, 
   3.552920460811412*^9, 3.553256882863768*^9, 3.553330528414007*^9, 
   3.553404566887748*^9, 3.5534245406183367`*^9, 3.553439298321211*^9, 
   3.5534936889698267`*^9, 3.5535208378629293`*^9, 3.553589260675061*^9, {
   3.553598289900031*^9, 3.553598316662449*^9}, 3.5535999377890863`*^9, 
   3.6512184668302717`*^9, 3.6512187035337343`*^9, {3.651218888921426*^9, 
   3.6512189308309307`*^9}, {3.6512192405966187`*^9, 
   3.6512192475083723`*^9}, {3.651220442509787*^9, 3.65122045848962*^9}, 
   3.651220847705534*^9, {3.651222773924652*^9, 3.6512227898529463`*^9}, {
   3.651223372294388*^9, 3.651223424349958*^9}, 3.651224150352336*^9, 
   3.651230224351543*^9, 3.6512306590992804`*^9, 3.6512467473667297`*^9, 
   3.651247902277964*^9, 3.6512487502299337`*^9, 3.651291060109288*^9, 
   3.651299522050703*^9, 3.6513433281593437`*^9, 3.651343962277392*^9, 
   3.6513496181568727`*^9, 3.651376794667128*^9, 3.651386039965652*^9, 
   3.6513863344820004`*^9, 3.651387151159927*^9, 3.651390507328726*^9, 
   3.651392477474821*^9, 3.651400787215165*^9, 3.6514071405368547`*^9, 
   3.65140926576381*^9, 3.65141885873379*^9, 3.651425994638378*^9, 
   3.651426144071525*^9, 3.6514287480653067`*^9, 3.6514302641097317`*^9, 
   3.651483239466219*^9, 3.651489710358754*^9, 3.651507522323286*^9, 
   3.651507635017106*^9, 3.651660392302104*^9, 3.651672921053523*^9, 
   3.651676140908039*^9, {3.6516762966998043`*^9, 3.6516763222691813`*^9}, {
   3.6516763720340023`*^9, 3.6516763887342787`*^9}, 3.651676855795525*^9, 
   3.651676900362711*^9, 3.651676962993918*^9, 3.6516771404724197`*^9, 
   3.651677232862356*^9, 3.651684353216749*^9, {3.6516932585616693`*^9, 
   3.6516932766525927`*^9}, 3.651825446024987*^9, 3.651825554859572*^9, 
   3.651828969087346*^9, 3.6525918991021147`*^9, 3.6526097795712748`*^9, 
   3.652612257289481*^9, 3.654813789252965*^9, 3.654814246190205*^9, 
   3.654950271666277*^9, 3.654950385932465*^9, 3.654950592220306*^9, 
   3.6549658398660927`*^9, 3.654966970068355*^9, 3.6550698064517603`*^9, 
   3.655087091480983*^9, 3.655087134669074*^9, 3.655087186468998*^9, 
   3.655424790278715*^9, 3.655815341826044*^9, 3.656074169417611*^9, 
   3.656080698957285*^9, 3.656111036072057*^9, 3.656113568131358*^9, 
   3.6561631860995502`*^9, 3.656164686545136*^9, 3.6561648081116123`*^9, 
   3.656178239393489*^9, 3.6562137197696447`*^9, 3.656213932697022*^9, 
   3.656700699270917*^9, 3.65670085829252*^9, 3.6567182682996607`*^9, 
   3.6567659367951727`*^9, 3.6568670022373962`*^9, 3.656867321349394*^9, 
   3.665132454081766*^9, 3.665146788641684*^9, 3.6652014049616013`*^9, 
   3.665244617436042*^9, 3.674265493402231*^9, 3.6781066773553963`*^9, 
   3.678109723470819*^9, 3.680866413065886*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Define simplified outgoing \[OpenCurlyQuote]characteristic variables\
\[CloseCurlyQuote]", "Text",
 CellChangeTimes->{{3.547741088746664*^9, 3.547741100590172*^9}, {
  3.547746948041939*^9, 3.547746952235895*^9}, {3.5477485006764317`*^9, 
  3.547748509662521*^9}, {3.651215137814459*^9, 3.651215147242793*^9}, {
  3.651223453149325*^9, 3.651223457092355*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"evalOut", "=", 
   RowBox[{"{", 
    RowBox[{
    "\[Tau]\[Mu]L", ",", "\[Tau]\[Mu]Ss", ",", "\[Tau]\[Mu]S", ",", 
     "\[Tau]\[Mu]S", ",", 
     FractionBox[
      SqrtBox[
       RowBox[{
        RowBox[{
         SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
        RowBox[{"\[Mu]Ss", " ", 
         SuperscriptBox["\[Omega]", "2"]}]}]], 
      SqrtBox["\[Mu]Ss"]], ",", "\[Tau]", ",", "\[Tau]", ",", "\[Tau]", ",", 
     "\[Tau]", ",", "\[Tau]"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5477404294407043`*^9, 3.5477404921676197`*^9}, 
   3.547794125668778*^9, {3.651218829586578*^9, 3.651218847096126*^9}, 
   3.6512192057648687`*^9, {3.651223483150364*^9, 3.651223494795669*^9}, 
   3.651677276306438*^9, 3.651679052974428*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"CharVarOut", "=", 
   RowBox[{"{", 
    RowBox[{",", ",", ",", ",", ",", ",", ",", ",", ","}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.547734830179928*^9, 3.547734842551586*^9}, 
   3.547794128608263*^9, 3.651223514643586*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"CharVarOut", "[", 
    RowBox[{"[", "1", "]"}], "]"}], "=", 
   RowBox[{
    RowBox[{"D\[Alpha]", "[", "x", "]"}], "+", 
    RowBox[{"\[Tau]\[Mu]L", " ", 
     RowBox[{"\[Alpha]", "[", "x", "]"}]}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.54773935137568*^9, 3.547739366288591*^9}, 
   3.547739795879011*^9, 3.547794131638342*^9, {3.651218861424741*^9, 
   3.651218864520052*^9}, 3.651218907583331*^9, {3.6512235058763103`*^9, 
   3.6512235159232683`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"CharVarOut", "[", 
    RowBox[{"[", "2", "]"}], "]"}], "=", 
   TagBox[
    RowBox[{
     RowBox[{"D\[Beta]s", "[", "x", "]"}], "+", 
     FractionBox[
      RowBox[{"\[Mu]S", " ", 
       SuperscriptBox["\[Tau]\[Mu]S", "2"], " ", 
       RowBox[{"\[Beta]s", "[", "x", "]"}]}], 
      RowBox[{"\[Mu]Ss", " ", "\[Tau]\[Mu]Ss"}]], "+", 
     FractionBox[
      RowBox[{"\[ImaginaryI]", " ", "\[Mu]S", " ", "\[Omega]", " ", 
       RowBox[{"D\[Beta]\[Omega]", "[", "x", "]"}]}], 
      RowBox[{"\[Mu]Ss", " ", "\[Tau]\[Mu]Ss"}]], "+", 
     RowBox[{"\[ImaginaryI]", " ", "\[Omega]", " ", 
      RowBox[{"\[Beta]\[Omega]", "[", "x", "]"}]}], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"s", " ", "\[Eta]L", " ", "\[Mu]L"}], "-", 
         RowBox[{"s", " ", "\[Mu]Ss"}]}], ")"}], " ", 
       RowBox[{"D\[Alpha]", "[", "x", "]"}]}], 
      RowBox[{
       RowBox[{"\[Mu]L", " ", "\[Mu]Ss", " ", "\[Tau]\[Mu]Ss"}], "-", 
       RowBox[{
        SuperscriptBox["\[Mu]Ss", "2"], " ", "\[Tau]\[Mu]Ss"}]}]], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"s", " ", "\[Eta]L", " ", "\[Mu]L"}], "-", 
         RowBox[{"s", " ", "\[Mu]Ss"}]}], ")"}], " ", 
       RowBox[{"\[Alpha]", "[", "x", "]"}]}], 
      RowBox[{
       SuperscriptBox["\[Mu]L", "2"], "-", 
       RowBox[{"\[Mu]L", " ", "\[Mu]Ss"}]}]]}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}], ";"}]], "Input",
 CellChangeTimes->{{3.5477398788026533`*^9, 3.547739884537043*^9}, 
   3.5477466057734957`*^9, {3.547746861335986*^9, 3.5477469126761436`*^9}, 
   3.547794134832165*^9, {3.5480758128386517`*^9, 3.548075814725444*^9}, 
   3.548140746726053*^9, {3.548344728222674*^9, 3.5483447460730343`*^9}, {
   3.548931533409639*^9, 3.5489315401540833`*^9}, 3.651220432834906*^9, 
   3.651223517384007*^9, {3.6512236764539623`*^9, 3.651223698388804*^9}, {
   3.651223755707773*^9, 3.65122379447705*^9}, {3.651223930211*^9, 
   3.651223959979867*^9}, 3.651224377192924*^9, 3.651224513262718*^9, 
   3.651224719669282*^9, {3.651224967456231*^9, 3.651225012627018*^9}, {
   3.6512254349947367`*^9, 3.6512254509950647`*^9}, 3.6512254853881817`*^9, {
   3.6512255346104813`*^9, 3.6512255668968897`*^9}, {3.651225692049966*^9, 
   3.65122570226318*^9}, 3.65167881430807*^9, 3.6516788639389887`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"CharVarOut", "[", 
    RowBox[{"[", "3", "]"}], "]"}], "=", 
   TagBox[
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"\[ImaginaryI]", " ", "\[Mu]Ss", " ", "\[Omega]", " ", 
        RowBox[{"D\[Beta]s", "[", "x", "]"}]}], 
       RowBox[{
        SqrtBox["\[Mu]S"], " ", 
        SqrtBox[
         RowBox[{"\[Mu]S", " ", 
          SuperscriptBox["\[Tau]\[Mu]S", "2"]}]]}]]}], "+", 
     RowBox[{"D\[Beta]\[Omega]", "[", "x", "]"}], "+", 
     FractionBox[
      RowBox[{"\[ImaginaryI]", " ", "s", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"\[Eta]L", " ", "\[Mu]L"}], "-", "\[Mu]Ss"}], ")"}], " ", 
       "\[Omega]", " ", 
       RowBox[{"\[Alpha]", "[", "x", "]"}]}], 
      RowBox[{"\[Mu]L", " ", 
       SqrtBox["\[Mu]S"], " ", 
       SqrtBox[
        RowBox[{"\[Mu]S", " ", 
         SuperscriptBox["\[Tau]\[Mu]S", "2"]}]]}]], "-", 
     RowBox[{"\[ImaginaryI]", " ", "\[Omega]", " ", 
      RowBox[{"\[Beta]s", "[", "x", "]"}]}], "+", 
     FractionBox[
      RowBox[{"\[Mu]Ss", " ", 
       SuperscriptBox["\[Tau]\[Mu]Ss", "2"], " ", 
       RowBox[{"\[Beta]\[Omega]", "[", "x", "]"}]}], 
      RowBox[{
       SqrtBox["\[Mu]S"], " ", 
       SqrtBox[
        RowBox[{"\[Mu]S", " ", 
         SuperscriptBox["\[Tau]\[Mu]S", "2"]}]]}]]}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}], ";"}]], "Input",
 CellChangeTimes->{
  3.547739891867284*^9, 3.547740050837226*^9, {3.547740083192067*^9, 
   3.547740094651928*^9}, {3.547740306080751*^9, 3.5477403252587337`*^9}, 
   3.547794137558877*^9, {3.548075820445092*^9, 3.548075820529298*^9}, 
   3.5481469171591177`*^9, {3.5482144901782227`*^9, 3.5482145205074167`*^9}, {
   3.548346693717848*^9, 3.548346765435994*^9}, {3.5483468077682257`*^9, 
   3.548346818609536*^9}, 3.54893278921052*^9, 3.5489335896903048`*^9, 
   3.550741680246423*^9, 3.6512227514936543`*^9, 3.651223520026759*^9, {
   3.65122380941686*^9, 3.6512238731109257`*^9}, {3.651223912150504*^9, 
   3.65122392120925*^9}, {3.651224839148534*^9, 3.6512248539400253`*^9}, 
   3.651225164330464*^9, 3.651225264875202*^9, 3.6512253090093603`*^9, 
   3.651678816834206*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"CharVarOut", "[", 
    RowBox[{"[", "4", "]"}], "]"}], "=", 
   RowBox[{
    RowBox[{"D\[Beta]\[Nu]", "[", "x", "]"}], "+", 
    RowBox[{"\[Tau]\[Mu]S", " ", 
     RowBox[{"\[Beta]\[Nu]", "[", "x", "]"}]}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.547739894738953*^9, 3.5477399235220947`*^9}, 
   3.5477941402547417`*^9, 3.651222754133108*^9, 3.6512235218113337`*^9, 
   3.651223575587576*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"CharVarOut", "[", 
    RowBox[{"[", "5", "]"}], "]"}], "=", " ", 
   RowBox[{
    RowBox[{"D\[Theta]", "[", "x", "]"}], "+", 
    FractionBox[
     RowBox[{
      SqrtBox[
       RowBox[{
        RowBox[{
         SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
        RowBox[{"\[Mu]Ss", " ", 
         SuperscriptBox["\[Omega]", "2"]}]}]], " ", 
      RowBox[{"\[Theta]", "[", "x", "]"}]}], 
     SqrtBox["\[Mu]Ss"]]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.547734807354042*^9, 3.547734849962345*^9}, {
   3.547734898699058*^9, 3.54773491350173*^9}, {3.54773523376051*^9, 
   3.547735240816495*^9}, {3.547738856844551*^9, 3.547738858075205*^9}, 
   3.547739807049996*^9, 3.547794143961768*^9, {3.548075860412031*^9, 
   3.548075862801688*^9}, 3.651222781277277*^9, 3.65122352410922*^9, {
   3.651223579226552*^9, 3.6512235823865957`*^9}, {3.651678995570808*^9, 
   3.6516790111598587`*^9}, 3.651679055669325*^9, {3.651680752826597*^9, 
   3.651680754251781*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"CharVarOut", "[", 
    RowBox[{"[", "6", "]"}], "]"}], "=", 
   RowBox[{
    RowBox[{"s", " ", 
     RowBox[{"DZs", "[", "x", "]"}]}], "-", 
    FractionBox[
     RowBox[{"\[Mu]Ss", " ", "\[Tau]", " ", 
      RowBox[{"D\[Theta]", "[", "x", "]"}]}], "\[Mu]S"], "+", 
    RowBox[{"s", " ", "\[Tau]", " ", 
     RowBox[{"Zs", "[", "x", "]"}]}], "-", 
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
        RowBox[{"\[Mu]Ss", " ", 
         SuperscriptBox["\[Omega]", "2"]}]}], ")"}], " ", 
      RowBox[{"\[Theta]", "[", "x", "]"}]}], "\[Mu]S"]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5477348587390213`*^9, 3.547734914621709*^9}, 
   3.547739810363418*^9, {3.5477399935007057`*^9, 3.5477399950883408`*^9}, 
   3.547794146473363*^9, {3.5480758671132193`*^9, 3.548075867801737*^9}, 
   3.651222782299343*^9, 3.651223526020176*^9, 3.651223585402248*^9, 
   3.651678934762747*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"CharVarOut", "[", 
    RowBox[{"[", "7", "]"}], "]"}], "=", 
   RowBox[{
    RowBox[{"s", " ", 
     RowBox[{"DZ\[Omega]", "[", "x", "]"}]}], "-", 
    FractionBox[
     RowBox[{"\[ImaginaryI]", " ", "\[Mu]Ss", " ", "\[Omega]", " ", 
      RowBox[{"D\[Theta]", "[", "x", "]"}]}], "\[Mu]S"], "+", 
    RowBox[{"s", " ", "\[Tau]", " ", 
     RowBox[{"Z\[Omega]", "[", "x", "]"}]}], "-", 
    FractionBox[
     RowBox[{
     "\[ImaginaryI]", " ", "\[Mu]Ss", " ", "\[Tau]", " ", "\[Omega]", " ", 
      RowBox[{"\[Theta]", "[", "x", "]"}]}], "\[Mu]S"]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.547734861742795*^9, 3.547734915805415*^9}, 
   3.547739813887414*^9, {3.547739997834546*^9, 3.5477399991615458`*^9}, 
   3.547794149382155*^9, {3.5480758729166737`*^9, 3.548075873613791*^9}, 
   3.6512227829154053`*^9, 3.651223527372087*^9, 3.6512235874344673`*^9, 
   3.651678867527308*^9, {3.6516853350864763`*^9, 3.651685374605485*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"CharVarOut", "[", 
    RowBox[{"[", "8", "]"}], "]"}], "=", 
   RowBox[{
    RowBox[{"s", " ", 
     RowBox[{"DZ\[Nu]", "[", "x", "]"}]}], "+", 
    RowBox[{"s", " ", "\[Tau]", " ", 
     RowBox[{"Z\[Nu]", "[", "x", "]"}]}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.547734863939808*^9, 3.547734917045865*^9}, 
   3.547739817506589*^9, {3.547740002097764*^9, 3.54774000344309*^9}, 
   3.547794152000374*^9, {3.548075880244541*^9, 3.548075880825048*^9}, 
   3.651222783518807*^9, 3.651223528757319*^9, 3.651223588954896*^9, {
   3.651685543798624*^9, 3.651685546015765*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"CharVarOut", "[", 
    RowBox[{"[", "9", "]"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["s", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Dg\[Omega]\[Nu]", "[", "x", "]"}], "+", 
       RowBox[{"\[Tau]", " ", 
        RowBox[{"g\[Omega]\[Nu]", "[", "x", "]"}]}]}], ")"}]}], "-", " ", 
    RowBox[{"\[ImaginaryI]", " ", "\[Omega]", " ", "s", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"D\[Beta]\[Nu]", "[", "x", "]"}], "+", 
       RowBox[{"\[Tau]", " ", 
        RowBox[{"\[Beta]\[Nu]", "[", "x", "]"}]}]}], ")"}]}]}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.547740505502129*^9, 3.547740513321698*^9}, {
   3.547744692962556*^9, 3.547744730072625*^9}, 3.547744780639976*^9, {
   3.547786601481249*^9, 3.5477866066809607`*^9}, 3.547794154658332*^9, {
   3.5481390889102573`*^9, 3.548139107655751*^9}, {3.548147183701954*^9, 
   3.548147198558683*^9}, {3.548147366223302*^9, 3.548147486452511*^9}, 
   3.6512233442977657`*^9, {3.651223395734734*^9, 3.6512234208960342`*^9}, 
   3.651223530405634*^9, {3.6512236464207582`*^9, 3.6512236491954803`*^9}, {
   3.6513863528708057`*^9, 3.651386356676519*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"CharVarOut", "[", 
    RowBox[{"[", "10", "]"}], "]"}], "=", 
   RowBox[{
    RowBox[{"s", " ", 
     RowBox[{"Dg\[Omega]\[Omega]", "[", "x", "]"}]}], "+", 
    FractionBox[
     RowBox[{"2", " ", 
      SuperscriptBox["\[Omega]", "2"], " ", 
      RowBox[{"D\[Alpha]", "[", "x", "]"}]}], "s"], "-", 
    RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Omega]", " ", 
     RowBox[{"D\[Beta]\[Omega]", "[", "x", "]"}]}], "-", 
    FractionBox[
     RowBox[{"4", " ", "\[Mu]Ss", " ", 
      SuperscriptBox["\[Omega]", "2"], " ", 
      RowBox[{"D\[Theta]", "[", "x", "]"}]}], 
     RowBox[{
      SuperscriptBox["s", "2"], " ", "\[Mu]S"}]], "+", 
    RowBox[{"s", " ", "\[Tau]", " ", 
     RowBox[{"g\[Omega]\[Omega]", "[", "x", "]"}]}], "+", 
    FractionBox[
     RowBox[{"2", " ", "\[Tau]", " ", 
      SuperscriptBox["\[Omega]", "2"], " ", 
      RowBox[{"\[Alpha]", "[", "x", "]"}]}], "s"], "-", 
    RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Tau]", " ", "\[Omega]", " ", 
     RowBox[{"\[Beta]\[Omega]", "[", "x", "]"}]}], "-", 
    FractionBox[
     RowBox[{"4", " ", "\[Mu]Ss", " ", "\[Tau]", " ", 
      SuperscriptBox["\[Omega]", "2"], " ", 
      RowBox[{"\[Theta]", "[", "x", "]"}]}], 
     RowBox[{
      SuperscriptBox["s", "2"], " ", "\[Mu]S"}]]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.547740507896865*^9, 3.5477405177786217`*^9}, {
   3.547740831777075*^9, 3.547740849426421*^9}, 3.5477941573058157`*^9, 
   3.548140098345954*^9, 3.548157252894655*^9, {3.5483155430096397`*^9, 
   3.5483155781312838`*^9}, {3.548933247177603*^9, 3.548933247852572*^9}, 
   3.550746318288045*^9, {3.651223276313319*^9, 3.651223366728263*^9}, 
   3.651223531833046*^9, {3.651223606646289*^9, 3.65122363621421*^9}, {
   3.651387171898856*^9, 3.6513871725159883`*^9}, {3.651426126867786*^9, 
   3.651426129950883*^9}, 3.651677291363173*^9, 3.65167910174522*^9}],

Cell["\<\
Verify that the characteristic variables satisfy advection equations\
\>", "Text",
 CellChangeTimes->{{3.547741201988923*^9, 3.547741222287199*^9}, {
  3.651223422325758*^9, 3.651223423235708*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 SubscriptBox["\[PartialD]", "x"], 
                 RowBox[{"CharVarOut", "[", 
                  RowBox[{"[", "i", "]"}], "]"}]}], "-", 
                RowBox[{
                 RowBox[{"evalOut", "[", 
                  RowBox[{"[", "i", "]"}], "]"}], 
                 RowBox[{"CharVarOut", "[", 
                  RowBox[{"[", "i", "]"}], "]"}]}]}], "/.", 
               "FirstOrderRule"}], "/.", "ChangeofVarRuleNewToOld"}], "//.", 
             "RHSrotRule"}], "/.", "RHSOrgRule"}], "/.", "RulesM"}], "/.", 
          "ChangeofVarRuleOldToNew"}], "/.", "UnTauRules"}], "/.", 
        "Use\[Mu]SsRules"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "10"}], "}"}]}], "]"}], "/.", "UnTauRules"}], "//", 
    "Simplify"}], "//", "PowerExpand"}], "//", "Simplify"}]], "Input",
 CellChangeTimes->{{3.547739181001676*^9, 3.5477392851220207`*^9}, {
   3.547739324357913*^9, 3.547739335608419*^9}, {3.547739371397852*^9, 
   3.5477394221218443`*^9}, {3.547739559235976*^9, 3.547739571984915*^9}, {
   3.547739802671392*^9, 3.5477398496660767`*^9}, {3.547739960717989*^9, 
   3.5477399691311283`*^9}, {3.547740013376573*^9, 3.547740021453044*^9}, {
   3.547740058046686*^9, 3.547740063987216*^9}, {3.547740149198859*^9, 
   3.547740151486432*^9}, {3.5477402118354673`*^9, 3.547740284241366*^9}, 
   3.547740333757771*^9, {3.54774040094311*^9, 3.5477404192947617`*^9}, {
   3.547740524218218*^9, 3.547740532235875*^9}, {3.547744794632927*^9, 
   3.5477448005478*^9}, 3.54778661171386*^9, {3.547794161992251*^9, 
   3.547794170039495*^9}, {3.548075831893462*^9, 3.548075844042553*^9}, {
   3.5480759057895937`*^9, 3.548075905953964*^9}, {3.548076159340994*^9, 
   3.548076161778326*^9}, {3.5480762031010437`*^9, 3.548076277692625*^9}, {
   3.5480792774486237`*^9, 3.5480793168597727`*^9}, {3.548079386399*^9, 
   3.548079421807321*^9}, {3.548079520062405*^9, 3.548079520261281*^9}, {
   3.5480795506667633`*^9, 3.5480795708624687`*^9}, {3.548080993926857*^9, 
   3.54808106130857*^9}, {3.54808112228624*^9, 3.548081144576043*^9}, {
   3.548146943950736*^9, 3.548146952807744*^9}, {3.5507403791905727`*^9, 
   3.550740388388186*^9}, 3.550740448927245*^9, {3.550741686934469*^9, 
   3.550741694032387*^9}, 3.651218888322446*^9, {3.6512192451590023`*^9, 
   3.651219247273109*^9}, {3.651220839557033*^9, 3.651220846894012*^9}, {
   3.6512235484619837`*^9, 3.651223555558284*^9}, {3.651224418274473*^9, 
   3.65122444295401*^9}, {3.651225396480394*^9, 3.651225398207368*^9}, 
   3.654967043411333*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.5507416898929777`*^9, 3.550741695680174*^9}, 
   3.5507463212981663`*^9, 3.5507544278741407`*^9, 3.550810152404739*^9, 
   3.5508102033702707`*^9, 3.551446476370049*^9, 3.5514555894788322`*^9, 
   3.552920460811412*^9, 3.553256882863768*^9, 3.553330528414007*^9, 
   3.553404566887748*^9, 3.5534245406183367`*^9, 3.553439298321211*^9, 
   3.5534936889698267`*^9, 3.5535208378629293`*^9, 3.553589260675061*^9, {
   3.553598289900031*^9, 3.553598316662449*^9}, 3.5535999377890863`*^9, 
   3.6512184668302717`*^9, 3.6512187035337343`*^9, {3.651218888921426*^9, 
   3.6512189308309307`*^9}, {3.6512192405966187`*^9, 
   3.6512192475083723`*^9}, {3.651220442509787*^9, 3.65122045848962*^9}, 
   3.651220847705534*^9, {3.651222773924652*^9, 3.6512227898529463`*^9}, {
   3.651223372294388*^9, 3.651223424349958*^9}, {3.651223536062331*^9, 
   3.651223558116996*^9}, 3.65122359306927*^9, {3.65122363897969*^9, 
   3.651223651924634*^9}, 3.651223702377492*^9, {3.651223767856266*^9, 
   3.651223876010188*^9}, {3.6512239233625317`*^9, 3.651223940595931*^9}, {
   3.651224384927758*^9, 3.6512244448428183`*^9}, 3.651224516113234*^9, 
   3.65122472410559*^9, {3.651224825692811*^9, 3.651224856619866*^9}, {
   3.6512251784562817`*^9, 3.651225192242876*^9}, 3.651225274330402*^9, {
   3.651225324712068*^9, 3.651225342539612*^9}, 3.651225407651001*^9, 
   3.651225490579698*^9, {3.6512255382910557`*^9, 3.651225570275476*^9}, 
   3.651225707156404*^9, {3.6512302247620163`*^9, 3.65123023118885*^9}, 
   3.651230659413707*^9, 3.651246756662181*^9, 3.6512479114042664`*^9, 
   3.651248758397677*^9, 3.651291060346238*^9, 3.651299522247369*^9, 
   3.6513433284479933`*^9, 3.65134396254613*^9, {3.651349618488269*^9, 
   3.651349633950849*^9}, 3.651376794889551*^9, 3.6513860402409773`*^9, 
   3.651386358931608*^9, 3.651390507596772*^9, 3.651392477763689*^9, 
   3.651400787540271*^9, 3.6514071409879093`*^9, 3.651409265945595*^9, 
   3.6514188589989233`*^9, 3.6514260060819273`*^9, {3.6514261351009912`*^9, 
   3.651426145701148*^9}, 3.6514287482779713`*^9, 3.651430264314659*^9, 
   3.651483239652255*^9, 3.65148971079414*^9, 3.651507522581544*^9, 
   3.651507635228938*^9, 3.651660392551406*^9, 3.651672921254739*^9, 
   3.651676141261879*^9, {3.651677285038385*^9, 3.651677293669148*^9}, 
   3.651677509608314*^9, 3.651678821896496*^9, 3.651678870914147*^9, {
   3.651678954133953*^9, 3.651678957884955*^9}, {3.65167899890541*^9, 
   3.651679014924252*^9}, 3.651679059420273*^9, 3.651679104921522*^9, 
   3.6516843533795843`*^9, {3.651693258754719*^9, 3.651693276872213*^9}, 
   3.6518254462759323`*^9, 3.651825555153319*^9, 3.651828969366273*^9, 
   3.652591899288725*^9, 3.6526097799236517`*^9, 3.652612257563339*^9, 
   3.6548137895317917`*^9, 3.6548142467664824`*^9, {3.654967044745536*^9, 
   3.654967066778075*^9}, 3.655069807112185*^9, 3.655087092151614*^9, 
   3.655087135374618*^9, 3.6550871869737053`*^9, 3.655424790635497*^9, 
   3.655815342260303*^9, 3.656074169875704*^9, 3.656080699336749*^9, 
   3.656111036764429*^9, 3.65611356856861*^9, 3.656163186489752*^9, 
   3.656164687092605*^9, 3.656164808531597*^9, 3.656178239882101*^9, 
   3.6562137201994753`*^9, 3.6562139331070423`*^9, 3.656700699704911*^9, 
   3.656700859019302*^9, 3.656718268777801*^9, 3.656765937308112*^9, 
   3.656867002746681*^9, 3.656867321933391*^9, 3.665132454784822*^9, 
   3.665146789110162*^9, 3.665201405811121*^9, 3.6652446178727407`*^9, 
   3.674265493777832*^9, 3.6781066777283773`*^9, 3.6781097239706993`*^9, 
   3.680866413475706*^9}]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Construct right eigenvectors with nice normalization", "Text",
 CellChangeTimes->{{3.547199918022839*^9, 3.547199936941071*^9}, {
  3.5472083814673853`*^9, 3.547208400151346*^9}, {3.651218281055172*^9, 
  3.651218293898705*^9}, {3.65122949020853*^9, 3.651229506207654*^9}},
 FontSize->14],

Cell[CellGroupData[{

Cell["Eigendecomposition of symbol;", "Text",
 CellChangeTimes->{{3.547202161047031*^9, 3.547202175142025*^9}, 
   3.5472078001336813`*^9, {3.547793998265483*^9, 3.547793999850561*^9}, {
   3.6512496824756107`*^9, 3.651249688761981*^9}, {3.65499470189579*^9, 
   3.654994707879421*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"evals", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Msim", "//", "Eigenvalues"}], "//", "FullSimplify"}], "//", 
      "PowerExpand"}], "//", "Simplify"}], ")"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.530426975525567*^9, 3.530426995795273*^9}, 
   3.531121292988615*^9, {3.531468777780774*^9, 3.531468797677039*^9}, {
   3.531468839455475*^9, 3.531469022481968*^9}, {3.531469135537056*^9, 
   3.5314692376889887`*^9}, 3.531470025219775*^9, {3.531482610659986*^9, 
   3.531482621428328*^9}, {3.53148278075075*^9, 3.531482784317589*^9}, 
   3.531486360340416*^9, {3.532793561889612*^9, 3.532793610216693*^9}, {
   3.532794410697782*^9, 3.532794420898583*^9}, {3.5332136264269667`*^9, 
   3.533213658691854*^9}, {3.533213796773774*^9, 3.5332139166789637`*^9}, {
   3.533214300927072*^9, 3.5332143184763527`*^9}, 3.534767379492297*^9, {
   3.5347699279923487`*^9, 3.5347699370596943`*^9}, {3.534838359588194*^9, 
   3.534838367718177*^9}, {3.5472020837299023`*^9, 3.547202130097238*^9}, {
   3.5472022540522327`*^9, 3.547202255451749*^9}, {3.547202721644278*^9, 
   3.5472027232683*^9}, {3.5472030322834797`*^9, 3.547203034433797*^9}, {
   3.5472084888178596`*^9, 3.547208494307727*^9}, 3.5474735107282953`*^9, 
   3.547473543696335*^9, {3.5480792578643713`*^9, 3.548079258040022*^9}, {
   3.548080643019318*^9, 3.548080913666436*^9}, {3.550739345325881*^9, 
   3.550739358206911*^9}, {3.651173738595057*^9, 3.651173765748868*^9}, {
   3.651173795875866*^9, 3.651173829882128*^9}, {3.651215073524334*^9, 
   3.651215073866206*^9}, {3.6512151257251062`*^9, 3.651215125884005*^9}, 
   3.6512188015375147`*^9, {3.654967104909436*^9, 3.654967108732692*^9}, 
   3.6549965604592333`*^9, 3.654998699663035*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"evecs", "=", 
   RowBox[{"Eigenvectors", "[", "Msim", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.651229704533125*^9, 3.6512297244573593`*^9}, {
  3.651229771512864*^9, 3.6512297841501083`*^9}, {3.6512303164987*^9, 
  3.6512303272032213`*^9}, {3.6549671156932096`*^9, 3.6549671369161587`*^9}, {
  3.654994046742858*^9, 3.654994054078685*^9}, {3.654994685891143*^9, 
  3.654994729760055*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"S", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Msim", "//", "Transpose"}], "//", "Eigenvectors"}], "//", 
      "FullSimplify"}], "//", "PowerExpand"}], "//", "FullSimplify"}]}], ";", 
  
  RowBox[{"S", "//", "MatrixForm"}], ";"}]], "Input",
 CellChangeTimes->{{3.550739371266403*^9, 3.550739372103588*^9}, {
  3.5507394257200937`*^9, 3.550739437456414*^9}, {3.550740406842597*^9, 
  3.5507404086126757`*^9}, {3.6512150793402367`*^9, 3.651215080594643*^9}, {
  3.6512151300940027`*^9, 3.651215130335884*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Define simplified incoming \[OpenCurlyQuote]characteristic variables\
\[CloseCurlyQuote]", "Text",
 CellChangeTimes->{{3.547741088746664*^9, 3.547741100590172*^9}, {
  3.547746948041939*^9, 3.547746952235895*^9}, {3.5477485006764317`*^9, 
  3.547748509662521*^9}, {3.651215137814459*^9, 3.651215147242793*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"EvecsIn", "=", 
   RowBox[{"{", 
    RowBox[{",", ",", ",", ",", ",", ",", ",", ",", ","}], "}"}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"EvecsIn", "[", 
    RowBox[{"[", "1", "]"}], "]"}], "=", 
   RowBox[{"{", 
    RowBox[{
     FractionBox["1", "\[Tau]\[Mu]L"], ",", 
     RowBox[{"-", "1"}], ",", "0", ",", "0", ",", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"\[ImaginaryI]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"\[Eta]L", " ", "\[Mu]L"}], "-", "\[Mu]Ss"}], ")"}], " ", 
        "\[Omega]"}], 
       RowBox[{"s", " ", 
        RowBox[{"(", 
         RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", "\[Tau]\[Mu]L"}]]}], 
     ",", 
     FractionBox[
      RowBox[{"\[ImaginaryI]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"\[Eta]L", " ", "\[Mu]L"}], "-", "\[Mu]Ss"}], ")"}], " ", 
       "\[Omega]"}], 
      RowBox[{"s", " ", 
       RowBox[{"(", 
        RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}]}]], ",", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Eta]L"}], ")"}], " ", "\[Mu]L", " ", 
       SuperscriptBox["\[Omega]", "2"]}], 
      RowBox[{
       SuperscriptBox["s", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", "\[Tau]\[Mu]L"}]], 
     ",", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Eta]L"}], ")"}], " ", "\[Mu]L", " ", 
        SuperscriptBox["\[Omega]", "2"]}], 
       RowBox[{
        SuperscriptBox["s", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}]}]]}], ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.54773935137568*^9, 3.547739366288591*^9}, 
   3.547739795879011*^9, 3.547794131638342*^9, {3.651218861424741*^9, 
   3.651218864520052*^9}, 3.651218907583331*^9, {3.6512310430620823`*^9, 
   3.651231045923934*^9}, 3.6512311095477953`*^9, 3.654995720168708*^9, 
   3.6549957542175817`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"EvecsIn", "[", 
    RowBox[{"[", "2", "]"}], "]"}], "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     FractionBox["1", "\[Tau]\[Mu]Ss"], ",", 
     RowBox[{"-", "1"}], ",", 
     FractionBox[
      RowBox[{"\[ImaginaryI]", " ", "\[Mu]Ss", " ", "\[Omega]"}], 
      RowBox[{"2", " ", "s", " ", "\[Tau]\[Mu]Ss"}]], ",", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"\[ImaginaryI]", " ", "\[Mu]Ss", " ", "\[Omega]"}], 
       RowBox[{"2", " ", "s"}]]}], ",", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"\[Mu]Ss", " ", 
        SuperscriptBox["\[Omega]", "2"]}], 
       RowBox[{
        SuperscriptBox["s", "2"], " ", "\[Tau]\[Mu]Ss"}]]}], ",", 
     FractionBox[
      RowBox[{"\[Mu]Ss", " ", 
       SuperscriptBox["\[Omega]", "2"]}], 
      SuperscriptBox["s", "2"]], ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6512313265650673`*^9, 3.651231329328404*^9}, 
   3.65124807236224*^9, {3.6512481479617233`*^9, 3.651248148776771*^9}, 
   3.651248197943852*^9, {3.651248280908946*^9, 3.651248281689625*^9}, {
   3.651248323822956*^9, 3.651248343137904*^9}, {3.65499749552731*^9, 
   3.654997496492888*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"EvecsIn", "[", 
    RowBox[{"[", "3", "]"}], "]"}], "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", 
     FractionBox["1", "\[Tau]\[Mu]S"], ",", 
     RowBox[{"-", "1"}], ",", 
     FractionBox[
      RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Omega]"}], 
      RowBox[{"s", " ", "\[Tau]\[Mu]S"}]], ",", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Omega]"}], "s"]}], ",", "0",
      ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.651248508327846*^9, 3.651248513912422*^9}, {
   3.65124857713693*^9, 3.6512485777899*^9}, 3.6549983543992434`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"EvecsIn", "[", 
    RowBox[{"[", "4", "]"}], "]"}], "=", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", 
     FractionBox["1", "\[Tau]\[Mu]S"], ",", 
     RowBox[{"-", "1"}], ",", 
     FractionBox[
      RowBox[{"\[ImaginaryI]", " ", "\[Omega]"}], 
      RowBox[{"s", " ", "\[Tau]\[Mu]S"}]], ",", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"\[ImaginaryI]", " ", "\[Omega]"}], "s"]}]}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.65124885292356*^9, 3.6512488592992687`*^9}, 
   3.654998446529847*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"EvecsIn", "[", 
    RowBox[{"[", "5", "]"}], "]"}], "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"-", 
      FractionBox["1", "\[Tau]\[Theta]"]}], ",", "1", ",", "0", ",", "0", ",", 
     FractionBox[
      RowBox[{"\[Mu]Ss", " ", 
       SuperscriptBox["\[Omega]", "2"]}], 
      RowBox[{
       SuperscriptBox["s", "2"], " ", "\[Mu]S", " ", "\[Tau]\[Theta]"}]], ",", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"\[Mu]Ss", " ", 
        SuperscriptBox["\[Omega]", "2"]}], 
       RowBox[{
        SuperscriptBox["s", "2"], " ", "\[Mu]S"}]]}], ",", 
     FractionBox["s", 
      RowBox[{"4", " ", "\[Tau]\[Theta]"}]], ",", 
     RowBox[{"-", 
      FractionBox["s", "4"]}], ",", 
     RowBox[{"-", 
      FractionBox["\[Mu]Ss", 
       RowBox[{"4", " ", "\[Mu]S"}]]}], ",", 
     FractionBox[
      RowBox[{"\[Mu]Ss", " ", "\[Tau]\[Theta]"}], 
      RowBox[{"4", " ", "\[Mu]S"}]], ",", 
     FractionBox[
      RowBox[{"\[ImaginaryI]", " ", "\[Mu]Ss", " ", "\[Omega]"}], 
      RowBox[{"4", " ", "\[Mu]S", " ", "\[Tau]\[Theta]"}]], ",", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"\[ImaginaryI]", " ", "\[Mu]Ss", " ", "\[Omega]"}], 
       RowBox[{"4", " ", "\[Mu]S"}]]}], ",", "0", ",", "0", ",", "0", ",", 
     "0", ",", "0", ",", "0"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.651249200754723*^9, 3.651249206257092*^9}, 
   3.651249384182601*^9, 3.651679857450739*^9, 3.6549979500083313`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"EvecsIn", "[", 
    RowBox[{"[", "6", "]"}], "]"}], "=", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0", ",", "0", ",", 
     RowBox[{"-", 
      FractionBox["1", "\[Tau]"]}], ",", "1", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.651249212334969*^9, 3.651249241620021*^9}, 
   3.6512493868004513`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"EvecsIn", "[", 
    RowBox[{"[", "7", "]"}], "]"}], "=", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{"-", 
      FractionBox["1", "\[Tau]"]}], ",", "1", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6512492477394648`*^9, 3.651249261311551*^9}, 
   3.651249389146447*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"EvecsIn", "[", 
    RowBox[{"[", "8", "]"}], "]"}], "=", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{"-", 
      FractionBox["1", "\[Tau]"]}], ",", "1", ",", "0", ",", "0", ",", "0", 
     ",", "0"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.651249267876132*^9, 3.6512492801614*^9}, 
   3.6512493916726*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"EvecsIn", "[", 
    RowBox[{"[", "9", "]"}], "]"}], "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{"-", 
      FractionBox["1", "\[Tau]"]}], ",", "1", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.651249284455023*^9, 3.651249284584791*^9}, 
   3.651249394557995*^9, {3.651249448785183*^9, 3.651249449257946*^9}, {
   3.6549939319576397`*^9, 3.6549939615699472`*^9}, 3.654997979523419*^9, 
   3.654998648067876*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"EvecsIn", "[", 
    RowBox[{"[", "10", "]"}], "]"}], "=", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{"-", 
      FractionBox["1", "\[Tau]"]}], ",", "1"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.651249453287384*^9, 3.651249462871818*^9}}],

Cell["Verify that these really are eigenvectors", "Text",
 CellChangeTimes->{{3.547741201988923*^9, 3.547741222287199*^9}, {
  3.651223422325758*^9, 3.651223423235708*^9}, {3.6512310687732553`*^9, 
  3.651231080149954*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"Msim", ".", 
          RowBox[{"EvecsIn", "[", 
           RowBox[{"[", "i", "]"}], "]"}]}], "-", 
         RowBox[{
          RowBox[{"evalIn", "[", 
           RowBox[{"[", "i", "]"}], "]"}], 
          RowBox[{"EvecsIn", "[", 
           RowBox[{"[", "i", "]"}], "]"}]}]}], "/.", "UnTauRules"}], "/.", 
       "Use\[Mu]SsRules"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "10"}], "}"}]}], "]"}], "//", "Simplify"}], "//", 
   "PowerExpand"}], "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.547739181001676*^9, 3.5477392851220207`*^9}, {
   3.547739324357913*^9, 3.547739335608419*^9}, {3.547739371397852*^9, 
   3.5477394221218443`*^9}, {3.547739559235976*^9, 3.547739571984915*^9}, {
   3.547739802671392*^9, 3.5477398496660767`*^9}, {3.547739960717989*^9, 
   3.5477399691311283`*^9}, {3.547740013376573*^9, 3.547740021453044*^9}, {
   3.547740058046686*^9, 3.547740063987216*^9}, {3.547740149198859*^9, 
   3.547740151486432*^9}, {3.5477402118354673`*^9, 3.547740284241366*^9}, 
   3.547740333757771*^9, {3.54774040094311*^9, 3.5477404192947617`*^9}, {
   3.547740524218218*^9, 3.547740532235875*^9}, {3.547744794632927*^9, 
   3.5477448005478*^9}, 3.54778661171386*^9, {3.547794161992251*^9, 
   3.547794170039495*^9}, {3.548075831893462*^9, 3.548075844042553*^9}, {
   3.5480759057895937`*^9, 3.548075905953964*^9}, {3.548076159340994*^9, 
   3.548076161778326*^9}, {3.5480762031010437`*^9, 3.548076277692625*^9}, {
   3.5480792774486237`*^9, 3.5480793168597727`*^9}, {3.548079386399*^9, 
   3.548079421807321*^9}, {3.548079520062405*^9, 3.548079520261281*^9}, {
   3.5480795506667633`*^9, 3.5480795708624687`*^9}, {3.548080993926857*^9, 
   3.54808106130857*^9}, {3.54808112228624*^9, 3.548081144576043*^9}, {
   3.548146943950736*^9, 3.548146952807744*^9}, {3.5507403791905727`*^9, 
   3.550740388388186*^9}, 3.550740448927245*^9, {3.550741686934469*^9, 
   3.550741694032387*^9}, 3.651218888322446*^9, {3.6512192451590023`*^9, 
   3.651219247273109*^9}, {3.651220839557033*^9, 3.651220846894012*^9}, {
   3.651231058696212*^9, 3.651231102317976*^9}, 3.6512311460853786`*^9, {
   3.6512313386269617`*^9, 3.651231349771064*^9}, 3.651247974188325*^9, 
   3.651248583569936*^9, 3.651248863718959*^9, 3.651248949594417*^9, {
   3.651249361526499*^9, 3.651249361618827*^9}, {3.651249414725913*^9, 
   3.6512494298458223`*^9}, {3.65124946879125*^9, 3.6512494688979883`*^9}, 
   3.654967191090581*^9, 3.6549938008883553`*^9, {3.654993881860709*^9, 
   3.6549938947575502`*^9}, {3.6549986695601482`*^9, 3.6549986814219627`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.654993802059902*^9, {3.654993887036158*^9, 3.6549938955032597`*^9}, {
   3.654993941322691*^9, 3.654993964838332*^9}, 3.6549956751206827`*^9, 
   3.654995773568213*^9, 3.6549958168835382`*^9, 3.654997500966282*^9, {
   3.654997957233583*^9, 3.65499798272591*^9}, 3.654998361182354*^9, 
   3.654998451391325*^9, {3.654998636400363*^9, 3.6549986820154877`*^9}, 
   3.6550698108994427`*^9, 3.655087022554429*^9, 3.655087098759225*^9, 
   3.655087140669962*^9, 3.655087191022101*^9, 3.6554247942795258`*^9, 
   3.655815346154125*^9, 3.6560741738668528`*^9, 3.656080703141253*^9, 
   3.656111040576532*^9, 3.656113572570314*^9, 3.65616319115771*^9, 
   3.656164691815634*^9, 3.6561648132147017`*^9, 3.656178243717486*^9, 
   3.656213724134932*^9, 3.656213937057893*^9, 3.656700939704134*^9, 
   3.656718349306142*^9, 3.65676601726616*^9, 3.6568670823844557`*^9, 
   3.6568674027727327`*^9, 3.665132459223262*^9, 3.665146870077632*^9, 
   3.665201486314694*^9, 3.665244698597144*^9, 3.674265574621978*^9, 
   3.6781067589886637`*^9, 3.678109803314907*^9, 3.680866418039256*^9}]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Build general boundary solution", "Text",
 CellChangeTimes->{{3.651250016987631*^9, 3.651250023441441*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"BsimSoln", "=", 
   RowBox[{"Collect", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"EvecsIn", "//", "Transpose"}], ")"}], ".", "\[Sigma]Vec"}], 
     ",", "\[Sigma]Vec", ",", 
     RowBox[{
      RowBox[{"PowerExpand", "@", 
       RowBox[{"FullSimplify", "@", "#"}]}], "&"}]}], "]"}]}], ";"}]], "Input",\

 CellChangeTimes->{{3.65125011139447*^9, 3.65125012060324*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"BSoln", "=", 
   RowBox[{"Collect", "[", 
    RowBox[{
     RowBox[{"SCoVinv", ".", 
      RowBox[{"(", 
       RowBox[{"EvecsIn", "//", "Transpose"}], ")"}], ".", "\[Sigma]Vec"}], 
     ",", "\[Sigma]Vec", ",", 
     RowBox[{
      RowBox[{"PowerExpand", "@", 
       RowBox[{"FullSimplify", "@", "#"}]}], "&"}]}], "]"}]}], ";"}]], "Input",\

 CellChangeTimes->{{3.65124949819456*^9, 3.651249536512609*^9}, {
   3.6512496530030613`*^9, 3.6512496550607643`*^9}, {3.651249800082374*^9, 
   3.651249811870233*^9}, {3.651249850057891*^9, 3.651249908747064*^9}, {
   3.651249964648168*^9, 3.651249999763948*^9}, 3.6512501158621387`*^9, {
   3.651389499013845*^9, 3.651389501108715*^9}}]
}, Closed]],

Cell[BoxData[
 RowBox[{
  RowBox[{"BsimSolnRule", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"usim", "[", 
       RowBox[{"[", "i", "]"}], "]"}], "\[Rule]", 
      RowBox[{"BsimSoln", "[", 
       RowBox[{"[", "i", "]"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "20"}], "}"}]}], "]"}]}], ";", 
  RowBox[{"BsimSolnRule", "//", "MatrixForm"}], ";"}]], "Input",
 CellChangeTimes->{{3.651250252923423*^9, 3.651250274281556*^9}, {
   3.651250315370749*^9, 3.6512503923315268`*^9}, {3.654831391933507*^9, 
   3.6548314032291327`*^9}, {3.6548333654151907`*^9, 3.6548333724548807`*^9}, 
   3.6549988234417763`*^9, {3.655141949226056*^9, 3.655141956505849*^9}, {
   3.6554248473272552`*^9, 3.655424850926955*^9}, {3.656089502440751*^9, 
   3.656089518247449*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 "Boundary conditions setup and solve\n",
 StyleBox["[conditions suitable for high order generalization] L=4 ",
  FontWeight->"Bold"]
}], "Subsection",
 CellChangeTimes->{{3.547058194716805*^9, 3.547058205203157*^9}, {
   3.5470582393700438`*^9, 3.547058277464362*^9}, {3.5471255455103703`*^9, 
   3.547125547184648*^9}, {3.651300220296833*^9, 3.651300222305799*^9}, {
   3.651671888681241*^9, 3.651671895147681*^9}, {3.651674867590549*^9, 
   3.651674867845463*^9}, {3.6526121265172863`*^9, 3.6526121267511053`*^9}, {
   3.652614090824555*^9, 3.652614091863328*^9}, {3.656081415611671*^9, 
   3.656081415683661*^9}, {3.65608385131509*^9, 3.656083853115498*^9}, {
   3.665132404069426*^9, 3.665132420692946*^9}, {3.665201881201173*^9, 
   3.665201881936447*^9}, 3.671592237037945*^9, {3.678109483798407*^9, 
   3.67810949605597*^9}}],

Cell[CellGroupData[{

Cell["Define Sommerfeld vectors", "Text",
 CellChangeTimes->{{3.6514101294436073`*^9, 3.6514101367745953`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"SomVec", "[", "X_", "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{"Evaluate", "@", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"s", " ", "X"}], " ", "-", 
        RowBox[{"D", "[", 
         RowBox[{"X", ",", "x"}], "]"}]}], ")"}]}], "/.", 
     RowBox[{"(", 
      RowBox[{"Collect", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"RHSrotRule", "//.", "UnTauRules"}], "/.", 
          "Use\[Mu]SsRules"}], ")"}], ",", "usim", ",", "Simplify"}], "]"}], 
      ")"}]}], "//", "Simplify"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.651400530125497*^9, 3.651400541390359*^9}, {
   3.65140064541486*^9, 3.651400776663849*^9}, {3.6514011233603487`*^9, 
   3.651401125040709*^9}, {3.651401225104541*^9, 3.651401230870338*^9}, {
   3.651401270934984*^9, 3.651401272584571*^9}, 3.651674475785015*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"\[Mu]LSomVec", "[", "X_", "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{"Evaluate", "@", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"s", " ", "X"}], " ", "-", 
        RowBox[{
         RowBox[{"Sqrt", "[", "\[Mu]L", "]"}], 
         RowBox[{"D", "[", 
          RowBox[{"X", ",", "x"}], "]"}]}]}], ")"}]}], "/.", "RHSrotRule"}], "//",
     "Simplify"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.65141004772213*^9, 3.6514100666993504`*^9}, 
   3.6514101186212463`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"\[Mu]\[Theta]SomVec", "[", "X_", "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{"Evaluate", "@", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"s", " ", "X"}], " ", "-", 
        RowBox[{
         RowBox[{"Sqrt", "[", "\[Mu]\[Theta]", "]"}], " ", 
         RowBox[{"D", "[", 
          RowBox[{"X", ",", "x"}], "]"}]}]}], ")"}]}], "/.", "RHSrotRule"}], "//",
     "Simplify"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.651679899384674*^9, 3.651679922360162*^9}, 
   3.6516799595189323`*^9, {3.651684644858098*^9, 3.65168464767896*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"\[Mu]SsSomVec", "[", "X_", "]"}], ":=", 
   RowBox[{
    RowBox[{"Evaluate", "@", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"s", " ", "X"}], " ", "-", 
       RowBox[{
        RowBox[{"Sqrt", "[", "\[Mu]Ss", "]"}], 
        RowBox[{"D", "[", 
         RowBox[{"X", ",", "x"}], "]"}]}]}], ")"}]}], "/.", 
    RowBox[{"(", 
     RowBox[{"Collect", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"RHSrotRule", "//.", "UnTauRules"}], "/.", 
         "Use\[Mu]SsRules"}], ")"}], ",", "usim", ",", "Simplify"}], "]"}], 
     ")"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6514100739241*^9, 3.6514100843788977`*^9}, 
   3.6514101204523087`*^9, {3.651420108119967*^9, 3.651420115764316*^9}, {
   3.6514201687820663`*^9, 3.651420182107636*^9}, 3.651420248180821*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"\[Mu]SSomVec", "[", "X_", "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{"Evaluate", "@", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"s", " ", "X"}], " ", "-", 
        RowBox[{
         RowBox[{"Sqrt", "[", "\[Mu]S", "]"}], 
         RowBox[{"D", "[", 
          RowBox[{"X", ",", "x"}], "]"}]}]}], ")"}]}], "/.", "RHSrotRule"}], "//",
     "Simplify"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6514100865723457`*^9, 3.65141009054107*^9}, 
   3.651410122093072*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Physical conditions with Psi0.",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.6513779305393333`*^9, 3.651377942673894*^9}, {
   3.65138640597468*^9, 3.651386407570745*^9}, {3.651408125651561*^9, 
   3.651408126315308*^9}, {3.651483846221528*^9, 3.651483858069034*^9}, {
   3.651483952667005*^9, 3.651483964490357*^9}, {3.6515114974018583`*^9, 
   3.651511498089109*^9}, {3.6516713186774073`*^9, 3.651671319538533*^9}, 
   3.6516713774216843`*^9}],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Construction of Psi0 for comparison",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.651387315858687*^9, 3.65138732087149*^9}}],

Cell[CellGroupData[{

Cell["Rules for boundary solve", "Text",
 CellChangeTimes->{{3.547059520416616*^9, 3.5470595312408953`*^9}, {
  3.547275156448522*^9, 3.547275156982053*^9}},
 FontSize->14],

Cell[BoxData[
 RowBox[{
  RowBox[{"KhatRule", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Khat", "[", "x", "]"}], "\[Rule]", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "\[Mu]L"]}], "s", " ", 
        RowBox[{"\[Alpha]", "[", "x", "]"}]}]}], "//.", "RHSrotRule"}], "//", 
     "FullSimplify"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5457218903977947`*^9, 3.5457220257496367`*^9}, {
   3.545725180286014*^9, 3.545725190582062*^9}, 3.545725319216796*^9, {
   3.545728721025971*^9, 3.5457287474173527`*^9}, {3.545729176566576*^9, 
   3.545729179685431*^9}, 3.5457294836397257`*^9, {3.545730496559079*^9, 
   3.545730497125428*^9}, {3.545731210862794*^9, 3.545731235828022*^9}, 
   3.545731279961636*^9, {3.545731383468398*^9, 3.545731391999466*^9}, {
   3.54573147366886*^9, 3.545731525574603*^9}, {3.545731617607263*^9, 
   3.545731630328402*^9}, {3.545731822139227*^9, 3.545731843475101*^9}, {
   3.5457329707601624`*^9, 3.5457329731145906`*^9}, 3.545733413995255*^9, 
   3.545733512582718*^9, {3.545733674766383*^9, 3.545733681884429*^9}, 
   3.545733728029442*^9, 3.545734262306756*^9, {3.545735101374735*^9, 
   3.545735128272565*^9}, {3.5457358588968*^9, 3.545735864728039*^9}, 
   3.546756560376774*^9, {3.546756771221799*^9, 3.546756773723672*^9}, {
   3.546775980878894*^9, 3.546775991596612*^9}, 3.5467760521658897`*^9, {
   3.547814375746089*^9, 3.547814379074267*^9}, {3.548161513047529*^9, 
   3.5481615132263947`*^9}, {3.651378664029908*^9, 3.65137866672677*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DKhatRule", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"DKhat", "[", "x", "]"}], "\[Rule]", " ", 
          RowBox[{
           SubscriptBox["\[PartialD]", "x"], 
           RowBox[{"Khat", "[", "x", "]"}]}]}], "}"}], "/.", 
        RowBox[{
         SubscriptBox["\[PartialD]", "x"], "KhatRule"}]}], "//.", 
       "RHSrotRule"}], "//.", "KhatRule"}], "//", "FullSimplify"}], ")"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5457220915867033`*^9, 3.545722312047318*^9}, 
   3.5457226254997873`*^9, {3.545725130494871*^9, 3.54572515128832*^9}, {
   3.5457251993112926`*^9, 3.545725380816906*^9}, 3.545728354657181*^9, {
   3.545728410992488*^9, 3.545728412297225*^9}, {3.545728764131135*^9, 
   3.545728770481305*^9}, {3.5457288010962467`*^9, 3.545728802039093*^9}, {
   3.545729337635532*^9, 3.545729343742235*^9}, {3.545729490214888*^9, 
   3.545729491777457*^9}, {3.5457310111697187`*^9, 3.5457310115277243`*^9}, {
   3.545731285980213*^9, 3.545731368429762*^9}, 3.5457315348123417`*^9, {
   3.545731762354926*^9, 3.545731765123266*^9}, 3.545731847989582*^9, 
   3.545733258981409*^9, {3.5457332919251137`*^9, 3.5457332928598537`*^9}, 
   3.545733458134706*^9, {3.5457337559715767`*^9, 3.545733855083847*^9}, {
   3.5457349111710033`*^9, 3.545734918770401*^9}, 3.546756567149769*^9, {
   3.546756669418454*^9, 3.546756699643121*^9}, {3.54675676948704*^9, 
   3.5467567767870703`*^9}, 3.546757260331936*^9, {3.5478143837563343`*^9, 
   3.547814388530855*^9}, {3.548161517414826*^9, 3.548161517610587*^9}, {
   3.651377971266345*^9, 3.651377973458444*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[CapitalBeta]\[Nu]Rule", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[CapitalBeta]\[Nu]", "[", "x", "]"}], "\[Rule]", " ", 
      RowBox[{
       SubscriptBox["\[PartialD]", "x"], 
       RowBox[{"\[Beta]\[Nu]", "[", "x", "]"}]}]}], "}"}], "/.", 
    "RHSrotRule"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.54446770355198*^9, 3.544467791834785*^9}, {
   3.544467864300832*^9, 3.544467868229568*^9}, {3.544468130362459*^9, 
   3.54446816588669*^9}, {3.5444694877538757`*^9, 3.544469488121242*^9}, {
   3.5445095677630453`*^9, 3.544509572626371*^9}, {3.544509621204748*^9, 
   3.544509624501664*^9}, 3.544509679986286*^9, 3.544509789058811*^9, 
   3.5445100630737047`*^9, 3.544510635062787*^9, 3.544780600573924*^9, {
   3.544780811235627*^9, 3.544780819811337*^9}, 3.544966380681991*^9, {
   3.545735649266698*^9, 3.545735657666349*^9}, 3.545736881285789*^9, {
   3.546757111644368*^9, 3.546757122402457*^9}, {3.547814227288965*^9, 
   3.547814229146859*^9}, {3.5478143990282307`*^9, 3.547814402573206*^9}, {
   3.5481615752797832`*^9, 3.548161580359591*^9}, {3.656082176034504*^9, 
   3.656082180027143*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"D\[CapitalBeta]\[Nu]Rule", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"\[CapitalBeta]\[Nu]", "'"}], "[", "x", "]"}], "\[Rule]", " ", 
      
      RowBox[{
       RowBox[{"D\[Beta]\[Nu]", "'"}], "[", "x", "]"}]}], "}"}], "/.", 
    "RHSrotRule"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.54446770355198*^9, 3.544467791834785*^9}, {
   3.544467864300832*^9, 3.544467868229568*^9}, {3.544468130362459*^9, 
   3.54446816588669*^9}, {3.5444694877538757`*^9, 3.544469488121242*^9}, {
   3.5445095677630453`*^9, 3.544509572626371*^9}, {3.544509621204748*^9, 
   3.544509624501664*^9}, 3.544509679986286*^9, 3.544509789058811*^9, 
   3.5445100630737047`*^9, 3.544510635062787*^9, 3.544780600573924*^9, {
   3.544780811235627*^9, 3.544780819811337*^9}, 3.544966380681991*^9, {
   3.545735649266698*^9, 3.545735657666349*^9}, {3.5457356882051563`*^9, 
   3.5457357245553923`*^9}, {3.5457368831809397`*^9, 
   3.5457368853867083`*^9}, {3.546757118853953*^9, 3.546757155743105*^9}, {
   3.546757865979845*^9, 3.5467578916468143`*^9}, {3.547814230243354*^9, 
   3.547814240573498*^9}, {3.548161600319996*^9, 3.5481616038480873`*^9}, {
   3.656082181603271*^9, 3.656082184328957*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Beta]\[Omega]Rule", "=", 
   RowBox[{"Collect", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Solve", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"D\[Beta]\[Omega]", "'"}], "[", "x", "]"}], " ", "\[Equal]", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"D\[Beta]\[Omega]", "'"}], "[", "x", "]"}], " ", "/.", 
            " ", "RHSrotRule"}], "  ", "/.", " ", "TauRules"}], " ", ")"}]}], 
        ",", 
        RowBox[{"\[Beta]\[Omega]", "[", "x", "]"}]}], "]"}], "//", 
      "Flatten"}], ",", "urot", ",", "FullSimplify"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5468557220993967`*^9, 3.546856024823121*^9}, {
   3.5468560552472887`*^9, 3.5468560760014687`*^9}, {3.547814269514613*^9, 
   3.547814279322562*^9}, {3.547814439387026*^9, 3.5478144473897953`*^9}, {
   3.547814486615219*^9, 3.547814536858427*^9}, {3.5481616236222763`*^9, 
   3.548161628871798*^9}, 3.550747615080834*^9, {3.65137796212428*^9, 
   3.651377962404454*^9}, {3.6560821890030823`*^9, 3.656082191851397*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Build Psi0", "Text",
 CellChangeTimes->{{3.537192634330989*^9, 3.5371926489213552`*^9}, {
  3.548252093137805*^9, 3.548252098937901*^9}, {3.5483950437564583`*^9, 
  3.5483950474725323`*^9}, {3.65138726155951*^9, 3.651387301858213*^9}},
 FontSize->14],

Cell[CellGroupData[{

Cell["Define rules for the extrinsic curvature", "Text",
 CellChangeTimes->{{3.548302303898988*^9, 3.5483023187544737`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"KRule", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"trK", "[", "x", "]"}], "\[Rule]", " ", 
     RowBox[{
      RowBox[{"Kss", "[", "x", "]"}], "+", 
      RowBox[{"Kqq", "[", "x", "]"}]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.537192652326693*^9, 3.537192667228341*^9}, {
   3.537192708358994*^9, 3.537192866350609*^9}, {3.5371934964146767`*^9, 
   3.53719349781457*^9}, {3.537257397923225*^9, 3.537257435271432*^9}, 
   3.538114596402323*^9, 3.538114681108959*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DKRule", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"DtrK", "[", "x", "]"}], "\[Rule]", " ", 
     RowBox[{
      RowBox[{"DKss", "[", "x", "]"}], "+", 
      RowBox[{"DKqq", "[", "x", "]"}]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.548253465662704*^9, 3.5482534723403254`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"KtogRule", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"Kss", "[", "x", "]"}], "\[Rule]", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], 
        RowBox[{"(", 
         RowBox[{"s", " ", 
          RowBox[{"gss", "[", "x", "]"}]}], ")"}]}], "+", " ", 
       RowBox[{"D\[Beta]s", "[", "x", "]"}]}]}], ",", "\[IndentingNewLine]", 
     "                   ", 
     RowBox[{
      RowBox[{"Ks\[Nu]", "[", "x", "]"}], "\[Rule]", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], 
        RowBox[{"(", 
         RowBox[{"s", " ", 
          RowBox[{"gs\[Nu]", "[", "x", "]"}]}], ")"}]}], "+", " ", 
       RowBox[{
        FractionBox["1", "2"], 
        RowBox[{"D\[Beta]\[Nu]", "[", "x", "]"}]}]}]}], ",", 
     "\[IndentingNewLine]", "                   ", 
     RowBox[{
      RowBox[{"Ks\[Omega]", "[", "x", "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], 
        RowBox[{"(", 
         RowBox[{"s", " ", 
          RowBox[{"gs\[Omega]", "[", "x", "]"}]}], ")"}]}], "+", " ", 
       RowBox[{
        FractionBox["1", "2"], 
        RowBox[{"D\[Beta]\[Omega]", "[", "x", "]"}]}], "+", 
       RowBox[{
        FractionBox["I", "2"], "\[Omega]", " ", 
        RowBox[{"\[Beta]s", "[", "x", "]"}]}]}]}], ",", "\[IndentingNewLine]",
      "                  ", 
     RowBox[{
      RowBox[{"K\[Nu]\[Nu]", "[", "x", "]"}], "\[Rule]", " ", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], 
       RowBox[{"(", 
        RowBox[{"s", " ", 
         RowBox[{"g\[Nu]\[Nu]", "[", "x", "]"}]}], ")"}]}]}], ",", 
     "\[IndentingNewLine]", "                  ", 
     RowBox[{
      RowBox[{"Kqq", "[", "x", "]"}], "\[Rule]", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], 
        RowBox[{"(", 
         RowBox[{"s", " ", 
          RowBox[{"gqq", "[", "x", "]"}]}], ")"}]}], "+", " ", 
       RowBox[{"I", " ", "\[Omega]", " ", 
        RowBox[{"\[Beta]\[Omega]", "[", "x", "]"}]}]}]}], ",", 
     "\[IndentingNewLine]", "                  ", 
     RowBox[{
      RowBox[{"K\[Omega]\[Nu]", "[", "x", "]"}], "\[Rule]", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], 
        RowBox[{"(", 
         RowBox[{"s", " ", 
          RowBox[{"g\[Omega]\[Nu]", "[", "x", "]"}]}], ")"}]}], "+", " ", 
       RowBox[{
        FractionBox[
         RowBox[{"I", " ", "\[Omega]"}], "2"], 
        RowBox[{"\[Beta]\[Nu]", "[", "x", "]"}]}]}]}]}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.537129243539084*^9, 3.5371293849125843`*^9}, {
   3.537129415989471*^9, 3.5371294182288113`*^9}, {3.5371294638004913`*^9, 
   3.537129469657359*^9}, {3.537129682334311*^9, 3.537129716176762*^9}, {
   3.537129766229094*^9, 3.537129796367662*^9}, {3.537129840807955*^9, 
   3.537129997118628*^9}, {3.5371300396713123`*^9, 3.537130071991851*^9}, {
   3.537130150593008*^9, 3.537130164085712*^9}, {3.537130725801991*^9, 
   3.5371307456388807`*^9}, {3.5371308093179007`*^9, 3.537130817939183*^9}, {
   3.537130933737692*^9, 3.5371309874995813`*^9}, 3.5371310329809837`*^9, {
   3.537193158423263*^9, 3.5371931637834673`*^9}, {3.5371932018000717`*^9, 
   3.5371933328320932`*^9}, {3.537253954406249*^9, 3.537253964887125*^9}, {
   3.5372574816856194`*^9, 3.537257506840331*^9}, {3.53725814113239*^9, 
   3.537258142733289*^9}, 3.548252106406632*^9, {3.548252162412189*^9, 
   3.548252168204612*^9}, {3.5482522279255533`*^9, 3.5482522308688917`*^9}, {
   3.548252612168825*^9, 3.548252635907995*^9}, {3.548252949863226*^9, 
   3.548252956364538*^9}, 3.54826391960251*^9, {3.548264202783647*^9, 
   3.548264209875957*^9}, {3.548264466583762*^9, 3.5482644870473547`*^9}, {
   3.6513787125207357`*^9, 3.651378736151146*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Define electric and magnetic part of Psi0", "Text",
 CellChangeTimes->{{3.548442818674361*^9, 3.548442837778475*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ElectricRule", "=", 
   RowBox[{"Collect", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"{", " ", 
           RowBox[{
            RowBox[{
             RowBox[{"E\[Nu]\[Nu]", "[", "x", "]"}], "\[Rule]", " ", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"s", " ", 
                RowBox[{"K\[Nu]\[Nu]", "[", "x", "]"}]}], " ", ")"}], "-", 
              RowBox[{
               FractionBox["1", "3"], 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"s", " ", 
                   RowBox[{"trK", "[", "x", "]"}]}], ")"}], "+", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    SuperscriptBox["s", "2"], "-", 
                    SuperscriptBox["\[Omega]", "2"]}], ")"}], 
                  RowBox[{"\[Alpha]", "[", "x", "]"}]}]}], ")"}]}]}]}], ",", 
            "\[IndentingNewLine]", "                         ", 
            RowBox[{
             RowBox[{"E\[Omega]\[Omega]", "[", "x", "]"}], "\[Rule]", " ", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"s", " ", 
                RowBox[{"Kqq", "[", "x", "]"}]}], ")"}], "-", " ", 
              RowBox[{"(", 
               RowBox[{"s", " ", 
                RowBox[{"K\[Nu]\[Nu]", "[", "x", "]"}]}], ")"}], "-", 
              RowBox[{
               SuperscriptBox["\[Omega]", "2"], 
               RowBox[{"\[Alpha]", "[", "x", "]"}]}], "-", 
              RowBox[{
               FractionBox["1", "3"], 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"s", " ", 
                   RowBox[{"trK", "[", "x", "]"}]}], ")"}], " ", "+", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    SuperscriptBox["s", "2"], "-", 
                    SuperscriptBox["\[Omega]", "2"]}], ")"}], 
                  RowBox[{"\[Alpha]", "[", "x", "]"}]}]}], ")"}]}]}]}], ",", 
            "\[IndentingNewLine]", "                        ", 
            RowBox[{
             RowBox[{"E\[Omega]\[Nu]", "[", "x", "]"}], "\[Rule]", 
             RowBox[{"(", 
              RowBox[{"s", " ", 
               RowBox[{"K\[Omega]\[Nu]", "[", "x", "]"}]}], ")"}]}]}], "}"}], 
          "/.", "KRule"}], "/.", 
         RowBox[{
          SubscriptBox["\[PartialD]", "x"], "KRule"}]}], "/.", "KtogRule"}], "/.", 
       RowBox[{
        SubscriptBox["\[PartialD]", "x"], "KtogRule"}]}], "/.", 
      "RHSOrgRule"}], ",", "uold", ",", "FullSimplify"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ElectricRule", "//", "MatrixForm"}], ";"}]}], "Input",
 CellChangeTimes->{{3.53719333610112*^9, 3.537193446570396*^9}, {
   3.537193478779057*^9, 3.5371938179072037`*^9}, {3.537193848180414*^9, 
   3.537193854663722*^9}, {3.537194082542444*^9, 3.537194190990521*^9}, {
   3.537194236783786*^9, 3.53719423994662*^9}, {3.537194296402402*^9, 
   3.537194303715179*^9}, {3.53719433661718*^9, 3.537194343238513*^9}, {
   3.5371943827664433`*^9, 3.537194384627573*^9}, {3.537254001198204*^9, 
   3.537254050397283*^9}, {3.537254428685872*^9, 3.537254435415312*^9}, {
   3.537254601161059*^9, 3.537254601359454*^9}, 3.537255946435425*^9, {
   3.537255988156967*^9, 3.5372559914375267`*^9}, {3.537257641245919*^9, 
   3.537257850294928*^9}, {3.537257890424526*^9, 3.537257902841258*^9}, {
   3.537257946667592*^9, 3.5372580781318083`*^9}, {3.53739085567942*^9, 
   3.537390860016224*^9}, {3.537391113842847*^9, 3.537391116147455*^9}, 
   3.5373913800837393`*^9, {3.537391414434503*^9, 3.5373914506961527`*^9}, {
   3.537391520626458*^9, 3.537391524546193*^9}, {3.537391584624668*^9, 
   3.537391587087472*^9}, {3.53744540929781*^9, 3.5374454316968527`*^9}, {
   3.53747054295548*^9, 3.537470593788492*^9}, {3.537694762929676*^9, 
   3.53769477227816*^9}, {3.539077761885598*^9, 3.5390777676106977`*^9}, {
   3.543742396178516*^9, 3.543742427563818*^9}, {3.543742548816104*^9, 
   3.543742555456653*^9}, {3.5482521548137074`*^9, 3.548252159227557*^9}, {
   3.548252247526969*^9, 3.5482522957794867`*^9}, {3.548252965948769*^9, 
   3.54825297075604*^9}, {3.548253339431253*^9, 3.54825337047444*^9}, {
   3.5482534067684793`*^9, 3.548253414433578*^9}, {3.5482639224180393`*^9, 
   3.5482639416955137`*^9}, {3.54826415979023*^9, 3.548264166882683*^9}, 
   3.548264268310199*^9, {3.548264306928527*^9, 3.5482643280687733`*^9}, {
   3.548264520651135*^9, 3.548264529202511*^9}, 3.5482645836819897`*^9, 
   3.5483022987056704`*^9, {3.54831373777641*^9, 3.548313743415495*^9}, 
   3.548442912023727*^9, {3.6513787496796713`*^9, 3.651378771616766*^9}, 
   3.651515628106852*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MagneticRule", "=", 
   RowBox[{"Collect", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"B\[Nu]\[Nu]", "[", "x", "]"}], "\[Rule]", 
             RowBox[{
              RowBox[{"-", 
               RowBox[{
                SubscriptBox["\[PartialD]", "x"], 
                RowBox[{"K\[Omega]\[Nu]", "[", "x", "]"}]}]}], "+", 
              RowBox[{"I", " ", "\[Omega]", " ", 
               RowBox[{"Ks\[Nu]", "[", "x", "]"}]}]}]}], ",", " ", 
            "\[IndentingNewLine]", "                     ", 
            RowBox[{
             RowBox[{"B\[Omega]\[Omega]", "[", "x", "]"}], "\[Rule]", 
             RowBox[{
              SubscriptBox["\[PartialD]", "x"], 
              RowBox[{"K\[Omega]\[Nu]", "[", "x", "]"}]}]}], ",", 
            "\[IndentingNewLine]", "                     ", 
            RowBox[{
             RowBox[{"B\[Omega]\[Nu]", "[", "x", "]"}], "\[Rule]", 
             RowBox[{
              RowBox[{
               RowBox[{"-", 
                FractionBox["1", "2"]}], 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  SubscriptBox["\[PartialD]", "x"], 
                  RowBox[{"Kqq", "[", "x", "]"}]}], "-", 
                 RowBox[{
                  SubscriptBox["\[PartialD]", "x"], 
                  RowBox[{"K\[Nu]\[Nu]", "[", "x", "]"}]}]}], ")"}]}], "+", 
              RowBox[{
               FractionBox["1", "2"], 
               RowBox[{
                SubscriptBox["\[PartialD]", "x"], 
                RowBox[{"K\[Nu]\[Nu]", "[", "x", "]"}]}]}], "+", 
              RowBox[{
               FractionBox["1", "2"], "I", " ", "\[Omega]", " ", 
               RowBox[{"Ks\[Omega]", "[", "x", "]"}]}]}]}]}], "}"}], "/.", 
          "KRule"}], "/.", 
         RowBox[{
          SubscriptBox["\[PartialD]", "x"], "KRule"}]}], "/.", "KtogRule"}], "/.", 
       RowBox[{
        SubscriptBox["\[PartialD]", "x"], "KtogRule"}]}], "/.", 
      "RHSOrgRule"}], ",", "uold", ",", "FullSimplify"}], "]"}]}], ";", 
  RowBox[{"MagneticRule", "//", "MatrixForm"}], ";"}]], "Input",
 CellChangeTimes->{{3.537194347268927*^9, 3.537194397045618*^9}, {
   3.537194476856903*^9, 3.5371944864868402`*^9}, {3.5371945674902687`*^9, 
   3.53719481134237*^9}, 3.537210270138666*^9, {3.537210348679613*^9, 
   3.537210382548388*^9}, {3.537258759165848*^9, 3.53725876902129*^9}, {
   3.53739148019282*^9, 3.537391486041205*^9}, {3.5374454621030197`*^9, 
   3.537445466503693*^9}, {3.537470560666737*^9, 3.537470564009869*^9}, {
   3.537470600531101*^9, 3.537470613645344*^9}, 3.537694778341091*^9, 
   3.539077777273067*^9, {3.540039693291594*^9, 3.5400396968241177`*^9}, {
   3.54374243533108*^9, 3.543742450779995*^9}, {3.548252192837228*^9, 
   3.548252207735086*^9}, 3.548252269117996*^9, 3.5482523068706903`*^9, 
   3.5482532701882544`*^9, {3.548253435233762*^9, 3.548253448293269*^9}, {
   3.548263946312767*^9, 3.54826395930977*^9}, {3.548264335420807*^9, 
   3.548264344844865*^9}, 3.548264535041595*^9, 3.548264576794773*^9, 
   3.548264646510376*^9, 3.548302292762291*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Define rule for the rotated components ", "Text",
 CellChangeTimes->{{3.548440381232794*^9, 3.5484403883375683`*^9}, {
  3.548440444519534*^9, 3.548440502902824*^9}, {3.548440998279666*^9, 
  3.548441005239204*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ComponentvvRule", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Evv", "[", "x", "]"}], "\[Rule]", " ", 
        RowBox[{
         RowBox[{
          SuperscriptBox[
           RowBox[{"Cos", "[", "\[Phi]", "]"}], "2"], " ", 
          RowBox[{"E\[Nu]\[Nu]", "[", "x", "]"}]}], "+", 
         RowBox[{
          RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "2"}], " ", 
             RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
             RowBox[{"E\[Omega]\[Nu]", "[", "x", "]"}]}], "+", 
            RowBox[{
             RowBox[{"E\[Omega]\[Omega]", "[", "x", "]"}], " ", 
             RowBox[{"Sin", "[", "\[Phi]", "]"}]}]}], ")"}]}]}]}], ",", 
       "\[IndentingNewLine]", "               ", 
       RowBox[{
        RowBox[{"Bvv", "[", "x", "]"}], "\[Rule]", " ", 
        RowBox[{
         RowBox[{
          SuperscriptBox[
           RowBox[{"Cos", "[", "\[Phi]", "]"}], "2"], " ", 
          RowBox[{"B\[Nu]\[Nu]", "[", "x", "]"}]}], "+", 
         RowBox[{
          RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "2"}], " ", 
             RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
             RowBox[{"B\[Omega]\[Nu]", "[", "x", "]"}]}], "+", 
            RowBox[{
             RowBox[{"B\[Omega]\[Omega]", "[", "x", "]"}], " ", 
             RowBox[{"Sin", "[", "\[Phi]", "]"}]}]}], ")"}]}]}]}]}], "}"}], "/.",
      "ElectricRule"}], "/.", "MagneticRule"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.54844070062747*^9, 3.548440701293768*^9}, {
  3.548441032029924*^9, 3.548441060449012*^9}, {3.656200564172982*^9, 
  3.656200604605187*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ComponentwwRule", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Eww", "[", "x", "]"}], "\[Rule]", 
        RowBox[{
         RowBox[{
          SuperscriptBox[
           RowBox[{"Cos", "[", "\[Phi]", "]"}], "2"], " ", 
          RowBox[{"E\[Omega]\[Omega]", "[", "x", "]"}]}], "+", 
         RowBox[{
          RowBox[{"E\[Nu]\[Nu]", "[", "x", "]"}], " ", 
          SuperscriptBox[
           RowBox[{"Sin", "[", "\[Phi]", "]"}], "2"]}], "+", 
         RowBox[{
          RowBox[{"E\[Omega]\[Nu]", "[", "x", "]"}], " ", 
          RowBox[{"Sin", "[", 
           RowBox[{"2", " ", "\[Phi]"}], "]"}]}]}]}], ",", "   ", 
       "\[IndentingNewLine]", "               ", 
       RowBox[{
        RowBox[{"Bww", "[", "x", "]"}], "\[Rule]", 
        RowBox[{
         RowBox[{
          SuperscriptBox[
           RowBox[{"Cos", "[", "\[Phi]", "]"}], "2"], 
          RowBox[{"B\[Omega]\[Omega]", "[", "x", "]"}]}], "+", 
         RowBox[{
          RowBox[{"B\[Nu]\[Nu]", "[", "x", "]"}], " ", 
          SuperscriptBox[
           RowBox[{"Sin", "[", "\[Phi]", "]"}], "2"]}], "+", 
         RowBox[{
          RowBox[{"B\[Omega]\[Nu]", "[", "x", "]"}], " ", 
          RowBox[{"Sin", "[", 
           RowBox[{"2", " ", "\[Phi]"}], "]"}]}]}]}]}], "}"}], "/.", 
     "ElectricRule"}], "/.", "MagneticRule"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.54844029430634*^9, {3.548440723056031*^9, 3.548440730383553*^9}, {
   3.548441065216504*^9, 3.548441069441165*^9}, {3.6562006102230577`*^9, 
   3.656200613886692*^9}, {3.656200648012764*^9, 3.6562006655874767`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ComonenentwvRule", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Ewv", "[", "x", "]"}], "\[Rule]", 
        RowBox[{
         RowBox[{
          RowBox[{"Cos", "[", 
           RowBox[{"2", " ", "\[Phi]"}], "]"}], " ", 
          RowBox[{"E\[Omega]\[Nu]", "[", "x", "]"}]}], "+", 
         RowBox[{
          RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
          RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"E\[Nu]\[Nu]", "[", "x", "]"}], "-", 
            RowBox[{"E\[Omega]\[Omega]", "[", "x", "]"}]}], ")"}]}]}]}], ",", 
       " ", "\[IndentingNewLine]", "               ", 
       RowBox[{
        RowBox[{"Bwv", "[", "x", "]"}], "\[Rule]", 
        RowBox[{
         RowBox[{
          RowBox[{"Cos", "[", 
           RowBox[{"2", " ", "\[Phi]"}], "]"}], " ", 
          RowBox[{"B\[Omega]\[Nu]", "[", "x", "]"}]}], "+", 
         RowBox[{
          RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
          RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"B\[Nu]\[Nu]", "[", "x", "]"}], "-", 
            RowBox[{"B\[Omega]\[Omega]", "[", "x", "]"}]}], ")"}]}]}]}]}], 
      "}"}], "/.", "ElectricRule"}], "/.", "MagneticRule"}]}], ";"}]], "Input",\

 CellChangeTimes->{
  3.548440312928535*^9, {3.54844073295198*^9, 3.548440737964366*^9}, {
   3.548441071222875*^9, 3.5484410768167458`*^9}, {3.5484412298550653`*^9, 
   3.548441234591902*^9}, {3.6562006711958303`*^9, 3.656200693429927*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Define Psi0 variables", "Text",
 CellChangeTimes->{{3.548302331162752*^9, 3.548302341310972*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"RePsi0Plus", "=", 
   RowBox[{"Collect", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Evv", "[", "x", "]"}], "-", 
            RowBox[{"Eww", "[", "x", "]"}], "+", 
            RowBox[{"2", " ", 
             RowBox[{"Bwv", "[", "x", "]"}]}]}], ")"}]}], "/.", 
         "ComponentvvRule"}], "/.", "ComponentwwRule"}], "/.", 
       "ComonenentwvRule"}], "/.", "ChangeofVarRuleOldToNew"}], ",", "usim", 
     ",", 
     RowBox[{
      RowBox[{"FullSimplify", "@", 
       RowBox[{"Together", "@", 
        RowBox[{"FullSimplify", "@", 
         RowBox[{"Together", "@", "#"}]}]}]}], "&"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5482524701729097`*^9, 3.548252555464486*^9}, 
   3.548253273638261*^9, 3.548263961096858*^9, 3.5482643507933187`*^9, 
   3.548264704273464*^9, {3.548302066794166*^9, 3.5483020827028437`*^9}, {
   3.548302186437421*^9, 3.548302225994649*^9}, 3.548303059916754*^9, 
   3.548386104112691*^9, {3.5483952289305067`*^9, 3.548395229159279*^9}, {
   3.548396380244742*^9, 3.5483964294356194`*^9}, {3.548441142049213*^9, 
   3.5484411512651*^9}, {3.548441219828783*^9, 3.548441276556872*^9}, {
   3.548480547646311*^9, 3.5484805625625067`*^9}, {3.548683337329294*^9, 
   3.5486833524238234`*^9}, {3.548683560257617*^9, 3.548683598624013*^9}, {
   3.651378803662304*^9, 3.651378803856073*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ImPsi0Plus", "=", 
   RowBox[{"Collect", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Bww", "[", "x", "]"}], "-", 
            RowBox[{"Bvv", "[", "x", "]"}], "+", 
            RowBox[{"2", " ", 
             RowBox[{"Ewv", "[", "x", "]"}]}]}], ")"}]}], "/.", 
         "ComponentvvRule"}], "/.", "ComponentwwRule"}], "/.", 
       "ComonenentwvRule"}], "/.", "ChangeofVarRuleOldToNew"}], ",", "usim", 
     ",", 
     RowBox[{
      RowBox[{"Together", "@", 
       RowBox[{"FullSimplify", "@", 
        RowBox[{"Together", "@", "#"}]}]}], "&"}]}], "]"}]}], ";"}]], "Input",\

 CellChangeTimes->{{3.548252765801593*^9, 3.548252807306119*^9}, {
   3.548252848081173*^9, 3.548252867399434*^9}, {3.548253007011345*^9, 
   3.548253037894619*^9}, 3.54825325483243*^9, 3.548263965256473*^9, {
   3.548264352784968*^9, 3.548264358812585*^9}, 3.5483020302336903`*^9, {
   3.548302062317934*^9, 3.548302092243392*^9}, 3.5483021644219313`*^9, {
   3.548385991166842*^9, 3.5483860064795322`*^9}, 3.5483861086162567`*^9, 
   3.548395106844596*^9, {3.5483952332143707`*^9, 3.5483952334456387`*^9}, {
   3.548396484561817*^9, 3.5483964913397293`*^9}, {3.548441311824985*^9, 
   3.5484413728070717`*^9}, {3.5486833443423433`*^9, 3.548683347616164*^9}, {
   3.548683610299799*^9, 3.548683610822859*^9}, {3.65137880770644*^9, 
   3.6513788079223843`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"RePsi0Minus", "=", 
   RowBox[{"Collect", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Evv", "[", "x", "]"}], "-", 
            RowBox[{"Eww", "[", "x", "]"}], "-", 
            RowBox[{"2", " ", 
             RowBox[{"Bwv", "[", "x", "]"}]}]}], ")"}]}], "/.", 
         "ComponentvvRule"}], "/.", "ComponentwwRule"}], "/.", 
       "ComonenentwvRule"}], "/.", "ChangeofVarRuleOldToNew"}], ",", "usim", 
     ",", 
     RowBox[{
      RowBox[{"FullSimplify", "@", 
       RowBox[{"Together", "@", 
        RowBox[{"FullSimplify", "@", 
         RowBox[{"Together", "@", "#"}]}]}]}], "&"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5482524701729097`*^9, 3.548252555464486*^9}, 
   3.548253273638261*^9, 3.548263961096858*^9, 3.5482643507933187`*^9, 
   3.548264704273464*^9, {3.548302066794166*^9, 3.5483020827028437`*^9}, {
   3.548302186437421*^9, 3.548302225994649*^9}, 3.548303059916754*^9, 
   3.548386104112691*^9, {3.5483952289305067`*^9, 3.548395229159279*^9}, {
   3.548396380244742*^9, 3.5483964294356194`*^9}, {3.548441142049213*^9, 
   3.5484411512651*^9}, {3.548441219828783*^9, 3.548441276556872*^9}, {
   3.548480547646311*^9, 3.5484805625625067`*^9}, {3.548683337329294*^9, 
   3.5486833524238234`*^9}, {3.548683560257617*^9, 3.548683570606332*^9}, {
   3.651378811335956*^9, 3.651378811594532*^9}, {3.651680177882847*^9, 
   3.6516801891621723`*^9}, 3.651691032317129*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DRePsi0Minus", "=", 
   RowBox[{"Collect", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SubscriptBox["\[PartialD]", "x"], "RePsi0Minus"}], "/.", 
        "RHSrotRule"}], ")"}], "/.", "ChangeofVarRuleOldToNew"}], ",", "usim",
      ",", 
     RowBox[{
      RowBox[{"FullSimplify", "@", 
       RowBox[{"Together", "@", 
        RowBox[{"FullSimplify", "@", 
         RowBox[{"Together", "@", "#"}]}]}]}], "&"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5483022076196537`*^9, 3.5483022211843557`*^9}, 
   3.548303066134952*^9, 3.548386105739427*^9, {3.548395231403151*^9, 
   3.548395231628356*^9}, 3.548396417104347*^9, {3.548396447576902*^9, 
   3.548396462189198*^9}, {3.54841773650056*^9, 3.548417736759007*^9}, {
   3.548417767365376*^9, 3.548417775152693*^9}, {3.5484412827389517`*^9, 
   3.5484412887796297`*^9}, {3.550810253938282*^9, 3.550810258215631*^9}, {
   3.665133322660145*^9, 3.66513332288976*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ImPsi0Minus", "=", 
   RowBox[{"Collect", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Bww", "[", "x", "]"}], "-", 
            RowBox[{"Bvv", "[", "x", "]"}], "-", 
            RowBox[{"2", " ", 
             RowBox[{"Ewv", "[", "x", "]"}]}]}], ")"}]}], "/.", 
         "ComponentvvRule"}], "/.", "ComponentwwRule"}], "/.", 
       "ComonenentwvRule"}], "/.", "ChangeofVarRuleOldToNew"}], ",", "usim", 
     ",", 
     RowBox[{
      RowBox[{"Together", "@", 
       RowBox[{"FullSimplify", "@", 
        RowBox[{"Together", "@", "#"}]}]}], "&"}]}], "]"}]}], ";"}]], "Input",\

 CellChangeTimes->{{3.548252765801593*^9, 3.548252807306119*^9}, {
   3.548252848081173*^9, 3.548252867399434*^9}, {3.548253007011345*^9, 
   3.548253037894619*^9}, 3.54825325483243*^9, 3.548263965256473*^9, {
   3.548264352784968*^9, 3.548264358812585*^9}, 3.5483020302336903`*^9, {
   3.548302062317934*^9, 3.548302092243392*^9}, 3.5483021644219313`*^9, {
   3.548385991166842*^9, 3.5483860064795322`*^9}, 3.5483861086162567`*^9, 
   3.548395106844596*^9, {3.5483952332143707`*^9, 3.5483952334456387`*^9}, {
   3.548396484561817*^9, 3.5483964913397293`*^9}, {3.548441311824985*^9, 
   3.5484413728070717`*^9}, {3.5486833443423433`*^9, 3.548683347616164*^9}, {
   3.5486836046121187`*^9, 3.548683608313713*^9}, {3.6513788186557417`*^9, 
   3.6513788188129997`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DImPsi0Minus", "=", 
   RowBox[{"Collect", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SubscriptBox["\[PartialD]", "x"], "ImPsi0Minus"}], "/.", 
        "RHSrotRule"}], ")"}], "/.", "ChangeofVarRuleOldToNew"}], ",", "usim",
      ",", 
     RowBox[{
      RowBox[{"FullSimplify", "@", 
       RowBox[{"Together", "@", 
        RowBox[{"FullSimplify", "@", 
         RowBox[{"Together", "@", "#"}]}]}]}], "&"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.548301889872313*^9, 3.5483019468845673`*^9}, 
   3.548302032081674*^9, {3.548302100841543*^9, 3.548302127897003*^9}, {
   3.548386113322103*^9, 3.5483861194175797`*^9}, {3.548395235014572*^9, 
   3.548395235265861*^9}, {3.548396472151412*^9, 3.548396495676141*^9}, {
   3.5484177805062103`*^9, 3.548417783757197*^9}, {3.548484780255357*^9, 
   3.54848478250457*^9}, {3.5508102662132893`*^9, 3.5508102843133297`*^9}, {
   3.651378822890867*^9, 3.651378823043501*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Verify that these quantities satisfy wave equations (at least upto \
constraints)\
\>", "Text",
 CellChangeTimes->{{3.548302371444845*^9, 3.5483023903696957`*^9}, {
  3.6516803896046877`*^9, 3.6516803946319513`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Collect", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SubscriptBox["\[PartialD]", "x"], 
         RowBox[{"(", 
          RowBox[{"DRePsi0Minus", "-", 
           RowBox[{
            FractionBox[
             RowBox[{"\[Mu]Ss", " ", 
              SuperscriptBox["\[Omega]", "2"], " ", 
              RowBox[{"Cos", "[", 
               RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
             RowBox[{"s", " ", "\[Mu]S"}]], " ", 
            RowBox[{"D\[Theta]", "[", "x", "]"}]}]}], ")"}]}], "/.", 
        "RHSrotRule"}], ")"}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["s", "2"], "+", 
         SuperscriptBox["\[Omega]", "2"]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"RePsi0Minus", "-", 
         RowBox[{
          FractionBox[
           RowBox[{"\[Mu]Ss", " ", 
            SuperscriptBox["\[Omega]", "2"], " ", 
            RowBox[{"Cos", "[", 
             RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
           RowBox[{"s", " ", "\[Mu]S"}]], " ", 
          RowBox[{"\[Theta]", "[", "x", "]"}]}]}], ")"}]}]}], ",", "usim", 
     ",", "FullSimplify"}], "]"}], "/.", "Use\[Mu]SsRules"}], "//", 
  "Simplify"}]], "Input",
 CellChangeTimes->{{3.5483022330632553`*^9, 3.5483022399811296`*^9}, {
  3.5483952532952023`*^9, 3.548395260145503*^9}, {3.5483965050031023`*^9, 
  3.548396517245782*^9}, {3.550810232126533*^9, 3.550810232723332*^9}, {
  3.550810297826296*^9, 3.550810302243429*^9}, {3.651378449242237*^9, 
  3.6513784758675003`*^9}, {3.651679984419969*^9, 3.651679991035557*^9}, {
  3.651680206393568*^9, 3.651680266068522*^9}, {3.651680301159541*^9, 
  3.6516803089398117`*^9}, {3.656200727561878*^9, 3.6562007328421087`*^9}, {
  3.665133355586276*^9, 3.665133355768683*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.5483022407784452`*^9, 3.5483025164334373`*^9, 3.548308805546226*^9, 
   3.548347402928259*^9, 3.548347668435*^9, 3.54834965099997*^9, 
   3.548385708587681*^9, 3.5483861250582457`*^9, 3.5483866969787607`*^9, 
   3.548393696175991*^9, 3.5483952746356697`*^9, 3.548396507907441*^9, 
   3.5484102823077602`*^9, 3.548436017625592*^9, 3.5484413837938147`*^9, 
   3.548442973173238*^9, 3.5484847881547213`*^9, 3.548495735275943*^9, 
   3.5484969191061897`*^9, 3.5484969497863913`*^9, 3.548497844702779*^9, 
   3.548498772318076*^9, 3.5485003396830873`*^9, 3.548564493627281*^9, 
   3.54856472385518*^9, 3.54856605923074*^9, 3.548566543093175*^9, 
   3.548567175151554*^9, 3.548567900948722*^9, 3.548656997063593*^9, 
   3.5487363180372562`*^9, 3.548745817361987*^9, 3.54875432234136*^9, {
   3.548756583127026*^9, 3.5487565963822527`*^9}, 3.5487706107999496`*^9, 
   3.548931141776206*^9, {3.548933891751399*^9, 3.548933912275358*^9}, 
   3.548934423896255*^9, 3.5489351758118668`*^9, 3.548941151203697*^9, 
   3.549018408695158*^9, {3.549072881198392*^9, 3.549072904846249*^9}, 
   3.549110368727023*^9, 3.549201047820825*^9, 3.549211568654104*^9, {
   3.549250582580267*^9, 3.549250585836883*^9}, 3.549288752949318*^9, 
   3.549346025648427*^9, 3.5494498139877367`*^9, 3.549523555444566*^9, 
   3.54954354885102*^9, 3.5496021766432323`*^9, 3.549634094402514*^9, 
   3.549700691882402*^9, 3.5497876712171783`*^9, 3.550754526354418*^9, 
   3.5508102394847393`*^9, {3.55081028881647*^9, 3.550810302758649*^9}, 
   3.5535215993472557`*^9, 3.553591091544155*^9, 3.651378019515942*^9, 
   3.6513786065878696`*^9, 3.65137883542841*^9, 3.651386097940813*^9, 
   3.6513891955162287`*^9, 3.65138968082193*^9, 3.651390526142716*^9, 
   3.651392496717587*^9, 3.651401396646572*^9, {3.651404766957217*^9, 
   3.651404776002355*^9}, 3.65140484952882*^9, 3.651407158568269*^9, 
   3.6514078338043613`*^9, 3.6514080770550737`*^9, 3.651408173396014*^9, 
   3.651409283650111*^9, 3.6514203729966097`*^9, 3.651422170651166*^9, 
   3.6514260313073597`*^9, 3.651428781451365*^9, 3.651430298191545*^9, 
   3.65143060076812*^9, 3.651483268575325*^9, 3.651483984083638*^9, 
   3.6514898175101337`*^9, 3.651493618767333*^9, 3.651493940447081*^9, 
   3.651494257922357*^9, 3.651494502268108*^9, 3.6514948421226*^9, 
   3.651495289959379*^9, 3.651495518907305*^9, 3.65149631753133*^9, 
   3.651496513171507*^9, 3.65149660513927*^9, 3.6515077783615*^9, 
   3.651511325709796*^9, 3.651511506925104*^9, 3.651660514128614*^9, 
   3.651660632893622*^9, 3.651670021719157*^9, 3.651671523024035*^9, 
   3.651672937192346*^9, 3.651674493180566*^9, 3.6516799467267427`*^9, {
   3.651679987372324*^9, 3.651679991631559*^9}, 3.651680151509832*^9, {
   3.6516802530239573`*^9, 3.65168026788831*^9}, {3.6516803036754923`*^9, 
   3.651680310417235*^9}, 3.651684360723155*^9, {3.6516910014950542`*^9, 
   3.6516910510073347`*^9}, 3.651691360279635*^9, 3.651693295950642*^9, 
   3.651825461954801*^9, 3.651825570936101*^9, 3.652591945188963*^9, 
   3.65608223374623*^9, 3.656083869214664*^9, 3.656090087276277*^9, 
   3.656111049219631*^9, 3.6561135813580313`*^9, 3.656163202407791*^9, 
   3.656164824502371*^9, 3.656166059900529*^9, 3.6561783279015083`*^9, 
   3.656200734840102*^9, 3.6562139459393673`*^9, 3.656700960836265*^9, 
   3.656718359627067*^9, 3.6567660292648897`*^9, 3.65686709244798*^9, 
   3.65686742876859*^9, {3.6651325135676622`*^9, 3.6651325304206448`*^9}, 
   3.6651333624364853`*^9, 3.6651371728765497`*^9, 3.665200292149987*^9, 
   3.665201265247506*^9, 3.665201562327899*^9, 3.665244757883545*^9, 
   3.6781076058428*^9, 3.678109806563821*^9, 3.6808664212478323`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Collect", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SubscriptBox["\[PartialD]", "x"], 
         RowBox[{"(", 
          RowBox[{"DImPsi0Minus", "+", 
           RowBox[{
            FractionBox[
             RowBox[{"\[Mu]Ss", " ", 
              SuperscriptBox["\[Omega]", "2"], " ", 
              RowBox[{"Sin", "[", 
               RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
             RowBox[{"s", " ", "\[Mu]S"}]], " ", 
            RowBox[{"D\[Theta]", "[", "x", "]"}]}]}], ")"}]}], "/.", 
        "RHSrotRule"}], ")"}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["s", "2"], "+", 
         SuperscriptBox["\[Omega]", "2"]}], ")"}], 
       RowBox[{"(", 
        RowBox[{"ImPsi0Minus", "+", 
         RowBox[{
          FractionBox[
           RowBox[{"\[Mu]Ss", " ", 
            SuperscriptBox["\[Omega]", "2"], " ", 
            RowBox[{"Sin", "[", 
             RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
           RowBox[{"s", " ", "\[Mu]S"}]], 
          RowBox[{"\[Theta]", "[", "x", "]"}]}]}], ")"}]}]}], ",", "usim", 
     ",", "FullSimplify"}], "]"}], "/.", "Use\[Mu]SsRules"}], "//", 
  "Simplify"}]], "Input",
 CellChangeTimes->{{3.548301961752808*^9, 3.548302019096507*^9}, {
   3.548302140331463*^9, 3.548302159937937*^9}, {3.548395268818118*^9, 
   3.548395271539741*^9}, {3.548396512648945*^9, 3.548396527994605*^9}, {
   3.550810306235408*^9, 3.5508103152035503`*^9}, {3.651378483566966*^9, 
   3.6513785001104383`*^9}, 3.651679998382908*^9, {3.651680336732183*^9, 
   3.6516803750900383`*^9}, {3.656200742106586*^9, 3.656200747160974*^9}, {
   3.665133358523188*^9, 3.665133358713066*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.548302019797011*^9, 3.5483020346816263`*^9}, {
   3.548302153244923*^9, 3.54830216020076*^9}, 3.5483022417997303`*^9, 
   3.548302517222019*^9, 3.5483088058194036`*^9, 3.54834740459662*^9, 
   3.548347668652829*^9, 3.548349652943318*^9, 3.5483857086064377`*^9, 
   3.5483861252093477`*^9, 3.5483866975616207`*^9, 3.548393696489908*^9, 
   3.548395272369499*^9, {3.54839651473345*^9, 3.548396528534288*^9}, 
   3.548410283402636*^9, 3.548436017665242*^9, 3.548441385554558*^9, 
   3.548442973287924*^9, 3.548484788273213*^9, 3.548495735461837*^9, 
   3.5484969193687153`*^9, 3.5484969499103527`*^9, 3.5484978449826736`*^9, 
   3.548498772422858*^9, 3.548500339797041*^9, 3.548564493793901*^9, 
   3.5485647240342293`*^9, 3.548566059430449*^9, 3.548566543268084*^9, 
   3.5485671753321447`*^9, 3.5485679011307173`*^9, 3.548656997143248*^9, 
   3.5487363180751057`*^9, 3.548745817399632*^9, 3.548754322410413*^9, {
   3.54875658322474*^9, 3.548756596389914*^9}, 3.54877061084056*^9, 
   3.548931141799274*^9, {3.548933891835967*^9, 3.548933912341528*^9}, 
   3.548934423932351*^9, 3.548935175851432*^9, 3.548941151241456*^9, 
   3.549018408787346*^9, {3.549072881282036*^9, 3.549072904851987*^9}, 
   3.549110368852467*^9, 3.549201048105669*^9, 3.549211568756793*^9, {
   3.549250582662753*^9, 3.549250585841238*^9}, 3.549288753063242*^9, 
   3.549346025744083*^9, 3.549449814072747*^9, 3.549523555525099*^9, 
   3.549543549368223*^9, 3.5496021767156343`*^9, 3.549634094449326*^9, 
   3.549700691912839*^9, 3.549787671275014*^9, 3.55075452641147*^9, 
   3.550810239565065*^9, {3.550810288900631*^9, 3.550810315934811*^9}, 
   3.5535216000535307`*^9, 3.553591092256753*^9, 3.651378019590308*^9, {
   3.651378494040868*^9, 3.651378500509921*^9}, 3.651378606630167*^9, 
   3.651378835569951*^9, 3.651386098054041*^9, 3.651389195626973*^9, 
   3.65138968093711*^9, 3.651390526259137*^9, 3.651392496829587*^9, 
   3.651401396753037*^9, {3.6514047670510187`*^9, 3.6514047760774508`*^9}, 
   3.651404849629856*^9, 3.651407158661044*^9, 3.651407833899374*^9, 
   3.651408077161168*^9, 3.651408173499988*^9, 3.6514092837552958`*^9, 
   3.651420373147444*^9, 3.651422170760501*^9, 3.651426031413602*^9, 
   3.6514287815933037`*^9, 3.651430298319594*^9, 3.6514306008846188`*^9, 
   3.651483268671689*^9, 3.6514839841975937`*^9, 3.6514898176263523`*^9, 
   3.6514936188815804`*^9, 3.651493940565166*^9, 3.651494258029479*^9, 
   3.651494502379047*^9, 3.651494842228127*^9, 3.651495290071538*^9, 
   3.651495519018732*^9, 3.651496317642789*^9, 3.6514965132865057`*^9, 
   3.6514966052483063`*^9, 3.6515077784780197`*^9, 3.6515113258152733`*^9, 
   3.6515115070371323`*^9, 3.65166051425998*^9, 3.6516606329677143`*^9, 
   3.651670021848626*^9, 3.651671523156322*^9, 3.651672937293777*^9, 
   3.651674493301277*^9, 3.651679947328801*^9, 3.651679999372448*^9, 
   3.651680152144211*^9, 3.651680326451264*^9, 3.651680375724494*^9, 
   3.651684361217609*^9, {3.6516910019302883`*^9, 3.651691052483737*^9}, 
   3.651691360745638*^9, 3.651693296430801*^9, 3.651825462356394*^9, 
   3.651825571333864*^9, 3.652591945644302*^9, 3.656082233934494*^9, 
   3.656083869354021*^9, 3.65609008740775*^9, 3.656111049351956*^9, 
   3.656113581495233*^9, 3.656163202587287*^9, 3.656164824684226*^9, 
   3.656166060079152*^9, 3.65617832804471*^9, {3.656200738463847*^9, 
   3.6562007485521793`*^9}, 3.6562139460697603`*^9, 3.6567009609788218`*^9, 
   3.6567183597677507`*^9, 3.656766029764409*^9, 3.65686709258552*^9, 
   3.656867428906151*^9, {3.665132513825675*^9, 3.6651325305802937`*^9}, 
   3.6651333604852123`*^9, 3.665137172925971*^9, 3.6652002922057056`*^9, 
   3.665201265293396*^9, 3.665201562378025*^9, 3.6652447579772043`*^9, 
   3.6781076058955517`*^9, 3.678109806692251*^9, 3.68086642130269*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Solve for Sigmas", "Text",
 CellChangeTimes->{{3.651387638980715*^9, 3.6513876447555*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"PhysBCs", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"Nest", "[", 
       RowBox[{"SomVec", ",", 
        RowBox[{
         RowBox[{"s", " ", "RePsi0Minus"}], "-", 
         RowBox[{
          RowBox[{"\[Mu]Ss", "/", "\[Mu]S"}], " ", 
          SuperscriptBox["\[Omega]", "2"], " ", 
          RowBox[{"Cos", "[", 
           RowBox[{"2", " ", "\[Phi]"}], "]"}], 
          RowBox[{"\[Theta]", "[", "x", "]"}]}]}], ",", "2"}], "]"}], 
      "\[Equal]", 
      RowBox[{
       SuperscriptBox["s", "5"], " ", "gRePsi"}]}], ",", 
     "\[IndentingNewLine]", "                ", 
     RowBox[{
      RowBox[{"Nest", "[", 
       RowBox[{"SomVec", ",", 
        RowBox[{
         RowBox[{"s", " ", "ImPsi0Minus"}], "+", 
         RowBox[{
          RowBox[{"\[Mu]Ss", "/", "\[Mu]S"}], " ", 
          SuperscriptBox["\[Omega]", "2"], " ", 
          RowBox[{"Sin", "[", 
           RowBox[{"2", " ", "\[Phi]"}], "]"}], " ", 
          RowBox[{"\[Theta]", "[", "x", "]"}]}]}], ",", "2"}], "]"}], 
      "\[Equal]", 
      RowBox[{
       SuperscriptBox["s", "5"], " ", "gImPsi"}]}]}], "}"}]}], ";"}]], "Input",\

 CellChangeTimes->{{3.651420938968938*^9, 3.6514209708394814`*^9}, {
   3.651421012933563*^9, 3.6514210224019547`*^9}, {3.6514216139542923`*^9, 
   3.651421618436264*^9}, {3.651424385433033*^9, 3.651424388193432*^9}, {
   3.6514839407867203`*^9, 3.651483944553371*^9}, {3.6514840567443743`*^9, 
   3.651484084007164*^9}, {3.651489535778504*^9, 3.651489541386153*^9}, {
   3.651490184707025*^9, 3.651490187794012*^9}, {3.651490261355607*^9, 
   3.651490265081724*^9}, {3.6514906169739933`*^9, 3.651490619518639*^9}, {
   3.651671415735853*^9, 3.6516714161914062`*^9}, {3.651674399230823*^9, 
   3.651674443801996*^9}, {3.6516910656540327`*^9, 3.6516910828215933`*^9}, {
   3.656082247501234*^9, 3.656082262106031*^9}, {3.656083383698164*^9, 
   3.656083421955282*^9}, {3.656083834480942*^9, 3.656083848300098*^9}, {
   3.656083890549881*^9, 3.656083910456668*^9}, 3.656088198746416*^9, 
   3.656088249619195*^9, {3.665132536778965*^9, 3.665132562708918*^9}, {
   3.6651326466369343`*^9, 3.665132648420539*^9}, {3.665133181903413*^9, 
   3.665133206777316*^9}, {3.665133452041054*^9, 3.665133480762788*^9}, {
   3.665133616013854*^9, 3.6651336184701138`*^9}, {3.665133833028819*^9, 
   3.665133853946876*^9}, {3.6651343210801277`*^9, 3.6651343464594517`*^9}, {
   3.665135858932755*^9, 3.665135862330793*^9}, {3.665135900866638*^9, 
   3.6651359181711206`*^9}, {3.665135954354288*^9, 3.66513595714154*^9}, 
   3.665135988329647*^9, {3.665136021423877*^9, 3.665136022823987*^9}, {
   3.665136614826193*^9, 3.665136617645114*^9}, {3.66514236303572*^9, 
   3.665142370676242*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"PhysSoln", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Solve", "[", 
        RowBox[{
         RowBox[{"PhysBCs", "/.", "BsimSolnRule"}], ",", 
         RowBox[{"{", 
          RowBox[{"\[Sigma]RePsi", ",", "\[Sigma]ImPsi"}], "}"}]}], "]"}], "/.",
        "UnTauRules"}], "/.", "Use\[Mu]SsRules"}], "//", "Simplify"}], "//", 
    "Flatten"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.651387481073539*^9, 3.651387482498955*^9}, {
   3.6513875178967743`*^9, 3.6513876246741333`*^9}, 3.6513906784112587`*^9, {
   3.6514840908253393`*^9, 3.651484094831657*^9}, {3.651671418284143*^9, 
   3.6516714214490232`*^9}, {3.656083426698716*^9, 3.656083428226693*^9}, 
   3.6560838976034727`*^9, 3.656083946902485*^9, 3.65608825616497*^9, 
   3.656088305732957*^9, 3.6561659730747547`*^9, {3.6561660370676193`*^9, 
   3.6561660402225943`*^9}, {3.6562007917225447`*^9, 3.656200802097197*^9}, 
   3.665132585370124*^9, {3.665133217231328*^9, 3.665133218038645*^9}, 
   3.6652005008310423`*^9, 3.665200868155931*^9}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["CPBCs",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.651343660067918*^9, 3.651343663304933*^9}, {
  3.65167481026397*^9, 3.6516748115228043`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Theta]Base", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", " ", 
        FractionBox["s", 
         RowBox[{"2", "\[Tau]\[Theta]"}]]}], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"CharVarIn", "[", 
          RowBox[{"[", "5", "]"}], "]"}], "-", 
         RowBox[{"CharVarOut", "[", 
          RowBox[{"[", "5", "]"}], "]"}]}], ")"}]}], "-", 
      RowBox[{
       RowBox[{
        RowBox[{"Sqrt", "[", "\[Mu]\[Theta]", "]"}], "/", "2"}], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"CharVarIn", "[", 
          RowBox[{"[", "5", "]"}], "]"}], "+", 
         RowBox[{"CharVarOut", "[", 
          RowBox[{"[", "5", "]"}], "]"}]}], ")"}]}]}], "/.", "TauRules"}], "//",
     "Simplify"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6516806539489393`*^9, 3.6516807035562477`*^9}, {
  3.651680768095389*^9, 3.651680878664308*^9}, {3.6516809092177067`*^9, 
  3.6516809138296623`*^9}, {3.651681078647647*^9, 3.651681080923984*^9}, {
  3.656164186497345*^9, 3.656164203373094*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ZsBase", "=", 
   RowBox[{"Collect", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"-", " ", 
          FractionBox["s", 
           RowBox[{"2", "\[Tau]"}]]}], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"CharVarIn", "[", 
            RowBox[{"[", "6", "]"}], "]"}], "-", 
           RowBox[{"CharVarOut", "[", 
            RowBox[{"[", "6", "]"}], "]"}]}], ")"}]}], "-", 
        RowBox[{
         RowBox[{"1", "/", "2"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"CharVarIn", "[", 
            RowBox[{"[", "6", "]"}], "]"}], "+", 
           RowBox[{"CharVarOut", "[", 
            RowBox[{"[", "6", "]"}], "]"}]}], ")"}]}]}], "/.", "TauRules"}], "//",
       "Simplify"}], ",", "usim"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.65168161098868*^9, 3.651681690919791*^9}, {
   3.651683133421424*^9, 3.651683152358424*^9}, {3.651683263486616*^9, 
   3.6516832652500677`*^9}, 3.651683363732785*^9, 3.65168454991146*^9, 
   3.651687720758134*^9, 3.651688901816897*^9, 3.6561641909272842`*^9, 
   3.656164732414486*^9, {3.656165248623455*^9, 3.656165252605851*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Z\[Omega]Base", "=", 
   RowBox[{"Collect", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"-", " ", 
          FractionBox["s", 
           RowBox[{"2", "\[Tau]"}]]}], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"CharVarIn", "[", 
            RowBox[{"[", "7", "]"}], "]"}], "-", 
           RowBox[{"CharVarOut", "[", 
            RowBox[{"[", "7", "]"}], "]"}]}], ")"}]}], "-", 
        RowBox[{
         RowBox[{"1", "/", "2"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"CharVarIn", "[", 
            RowBox[{"[", "7", "]"}], "]"}], "+", 
           RowBox[{"CharVarOut", "[", 
            RowBox[{"[", "7", "]"}], "]"}]}], ")"}]}]}], "/.", "TauRules"}], "//",
       "Simplify"}], ",", "usim"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.651685225857703*^9, 3.651685251748625*^9}, 
   3.651685823824209*^9, 3.6561646986949987`*^9, 3.656164733803122*^9, {
   3.656165244199531*^9, 3.65616524705197*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Z\[Nu]Base", "=", 
   RowBox[{"Collect", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"-", " ", 
          FractionBox["s", 
           RowBox[{"2", "\[Tau]"}]]}], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"CharVarIn", "[", 
            RowBox[{"[", "8", "]"}], "]"}], "-", 
           RowBox[{"CharVarOut", "[", 
            RowBox[{"[", "8", "]"}], "]"}]}], ")"}]}], "-", 
        RowBox[{
         RowBox[{"1", "/", "2"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"CharVarIn", "[", 
            RowBox[{"[", "8", "]"}], "]"}], "+", 
           RowBox[{"CharVarOut", "[", 
            RowBox[{"[", "8", "]"}], "]"}]}], ")"}]}]}], "/.", "TauRules"}], "//",
       "Simplify"}], ",", "usim"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.651685474256954*^9, 3.651685510875956*^9}, 
   3.651685824932642*^9, {3.656164724932478*^9, 3.6561647349085093`*^9}, {
   3.656165235480709*^9, 3.656165239714055*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"CPBCs", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"Nest", "[", 
       RowBox[{"\[Mu]\[Theta]SomVec", ",", "\[Theta]Base", ",", "3"}], "]"}], 
      "\[Equal]", 
      RowBox[{
       SuperscriptBox["s", "5"], "g\[Theta]"}]}], ",", "\[IndentingNewLine]", 
     "           ", 
     RowBox[{
      RowBox[{"Nest", "[", 
       RowBox[{"SomVec", ",", "ZsBase", ",", "2"}], "]"}], "\[Equal]", 
      RowBox[{
       SuperscriptBox["s", "3"], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["s", "2"], "+", 
         SuperscriptBox["\[Omega]", "2"]}], ")"}], "gZs"}]}], ",", 
     "\[IndentingNewLine]", "           ", 
     RowBox[{
      RowBox[{"Nest", "[", 
       RowBox[{"SomVec", ",", "Z\[Omega]Base", ",", "2"}], "]"}], "\[Equal]", 
      
      RowBox[{
       SuperscriptBox["s", "3"], 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["s", "2"], "+", 
         SuperscriptBox["\[Omega]", "2"]}], ")"}], " ", "gZ\[Omega]"}]}], ",",
      "\[IndentingNewLine]", "           ", 
     RowBox[{
      RowBox[{"Nest", "[", 
       RowBox[{"SomVec", ",", "Z\[Nu]Base", ",", "2"}], "]"}], "\[Equal]", 
      RowBox[{
       SuperscriptBox["s", "3"], 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["s", "2"], "+", 
         SuperscriptBox["\[Omega]", "2"]}], ")"}], "gZ\[Nu]"}]}]}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.6512504591162252`*^9, 3.651250572002729*^9}, 
   3.651250625178328*^9, {3.651256645766306*^9, 3.6512566526255093`*^9}, {
   3.651344650548222*^9, 3.651344769463434*^9}, {3.651344846051127*^9, 
   3.65134484807603*^9}, {3.65134562143622*^9, 3.651345635555572*^9}, {
   3.651389167755995*^9, 3.6513891829254932`*^9}, {3.651389650223734*^9, 
   3.6513896641028843`*^9}, {3.6514003531031733`*^9, 
   3.6514003617315817`*^9}, {3.651401305932787*^9, 3.651401373286521*^9}, {
   3.651427023969007*^9, 3.651427025882059*^9}, {3.651430416385254*^9, 
   3.651430438944289*^9}, {3.651671460604814*^9, 3.651671471159877*^9}, {
   3.651674359147786*^9, 3.651674381339533*^9}, {3.651679950871543*^9, 
   3.6516799522092857`*^9}, {3.651681003734708*^9, 3.651681017781168*^9}, {
   3.65168154185334*^9, 3.6516815468193274`*^9}, 3.651681835475093*^9, 
   3.651684526597122*^9, {3.651684571831416*^9, 3.6516845944864883`*^9}, {
   3.651684631526383*^9, 3.651684633818482*^9}, {3.651685774218417*^9, 
   3.6516857916848917`*^9}, 3.651685833251445*^9, {3.6516863316513653`*^9, 
   3.651686337802136*^9}, {3.651689014214282*^9, 3.651689098743332*^9}, {
   3.651689370087885*^9, 3.651689387830225*^9}, {3.6516917122520933`*^9, 
   3.651691726305533*^9}, 3.651691826251668*^9, {3.656083975798918*^9, 
   3.656083985187907*^9}, {3.656084310468237*^9, 3.656084337856415*^9}, {
   3.6560843719009733`*^9, 3.656084438460937*^9}, {3.656164223335293*^9, 
   3.656164223374052*^9}, {3.656164720604927*^9, 3.656164721414798*^9}, {
   3.6561652278075733`*^9, 3.6561652309251423`*^9}, {3.6567011855038977`*^9, 
   3.656701186022238*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"CPBCSoln", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"Solve", "[", 
            RowBox[{
             RowBox[{"CPBCs", "/.", "BsimSolnRule"}], ",", 
             RowBox[{"{", 
              RowBox[{
              "\[Sigma]\[Theta]", ",", "\[Sigma]Zs", ",", "\[Sigma]Z\[Omega]",
                ",", "\[Sigma]Z\[Nu]"}], "}"}]}], "]"}], "//.", 
           "\[Mu]\[Theta]Rule"}], "//.", "UnTauRules"}], "//", "Flatten"}], "//",
         "FullSimplify"}], "//", "PowerExpand"}], "//", "FullSimplify"}], "//",
      "Factor"}], ")"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6512920617864733`*^9, 3.651292076986582*^9}, {
   3.651401377871379*^9, 3.6514013823115997`*^9}, {3.6516800618099613`*^9, 
   3.65168006888111*^9}, {3.65168063263424*^9, 3.6516806330573587`*^9}, 
   3.651684541069585*^9, {3.6516846052839813`*^9, 3.6516846071337423`*^9}, {
   3.651684661463056*^9, 3.651684679369768*^9}, {3.651684739705845*^9, 
   3.651684740894471*^9}, {3.6516858006070423`*^9, 3.651685843134673*^9}, {
   3.651685919104444*^9, 3.6516859212613697`*^9}, {3.6516859776033573`*^9, 
   3.6516859961122503`*^9}, {3.651686042866662*^9, 3.651686055686071*^9}, 
   3.651688909257833*^9, {3.651689539135262*^9, 3.651689543088018*^9}, {
   3.656084449936796*^9, 3.656084476395426*^9}, 3.656088316940647*^9, 
   3.6560883717241907`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Gauge conditions",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.651674826234531*^9, 3.651674840510983*^9}}],

Cell[CellGroupData[{

Cell["Shift Base BCs", "Text",
 CellChangeTimes->{{3.651343660067918*^9, 3.651343718897464*^9}, {
   3.651344080387003*^9, 3.651344083838647*^9}, {3.651672610949463*^9, 
   3.651672612721702*^9}, 3.651673895453061*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Beta]sBase", "=", 
   RowBox[{"Collect", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"s", "/", "2"}], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"CharVarIn", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "+", 
            RowBox[{"CharVarOut", "[", 
             RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}], "+", 
         RowBox[{
          RowBox[{"Sqrt", "[", "\[Mu]Ss", "]"}], 
          RowBox[{"\[Tau]\[Mu]Ss", "/", "2"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"CharVarIn", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "-", 
            RowBox[{"CharVarOut", "[", 
             RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}]}], "/.", 
        "UnTauRules"}], "/.", "Use\[Mu]SsRules"}], "//", "PowerExpand"}], ",",
      "usim", ",", "FullSimplify"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{3.65169273169871*^9, 3.6516930530204372`*^9, 
  3.656165265396098*^9, 3.65616530453975*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Beta]\[Omega]Base", "=", 
   RowBox[{
    RowBox[{"Collect", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"1", "/", "2"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"CharVarIn", "[", 
              RowBox[{"[", "3", "]"}], "]"}], "+", 
             RowBox[{"CharVarOut", "[", 
              RowBox[{"[", "3", "]"}], "]"}]}], ")"}]}], "-", 
          RowBox[{"0", " ", "\[Mu]S", " ", 
           RowBox[{"\[Tau]\[Mu]S", "/", "2"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"CharVarIn", "[", 
              RowBox[{"[", "3", "]"}], "]"}], "-", 
             RowBox[{"CharVarOut", "[", 
              RowBox[{"[", "3", "]"}], "]"}]}], ")"}]}]}], "/.", 
         "UnTauRules"}], "/.", "Use\[Mu]SsRules"}], "//", "PowerExpand"}], 
      ",", "usim", ",", "FullSimplify"}], "]"}], "//", "PowerExpand"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.651690589405445*^9, 3.651690591111979*^9}, 
   3.651692067817895*^9, 3.6516921462059937`*^9, {3.6516930562102833`*^9, 
   3.651693080455749*^9}, {3.651694005740562*^9, 3.651694015037838*^9}, {
   3.6516940497301283`*^9, 3.6516940630355864`*^9}, {3.651694596901163*^9, 
   3.651694600618998*^9}, 3.656084505943598*^9, {3.656088389236764*^9, 
   3.656088392003924*^9}, {3.6561652750455427`*^9, 3.656165294366374*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Beta]\[Nu]Base", "=", 
   RowBox[{"D\[Beta]\[Nu]", "[", "x", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.651690377014629*^9, 3.6516903960534554`*^9}, 
   3.651690447037665*^9, {3.651690805141686*^9, 3.6516908087343082`*^9}, 
   3.651692153981249*^9, {3.651693093980591*^9, 3.6516931001037493`*^9}, {
   3.6516940939529343`*^9, 3.6516940984443007`*^9}, {3.651694745285572*^9, 
   3.651694747744816*^9}, {3.656165285418339*^9, 3.6561652925002947`*^9}}]
}, Closed]],

Cell[BoxData[
 RowBox[{
  RowBox[{"GaugeBCs", "=", 
   RowBox[{"Collect", "[", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"Nest", "[", 
                    RowBox[{"\[Mu]LSomVec", ",", 
                    RowBox[{"\[Alpha]", "[", "x", "]"}], ",", "5"}], "]"}], 
                    "\[Equal]", 
                    RowBox[{
                    SuperscriptBox["s", "5"], "g\[Alpha]"}]}], ",", 
                    "\[IndentingNewLine]", "                          ", 
                    RowBox[{
                    RowBox[{"Nest", "[", 
                    RowBox[{"\[Mu]SsSomVec", ",", "\[Beta]sBase", ",", "3"}], 
                    "]"}], "\[Equal]", 
                    RowBox[{
                    SuperscriptBox["s", "5"], "g\[Beta]s"}]}], ",", 
                    "\[IndentingNewLine]", "                          ", 
                    RowBox[{
                    RowBox[{"Nest", "[", 
                    RowBox[{
                    "\[Mu]SSomVec", ",", "\[Beta]\[Omega]Base", ",", "4"}], 
                    "]"}], "\[Equal]", 
                    RowBox[{
                    SuperscriptBox["s", "3"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox["s", "2"], "+", 
                    RowBox[{"\[Mu]S", " ", 
                    SuperscriptBox["\[Omega]", "2"]}]}], ")"}], 
                    "g\[Beta]\[Omega]"}]}], ",", "\[IndentingNewLine]", 
                    "                         ", 
                    RowBox[{
                    RowBox[{"Nest", "[", 
                    RowBox[{
                    "\[Mu]SSomVec", ",", "\[Beta]\[Nu]Base", ",", "4"}], 
                    "]"}], "\[Equal]", 
                    RowBox[{
                    SuperscriptBox["s", "3"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox["s", "2"], "+", 
                    RowBox[{"\[Mu]S", " ", 
                    SuperscriptBox["\[Omega]", "2"]}]}], ")"}], 
                    "g\[Beta]\[Nu]"}]}]}], "}"}], "/.", "RHSOrgRule"}], "/.", 
                 
                 RowBox[{
                  SubscriptBox["\[PartialD]", "x"], 
                  RowBox[{"RHSOrgRule", "[", 
                   RowBox[{"[", "4", "]"}], "]"}]}]}], "/.", 
                RowBox[{
                 SubscriptBox["\[PartialD]", "x"], 
                 RowBox[{"RHSOrgRule", "[", 
                  RowBox[{"[", "3", "]"}], "]"}]}]}], "//.", 
               RowBox[{
                SubscriptBox["\[PartialD]", "x"], 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   SubscriptBox["\[PartialD]", "x"], 
                   RowBox[{"RHSOrgRule", "[", 
                    RowBox[{"[", "4", "]"}], "]"}]}], "/.", "RHSOrgRule"}], 
                 ")"}]}]}], "//.", 
              RowBox[{
               SubscriptBox["\[PartialD]", "x"], 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  SubscriptBox["\[PartialD]", "x"], 
                  RowBox[{"RHSOrgRule", "[", 
                   RowBox[{"[", "3", "]"}], "]"}]}], "/.", "RHSOrgRule"}], 
                ")"}]}]}], "/.", 
             RowBox[{
              SubscriptBox["\[PartialD]", "x"], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 SubscriptBox["\[PartialD]", "x"], 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    SubscriptBox["\[PartialD]", "x"], 
                    RowBox[{"RHSOrgRule", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}], "/.", "RHSOrgRule"}], 
                  ")"}]}], "/.", "RHSOrgRule"}], ")"}]}]}], "/.", 
            "RHSOrgRule"}], "/.", "RHSOrgRule"}], "/.", "RHSOrgRule"}], "/.", 
         "ChangeofVarRuleOldToNew"}], "/.", "UnTauRules"}], "/.", 
       "Use\[Mu]SsRules"}], ")"}], ",", "usim", ",", "Simplify"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.6512506311493587`*^9, 3.651250668442689*^9}, {
   3.6512513428283453`*^9, 3.651251363589863*^9}, {3.65125140075464*^9, 
   3.6512514514521933`*^9}, 3.65125181706434*^9, 3.651252150937182*^9, 
   3.6512529219137173`*^9, 3.651252974678853*^9, {3.6512534045621433`*^9, 
   3.651253416004739*^9}, 3.651254566281509*^9, 3.651255139253965*^9, {
   3.651255200458025*^9, 3.651255212472567*^9}, 3.6512552447259903`*^9, 
   3.651255446694482*^9, 3.651255676516365*^9, 3.6512557495102654`*^9, {
   3.651256548420051*^9, 3.651256550163939*^9}, {3.651256838837812*^9, 
   3.651256845288805*^9}, 3.6512568788629427`*^9, 3.65125832361567*^9, {
   3.651258393067172*^9, 3.651258394712306*^9}, {3.6512584544291363`*^9, 
   3.6512584649189034`*^9}, {3.651258955677671*^9, 3.651258956576178*^9}, {
   3.651259007454282*^9, 3.651259017265708*^9}, 3.651259283111248*^9, {
   3.651260796119272*^9, 3.651260820604302*^9}, {3.651260908328753*^9, 
   3.651260930431126*^9}, 3.6512610367683077`*^9, 3.651261137628997*^9, {
   3.65126117878903*^9, 3.651261201628315*^9}, {3.6512918560269547`*^9, 
   3.651291860225075*^9}, 3.6512919488740664`*^9, {3.651294185714419*^9, 
   3.651294235156855*^9}, {3.651294348001549*^9, 3.651294349572494*^9}, {
   3.6513439995983152`*^9, 3.651344038598036*^9}, {3.651344094614768*^9, 
   3.6513441737847013`*^9}, {3.651344325865961*^9, 3.6513443649671803`*^9}, {
   3.651344574025704*^9, 3.651344587829486*^9}, {3.651344994960019*^9, 
   3.651344996496296*^9}, {3.6513453119246387`*^9, 3.6513453151333637`*^9}, {
   3.651345452004896*^9, 3.6513454712513857`*^9}, {3.6513476432861967`*^9, 
   3.651347649870523*^9}, 3.651347685244554*^9, {3.651347851401595*^9, 
   3.651347857295952*^9}, {3.651348596586855*^9, 3.651348603243013*^9}, 
   3.651348724595853*^9, {3.6513497228666058`*^9, 3.651349784224275*^9}, {
   3.651404753707222*^9, 3.651404754276713*^9}, {3.651404836510785*^9, 
   3.651404837115388*^9}, {3.651407458778685*^9, 3.651407469723813*^9}, {
   3.651407605640026*^9, 3.6514076104035597`*^9}, {3.651408062315987*^9, 
   3.651408065826894*^9}, {3.651408155233984*^9, 3.651408158752092*^9}, {
   3.651671783693761*^9, 3.651671854413042*^9}, {3.6516724598377533`*^9, 
   3.65167247446697*^9}, 3.651672519033712*^9, 3.6516727031683083`*^9, {
   3.651672834667624*^9, 3.651672839088396*^9}, {3.651673359327263*^9, 
   3.651673379626864*^9}, {3.651674223882053*^9, 3.651674228438369*^9}, {
   3.651689668359479*^9, 3.65168967025795*^9}, {3.6516899084338503`*^9, 
   3.651689930934063*^9}, {3.6516900914004097`*^9, 3.651690092847015*^9}, {
   3.651690481423459*^9, 3.6516905101633253`*^9}, 3.6516905401684723`*^9, 
   3.6516906173339863`*^9, {3.651690845939262*^9, 3.6516908576773233`*^9}, 
   3.651690899391552*^9, {3.6516923750863857`*^9, 3.651692405028082*^9}, {
   3.651692861388975*^9, 3.651692864168865*^9}, {3.651693114508185*^9, 
   3.651693163426257*^9}, {3.651693435634058*^9, 3.651693443316827*^9}, {
   3.65169376116897*^9, 3.651693781186067*^9}, {3.6516939314549837`*^9, 
   3.651693942244488*^9}, {3.651694124693487*^9, 3.6516941443779*^9}, {
   3.651694203988555*^9, 3.6516942074239683`*^9}, {3.6516942430935307`*^9, 
   3.651694244665505*^9}, {3.651694289431222*^9, 3.65169431376928*^9}, {
   3.6516943634660063`*^9, 3.651694366396647*^9}, 3.651694405448372*^9, 
   3.651694443664044*^9, {3.651694518075416*^9, 3.6516945189102583`*^9}, 
   3.651694558864997*^9, {3.651694613257045*^9, 3.651694623059432*^9}, {
   3.651694659954711*^9, 3.651694660581764*^9}, {3.6516947090610523`*^9, 
   3.651694728947627*^9}, {3.651694798759197*^9, 3.651694801303594*^9}, {
   3.651694866359045*^9, 3.6516948686145983`*^9}, {3.6516949703097963`*^9, 
   3.6516949766463013`*^9}, {3.651695038613896*^9, 3.651695042908731*^9}, {
   3.656084522406098*^9, 3.656084560338149*^9}, {3.6560846587752*^9, 
   3.6560846616220617`*^9}, {3.656084871274541*^9, 3.656084939124264*^9}, {
   3.6560884791000957`*^9, 3.656088480123238*^9}, {3.656088580022196*^9, 
   3.656088592312025*^9}, {3.656088685684227*^9, 3.656088686605074*^9}, {
   3.65608881516932*^9, 3.656088825805887*^9}, {3.656088859375585*^9, 
   3.656088928539855*^9}, {3.65608898650522*^9, 3.656088993462254*^9}, {
   3.656089595963464*^9, 3.6560895974671917`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"GaugeBCSoln", "=", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"GaugeBCs", "/.", "RHSrotRule"}], "/.", "BsimSolnRule"}], "/.",
          "UnTauRules"}], "/.", "Use\[Mu]SsRules"}], ")"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "\[Sigma]\[Alpha]", ",", "\[Sigma]\[Beta]s", ",", 
        "\[Sigma]\[Beta]\[Omega]", ",", "\[Sigma]\[Beta]\[Nu]"}], "}"}]}], 
     "]"}], "//", "Flatten"}]}], ";", 
  RowBox[{"GaugeBCSoln", "=", 
   RowBox[{"Collect", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"GaugeBCSoln", "/.", "UnTauRules"}], "/.", "Use\[Mu]SsRules"}], 
     ",", "bcVec", ",", 
     RowBox[{
      RowBox[{"FullSimplify", "@", 
       RowBox[{"PowerExpand", "@", 
        RowBox[{"Simplify", "@", 
         RowBox[{"Together", "@", "#"}]}]}]}], "&"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.651250676112908*^9, 3.65125068288834*^9}, {
   3.651250753377543*^9, 3.651250778365053*^9}, {3.651251367490767*^9, 
   3.651251372525845*^9}, {3.6512514916659184`*^9, 3.65125151490901*^9}, {
   3.6512529266518803`*^9, 3.651252928026114*^9}, {3.651344183181451*^9, 
   3.6513441863585167`*^9}, {3.6513442293810463`*^9, 
   3.6513442319308043`*^9}, {3.651346882860023*^9, 3.651346906298712*^9}, {
   3.651347869986335*^9, 3.6513478787844753`*^9}, 3.651348030235021*^9, {
   3.651672800393424*^9, 3.6516728176627502`*^9}, {3.651689938672193*^9, 
   3.651689947895417*^9}, {3.6516905179307823`*^9, 3.651690521811367*^9}, {
   3.651690581184906*^9, 3.6516906103451366`*^9}, {3.651690649802219*^9, 
   3.651690652901066*^9}, 3.651690816867502*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"BSolnImpose", "=", 
   RowBox[{"Collect", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"BSoln", "/.", "PhysSoln"}], "/.", "GaugeBCSoln"}], "/.", 
          "CPBCSoln"}], "/.", "UnTauRules"}], "/.", "Use\[Mu]SsRules"}], "/.", 
       RowBox[{"\[Mu]\[Theta]", "\[Rule]", 
        RowBox[{"\[Mu]Ss", "/", "\[Mu]S"}]}]}], "//", "PowerExpand"}], ",", 
     "bcVec", ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"FullSimplify", "@", 
       RowBox[{"PowerExpand", "@", 
        RowBox[{"Simplify", "@", 
         RowBox[{"PowerExpand", "@", "#"}]}]}]}], "&"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.6516913690669622`*^9, 3.651691370269149*^9}, 
   3.651692184775405*^9, {3.66514308332092*^9, 3.665143091904348*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Solution at the boundary using high order BCs", "Subsection",
 CellChangeTimes->{{3.547058194716805*^9, 3.547058205203157*^9}, {
   3.5470582393700438`*^9, 3.547058277464362*^9}, {3.5471255455103703`*^9, 
   3.547125547184648*^9}, {3.651300220296833*^9, 3.651300222305799*^9}, {
   3.651671888681241*^9, 3.651671895147681*^9}, {3.651674867590549*^9, 
   3.651674867845463*^9}, {3.651825713255445*^9, 3.6518257229742804`*^9}, {
   3.6525923075195436`*^9, 3.65259231491931*^9}, {3.652612141490596*^9, 
   3.652612182895796*^9}, {3.652612258159829*^9, 3.652612258558978*^9}, {
   3.6526129564734983`*^9, 3.6526129621765757`*^9}, {3.652613159378914*^9, 
   3.652613176832046*^9}, 3.6526135418535547`*^9, {3.65261409616471*^9, 
   3.652614096349174*^9}, {3.655816086795905*^9, 3.6558160958727493`*^9}, {
   3.656081138367454*^9, 3.656081148181781*^9}, {3.656089848377586*^9, 
   3.656089855049512*^9}, {3.6652012567328176`*^9, 3.665201257282205*^9}, {
   3.6652018839449587`*^9, 3.665201884424407*^9}, {3.678109498559951*^9, 
   3.678109499272003*^9}}],

Cell[CellGroupData[{

Cell["Gauge ", "Text",
 CellChangeTimes->{{3.6514101294436073`*^9, 3.6514101367745953`*^9}, {
  3.655816128956986*^9, 3.6558161392342777`*^9}}],

Cell[CellGroupData[{

Cell["Lapse", "Text",
 CellChangeTimes->{{3.6514101294436073`*^9, 3.6514101367745953`*^9}, {
  3.655816128956986*^9, 3.6558161392342777`*^9}, {3.655907107401081*^9, 
  3.655907110328779*^9}, {3.656016158974283*^9, 3.656016159366604*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[Alpha]Rule", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"BsimSolnRule", "[", 
         RowBox[{"[", "1", "]"}], "]"}], "/.", "GaugeBCSoln"}], "/.", 
       "TauRules"}], "/.", 
      RowBox[{"\[Omega]", "\[Rule]", 
       RowBox[{"Sqrt", "[", " ", 
        FractionBox[
         RowBox[{
          RowBox[{"\[Mu]L", " ", 
           SuperscriptBox["\[Tau]\[Mu]L", "2"]}], "-", 
          SuperscriptBox["s", "2"]}], "\[Mu]L"], "]"}]}]}], "//", 
     "FullSimplify"}], ")"}], "/.", "\[CapitalPi]Rule"}]}]], "Input",
 CellChangeTimes->{{3.656090192387306*^9, 3.656090194049842*^9}, {
  3.656090258945016*^9, 3.656090323421988*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Alpha]", "[", "x", "]"}], "\[Rule]", 
  FractionBox[
   RowBox[{"g\[Alpha]", " ", 
    SuperscriptBox["s", "5"]}], 
   SuperscriptBox["\[CapitalPi]\[Mu]L", "5"]]}]], "Output",
 CellChangeTimes->{{3.656090185075718*^9, 3.6560901942919292`*^9}, {
   3.656090260615499*^9, 3.656090324371838*^9}, 3.656091692615314*^9, 
   3.656111111904647*^9, 3.656113651668679*^9, 3.656178479069676*^9, 
   3.6562137246940603`*^9, 3.656214124367146*^9, 3.6567071839539022`*^9, 
   3.656718515664703*^9, 3.656766183709756*^9, {3.656867590778483*^9, 
   3.656867603485622*^9}, 3.665147124970407*^9, {3.665201740334646*^9, 
   3.665201757144668*^9}, 3.665244787721293*^9, 3.67810691883774*^9, 
   3.6781072093454857`*^9, {3.678107525371006*^9, 3.6781075301010513`*^9}, 
   3.6781076983543653`*^9, 3.678109833915427*^9, 3.6808664514393787`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[Alpha]Rule", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"BsimSolnRule", "[", 
         RowBox[{"[", "2", "]"}], "]"}], "/.", "GaugeBCSoln"}], "/.", 
       "TauRules"}], "/.", 
      RowBox[{"\[Omega]", "\[Rule]", 
       RowBox[{"Sqrt", "[", " ", 
        FractionBox[
         RowBox[{
          RowBox[{"\[Mu]L", " ", 
           SuperscriptBox["\[Tau]\[Mu]L", "2"]}], "-", 
          SuperscriptBox["s", "2"]}], "\[Mu]L"], "]"}]}]}], "//", 
     "FullSimplify"}], ")"}], "/.", "\[CapitalPi]Rule"}]}]], "Input",
 CellChangeTimes->{{3.655816323725461*^9, 3.6558163465741177`*^9}, {
  3.656090350653101*^9, 3.656090352826038*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"D\[Alpha]", "[", "x", "]"}], "\[Rule]", 
  RowBox[{"-", 
   FractionBox[
    RowBox[{"g\[Alpha]", " ", 
     SuperscriptBox["s", "5"], " ", "\[Tau]\[Mu]L"}], 
    SuperscriptBox["\[CapitalPi]\[Mu]L", "5"]]}]}]], "Output",
 CellChangeTimes->{{3.655816327230503*^9, 3.655816348278867*^9}, 
   3.656074205802085*^9, 3.656080724319931*^9, 3.656090353257543*^9, 
   3.656091693331564*^9, 3.656111111956854*^9, 3.65611365169514*^9, 
   3.656178479119141*^9, 3.656213724727456*^9, 3.6562141313336363`*^9, 
   3.656707184104163*^9, 3.6567185157091722`*^9, 3.656766183857183*^9, {
   3.6568675908628387`*^9, 3.656867603550809*^9}, 3.66514712502639*^9, {
   3.665201741781261*^9, 3.665201757216158*^9}, 3.665244787775367*^9, 
   3.678107213094265*^9, 3.67810753098984*^9, 3.678107699279696*^9, 
   3.678109833970394*^9, 3.680866451485978*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Shift: Transversal  components", "Text",
 CellChangeTimes->{{3.6514101294436073`*^9, 3.6514101367745953`*^9}, {
  3.655816128956986*^9, 3.6558161392342777`*^9}, {3.655907107401081*^9, 
  3.655907110328779*^9}, {3.6559071428893213`*^9, 3.655907176296447*^9}, {
  3.655907253683921*^9, 3.655907268147191*^9}}],

Cell[CellGroupData[{

Cell["Define rules to simplify  the coefficients ", "Text",
 CellChangeTimes->{{3.656179361884219*^9, 3.656179397548088*^9}, {
  3.656197829904808*^9, 3.656197872593563*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Beta]\[Omega]ReductionRules", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{"\[ImaginaryI]", " ", "g\[Alpha]", " ", 
          SuperscriptBox["s", "4"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"\[Eta]L", " ", "\[Mu]L"}], "-", "\[Mu]Ss"}], ")"}], " ", 
          "\[Omega]"}], 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"16", " ", 
             SuperscriptBox["s", "5"]}], "+", 
            RowBox[{"20", " ", 
             SuperscriptBox["s", "3"], " ", "\[Mu]L", " ", 
             SuperscriptBox["\[Omega]", "2"]}], "+", 
            RowBox[{"5", " ", "s", " ", 
             SuperscriptBox["\[Mu]L", "2"], " ", 
             SuperscriptBox["\[Omega]", "4"]}], "+", 
            RowBox[{"16", " ", 
             SuperscriptBox["s", "4"], " ", 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               RowBox[{"\[Mu]L", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
            RowBox[{"12", " ", 
             SuperscriptBox["s", "2"], " ", "\[Mu]L", " ", 
             SuperscriptBox["\[Omega]", "2"], " ", 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               RowBox[{"\[Mu]L", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
            RowBox[{
             SuperscriptBox["\[Mu]L", "2"], " ", 
             SuperscriptBox["\[Omega]", "4"], " ", 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               RowBox[{"\[Mu]L", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}]]}], ")"}], 
      "\[Rule]", " ", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"\[ImaginaryI]", " ", "g\[Alpha]", " ", 
         SuperscriptBox["s", "4"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[Eta]L", " ", "\[Mu]L"}], "-", "\[Mu]Ss"}], ")"}], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox["s", "2"]}], "+", 
           RowBox[{"\[Mu]L", " ", 
            SuperscriptBox["\[Tau]\[Mu]L", "2"]}]}]]}], 
        RowBox[{
         SqrtBox["\[Mu]L"], " ", 
         RowBox[{"(", 
          RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"s", "+", 
            RowBox[{
             SqrtBox["\[Mu]L"], " ", "\[Tau]\[Mu]L"}]}], ")"}], "5"]}]]}]}], 
     ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{"g\[Beta]\[Omega]", " ", "s", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             RowBox[{"\[Mu]S", " ", 
              SuperscriptBox["\[Omega]", "2"]}]}], ")"}], "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "8"}], " ", 
             SuperscriptBox["s", "3"]}], "-", 
            RowBox[{"4", " ", "s", " ", "\[Mu]S", " ", 
             SuperscriptBox["\[Omega]", "2"]}], "+", 
            FractionBox[
             RowBox[{
              SuperscriptBox["\[Mu]S", "2"], " ", 
              SuperscriptBox["\[Omega]", "4"]}], 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               RowBox[{"\[Mu]S", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}]]], "+", 
            RowBox[{"8", " ", 
             SuperscriptBox["s", "2"], " ", 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               RowBox[{"\[Mu]S", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}], 
         RowBox[{
          SuperscriptBox["\[Mu]S", 
           RowBox[{"7", "/", "2"}]], " ", 
          SuperscriptBox["\[Omega]", "8"]}]]}], ")"}], "\[Rule]", " ", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"g\[Beta]\[Omega]", " ", "s", " ", 
         SuperscriptBox["\[Mu]S", "2"], " ", 
         SuperscriptBox["\[Tau]\[Mu]S", "3"]}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"s", "+", 
           RowBox[{
            SqrtBox["\[Mu]S"], " ", "\[Tau]\[Mu]S"}]}], ")"}], "4"]]}]}], ",", 
     RowBox[{
      RowBox[{"(", 
       FractionBox[
        RowBox[{"\[ImaginaryI]", " ", "g\[Beta]s", " ", 
         SuperscriptBox["s", "3"], " ", "\[Mu]Ss", " ", "\[Omega]"}], 
        RowBox[{
         RowBox[{"8", " ", 
          SuperscriptBox["s", "4"]}], "+", 
         RowBox[{"8", " ", 
          SuperscriptBox["s", "2"], " ", "\[Mu]Ss", " ", 
          SuperscriptBox["\[Omega]", "2"]}], "+", 
         RowBox[{
          SuperscriptBox["\[Mu]Ss", "2"], " ", 
          SuperscriptBox["\[Omega]", "4"]}], "+", 
         RowBox[{"8", " ", 
          SuperscriptBox["s", "3"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            RowBox[{"\[Mu]Ss", " ", 
             SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
         RowBox[{"4", " ", "s", " ", "\[Mu]Ss", " ", 
          SuperscriptBox["\[Omega]", "2"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            RowBox[{"\[Mu]Ss", " ", 
             SuperscriptBox["\[Omega]", "2"]}]}]]}]}]], ")"}], "\[Rule]", " ", 
      FractionBox[
       RowBox[{"\[ImaginaryI]", " ", "g\[Beta]s", " ", 
        SuperscriptBox["s", "3"], " ", "\[Mu]Ss", " ", "\[Omega]"}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"s", "+", 
          RowBox[{
           SqrtBox["\[Mu]Ss"], " ", "\[Tau]\[Mu]Ss"}]}], ")"}], "4"]]}], ",", 
     
     RowBox[{
      SqrtBox[
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["s", "2"]}], "+", 
        RowBox[{"\[Mu]L", " ", 
         SuperscriptBox["\[Tau]\[Mu]L", "2"]}]}]], "\[Rule]", " ", 
      RowBox[{
       SqrtBox["\[Mu]L"], " ", "\[Omega]"}]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.656197317136907*^9, {3.656197591356351*^9, 3.656197615134934*^9}, {
   3.6561976985016327`*^9, 3.656197713716668*^9}, {3.656197890200432*^9, 
   3.6561978944471827`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"D\[Beta]\[Omega]ReductionRules", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       FractionBox[
        RowBox[{"\[ImaginaryI]", " ", "g\[Alpha]", " ", 
         SuperscriptBox["s", "4"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[Eta]L", " ", "\[Mu]L"}], "-", "\[Mu]Ss"}], ")"}], " ", 
         "\[Omega]", " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           RowBox[{"\[Mu]L", " ", 
            SuperscriptBox["\[Omega]", "2"]}]}]]}], 
        RowBox[{
         SqrtBox["\[Mu]L"], " ", 
         RowBox[{"(", 
          RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"16", " ", 
            SuperscriptBox["s", "5"]}], "+", 
           RowBox[{"20", " ", 
            SuperscriptBox["s", "3"], " ", "\[Mu]L", " ", 
            SuperscriptBox["\[Omega]", "2"]}], "+", 
           RowBox[{"5", " ", "s", " ", 
            SuperscriptBox["\[Mu]L", "2"], " ", 
            SuperscriptBox["\[Omega]", "4"]}], "+", 
           RowBox[{"16", " ", 
            SuperscriptBox["s", "4"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              RowBox[{"\[Mu]L", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
           RowBox[{"12", " ", 
            SuperscriptBox["s", "2"], " ", "\[Mu]L", " ", 
            SuperscriptBox["\[Omega]", "2"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              RowBox[{"\[Mu]L", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
           RowBox[{
            SuperscriptBox["\[Mu]L", "2"], " ", 
            SuperscriptBox["\[Omega]", "4"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              RowBox[{"\[Mu]L", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}]], ")"}], 
      "\[Rule]", " ", 
      FractionBox[
       RowBox[{"\[ImaginaryI]", " ", "g\[Alpha]", " ", 
        SuperscriptBox["s", "4"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"\[Eta]L", " ", "\[Mu]L"}], "-", "\[Mu]Ss"}], ")"}], " ", 
        "\[Tau]\[Mu]L", " ", "\[Omega]"}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"s", "+", 
           RowBox[{
            SqrtBox["\[Mu]L"], " ", "\[Tau]\[Mu]L"}]}], ")"}], "5"]}]]}], ",", 
     RowBox[{
      RowBox[{"(", 
       FractionBox["g\[Beta]\[Omega]", 
        RowBox[{
         FractionBox["1", "s"], "+", 
         FractionBox[
          RowBox[{"4", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"2", " ", 
              SuperscriptBox["s", "2"]}], "+", 
             RowBox[{"\[Mu]S", " ", 
              SuperscriptBox["\[Omega]", "2"]}]}], ")"}]}], 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             RowBox[{"\[Mu]S", " ", 
              SuperscriptBox["\[Omega]", "2"]}]}], ")"}], 
           RowBox[{"3", "/", "2"}]]], "+", 
         FractionBox[
          RowBox[{"s", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"7", " ", 
              SuperscriptBox["s", "2"]}], "+", 
             RowBox[{"6", " ", "\[Mu]S", " ", 
              SuperscriptBox["\[Omega]", "2"]}]}], ")"}]}], 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             RowBox[{"\[Mu]S", " ", 
              SuperscriptBox["\[Omega]", "2"]}]}], ")"}], "2"]]}]], ")"}], 
      "\[Rule]", " ", 
      FractionBox[
       RowBox[{"g\[Beta]\[Omega]", " ", "s", " ", 
        SuperscriptBox["\[Mu]S", "2"], " ", 
        SuperscriptBox["\[Tau]\[Mu]S", "4"]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"s", "+", 
          RowBox[{
           SqrtBox["\[Mu]S"], " ", "\[Tau]\[Mu]S"}]}], ")"}], "4"]]}], ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{"\[ImaginaryI]", " ", "g\[Beta]s", " ", 
          SuperscriptBox["s", "3"], " ", 
          SqrtBox["\[Mu]Ss"], " ", "\[Omega]", " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            RowBox[{"\[Mu]Ss", " ", 
             SuperscriptBox["\[Omega]", "2"]}]}]]}], 
         RowBox[{
          RowBox[{"8", " ", 
           SuperscriptBox["s", "4"]}], "+", 
          RowBox[{"8", " ", 
           SuperscriptBox["s", "2"], " ", "\[Mu]Ss", " ", 
           SuperscriptBox["\[Omega]", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["\[Mu]Ss", "2"], " ", 
           SuperscriptBox["\[Omega]", "4"]}], "+", 
          RowBox[{"8", " ", 
           SuperscriptBox["s", "3"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             RowBox[{"\[Mu]Ss", " ", 
              SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
          RowBox[{"4", " ", "s", " ", "\[Mu]Ss", " ", 
           SuperscriptBox["\[Omega]", "2"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             RowBox[{"\[Mu]Ss", " ", 
              SuperscriptBox["\[Omega]", "2"]}]}]]}]}]]}], ")"}], "\[Rule]", 
      " ", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"\[ImaginaryI]", " ", "g\[Beta]s", " ", 
         SuperscriptBox["s", "3"], " ", "\[Mu]Ss", " ", "\[Tau]\[Mu]Ss", " ", 
         "\[Omega]"}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"s", "+", 
           RowBox[{
            SqrtBox["\[Mu]Ss"], " ", "\[Tau]\[Mu]Ss"}]}], ")"}], "4"]]}]}]}], 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.656197899122781*^9, 3.656197941277927*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["\[Beta]\[Omega]", "Text",
 CellChangeTimes->{{3.656179361884219*^9, 3.656179397548088*^9}, {
  3.656197829904808*^9, 3.656197872593563*^9}, {3.656198293073842*^9, 
  3.6561982943123817`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[Beta]\[Omega]Rule", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Collect", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Collect", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"BsimSolnRule", "[", 
              RowBox[{"[", "5", "]"}], "]"}], "/.", "GaugeBCSoln"}], "/.", 
            "UnTauRules"}], "/.", "Use\[Mu]SsRules"}], ",", "bcVec", ",", 
          "FullSimplify"}], "]"}], "//", "PowerExpand"}], "//", "Factor"}], 
      ",", "bcVec", ",", "FullSimplify"}], "]"}], "//.", 
    "\[Beta]\[Omega]ReductionRules"}], "/.", "\[CapitalPi]Rule"}]}]], "Input",\

 CellChangeTimes->{{3.655132987849949*^9, 3.655132999449699*^9}, 
   3.655519848500889*^9, {3.655520311367208*^9, 3.655520320162236*^9}, {
   3.655520553890169*^9, 3.655520561203953*^9}, 3.6555206473449173`*^9, {
   3.655520866058435*^9, 3.655520873283593*^9}, {3.6555209777742367`*^9, 
   3.6555209815893993`*^9}, {3.655521575693282*^9, 3.655521580275321*^9}, {
   3.655522207250746*^9, 3.6555222098644657`*^9}, 3.65566995744766*^9, {
   3.6558164094829206`*^9, 3.655816417435821*^9}, 3.655816819406762*^9, 
   3.6558172055950937`*^9, {3.655896151017785*^9, 3.655896318483371*^9}, {
   3.655896430532613*^9, 3.655896433645108*^9}, {3.6558964840429583`*^9, 
   3.655896564947423*^9}, {3.655896647698812*^9, 3.6558966979586287`*^9}, {
   3.655896741739891*^9, 3.655896882533428*^9}, {3.65589694851661*^9, 
   3.65589695709278*^9}, {3.655897087270444*^9, 3.65589715461799*^9}, {
   3.655897187078456*^9, 3.6558972959831038`*^9}, {3.655906891220807*^9, 
   3.655906892814011*^9}, 3.6560742122466087`*^9, 3.656074256262743*^9, {
   3.6560742935587673`*^9, 3.656074337170781*^9}, {3.6560745006105967`*^9, 
   3.656074525977879*^9}, {3.656074556818709*^9, 3.656074572421891*^9}, {
   3.656090569467647*^9, 3.656090587449239*^9}, {3.6560906295131617`*^9, 
   3.656090682524138*^9}, {3.656090865609441*^9, 3.656090877565598*^9}, {
   3.656090915962925*^9, 3.656090929013082*^9}, {3.656091004615466*^9, 
   3.656091012728744*^9}, {3.656091095913451*^9, 3.656091120826215*^9}, 
   3.656091935848588*^9, 3.656197296646696*^9, {3.65619767789678*^9, 
   3.65619768076713*^9}, 3.6561978098454437`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Beta]\[Omega]", "[", "x", "]"}], "\[Rule]", 
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{"g\[Beta]\[Omega]", " ", "s", " ", 
      SuperscriptBox["\[Mu]S", "2"], " ", 
      SuperscriptBox["\[Tau]\[Mu]S", "3"]}], 
     SuperscriptBox["\[CapitalPi]\[Mu]S", "4"]]}], "-", 
   FractionBox[
    RowBox[{"\[ImaginaryI]", " ", "g\[Alpha]", " ", 
     SuperscriptBox["s", "4"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"\[Eta]L", " ", "\[Mu]L"}], "-", "\[Mu]Ss"}], ")"}], " ", 
     "\[Omega]"}], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", 
     SuperscriptBox["\[CapitalPi]\[Mu]L", "5"]}]], "+", 
   FractionBox[
    RowBox[{"\[ImaginaryI]", " ", "g\[Beta]s", " ", 
     SuperscriptBox["s", "3"], " ", "\[Mu]Ss", " ", "\[Omega]"}], 
    SuperscriptBox["\[CapitalPi]\[Mu]Ss", "4"]]}]}]], "Output",
 CellChangeTimes->{3.6781072335321198`*^9, 3.678107544756776*^9, 
  3.6781077148056192`*^9, 3.6781098351081676`*^9, 3.680866455469472*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D\[Beta]\[Omega]Rule", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Collect", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Collect", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"BsimSolnRule", "[", 
              RowBox[{"[", "6", "]"}], "]"}], "/.", "GaugeBCSoln"}], "/.", 
            "UnTauRules"}], "/.", "Use\[Mu]SsRules"}], ",", "bcVec", ",", 
          "FullSimplify"}], "]"}], "//", "PowerExpand"}], "//", "Factor"}], 
      ",", "bcVec", ",", "FullSimplify"}], "]"}], "/.", 
    "D\[Beta]\[Omega]ReductionRules"}], "/.", "\[CapitalPi]Rule"}]}]], "Input",\

 CellChangeTimes->{{3.6558973449457197`*^9, 3.655897467350214*^9}, {
   3.6560154734030733`*^9, 3.656015482446538*^9}, {3.6560743595443*^9, 
   3.656074361037977*^9}, {3.656074583320208*^9, 3.6560745942463493`*^9}, {
   3.656074770831126*^9, 3.656074777726762*^9}, {3.656077169771517*^9, 
   3.656077186570035*^9}, {3.6560776815664454`*^9, 3.6560777351170692`*^9}, {
   3.656077867825445*^9, 3.656077887857856*^9}, {3.656077961938365*^9, 
   3.656077967439308*^9}, {3.656091347631888*^9, 3.6560913826989813`*^9}, {
   3.656091421384674*^9, 3.656091475079885*^9}, {3.656091505759769*^9, 
   3.6560915118457603`*^9}, 3.656091948206543*^9, 3.656197910032386*^9, 
   3.6561979515224867`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"D\[Beta]\[Omega]", "[", "x", "]"}], "\[Rule]", 
  RowBox[{
   FractionBox[
    RowBox[{"g\[Beta]\[Omega]", " ", "s", " ", 
     SuperscriptBox["\[Mu]S", "2"], " ", 
     SuperscriptBox["\[Tau]\[Mu]S", "4"]}], 
    SuperscriptBox["\[CapitalPi]\[Mu]S", "4"]], "+", 
   FractionBox[
    RowBox[{"\[ImaginaryI]", " ", "g\[Alpha]", " ", 
     SuperscriptBox["s", "4"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"\[Eta]L", " ", "\[Mu]L"}], "-", "\[Mu]Ss"}], ")"}], " ", 
     "\[Tau]\[Mu]L", " ", "\[Omega]"}], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", 
     SuperscriptBox["\[CapitalPi]\[Mu]L", "5"]}]], "-", 
   FractionBox[
    RowBox[{"\[ImaginaryI]", " ", "g\[Beta]s", " ", 
     SuperscriptBox["s", "3"], " ", "\[Mu]Ss", " ", "\[Tau]\[Mu]Ss", " ", 
     "\[Omega]"}], 
    SuperscriptBox["\[CapitalPi]\[Mu]Ss", "4"]]}]}]], "Output",
 CellChangeTimes->{
  3.6560777360349817`*^9, 3.6560778773315163`*^9, {3.656077962538733*^9, 
   3.656077968006133*^9}, 3.656080730252242*^9, {3.656091354055372*^9, 
   3.656091359025509*^9}, 3.656091422702553*^9, 3.656091462710204*^9, {
   3.6560915068842907`*^9, 3.656091512621147*^9}, 3.656091717231192*^9, 
   3.6560919493587112`*^9, 3.6561111153948593`*^9, 3.6561136557222853`*^9, 
   3.656178483268113*^9, 3.656197953416189*^9, 3.6562137275398483`*^9, 
   3.656214153851519*^9, 3.656707242281146*^9, 3.65671851804488*^9, 
   3.656766186610035*^9, 3.656867605940996*^9, 3.665147127594146*^9, 
   3.665201772351283*^9, 3.6652447904578037`*^9, 3.678107250027286*^9, 
   3.678107546865638*^9, 3.67810771577969*^9, 3.67810983605226*^9, 
   3.6808664567105017`*^9}]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["\[Beta]\[Nu]", "Text",
 CellChangeTimes->{{3.656179361884219*^9, 3.656179397548088*^9}, {
  3.656197829904808*^9, 3.656197872593563*^9}, {3.656198293073842*^9, 
  3.6561982943123817`*^9}, {3.6561983277040033`*^9, 3.656198328607471*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[Beta]\[Nu]Rule", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"BsimSolnRule", "[", 
         RowBox[{"[", "17", "]"}], "]"}], "/.", "GaugeBCSoln"}], "/.", 
       RowBox[{"\[Omega]", "\[Rule]", 
        RowBox[{"Sqrt", "[", " ", 
         FractionBox[
          RowBox[{
           RowBox[{"\[Mu]S", " ", 
            SuperscriptBox["\[Tau]\[Mu]S", "2"]}], "-", 
           SuperscriptBox["s", "2"]}], "\[Mu]S"], "]"}]}]}], "//", 
      "PowerExpand"}], "//", "FullSimplify"}], ")"}], "/.", 
   "\[CapitalPi]Rule"}]}]], "Input",
 CellChangeTimes->{{3.6560155180245867`*^9, 3.6560156038367243`*^9}, {
  3.656015639745887*^9, 3.656015647945283*^9}, {3.656015682096385*^9, 
  3.65601573555301*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Beta]\[Nu]", "[", "x", "]"}], "\[Rule]", 
  RowBox[{"-", 
   FractionBox[
    RowBox[{"g\[Beta]\[Nu]", " ", 
     SuperscriptBox["s", "3"], " ", "\[Mu]S", " ", "\[Tau]\[Mu]S"}], 
    SuperscriptBox["\[CapitalPi]\[Mu]S", "4"]]}]}]], "Output",
 CellChangeTimes->{{3.656015518629259*^9, 3.656015547101252*^9}, 
   3.6560156047391167`*^9, 3.656015642686653*^9, {3.656015683727251*^9, 
   3.656015736119828*^9}, 3.656077991541347*^9, 3.656080730289851*^9, 
   3.656091764888175*^9, 3.656091955453671*^9, 3.6561111154396772`*^9, 
   3.656113655816555*^9, 3.656178483306975*^9, 3.656213727577857*^9, 
   3.6562141538922033`*^9, 3.6567072486605453`*^9, 3.656718518165042*^9, 
   3.65676618700965*^9, 3.6568676060949583`*^9, 3.6651471276591997`*^9, 
   3.66520178127114*^9, 3.665244790535198*^9, 3.678107256685897*^9, 
   3.678107554375537*^9, 3.6781077190566187`*^9, 3.678109836105587*^9, 
   3.680866456825779*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D\[Beta]\[Nu]Rule", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"BsimSolnRule", "[", 
         RowBox[{"[", "18", "]"}], "]"}], "/.", "GaugeBCSoln"}], "/.", 
       RowBox[{"\[Omega]", "\[Rule]", 
        RowBox[{"Sqrt", "[", " ", 
         FractionBox[
          RowBox[{
           RowBox[{"\[Mu]S", " ", 
            SuperscriptBox["\[Tau]\[Mu]S", "2"]}], "-", 
           SuperscriptBox["s", "2"]}], "\[Mu]S"], "]"}]}]}], "//", 
      "PowerExpand"}], "//", "FullSimplify"}], ")"}], "/.", 
   "\[CapitalPi]Rule"}]}]], "Input",
 CellChangeTimes->{{3.6560155180245867`*^9, 3.6560156038367243`*^9}, {
  3.656015639745887*^9, 3.656015647945283*^9}, {3.656015682096385*^9, 
  3.6560157468394327`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"D\[Beta]\[Nu]", "[", "x", "]"}], "\[Rule]", 
  FractionBox[
   RowBox[{"g\[Beta]\[Nu]", " ", 
    SuperscriptBox["s", "3"], " ", "\[Mu]S", " ", 
    SuperscriptBox["\[Tau]\[Mu]S", "2"]}], 
   SuperscriptBox["\[CapitalPi]\[Mu]S", "4"]]}]], "Output",
 CellChangeTimes->{{3.656015518629259*^9, 3.656015547101252*^9}, 
   3.6560156047391167`*^9, 3.656015642686653*^9, {3.656015683727251*^9, 
   3.65601574723872*^9}, 3.656077993374834*^9, 3.656080730322747*^9, 
   3.6560917688742332`*^9, 3.656091956089593*^9, 3.656111115490472*^9, 
   3.656113655846854*^9, 3.656178483341682*^9, 3.6562137276138077`*^9, 
   3.6562141539425507`*^9, 3.656707248722837*^9, 3.6567185182084627`*^9, 
   3.656766187155164*^9, 3.6568676061491203`*^9, 3.6651471277103643`*^9, 
   3.6652017813463097`*^9, 3.665244790594562*^9, 3.678107257962029*^9, 
   3.678107555167288*^9, 3.678107719874104*^9, 3.678109836154855*^9, 
   3.680866456868273*^9}]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Shift: Longitudinal component", "Text",
 CellChangeTimes->{{3.6514101294436073`*^9, 3.6514101367745953`*^9}, {
  3.655816128956986*^9, 3.6558161392342777`*^9}, {3.655907107401081*^9, 
  3.655907110328779*^9}, {3.6559071428893213`*^9, 3.655907176296447*^9}, {
  3.655907264331657*^9, 3.655907264699321*^9}}],

Cell[CellGroupData[{

Cell["Define rules to simplify  the coefficients ", "Text",
 CellChangeTimes->{{3.656179361884219*^9, 3.656179397548088*^9}, {
  3.656197829904808*^9, 3.656197872593563*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Beta]sReductionRules", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       FractionBox[
        RowBox[{"g\[Alpha]", " ", 
         SuperscriptBox["s", "4"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[Eta]L", " ", "\[Mu]L"}], "-", "\[Mu]Ss"}], ")"}], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           RowBox[{"\[Mu]L", " ", 
            SuperscriptBox["\[Omega]", "2"]}]}]]}], 
        RowBox[{
         SqrtBox["\[Mu]L"], " ", 
         RowBox[{"(", 
          RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"16", " ", 
            SuperscriptBox["s", "5"]}], "+", 
           RowBox[{"20", " ", 
            SuperscriptBox["s", "3"], " ", "\[Mu]L", " ", 
            SuperscriptBox["\[Omega]", "2"]}], "+", 
           RowBox[{"5", " ", "s", " ", 
            SuperscriptBox["\[Mu]L", "2"], " ", 
            SuperscriptBox["\[Omega]", "4"]}], "+", 
           RowBox[{"16", " ", 
            SuperscriptBox["s", "4"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              RowBox[{"\[Mu]L", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
           RowBox[{"12", " ", 
            SuperscriptBox["s", "2"], " ", "\[Mu]L", " ", 
            SuperscriptBox["\[Omega]", "2"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              RowBox[{"\[Mu]L", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
           RowBox[{
            SuperscriptBox["\[Mu]L", "2"], " ", 
            SuperscriptBox["\[Omega]", "4"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              RowBox[{"\[Mu]L", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}]], ")"}], 
      "\[Rule]", " ", 
      FractionBox[
       RowBox[{"g\[Alpha]", " ", 
        SuperscriptBox["s", "4"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"\[Eta]L", " ", "\[Mu]L"}], "-", "\[Mu]Ss"}], ")"}], " ", 
        "\[Tau]\[Mu]L"}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"s", "+", 
           RowBox[{
            SqrtBox["\[Mu]L"], " ", "\[Tau]\[Mu]L"}]}], ")"}], "5"]}]]}], ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{
         "\[ImaginaryI]", " ", "g\[Beta]\[Omega]", " ", "\[Mu]S", " ", 
          "\[Omega]"}], 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            RowBox[{"\[Mu]S", " ", 
             SuperscriptBox["\[Omega]", "2"]}]}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            FractionBox["1", "s"], "+", 
            FractionBox[
             RowBox[{"4", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"2", " ", 
                 SuperscriptBox["s", "2"]}], "+", 
                RowBox[{"\[Mu]S", " ", 
                 SuperscriptBox["\[Omega]", "2"]}]}], ")"}]}], 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                SuperscriptBox["s", "2"], "+", 
                RowBox[{"\[Mu]S", " ", 
                 SuperscriptBox["\[Omega]", "2"]}]}], ")"}], 
              RowBox[{"3", "/", "2"}]]], "+", 
            FractionBox[
             RowBox[{"s", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"7", " ", 
                 SuperscriptBox["s", "2"]}], "+", 
                RowBox[{"6", " ", "\[Mu]S", " ", 
                 SuperscriptBox["\[Omega]", "2"]}]}], ")"}]}], 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                SuperscriptBox["s", "2"], "+", 
                RowBox[{"\[Mu]S", " ", 
                 SuperscriptBox["\[Omega]", "2"]}]}], ")"}], "2"]]}], 
           ")"}]}]]}], ")"}], "\[Rule]", " ", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"\[ImaginaryI]", " ", "g\[Beta]\[Omega]", " ", "s", " ", 
         SuperscriptBox["\[Mu]S", "2"], " ", 
         SuperscriptBox["\[Tau]\[Mu]S", "2"], " ", "\[Omega]"}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"s", "+", 
           RowBox[{
            SqrtBox["\[Mu]S"], " ", "\[Tau]\[Mu]S"}]}], ")"}], "4"]]}]}], ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{"g\[Beta]s", " ", 
          SuperscriptBox["s", "3"], " ", 
          SqrtBox["\[Mu]Ss"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            RowBox[{"\[Mu]Ss", " ", 
             SuperscriptBox["\[Omega]", "2"]}]}]]}], 
         RowBox[{
          RowBox[{"8", " ", 
           SuperscriptBox["s", "4"]}], "+", 
          RowBox[{"8", " ", 
           SuperscriptBox["s", "2"], " ", "\[Mu]Ss", " ", 
           SuperscriptBox["\[Omega]", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["\[Mu]Ss", "2"], " ", 
           SuperscriptBox["\[Omega]", "4"]}], "+", 
          RowBox[{"8", " ", 
           SuperscriptBox["s", "3"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             RowBox[{"\[Mu]Ss", " ", 
              SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
          RowBox[{"4", " ", "s", " ", "\[Mu]Ss", " ", 
           SuperscriptBox["\[Omega]", "2"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             RowBox[{"\[Mu]Ss", " ", 
              SuperscriptBox["\[Omega]", "2"]}]}]]}]}]]}], ")"}], "\[Rule]", 
      " ", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"g\[Beta]s", " ", 
         SuperscriptBox["s", "3"], " ", "\[Mu]Ss", " ", "\[Tau]\[Mu]Ss"}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"s", "+", 
           RowBox[{
            SqrtBox["\[Mu]Ss"], " ", "\[Tau]\[Mu]Ss"}]}], ")"}], "4"]]}]}]}], 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.656197317136907*^9, {3.656197591356351*^9, 3.656197615134934*^9}, {
   3.6561976985016327`*^9, 3.656197713716668*^9}, {3.656197890200432*^9, 
   3.6561978944471827`*^9}, {3.656198524527907*^9, 3.656198573437891*^9}, 
   3.6561986292644167`*^9, 3.6561986845292597`*^9, 3.656198751625868*^9, 
   3.656199114468399*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"D\[Beta]sReductionRules", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       FractionBox[
        RowBox[{"g\[Beta]s", " ", 
         SuperscriptBox["s", "3"], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            RowBox[{"\[Mu]Ss", " ", 
             SuperscriptBox["\[Omega]", "2"]}]}], ")"}], 
          RowBox[{"3", "/", "2"}]]}], 
        RowBox[{
         SqrtBox["\[Mu]Ss"], " ", "\[Tau]\[Mu]Ss", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"8", " ", 
            SuperscriptBox["s", "4"]}], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "2"], " ", "\[Mu]Ss", " ", 
            SuperscriptBox["\[Omega]", "2"]}], "+", 
           RowBox[{
            SuperscriptBox["\[Mu]Ss", "2"], " ", 
            SuperscriptBox["\[Omega]", "4"]}], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "3"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              RowBox[{"\[Mu]Ss", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
           RowBox[{"4", " ", "s", " ", "\[Mu]Ss", " ", 
            SuperscriptBox["\[Omega]", "2"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              RowBox[{"\[Mu]Ss", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}]], ")"}], 
      "\[Rule]", " ", 
      FractionBox[
       RowBox[{"g\[Beta]s", " ", 
        SuperscriptBox["s", "3"], " ", "\[Mu]Ss", " ", 
        SuperscriptBox["\[Tau]\[Mu]Ss", "2"]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"s", "+", 
          RowBox[{
           SqrtBox["\[Mu]Ss"], " ", "\[Tau]\[Mu]Ss"}]}], ")"}], "4"]]}], ",", 
     
     RowBox[{
      RowBox[{"(", 
       FractionBox[
        RowBox[{"\[ImaginaryI]", " ", "g\[Beta]\[Omega]", " ", "\[Omega]"}], 
        RowBox[{"\[Tau]\[Mu]S", " ", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["1", "s"], "+", 
           FractionBox[
            RowBox[{"4", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"2", " ", 
                SuperscriptBox["s", "2"]}], "+", 
               RowBox[{"\[Mu]S", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}], ")"}]}], 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               RowBox[{"\[Mu]S", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}], ")"}], 
             RowBox[{"3", "/", "2"}]]], "+", 
           FractionBox[
            RowBox[{"s", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"7", " ", 
                SuperscriptBox["s", "2"]}], "+", 
               RowBox[{"6", " ", "\[Mu]S", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}], ")"}]}], 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               RowBox[{"\[Mu]S", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}], ")"}], "2"]]}], ")"}]}]],
        ")"}], "\[Rule]", " ", 
      FractionBox[
       RowBox[{"\[ImaginaryI]", " ", "g\[Beta]\[Omega]", " ", "s", " ", 
        SuperscriptBox["\[Mu]S", "2"], " ", 
        SuperscriptBox["\[Tau]\[Mu]S", "3"], " ", "\[Omega]"}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"s", "+", 
          RowBox[{
           SqrtBox["\[Mu]S"], " ", "\[Tau]\[Mu]S"}]}], ")"}], "4"]]}], ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"g\[Alpha]", " ", 
           SuperscriptBox["s", "4"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"\[Eta]L", " ", "\[Mu]L"}], "-", "\[Mu]Ss"}], ")"}], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              RowBox[{"\[Mu]L", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}], ")"}], 
            RowBox[{"3", "/", "2"}]]}], ")"}], "/", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["\[Mu]L", 
            RowBox[{"3", "/", "2"}]], " ", 
           RowBox[{"(", 
            RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", "\[Tau]\[Mu]L", 
           " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"16", " ", 
              SuperscriptBox["s", "5"]}], "+", 
             RowBox[{"20", " ", 
              SuperscriptBox["s", "3"], " ", "\[Mu]L", " ", 
              SuperscriptBox["\[Omega]", "2"]}], "+", 
             RowBox[{"5", " ", "s", " ", 
              SuperscriptBox["\[Mu]L", "2"], " ", 
              SuperscriptBox["\[Omega]", "4"]}], "+", 
             RowBox[{"16", " ", 
              SuperscriptBox["s", "4"], " ", 
              SqrtBox[
               RowBox[{
                SuperscriptBox["s", "2"], "+", 
                RowBox[{"\[Mu]L", " ", 
                 SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
             RowBox[{"12", " ", 
              SuperscriptBox["s", "2"], " ", "\[Mu]L", " ", 
              SuperscriptBox["\[Omega]", "2"], " ", 
              SqrtBox[
               RowBox[{
                SuperscriptBox["s", "2"], "+", 
                RowBox[{"\[Mu]L", " ", 
                 SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
             RowBox[{
              SuperscriptBox["\[Mu]L", "2"], " ", 
              SuperscriptBox["\[Omega]", "4"], " ", 
              SqrtBox[
               RowBox[{
                SuperscriptBox["s", "2"], "+", 
                RowBox[{"\[Mu]L", " ", 
                 SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}], ")"}]}]}],
        ")"}], "\[Rule]", " ", 
      FractionBox[
       RowBox[{"g\[Alpha]", " ", 
        SuperscriptBox["s", "4"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "\[Eta]L"}], " ", "\[Mu]L"}], "+", "\[Mu]Ss"}], ")"}],
         " ", 
        SuperscriptBox["\[Tau]\[Mu]L", "2"]}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"s", "+", 
           RowBox[{
            SqrtBox["\[Mu]L"], " ", "\[Tau]\[Mu]L"}]}], ")"}], "5"]}]]}]}], 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.656197899122781*^9, 3.656197941277927*^9}, {
  3.6561991682945538`*^9, 3.656199183451766*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[Beta]sRule", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Collect", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"ChangeofVarRuleOldToNew", "[", 
         RowBox[{"[", "3", "]"}], "]"}], "/.", "BsimSolnRule"}], "/.", 
       "GaugeBCSoln"}], ",", "bcVec", ",", "FullSimplify"}], "]"}], "/.", 
    "\[Beta]sReductionRules"}], "//.", "\[CapitalPi]Rule"}]}]], "Input",
 CellChangeTimes->{{3.655128316980991*^9, 3.655128432738233*^9}, {
   3.655128486074627*^9, 3.655128510154388*^9}, {3.6551285519985943`*^9, 
   3.65512855421734*^9}, {3.655128627623309*^9, 3.655128672148464*^9}, {
   3.6551287253792763`*^9, 3.655128841950807*^9}, {3.655128927863023*^9, 
   3.655128996027336*^9}, {3.655129113857185*^9, 3.655129120369822*^9}, {
   3.6551291945348577`*^9, 3.655129197062739*^9}, {3.6551293223241167`*^9, 
   3.655129343445898*^9}, {3.655129416217803*^9, 3.655129426521679*^9}, {
   3.655130005207491*^9, 3.655130050390329*^9}, {3.655130247600363*^9, 
   3.655130296931057*^9}, {3.6551303651699123`*^9, 3.6551303737887373`*^9}, 
   3.6551320436577168`*^9, 3.6551328872569923`*^9, {3.655133134595283*^9, 
   3.655133136191143*^9}, 3.655139379364915*^9, 3.655140934898776*^9, 
   3.655685958820243*^9, {3.655686021472381*^9, 3.655686104291648*^9}, {
   3.655686628995784*^9, 3.6556866523256617`*^9}, {3.655686775008876*^9, 
   3.655686790800606*^9}, {3.6556869365887423`*^9, 3.6556869436633453`*^9}, {
   3.655897510901232*^9, 3.655897580585657*^9}, {3.655897700208227*^9, 
   3.655897707897996*^9}, {3.6558978265163393`*^9, 3.655897840866001*^9}, 
   3.656016667593812*^9, {3.656016752253665*^9, 3.656016758309615*^9}, {
   3.6560168430677443`*^9, 3.656016845042377*^9}, {3.656016992085348*^9, 
   3.6560170460521317`*^9}, 3.656017272375224*^9, {3.656017316548669*^9, 
   3.65601732438702*^9}, {3.65607800926473*^9, 3.656078027100511*^9}, {
   3.656078066082377*^9, 3.6560780949187193`*^9}, {3.656078165267568*^9, 
   3.656078176442891*^9}, {3.6560918266950483`*^9, 3.6560918455487432`*^9}, {
   3.6560918891403017`*^9, 3.6560919002336473`*^9}, {3.656091967943849*^9, 
   3.656091986129551*^9}, {3.6560920524101353`*^9, 3.656092062113401*^9}, {
   3.6560921056806726`*^9, 3.656092150892898*^9}, 3.6561985120792093`*^9, {
   3.6561985617441463`*^9, 3.656198590129693*^9}, {3.6561986224611683`*^9, 
   3.6561986397712584`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Beta]s", "[", "x", "]"}], "\[Rule]", 
  RowBox[{
   FractionBox[
    RowBox[{"g\[Alpha]", " ", 
     SuperscriptBox["s", "4"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"\[Eta]L", " ", "\[Mu]L"}], "-", "\[Mu]Ss"}], ")"}], " ", 
     "\[Tau]\[Mu]L"}], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", 
     SuperscriptBox["\[CapitalPi]\[Mu]L", "5"]}]], "-", 
   FractionBox[
    RowBox[{"g\[Beta]s", " ", 
     SuperscriptBox["s", "3"], " ", "\[Mu]Ss", " ", "\[Tau]\[Mu]Ss"}], 
    SuperscriptBox["\[CapitalPi]\[Mu]Ss", "4"]], "-", 
   FractionBox[
    RowBox[{"\[ImaginaryI]", " ", "g\[Beta]\[Omega]", " ", "s", " ", 
     SuperscriptBox["\[Mu]S", "2"], " ", 
     SuperscriptBox["\[Tau]\[Mu]S", "2"], " ", "\[Omega]"}], 
    SuperscriptBox["\[CapitalPi]\[Mu]S", "4"]]}]}]], "Output",
 CellChangeTimes->{
  3.655897708616041*^9, {3.655897834982278*^9, 3.655897841631912*^9}, {
   3.656016645257246*^9, 3.656016668352605*^9}, 3.6560167643182364`*^9, 
   3.656016845722015*^9, 3.6560170005594254`*^9, 3.656017039281739*^9, 
   3.656017278378449*^9, {3.656017318481134*^9, 3.6560173249694767`*^9}, {
   3.656078018962871*^9, 3.656078027679619*^9}, {3.656078074315996*^9, 
   3.656078095502287*^9}, {3.65607817099122*^9, 3.65607817696299*^9}, 
   3.6560807417809467`*^9, 3.656091846686521*^9, {3.656091892174953*^9, 
   3.65609190102488*^9}, 3.6560919711116447`*^9, 3.656092053015305*^9, 
   3.656092106317995*^9, {3.656092145373847*^9, 3.6560921516567497`*^9}, 
   3.656111115680696*^9, 3.656113656056637*^9, 3.656178483569141*^9, 
   3.656198513334169*^9, 3.656198590868168*^9, {3.656198623072589*^9, 
   3.656198640591024*^9}, 3.656199120088667*^9, 3.65621372797003*^9, 
   3.656214170266247*^9, 3.6567072588775463`*^9, 3.656718518520081*^9, 
   3.656766187610695*^9, 3.656867606464827*^9, 3.665147128047213*^9, 
   3.66520179244816*^9, 3.665244790962104*^9, {3.678107265243228*^9, 
   3.67810727289688*^9}, 3.678107565268814*^9, 3.678107729977626*^9, 
   3.678109836531556*^9, 3.6808664572213917`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D\[Beta]sRule", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Collect", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"ChangeofVarRuleOldToNew", "[", 
         RowBox[{"[", "4", "]"}], "]"}], "/.", "BsimSolnRule"}], "/.", 
       "GaugeBCSoln"}], ",", "bcVec", ",", "FullSimplify"}], "]"}], "/.", 
    "D\[Beta]sReductionRules"}], "/.", "\[CapitalPi]Rule"}]}]], "Input",
 CellChangeTimes->{{3.655128316980991*^9, 3.655128432738233*^9}, {
   3.655128486074627*^9, 3.655128510154388*^9}, {3.6551285519985943`*^9, 
   3.65512855421734*^9}, {3.655128627623309*^9, 3.655128672148464*^9}, {
   3.6551287253792763`*^9, 3.655128841950807*^9}, {3.655128927863023*^9, 
   3.655128996027336*^9}, {3.655129113857185*^9, 3.655129120369822*^9}, {
   3.6551291945348577`*^9, 3.655129197062739*^9}, {3.6551293223241167`*^9, 
   3.655129343445898*^9}, {3.655129416217803*^9, 3.655129426521679*^9}, {
   3.655130005207491*^9, 3.655130050390329*^9}, {3.655130247600363*^9, 
   3.655130296931057*^9}, {3.6551303651699123`*^9, 3.6551303737887373`*^9}, 
   3.6551320436577168`*^9, 3.6551328872569923`*^9, {3.655133134595283*^9, 
   3.655133136191143*^9}, 3.655139379364915*^9, 3.655140934898776*^9, 
   3.655685958820243*^9, {3.655686021472381*^9, 3.655686104291648*^9}, {
   3.655686628995784*^9, 3.6556866523256617`*^9}, {3.655686775008876*^9, 
   3.655686790800606*^9}, {3.6556869365887423`*^9, 3.6556869436633453`*^9}, {
   3.655897510901232*^9, 3.655897580585657*^9}, {3.655897700208227*^9, 
   3.655897707897996*^9}, {3.6558978265163393`*^9, 3.655897840866001*^9}, 
   3.656016667593812*^9, {3.656016752253665*^9, 3.656016758309615*^9}, {
   3.6560168430677443`*^9, 3.656016845042377*^9}, {3.656016992085348*^9, 
   3.6560170460521317`*^9}, 3.656017272375224*^9, {3.656017316548669*^9, 
   3.65601732438702*^9}, {3.6560174185542583`*^9, 3.656017550168969*^9}, 
   3.656078192943071*^9, {3.656078353603323*^9, 3.6560783721437798`*^9}, {
   3.656078430537136*^9, 3.656078435928891*^9}, {3.656078506799019*^9, 
   3.656078521181428*^9}, {3.656092170923081*^9, 3.65609230352346*^9}, 
   3.656092349226192*^9, 3.656199162348309*^9, 3.6561991941361732`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"D\[Beta]s", "[", "x", "]"}], "\[Rule]", 
  RowBox[{
   FractionBox[
    RowBox[{"g\[Alpha]", " ", 
     SuperscriptBox["s", "4"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "\[Eta]L"}], " ", "\[Mu]L"}], "+", "\[Mu]Ss"}], ")"}], 
     " ", 
     SuperscriptBox["\[Tau]\[Mu]L", "2"]}], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", 
     SuperscriptBox["\[CapitalPi]\[Mu]L", "5"]}]], "+", 
   FractionBox[
    RowBox[{"g\[Beta]s", " ", 
     SuperscriptBox["s", "3"], " ", "\[Mu]Ss", " ", 
     SuperscriptBox["\[Tau]\[Mu]Ss", "2"]}], 
    SuperscriptBox["\[CapitalPi]\[Mu]Ss", "4"]], "+", 
   FractionBox[
    RowBox[{"\[ImaginaryI]", " ", "g\[Beta]\[Omega]", " ", "s", " ", 
     SuperscriptBox["\[Mu]S", "2"], " ", 
     SuperscriptBox["\[Tau]\[Mu]S", "3"], " ", "\[Omega]"}], 
    SuperscriptBox["\[CapitalPi]\[Mu]S", "4"]]}]}]], "Output",
 CellChangeTimes->{
  3.655897708616041*^9, {3.655897834982278*^9, 3.655897841631912*^9}, {
   3.656016645257246*^9, 3.656016668352605*^9}, 3.6560167643182364`*^9, 
   3.656016845722015*^9, 3.6560170005594254`*^9, 3.656017039281739*^9, 
   3.656017278378449*^9, {3.656017318481134*^9, 3.6560173249694767`*^9}, {
   3.656017426324685*^9, 3.656017503082716*^9}, {3.656017533151086*^9, 
   3.656017550634598*^9}, 3.6560782888725157`*^9, 3.6560783795214443`*^9, 
   3.6560784603870373`*^9, 3.656078524933758*^9, 3.65608076329564*^9, 
   3.656092174359768*^9, 3.656092208051784*^9, 3.656092240982604*^9, {
   3.65609228165305*^9, 3.6560923055882797`*^9}, 3.656092350391705*^9, 
   3.656111116173306*^9, 3.656113656511052*^9, 3.6561784840479727`*^9, 
   3.656199195349473*^9, 3.656213728181872*^9, 3.656214170703134*^9, 
   3.656707265022645*^9, 3.6567185190109653`*^9, 3.656766188160327*^9, 
   3.6568676069998302`*^9, 3.6651471285778227`*^9, 3.6652017930195227`*^9, 
   3.665244791593605*^9, 3.678107276601089*^9, 3.67810756796408*^9, 
   3.678107731489546*^9, 3.678109837072563*^9, 3.680866457850973*^9}]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Metric components", "Text",
 CellChangeTimes->{{3.6514101294436073`*^9, 3.6514101367745953`*^9}, {
  3.655816128956986*^9, 3.6558161392342777`*^9}, {3.655907107401081*^9, 
  3.655907110328779*^9}, {3.6559071428893213`*^9, 3.655907176296447*^9}, {
  3.655907253683921*^9, 3.655907268147191*^9}, {3.656016152619293*^9, 
  3.6560161572305393`*^9}}],

Cell[CellGroupData[{

Cell["\[Gamma]ss", "Text",
 CellChangeTimes->{{3.6514101294436073`*^9, 3.6514101367745953`*^9}, {
  3.655816128956986*^9, 3.6558161392342777`*^9}, {3.655907107401081*^9, 
  3.655907110328779*^9}, {3.6559071428893213`*^9, 3.655907176296447*^9}, {
  3.655907253683921*^9, 3.655907268147191*^9}, {3.656016152619293*^9, 
  3.6560161572305393`*^9}, {3.656030636385325*^9, 3.656030642744676*^9}}],

Cell[CellGroupData[{

Cell["Define rules to simplify  the coefficients ", "Text",
 CellChangeTimes->{{3.656179361884219*^9, 3.656179397548088*^9}, {
  3.656197829904808*^9, 3.656197872593563*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Gamma]ssReductionRules", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{"2", " ", "g\[Alpha]", " ", 
          SuperscriptBox["s", "3"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Eta]L"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            RowBox[{"\[Mu]L", " ", 
             SuperscriptBox["\[Omega]", "2"]}]}], ")"}]}], 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"16", " ", 
             SuperscriptBox["s", "5"]}], "+", 
            RowBox[{"20", " ", 
             SuperscriptBox["s", "3"], " ", "\[Mu]L", " ", 
             SuperscriptBox["\[Omega]", "2"]}], "+", 
            RowBox[{"5", " ", "s", " ", 
             SuperscriptBox["\[Mu]L", "2"], " ", 
             SuperscriptBox["\[Omega]", "4"]}], "+", 
            RowBox[{"16", " ", 
             SuperscriptBox["s", "4"], " ", 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               RowBox[{"\[Mu]L", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
            RowBox[{"12", " ", 
             SuperscriptBox["s", "2"], " ", "\[Mu]L", " ", 
             SuperscriptBox["\[Omega]", "2"], " ", 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               RowBox[{"\[Mu]L", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
            RowBox[{
             SuperscriptBox["\[Mu]L", "2"], " ", 
             SuperscriptBox["\[Omega]", "4"], " ", 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               RowBox[{"\[Mu]L", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}]]}], ")"}], 
      "\[Rule]", " ", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"2", " ", "g\[Alpha]", " ", 
         SuperscriptBox["s", "3"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Eta]L"}], ")"}], " ", "\[Mu]L", " ", 
         SuperscriptBox["\[Tau]\[Mu]L", "2"]}], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"s", "+", 
            RowBox[{
             SqrtBox["\[Mu]L"], " ", "\[Tau]\[Mu]L"}]}], ")"}], "5"]}]]}]}], 
     ",", 
     RowBox[{
      RowBox[{"(", 
       FractionBox[
        RowBox[{"2", " ", "\[ImaginaryI]", " ", "g\[Beta]\[Omega]", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            RowBox[{"\[Mu]S", " ", 
             SuperscriptBox["\[Omega]", "2"]}]}], ")"}], "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "8"}], " ", 
            SuperscriptBox["s", "3"]}], "-", 
           RowBox[{"4", " ", "s", " ", "\[Mu]S", " ", 
            SuperscriptBox["\[Omega]", "2"]}], "+", 
           FractionBox[
            RowBox[{
             SuperscriptBox["\[Mu]S", "2"], " ", 
             SuperscriptBox["\[Omega]", "4"]}], 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              RowBox[{"\[Mu]S", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "2"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              RowBox[{"\[Mu]S", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}], 
        RowBox[{
         SuperscriptBox["\[Mu]S", 
          RowBox[{"7", "/", "2"}]], " ", 
         SuperscriptBox["\[Omega]", "7"]}]], ")"}], "\[Rule]", " ", 
      FractionBox[
       RowBox[{"2", " ", "\[ImaginaryI]", " ", "g\[Beta]\[Omega]", " ", 
        SuperscriptBox["\[Mu]S", "2"], " ", 
        SuperscriptBox["\[Tau]\[Mu]S", "3"], " ", "\[Omega]"}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"s", "+", 
          RowBox[{
           SqrtBox["\[Mu]S"], " ", "\[Tau]\[Mu]S"}]}], ")"}], "4"]]}], ",", 
     RowBox[{
      RowBox[{"(", 
       FractionBox[
        RowBox[{"2", " ", "\[ImaginaryI]", " ", "g\[Beta]s", " ", 
         SuperscriptBox["s", "2"], " ", 
         SuperscriptBox["\[Mu]S", 
          RowBox[{"3", "/", "2"}]], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"-", 
            FractionBox["\[Mu]Ss", "\[Mu]S"]}], ")"}], 
          RowBox[{"3", "/", "2"}]], " ", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           RowBox[{"\[Mu]Ss", " ", 
            SuperscriptBox["\[Omega]", "2"]}]}], ")"}]}], 
        RowBox[{
         SuperscriptBox["\[Mu]Ss", 
          RowBox[{"3", "/", "2"}]], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"8", " ", 
            SuperscriptBox["s", "4"]}], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "2"], " ", "\[Mu]Ss", " ", 
            SuperscriptBox["\[Omega]", "2"]}], "+", 
           RowBox[{
            SuperscriptBox["\[Mu]Ss", "2"], " ", 
            SuperscriptBox["\[Omega]", "4"]}], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "3"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              RowBox[{"\[Mu]Ss", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
           RowBox[{"4", " ", "s", " ", "\[Mu]Ss", " ", 
            SuperscriptBox["\[Omega]", "2"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              RowBox[{"\[Mu]Ss", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}]], ")"}], 
      "\[Rule]", " ", 
      FractionBox[
       RowBox[{"2", " ", "g\[Beta]s", " ", 
        SuperscriptBox["s", "2"], " ", "\[Mu]Ss", " ", 
        SuperscriptBox["\[Tau]\[Mu]Ss", "2"]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"s", "+", 
          RowBox[{
           SqrtBox["\[Mu]Ss"], " ", "\[Tau]\[Mu]Ss"}]}], ")"}], "4"]]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      FractionBox[
       RowBox[{"2", " ", "gZs", " ", "s", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["s", "2"], "+", 
          SuperscriptBox["\[Omega]", "2"]}], ")"}]}], 
       RowBox[{
        RowBox[{"4", " ", 
         SuperscriptBox["s", "3"]}], "+", 
        RowBox[{"3", " ", "s", " ", 
         SuperscriptBox["\[Omega]", "2"]}], "+", 
        RowBox[{"4", " ", 
         SuperscriptBox["s", "2"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
        RowBox[{
         SuperscriptBox["\[Omega]", "2"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]]}]}]], "\[Rule]", " ", 
      FractionBox[
       RowBox[{"2", " ", "gZs", " ", "s", " ", 
        SuperscriptBox["\[Tau]", "2"]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"s", "+", "\[Tau]"}], ")"}], "3"]]}], ",", 
     RowBox[{
      FractionBox[
       RowBox[{
       "4", " ", "\[ImaginaryI]", " ", "gZ\[Omega]", " ", "s", " ", 
        "\[Omega]", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["s", "2"], "+", 
          SuperscriptBox["\[Omega]", "2"]}], ")"}]}], 
       RowBox[{
        RowBox[{"8", " ", 
         SuperscriptBox["s", "4"]}], "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["s", "2"], " ", 
         SuperscriptBox["\[Omega]", "2"]}], "+", 
        SuperscriptBox["\[Omega]", "4"], "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["s", "3"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
        RowBox[{"4", " ", "s", " ", 
         SuperscriptBox["\[Omega]", "2"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]]}]}]], "\[Rule]", " ", 
      FractionBox[
       RowBox[{"4", " ", "\[ImaginaryI]", " ", "gZ\[Omega]", " ", "s", " ", 
        SuperscriptBox["\[Tau]", "2"], " ", "\[Omega]"}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"s", "+", "\[Tau]"}], ")"}], "4"]]}], ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"4", " ", "gRePsi", " ", 
         SuperscriptBox["s", "2"], " ", 
         SuperscriptBox["\[Omega]", "2"], " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
        RowBox[{
         RowBox[{"8", " ", 
          SuperscriptBox["s", "4"]}], "+", 
         RowBox[{"8", " ", 
          SuperscriptBox["s", "2"], " ", 
          SuperscriptBox["\[Omega]", "2"]}], "+", 
         SuperscriptBox["\[Omega]", "4"], "+", 
         RowBox[{"8", " ", 
          SuperscriptBox["s", "3"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
         RowBox[{"4", " ", "s", " ", 
          SuperscriptBox["\[Omega]", "2"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]}]}]]}], "\[Rule]", " ", 
      FractionBox[
       RowBox[{"4", " ", "gRePsi", " ", 
        SuperscriptBox["s", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"s", "-", "\[Tau]"}], ")"}], " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"s", "+", "\[Tau]"}], ")"}], "3"]]}], ",", 
     RowBox[{
      FractionBox[
       RowBox[{"4", " ", "gImPsi", " ", 
        SuperscriptBox["s", "2"], " ", 
        SuperscriptBox["\[Omega]", "2"], " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
       RowBox[{
        RowBox[{"8", " ", 
         SuperscriptBox["s", "4"]}], "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["s", "2"], " ", 
         SuperscriptBox["\[Omega]", "2"]}], "+", 
        SuperscriptBox["\[Omega]", "4"], "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["s", "3"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
        RowBox[{"4", " ", "s", " ", 
         SuperscriptBox["\[Omega]", "2"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]]}]}]], "\[Rule]", " ", 
      FractionBox[
       RowBox[{"4", " ", "gImPsi", " ", 
        SuperscriptBox["s", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "s"}], "+", "\[Tau]"}], ")"}], " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"s", "+", "\[Tau]"}], ")"}], "3"]]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"2", " ", "g\[Theta]", " ", 
         SuperscriptBox["s", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"32", " ", 
            SuperscriptBox["s", "10"], " ", "\[Mu]S", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "5"}], " ", "\[Mu]Ss"}], "+", 
              RowBox[{"\[Mu]S", " ", "\[Mu]\[Theta]"}]}], ")"}]}], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "8"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "43"}], " ", "\[Mu]S", " ", "\[Mu]Ss"}], "-", 
              RowBox[{"16", " ", 
               SuperscriptBox["\[Mu]Ss", "2"]}], "+", 
              RowBox[{"7", " ", 
               SuperscriptBox["\[Mu]S", "2"], " ", "\[Mu]\[Theta]"}]}], ")"}],
             " ", 
            SuperscriptBox["\[Omega]", "2"]}], "+", 
           RowBox[{"4", " ", 
            SuperscriptBox["s", "6"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "59"}], " ", "\[Mu]S", " ", "\[Mu]Ss"}], "-", 
              RowBox[{"72", " ", 
               SuperscriptBox["\[Mu]Ss", "2"]}], "+", 
              RowBox[{"7", " ", 
               SuperscriptBox["\[Mu]S", "2"], " ", "\[Mu]\[Theta]"}]}], ")"}],
             " ", 
            SuperscriptBox["\[Omega]", "4"]}], "+", 
           RowBox[{"2", " ", 
            SuperscriptBox["s", "4"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "27"}], " ", "\[Mu]S", " ", "\[Mu]Ss"}], "-", 
              RowBox[{"104", " ", 
               SuperscriptBox["\[Mu]Ss", "2"]}], "+", 
              RowBox[{"2", " ", 
               SuperscriptBox["\[Mu]S", "2"], " ", "\[Mu]\[Theta]"}]}], ")"}],
             " ", 
            SuperscriptBox["\[Omega]", "6"]}], "-", 
           RowBox[{"2", " ", 
            SuperscriptBox["s", "2"], " ", "\[Mu]Ss", " ", 
            RowBox[{"(", 
             RowBox[{"\[Mu]S", "+", 
              RowBox[{"25", " ", "\[Mu]Ss"}]}], ")"}], " ", 
            SuperscriptBox["\[Omega]", "8"]}], "-", 
           RowBox[{"2", " ", 
            SuperscriptBox["\[Mu]Ss", "2"], " ", 
            SuperscriptBox["\[Omega]", "10"]}], "+", 
           RowBox[{"32", " ", 
            SuperscriptBox["s", "9"], " ", "\[Mu]S", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "5"}], " ", "\[Mu]Ss"}], "+", 
              RowBox[{"\[Mu]S", " ", "\[Mu]\[Theta]"}]}], ")"}], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "7"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "33"}], " ", "\[Mu]S", " ", "\[Mu]Ss"}], "-", 
              RowBox[{"16", " ", 
               SuperscriptBox["\[Mu]Ss", "2"]}], "+", 
              RowBox[{"5", " ", 
               SuperscriptBox["\[Mu]S", "2"], " ", "\[Mu]\[Theta]"}]}], ")"}],
             " ", 
            SuperscriptBox["\[Omega]", "2"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
           RowBox[{"4", " ", 
            SuperscriptBox["s", "5"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "31"}], " ", "\[Mu]S", " ", "\[Mu]Ss"}], "-", 
              RowBox[{"56", " ", 
               SuperscriptBox["\[Mu]Ss", "2"]}], "+", 
              RowBox[{"3", " ", 
               SuperscriptBox["\[Mu]S", "2"], " ", "\[Mu]\[Theta]"}]}], ")"}],
             " ", 
            SuperscriptBox["\[Omega]", "4"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
           RowBox[{
            SuperscriptBox["s", "3"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "15"}], " ", "\[Mu]S", " ", "\[Mu]Ss"}], "-", 
              RowBox[{"112", " ", 
               SuperscriptBox["\[Mu]Ss", "2"]}], "+", 
              RowBox[{
               SuperscriptBox["\[Mu]S", "2"], " ", "\[Mu]\[Theta]"}]}], ")"}],
             " ", 
            SuperscriptBox["\[Omega]", "6"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}], "-", 
           RowBox[{"14", " ", "s", " ", 
            SuperscriptBox["\[Mu]Ss", "2"], " ", 
            SuperscriptBox["\[Omega]", "8"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"\[Mu]S", " ", 
         SqrtBox["\[Mu]Ss"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"4", " ", 
            SuperscriptBox["s", "3"]}], "+", 
           RowBox[{"3", " ", "s", " ", 
            SuperscriptBox["\[Omega]", "2"]}], "+", 
           RowBox[{"4", " ", 
            SuperscriptBox["s", "2"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
           RowBox[{
            SuperscriptBox["\[Omega]", "2"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"8", " ", 
            SuperscriptBox["s", "4"]}], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "2"], " ", 
            SuperscriptBox["\[Omega]", "2"]}], "+", 
           SuperscriptBox["\[Omega]", "4"], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "3"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
           RowBox[{"4", " ", "s", " ", 
            SuperscriptBox["\[Omega]", "2"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"8", " ", 
            SuperscriptBox["s", "4"], " ", 
            SqrtBox["\[Mu]Ss"]}], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "2"], " ", 
            SqrtBox["\[Mu]Ss"], " ", "\[Mu]\[Theta]", " ", 
            SuperscriptBox["\[Omega]", "2"]}], "+", 
           RowBox[{
            SqrtBox["\[Mu]Ss"], " ", 
            SuperscriptBox["\[Mu]\[Theta]", "2"], " ", 
            SuperscriptBox["\[Omega]", "4"]}], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "3"], " ", 
            SqrtBox["\[Mu]\[Theta]"], " ", 
            SqrtBox[
             RowBox[{
              RowBox[{
               SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
              RowBox[{"\[Mu]Ss", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
           RowBox[{"4", " ", "s", " ", 
            SuperscriptBox["\[Mu]\[Theta]", 
             RowBox[{"3", "/", "2"}]], " ", 
            SuperscriptBox["\[Omega]", "2"], " ", 
            SqrtBox[
             RowBox[{
              RowBox[{
               SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
              RowBox[{"\[Mu]Ss", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}], ")"}]}], 
      "\[Rule]", 
      RowBox[{"-", " ", 
       FractionBox[
        RowBox[{"4", " ", "g\[Theta]", " ", 
         SuperscriptBox["s", "2"], " ", "\[Mu]\[Theta]", " ", 
         SuperscriptBox["\[Tau]\[Theta]", "2"]}], 
        RowBox[{
         RowBox[{"8", " ", 
          SuperscriptBox["s", "3"], " ", "\[CapitalPi]\[Theta]"}], "+", 
         RowBox[{"4", " ", "s", " ", "\[Mu]\[Theta]", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", "s"}], "+", 
            RowBox[{
             SqrtBox["\[Mu]\[Theta]"], " ", "\[Tau]\[Theta]"}]}], ")"}], " ", 
          
          SuperscriptBox["\[Omega]", "2"]}], "+", 
         RowBox[{
          SuperscriptBox["\[Mu]\[Theta]", "2"], " ", 
          SuperscriptBox["\[Omega]", "4"]}]}]]}]}]}], "}"}]}], ";"}]], "Input",\

 CellChangeTimes->{
  3.656197317136907*^9, {3.656197591356351*^9, 3.656197615134934*^9}, {
   3.6561976985016327`*^9, 3.656197713716668*^9}, {3.656197890200432*^9, 
   3.6561978944471827`*^9}, {3.656198524527907*^9, 3.656198573437891*^9}, 
   3.6561986292644167`*^9, 3.6561986845292597`*^9, 3.656198751625868*^9, 
   3.656199114468399*^9, {3.6561997806369667`*^9, 3.656199789553647*^9}, {
   3.656201244134453*^9, 3.656201263154828*^9}, {3.6562072728008127`*^9, 
   3.656207288049733*^9}, {3.656708838030904*^9, 3.656708846956525*^9}, 
   3.656709491903984*^9, 3.65685620583844*^9, 3.6652331580515413`*^9, {
   3.665233403278617*^9, 3.665233465715105*^9}, {3.6652335340093517`*^9, 
   3.6652335567720127`*^9}, {3.665233611090263*^9, 3.665233633034966*^9}, {
   3.665233692850816*^9, 3.665233696702469*^9}, {3.665234017885845*^9, 
   3.6652340226803513`*^9}, {3.665234880543001*^9, 3.665234883533543*^9}, {
   3.6652358755895367`*^9, 3.6652358900658092`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"D\[Gamma]ssReductionRules", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{
         "2", " ", "\[ImaginaryI]", " ", "g\[Beta]\[Omega]", " ", 
          "\[Omega]"}], 
         RowBox[{"1", "+", 
          FractionBox[
           SuperscriptBox["s", "4"], 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              RowBox[{"\[Mu]S", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}], ")"}], "2"]], "+", 
          FractionBox[
           RowBox[{"4", " ", 
            SuperscriptBox["s", "3"]}], 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              RowBox[{"\[Mu]S", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}], ")"}], 
            RowBox[{"3", "/", "2"}]]], "+", 
          FractionBox[
           RowBox[{"6", " ", 
            SuperscriptBox["s", "2"]}], 
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            RowBox[{"\[Mu]S", " ", 
             SuperscriptBox["\[Omega]", "2"]}]}]], "+", 
          FractionBox[
           RowBox[{"4", " ", "s"}], 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             RowBox[{"\[Mu]S", " ", 
              SuperscriptBox["\[Omega]", "2"]}]}]]]}]]}], ")"}], "\[Rule]", 
      " ", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"2", " ", "\[ImaginaryI]", " ", "g\[Beta]\[Omega]", " ", 
         SuperscriptBox["\[Mu]S", "2"], " ", 
         SuperscriptBox["\[Tau]\[Mu]S", "4"], " ", "\[Omega]"}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"s", "+", 
           RowBox[{
            SqrtBox["\[Mu]S"], " ", "\[Tau]\[Mu]S"}]}], ")"}], "4"]]}]}], ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{"2", " ", "g\[Beta]s", " ", 
          SuperscriptBox["s", "2"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             RowBox[{"\[Mu]Ss", " ", 
              SuperscriptBox["\[Omega]", "2"]}]}], ")"}], 
           RowBox[{"3", "/", "2"}]]}], 
         RowBox[{
          SqrtBox["\[Mu]Ss"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"8", " ", 
             SuperscriptBox["s", "4"]}], "+", 
            RowBox[{"8", " ", 
             SuperscriptBox["s", "2"], " ", "\[Mu]Ss", " ", 
             SuperscriptBox["\[Omega]", "2"]}], "+", 
            RowBox[{
             SuperscriptBox["\[Mu]Ss", "2"], " ", 
             SuperscriptBox["\[Omega]", "4"]}], "+", 
            RowBox[{"8", " ", 
             SuperscriptBox["s", "3"], " ", 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               RowBox[{"\[Mu]Ss", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
            RowBox[{"4", " ", "s", " ", "\[Mu]Ss", " ", 
             SuperscriptBox["\[Omega]", "2"], " ", 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               RowBox[{"\[Mu]Ss", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}]]}], ")"}], 
      "\[Rule]", " ", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"2", " ", "g\[Beta]s", " ", 
         SuperscriptBox["s", "2"], " ", "\[Mu]Ss", " ", 
         SuperscriptBox["\[Tau]\[Mu]Ss", "3"]}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"s", "+", 
           RowBox[{
            SqrtBox["\[Mu]Ss"], " ", "\[Tau]\[Mu]Ss"}]}], ")"}], "4"]]}]}], 
     ",", 
     RowBox[{
      FractionBox[
       RowBox[{"2", " ", "g\[Alpha]", " ", 
        SuperscriptBox["s", "3"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Eta]L"}], ")"}], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           RowBox[{"\[Mu]L", " ", 
            SuperscriptBox["\[Omega]", "2"]}]}], ")"}], 
         RowBox[{"3", "/", "2"}]]}], 
       RowBox[{
        SqrtBox["\[Mu]L"], " ", 
        RowBox[{"(", 
         RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"16", " ", 
           SuperscriptBox["s", "5"]}], "+", 
          RowBox[{"20", " ", 
           SuperscriptBox["s", "3"], " ", "\[Mu]L", " ", 
           SuperscriptBox["\[Omega]", "2"]}], "+", 
          RowBox[{"5", " ", "s", " ", 
           SuperscriptBox["\[Mu]L", "2"], " ", 
           SuperscriptBox["\[Omega]", "4"]}], "+", 
          RowBox[{"16", " ", 
           SuperscriptBox["s", "4"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             RowBox[{"\[Mu]L", " ", 
              SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
          RowBox[{"12", " ", 
           SuperscriptBox["s", "2"], " ", "\[Mu]L", " ", 
           SuperscriptBox["\[Omega]", "2"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             RowBox[{"\[Mu]L", " ", 
              SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
          RowBox[{
           SuperscriptBox["\[Mu]L", "2"], " ", 
           SuperscriptBox["\[Omega]", "4"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             RowBox[{"\[Mu]L", " ", 
              SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}]], "\[Rule]", 
      " ", 
      FractionBox[
       RowBox[{"2", " ", "g\[Alpha]", " ", 
        SuperscriptBox["s", "3"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Eta]L"}], ")"}], " ", "\[Mu]L", " ", 
        SuperscriptBox["\[Tau]\[Mu]L", "3"]}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"s", "+", 
           RowBox[{
            SqrtBox["\[Mu]L"], " ", "\[Tau]\[Mu]L"}]}], ")"}], "5"]}]]}], ",",
      "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"2", " ", "gZs", " ", "s", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}], ")"}], 
          RowBox[{"3", "/", "2"}]]}], 
        RowBox[{
         RowBox[{"4", " ", 
          SuperscriptBox["s", "3"]}], "+", 
         RowBox[{"3", " ", "s", " ", 
          SuperscriptBox["\[Omega]", "2"]}], "+", 
         RowBox[{"4", " ", 
          SuperscriptBox["s", "2"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
         RowBox[{
          SuperscriptBox["\[Omega]", "2"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]}]}]]}], "\[Rule]", " ", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"2", " ", "gZs", " ", "s", " ", 
         SuperscriptBox["\[Tau]", "3"]}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"s", "+", "\[Tau]"}], ")"}], "3"]]}]}], ",", 
     RowBox[{
      FractionBox[
       RowBox[{"4", " ", "\[ImaginaryI]", " ", "gZ\[Omega]", " ", "s", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["s", "2"], "+", 
          SuperscriptBox["\[Omega]", "2"]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"8", " ", 
           SuperscriptBox["s", "5"]}], "+", 
          RowBox[{"12", " ", 
           SuperscriptBox["s", "3"], " ", 
           SuperscriptBox["\[Omega]", "2"]}], "+", 
          RowBox[{"4", " ", "s", " ", 
           SuperscriptBox["\[Omega]", "4"]}], "-", 
          RowBox[{"8", " ", 
           SuperscriptBox["s", "4"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]]}], "-", 
          RowBox[{"8", " ", 
           SuperscriptBox["s", "2"], " ", 
           SuperscriptBox["\[Omega]", "2"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]]}], "-", 
          RowBox[{
           SuperscriptBox["\[Omega]", "4"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}]}], 
       SuperscriptBox["\[Omega]", "7"]], "\[Rule]", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"4", " ", "\[ImaginaryI]", " ", "gZ\[Omega]", " ", "s", " ", 
         SuperscriptBox["\[Tau]", "3"], " ", "\[Omega]"}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"s", "+", "\[Tau]"}], ")"}], "4"]]}]}], " ", ",", 
     RowBox[{
      FractionBox[
       RowBox[{"4", " ", "gRePsi", " ", 
        SuperscriptBox["s", "2"], " ", 
        SuperscriptBox["\[Omega]", "2"], " ", 
        SqrtBox[
         RowBox[{
          SuperscriptBox["s", "2"], "+", 
          SuperscriptBox["\[Omega]", "2"]}]], " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
       RowBox[{
        RowBox[{"8", " ", 
         SuperscriptBox["s", "4"]}], "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["s", "2"], " ", 
         SuperscriptBox["\[Omega]", "2"]}], "+", 
        SuperscriptBox["\[Omega]", "4"], "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["s", "3"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
        RowBox[{"4", " ", "s", " ", 
         SuperscriptBox["\[Omega]", "2"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]]}]}]], "\[Rule]", " ", 
      FractionBox[
       RowBox[{"4", " ", "gRePsi", " ", 
        SuperscriptBox["s", "2"], " ", "\[Tau]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "s"}], "+", "\[Tau]"}], ")"}], " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"s", "+", "\[Tau]"}], ")"}], "3"]]}], ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"4", " ", "gImPsi", " ", 
         SuperscriptBox["s", "2"], " ", 
         SuperscriptBox["\[Omega]", "2"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]], " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
        RowBox[{
         RowBox[{"8", " ", 
          SuperscriptBox["s", "4"]}], "+", 
         RowBox[{"8", " ", 
          SuperscriptBox["s", "2"], " ", 
          SuperscriptBox["\[Omega]", "2"]}], "+", 
         SuperscriptBox["\[Omega]", "4"], "+", 
         RowBox[{"8", " ", 
          SuperscriptBox["s", "3"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
         RowBox[{"4", " ", "s", " ", 
          SuperscriptBox["\[Omega]", "2"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]}]}]]}], "\[Rule]", " ", 
      FractionBox[
       RowBox[{"4", " ", "gImPsi", " ", 
        SuperscriptBox["s", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"s", "-", "\[Tau]"}], ")"}], " ", "\[Tau]", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"s", "+", "\[Tau]"}], ")"}], "3"]]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"2", " ", "g\[Theta]", " ", 
         SuperscriptBox["s", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"32", " ", 
            SuperscriptBox["s", "11"], " ", "\[Mu]S", " ", 
            RowBox[{"(", 
             RowBox[{"\[Mu]Ss", "-", 
              RowBox[{"\[Mu]S", " ", "\[Mu]\[Theta]"}]}], ")"}]}], "+", 
           RowBox[{"2", " ", 
            SuperscriptBox["s", "2"], " ", 
            SqrtBox["\[Mu]Ss"], " ", 
            RowBox[{"(", 
             RowBox[{"\[Mu]S", "+", 
              RowBox[{"25", " ", "\[Mu]Ss"}]}], ")"}], " ", 
            SuperscriptBox["\[Omega]", "8"], " ", 
            SqrtBox[
             RowBox[{
              RowBox[{
               SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
              RowBox[{"\[Mu]Ss", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
           RowBox[{"2", " ", 
            SuperscriptBox["\[Mu]Ss", 
             RowBox[{"3", "/", "2"}]], " ", 
            SuperscriptBox["\[Omega]", "10"], " ", 
            SqrtBox[
             RowBox[{
              RowBox[{
               SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
              RowBox[{"\[Mu]Ss", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
           RowBox[{"14", " ", "s", " ", 
            SuperscriptBox["\[Mu]Ss", 
             RowBox[{"3", "/", "2"}]], " ", 
            SuperscriptBox["\[Omega]", "8"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]], " ", 
            SqrtBox[
             RowBox[{
              RowBox[{
               SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
              RowBox[{"\[Mu]Ss", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
           RowBox[{"32", " ", 
            SuperscriptBox["s", "10"], " ", "\[Mu]S", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"\[Mu]Ss", " ", 
               SqrtBox[
                RowBox[{
                 SuperscriptBox["s", "2"], "+", 
                 SuperscriptBox["\[Omega]", "2"]}]]}], "-", 
              RowBox[{"\[Mu]S", " ", "\[Mu]\[Theta]", " ", 
               SqrtBox[
                RowBox[{
                 SuperscriptBox["s", "2"], "+", 
                 SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
              RowBox[{"4", " ", 
               SqrtBox["\[Mu]Ss"], " ", 
               SqrtBox[
                RowBox[{
                 RowBox[{
                  SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
                 RowBox[{"\[Mu]Ss", " ", 
                  SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "8"], " ", 
            SuperscriptBox["\[Omega]", "2"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"7", " ", "\[Mu]S", " ", "\[Mu]Ss", " ", 
               SqrtBox[
                RowBox[{
                 SuperscriptBox["s", "2"], "+", 
                 SuperscriptBox["\[Omega]", "2"]}]]}], "-", 
              RowBox[{"7", " ", 
               SuperscriptBox["\[Mu]S", "2"], " ", "\[Mu]\[Theta]", " ", 
               SqrtBox[
                RowBox[{
                 SuperscriptBox["s", "2"], "+", 
                 SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
              RowBox[{"36", " ", "\[Mu]S", " ", 
               SqrtBox["\[Mu]Ss"], " ", 
               SqrtBox[
                RowBox[{
                 RowBox[{
                  SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
                 RowBox[{"\[Mu]Ss", " ", 
                  SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
              RowBox[{"16", " ", 
               SuperscriptBox["\[Mu]Ss", 
                RowBox[{"3", "/", "2"}]], " ", 
               SqrtBox[
                RowBox[{
                 RowBox[{
                  SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
                 RowBox[{"\[Mu]Ss", " ", 
                  SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}], "+", 
           RowBox[{"4", " ", 
            SuperscriptBox["s", "6"], " ", 
            SuperscriptBox["\[Omega]", "4"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"7", " ", "\[Mu]S", " ", "\[Mu]Ss", " ", 
               SqrtBox[
                RowBox[{
                 SuperscriptBox["s", "2"], "+", 
                 SuperscriptBox["\[Omega]", "2"]}]]}], "-", 
              RowBox[{"7", " ", 
               SuperscriptBox["\[Mu]S", "2"], " ", "\[Mu]\[Theta]", " ", 
               SqrtBox[
                RowBox[{
                 SuperscriptBox["s", "2"], "+", 
                 SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
              RowBox[{"52", " ", "\[Mu]S", " ", 
               SqrtBox["\[Mu]Ss"], " ", 
               SqrtBox[
                RowBox[{
                 RowBox[{
                  SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
                 RowBox[{"\[Mu]Ss", " ", 
                  SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
              RowBox[{"72", " ", 
               SuperscriptBox["\[Mu]Ss", 
                RowBox[{"3", "/", "2"}]], " ", 
               SqrtBox[
                RowBox[{
                 RowBox[{
                  SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
                 RowBox[{"\[Mu]Ss", " ", 
                  SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}], "+", 
           RowBox[{"2", " ", 
            SuperscriptBox["s", "4"], " ", 
            SuperscriptBox["\[Omega]", "6"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"2", " ", "\[Mu]S", " ", "\[Mu]Ss", " ", 
               SqrtBox[
                RowBox[{
                 SuperscriptBox["s", "2"], "+", 
                 SuperscriptBox["\[Omega]", "2"]}]]}], "-", 
              RowBox[{"2", " ", 
               SuperscriptBox["\[Mu]S", "2"], " ", "\[Mu]\[Theta]", " ", 
               SqrtBox[
                RowBox[{
                 SuperscriptBox["s", "2"], "+", 
                 SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
              RowBox[{"25", " ", "\[Mu]S", " ", 
               SqrtBox["\[Mu]Ss"], " ", 
               SqrtBox[
                RowBox[{
                 RowBox[{
                  SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
                 RowBox[{"\[Mu]Ss", " ", 
                  SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
              RowBox[{"104", " ", 
               SuperscriptBox["\[Mu]Ss", 
                RowBox[{"3", "/", "2"}]], " ", 
               SqrtBox[
                RowBox[{
                 RowBox[{
                  SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
                 RowBox[{"\[Mu]Ss", " ", 
                  SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "9"], " ", "\[Mu]S", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"9", " ", 
               RowBox[{"(", 
                RowBox[{"\[Mu]Ss", "-", 
                 RowBox[{"\[Mu]S", " ", "\[Mu]\[Theta]"}]}], ")"}], " ", 
               SuperscriptBox["\[Omega]", "2"]}], "+", 
              RowBox[{"16", " ", 
               SqrtBox["\[Mu]Ss"], " ", 
               SqrtBox[
                RowBox[{
                 SuperscriptBox["s", "2"], "+", 
                 SuperscriptBox["\[Omega]", "2"]}]], " ", 
               SqrtBox[
                RowBox[{
                 RowBox[{
                  SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
                 RowBox[{"\[Mu]Ss", " ", 
                  SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}], "+", 
           RowBox[{"4", " ", 
            SuperscriptBox["s", "7"], " ", 
            SuperscriptBox["\[Omega]", "2"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"13", " ", "\[Mu]S", " ", 
               RowBox[{"(", 
                RowBox[{"\[Mu]Ss", "-", 
                 RowBox[{"\[Mu]S", " ", "\[Mu]\[Theta]"}]}], ")"}], " ", 
               SuperscriptBox["\[Omega]", "2"]}], "+", 
              RowBox[{"56", " ", "\[Mu]S", " ", 
               SqrtBox["\[Mu]Ss"], " ", 
               SqrtBox[
                RowBox[{
                 SuperscriptBox["s", "2"], "+", 
                 SuperscriptBox["\[Omega]", "2"]}]], " ", 
               SqrtBox[
                RowBox[{
                 RowBox[{
                  SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
                 RowBox[{"\[Mu]Ss", " ", 
                  SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
              RowBox[{"32", " ", 
               SuperscriptBox["\[Mu]Ss", 
                RowBox[{"3", "/", "2"}]], " ", 
               SqrtBox[
                RowBox[{
                 SuperscriptBox["s", "2"], "+", 
                 SuperscriptBox["\[Omega]", "2"]}]], " ", 
               SqrtBox[
                RowBox[{
                 RowBox[{
                  SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
                 RowBox[{"\[Mu]Ss", " ", 
                  SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}], "+", 
           RowBox[{
            SuperscriptBox["s", "3"], " ", 
            SuperscriptBox["\[Omega]", "6"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"\[Mu]S", " ", 
               RowBox[{"(", 
                RowBox[{"\[Mu]Ss", "-", 
                 RowBox[{"\[Mu]S", " ", "\[Mu]\[Theta]"}]}], ")"}], " ", 
               SuperscriptBox["\[Omega]", "2"]}], "+", 
              RowBox[{"14", " ", "\[Mu]S", " ", 
               SqrtBox["\[Mu]Ss"], " ", 
               SqrtBox[
                RowBox[{
                 SuperscriptBox["s", "2"], "+", 
                 SuperscriptBox["\[Omega]", "2"]}]], " ", 
               SqrtBox[
                RowBox[{
                 RowBox[{
                  SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
                 RowBox[{"\[Mu]Ss", " ", 
                  SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
              RowBox[{"112", " ", 
               SuperscriptBox["\[Mu]Ss", 
                RowBox[{"3", "/", "2"}]], " ", 
               SqrtBox[
                RowBox[{
                 SuperscriptBox["s", "2"], "+", 
                 SuperscriptBox["\[Omega]", "2"]}]], " ", 
               SqrtBox[
                RowBox[{
                 RowBox[{
                  SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
                 RowBox[{"\[Mu]Ss", " ", 
                  SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}], "+", 
           RowBox[{
            SuperscriptBox["s", "5"], " ", 
            SuperscriptBox["\[Omega]", "4"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"13", " ", "\[Mu]S", " ", 
               RowBox[{"(", 
                RowBox[{"\[Mu]Ss", "-", 
                 RowBox[{"\[Mu]S", " ", "\[Mu]\[Theta]"}]}], ")"}], " ", 
               SuperscriptBox["\[Omega]", "2"]}], "+", 
              RowBox[{"112", " ", "\[Mu]S", " ", 
               SqrtBox["\[Mu]Ss"], " ", 
               SqrtBox[
                RowBox[{
                 SuperscriptBox["s", "2"], "+", 
                 SuperscriptBox["\[Omega]", "2"]}]], " ", 
               SqrtBox[
                RowBox[{
                 RowBox[{
                  SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
                 RowBox[{"\[Mu]Ss", " ", 
                  SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
              RowBox[{"224", " ", 
               SuperscriptBox["\[Mu]Ss", 
                RowBox[{"3", "/", "2"}]], " ", 
               SqrtBox[
                RowBox[{
                 SuperscriptBox["s", "2"], "+", 
                 SuperscriptBox["\[Omega]", "2"]}]], " ", 
               SqrtBox[
                RowBox[{
                 RowBox[{
                  SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
                 RowBox[{"\[Mu]Ss", " ", 
                  SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}]}], 
          ")"}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"\[Mu]S", " ", 
         SqrtBox["\[Mu]Ss"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"4", " ", 
            SuperscriptBox["s", "3"]}], "+", 
           RowBox[{"3", " ", "s", " ", 
            SuperscriptBox["\[Omega]", "2"]}], "+", 
           RowBox[{"4", " ", 
            SuperscriptBox["s", "2"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
           RowBox[{
            SuperscriptBox["\[Omega]", "2"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"8", " ", 
            SuperscriptBox["s", "4"]}], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "2"], " ", 
            SuperscriptBox["\[Omega]", "2"]}], "+", 
           SuperscriptBox["\[Omega]", "4"], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "3"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
           RowBox[{"4", " ", "s", " ", 
            SuperscriptBox["\[Omega]", "2"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"8", " ", 
            SuperscriptBox["s", "4"], " ", 
            SqrtBox["\[Mu]Ss"]}], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "2"], " ", 
            SqrtBox["\[Mu]Ss"], " ", "\[Mu]\[Theta]", " ", 
            SuperscriptBox["\[Omega]", "2"]}], "+", 
           RowBox[{
            SqrtBox["\[Mu]Ss"], " ", 
            SuperscriptBox["\[Mu]\[Theta]", "2"], " ", 
            SuperscriptBox["\[Omega]", "4"]}], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "3"], " ", 
            SqrtBox["\[Mu]\[Theta]"], " ", 
            SqrtBox[
             RowBox[{
              RowBox[{
               SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
              RowBox[{"\[Mu]Ss", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
           RowBox[{"4", " ", "s", " ", 
            SuperscriptBox["\[Mu]\[Theta]", 
             RowBox[{"3", "/", "2"}]], " ", 
            SuperscriptBox["\[Omega]", "2"], " ", 
            SqrtBox[
             RowBox[{
              RowBox[{
               SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
              RowBox[{"\[Mu]Ss", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}], ")"}]}], 
      "\[Rule]", " ", 
      FractionBox[
       RowBox[{"4", " ", "g\[Theta]", " ", 
        SuperscriptBox["s", "2"], " ", "\[Mu]\[Theta]", " ", 
        SuperscriptBox["\[Tau]\[Theta]", "3"]}], 
       RowBox[{
        RowBox[{"8", " ", 
         SuperscriptBox["s", "3"], " ", "\[CapitalPi]\[Theta]"}], "+", 
        RowBox[{"4", " ", "s", " ", "\[Mu]\[Theta]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", "s"}], "+", 
           RowBox[{
            SqrtBox["\[Mu]\[Theta]"], " ", "\[Tau]\[Theta]"}]}], ")"}], " ", 
         SuperscriptBox["\[Omega]", "2"]}], "+", 
        RowBox[{
         SuperscriptBox["\[Mu]\[Theta]", "2"], " ", 
         SuperscriptBox["\[Omega]", "4"]}]}]]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.656197899122781*^9, 3.656197941277927*^9}, {
   3.6561991682945538`*^9, 3.656199183451766*^9}, {3.6561997845334177`*^9, 
   3.65619979419431*^9}, {3.656207541849846*^9, 3.656207561179963*^9}, {
   3.65620790588702*^9, 3.656207908553808*^9}, 3.65620798644872*^9, {
   3.656208033979836*^9, 3.656208068714076*^9}, 3.656208168917615*^9, {
   3.6562082688309298`*^9, 3.656208270203795*^9}, 3.656208371672751*^9, {
   3.656711058543975*^9, 3.656711080322617*^9}, {3.6567111383646297`*^9, 
   3.656711139813595*^9}, 3.6652331242612534`*^9, {3.6652357190586433`*^9, 
   3.665235733081715*^9}, {3.665235773804206*^9, 3.66523579319547*^9}, {
   3.66523611331214*^9, 3.665236115913124*^9}, {3.665236156068376*^9, 
   3.665236182911729*^9}, {3.665236215428752*^9, 3.665236246294918*^9}, {
   3.665236316464397*^9, 3.665236329424534*^9}, {3.665236396463304*^9, 
   3.665236404860409*^9}, {3.665239418866007*^9, 3.6652394234564333`*^9}, 
   3.665239524196487*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"gssRule", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Collect", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"ChangeofVarRuleOldToNew", "[", 
              RowBox[{"[", "7", "]"}], "]"}], "/.", "BsimSolnRule"}], "/.", 
            "PhysSoln"}], "/.", "CPBCSoln"}], "/.", "UnTauRules"}], "/.", 
         "GaugeBCSoln"}], "/.", "Use\[Mu]SsRules"}], " ", ",", "bcVec", ",", 
       "FullSimplify"}], "]"}], "//.", "\[Gamma]ssReductionRules"}], "/.", 
    "\[CapitalPi]Rule"}], "/.", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "s"}], "+", 
      RowBox[{
       SqrtBox["\[Mu]\[Theta]"], " ", "\[Tau]\[Theta]"}]}], ")"}], "\[Rule]", 
    " ", 
    RowBox[{"\[CapitalPi]\[Theta]", "+", "s"}]}]}]}]], "Input",
 CellChangeTimes->{{3.655128316980991*^9, 3.655128432738233*^9}, {
   3.655128486074627*^9, 3.655128510154388*^9}, {3.6551285519985943`*^9, 
   3.65512855421734*^9}, {3.655128627623309*^9, 3.655128672148464*^9}, {
   3.6551287253792763`*^9, 3.655128841950807*^9}, {3.655128927863023*^9, 
   3.655128996027336*^9}, {3.655129113857185*^9, 3.655129120369822*^9}, {
   3.6551291945348577`*^9, 3.655129197062739*^9}, {3.6551293223241167`*^9, 
   3.655129343445898*^9}, {3.655129416217803*^9, 3.655129426521679*^9}, {
   3.655130005207491*^9, 3.655130050390329*^9}, {3.655130247600363*^9, 
   3.655130296931057*^9}, {3.6551303651699123`*^9, 3.6551303737887373`*^9}, 
   3.6551320436577168`*^9, 3.6551328872569923`*^9, {3.655133134595283*^9, 
   3.655133136191143*^9}, 3.655139379364915*^9, 3.655140934898776*^9, 
   3.655685958820243*^9, {3.655686021472381*^9, 3.655686104291648*^9}, {
   3.655686628995784*^9, 3.6556866523256617`*^9}, {3.655686775008876*^9, 
   3.655686790800606*^9}, {3.6556869365887423`*^9, 3.6556869436633453`*^9}, {
   3.655897510901232*^9, 3.655897580585657*^9}, {3.655897700208227*^9, 
   3.655897707897996*^9}, {3.6558978265163393`*^9, 3.655897840866001*^9}, {
   3.655906828252804*^9, 3.65590697514493*^9}, {3.656016191500207*^9, 
   3.656016322897867*^9}, {3.656016403504601*^9, 3.656016474683544*^9}, {
   3.6560165081802177`*^9, 3.656016510684053*^9}, {3.656017665820569*^9, 
   3.656017670051206*^9}, {3.6560177020920877`*^9, 3.656017796662747*^9}, {
   3.656017836928084*^9, 3.656017842934517*^9}, {3.656017884127618*^9, 
   3.6560179246263447`*^9}, {3.656018126349951*^9, 3.656018141111657*^9}, {
   3.65601822295599*^9, 3.656018227339559*^9}, {3.656018382295295*^9, 
   3.656018413206172*^9}, {3.656018567089851*^9, 3.6560185762817497`*^9}, {
   3.656018661301979*^9, 3.6560186674706917`*^9}, {3.656019000828253*^9, 
   3.656019008462689*^9}, {3.656026857960846*^9, 3.656026912380629*^9}, {
   3.656027384475429*^9, 3.656027469113996*^9}, 3.656029597625499*^9, {
   3.656029685231695*^9, 3.65602971012834*^9}, {3.656029777097834*^9, 
   3.656029786618861*^9}, {3.656029822792306*^9, 3.656029827351327*^9}, {
   3.656029888502777*^9, 3.656029895849015*^9}, {3.656029945958351*^9, 
   3.6560299541196012`*^9}, {3.656029997844549*^9, 3.6560300271166267`*^9}, {
   3.6560300580297213`*^9, 3.656030121785323*^9}, 3.656078783589096*^9, {
   3.656078820435549*^9, 3.656078832865354*^9}, 3.65607889465909*^9, {
   3.656092426918296*^9, 3.656092436509035*^9}, {3.6560924694583073`*^9, 
   3.6560925021886187`*^9}, {3.656092542959795*^9, 3.6560925920642023`*^9}, {
   3.6560926268036537`*^9, 3.6560926307167063`*^9}, {3.65609269517854*^9, 
   3.656092708021124*^9}, {3.6560933613237057`*^9, 3.6560933619307737`*^9}, {
   3.656093464827897*^9, 3.656093481573207*^9}, 3.656093515671213*^9, {
   3.656093572444624*^9, 3.656093601253335*^9}, {3.6560936504023733`*^9, 
   3.656093696772647*^9}, {3.656100523086626*^9, 3.656100544909151*^9}, {
   3.656100645991619*^9, 3.6561006494534397`*^9}, {3.65610073786337*^9, 
   3.656100809286784*^9}, {3.65620100839808*^9, 3.656201031613227*^9}, {
   3.656201204856598*^9, 3.656201239807261*^9}, {3.656201270409568*^9, 
   3.656201282177311*^9}, {3.656769264674386*^9, 3.6567694222433662`*^9}, {
   3.656856215824726*^9, 3.656856237230607*^9}, 3.6652332281926394`*^9, {
   3.665233273699139*^9, 3.665233274419963*^9}, {3.665233309399897*^9, 
   3.665233344531*^9}, 3.665233446191999*^9, {3.66524168106798*^9, 
   3.66524168449552*^9}, {3.665243301601199*^9, 3.665243302256674*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"gss", "[", "x", "]"}], "\[Rule]", 
  RowBox[{
   FractionBox[
    RowBox[{"2", " ", "gZs", " ", "s", " ", 
     SuperscriptBox["\[Tau]", "2"]}], 
    SuperscriptBox["\[CapitalPi]", "3"]], "-", 
   FractionBox[
    RowBox[{"2", " ", "g\[Alpha]", " ", 
     SuperscriptBox["s", "3"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Eta]L"}], ")"}], " ", "\[Mu]L", " ", 
     SuperscriptBox["\[Tau]\[Mu]L", "2"]}], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", 
     SuperscriptBox["\[CapitalPi]\[Mu]L", "5"]}]], "+", 
   FractionBox[
    RowBox[{"2", " ", "g\[Beta]s", " ", 
     SuperscriptBox["s", "2"], " ", "\[Mu]Ss", " ", 
     SuperscriptBox["\[Tau]\[Mu]Ss", "2"]}], 
    SuperscriptBox["\[CapitalPi]\[Mu]Ss", "4"]], "+", 
   FractionBox[
    RowBox[{"4", " ", "\[ImaginaryI]", " ", "gZ\[Omega]", " ", "s", " ", 
     SuperscriptBox["\[Tau]", "2"], " ", "\[Omega]"}], 
    SuperscriptBox["\[CapitalPi]", "4"]], "+", 
   FractionBox[
    RowBox[{"2", " ", "\[ImaginaryI]", " ", "g\[Beta]\[Omega]", " ", 
     SuperscriptBox["\[Mu]S", "2"], " ", 
     SuperscriptBox["\[Tau]\[Mu]S", "3"], " ", "\[Omega]"}], 
    SuperscriptBox["\[CapitalPi]\[Mu]S", "4"]], "-", 
   FractionBox[
    RowBox[{"4", " ", "g\[Theta]", " ", 
     SuperscriptBox["s", "2"], " ", "\[Mu]\[Theta]", " ", 
     SuperscriptBox["\[Tau]\[Theta]", "2"]}], 
    RowBox[{
     RowBox[{"8", " ", 
      SuperscriptBox["s", "3"], " ", "\[CapitalPi]\[Theta]"}], "+", 
     RowBox[{"4", " ", "s", " ", "\[Mu]\[Theta]", " ", 
      RowBox[{"(", 
       RowBox[{"s", "+", "\[CapitalPi]\[Theta]"}], ")"}], " ", 
      SuperscriptBox["\[Omega]", "2"]}], "+", 
     RowBox[{
      SuperscriptBox["\[Mu]\[Theta]", "2"], " ", 
      SuperscriptBox["\[Omega]", "4"]}]}]], "+", 
   FractionBox[
    RowBox[{"4", " ", "gRePsi", " ", 
     SuperscriptBox["s", "2"], " ", 
     RowBox[{"(", 
      RowBox[{"s", "-", "\[Tau]"}], ")"}], " ", 
     RowBox[{"Cos", "[", 
      RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
    SuperscriptBox["\[CapitalPi]", "3"]], "+", 
   FractionBox[
    RowBox[{"4", " ", "gImPsi", " ", 
     SuperscriptBox["s", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "s"}], "+", "\[Tau]"}], ")"}], " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
    SuperscriptBox["\[CapitalPi]", "3"]]}]}]], "Output",
 CellChangeTimes->{
  3.65676942334207*^9, {3.656856224939385*^9, 3.656856245792611*^9}, 
   3.656860105062149*^9, 3.6568676340090427`*^9, 3.6651471384762583`*^9, 
   3.6652018098347273`*^9, 3.66523318481392*^9, 3.6652332309596987`*^9, 
   3.665233277178897*^9, 3.665233311884316*^9, 3.665233346918239*^9, {
   3.665233442563539*^9, 3.6652334759992647`*^9}, 3.6652335857010927`*^9, 
   3.665233642293524*^9, 3.665233703463285*^9, 3.6652340358298817`*^9, 
   3.665235314223139*^9, 3.665235469588532*^9, 3.665236252115809*^9, 
   3.665239360157124*^9, {3.6652395282447*^9, 3.6652395570256863`*^9}, 
   3.665241686271306*^9, 3.665243305367193*^9, 3.6652447942217207`*^9, 
   3.678107300742639*^9, 3.6781075850545483`*^9, 3.678107743040758*^9, 
   3.678108343979895*^9, 3.678109839420088*^9, 3.680866460802249*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DgssRule", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Collect", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Collect", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"ChangeofVarRuleOldToNew", "[", 
                RowBox[{"[", "10", "]"}], "]"}], "/.", "BsimSolnRule"}], "/.",
               "PhysSoln"}], "/.", "CPBCSoln"}], "/.", "UnTauRules"}], "/.", 
           "GaugeBCSoln"}], "/.", "Use\[Mu]SsRules"}], ",", "bcVec", ",", 
         "FullSimplify"}], "]"}], "//.", "D\[Gamma]ssReductionRules"}], ",", 
      "bcVec", ",", "FullSimplify"}], "]"}], "/.", "\[CapitalPi]Rule"}], "/.", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "s"}], "+", 
      RowBox[{
       SqrtBox["\[Mu]\[Theta]"], " ", "\[Tau]\[Theta]"}]}], ")"}], "\[Rule]", 
    " ", 
    RowBox[{"\[CapitalPi]\[Theta]", "+", "s"}]}]}]}]], "Input",
 CellChangeTimes->{{3.655128316980991*^9, 3.655128432738233*^9}, {
   3.655128486074627*^9, 3.655128510154388*^9}, {3.6551285519985943`*^9, 
   3.65512855421734*^9}, {3.655128627623309*^9, 3.655128672148464*^9}, {
   3.6551287253792763`*^9, 3.655128841950807*^9}, {3.655128927863023*^9, 
   3.655128996027336*^9}, {3.655129113857185*^9, 3.655129120369822*^9}, {
   3.6551291945348577`*^9, 3.655129197062739*^9}, {3.6551293223241167`*^9, 
   3.655129343445898*^9}, {3.655129416217803*^9, 3.655129426521679*^9}, {
   3.655130005207491*^9, 3.655130050390329*^9}, {3.655130247600363*^9, 
   3.655130296931057*^9}, {3.6551303651699123`*^9, 3.6551303737887373`*^9}, 
   3.6551320436577168`*^9, 3.6551328872569923`*^9, {3.655133134595283*^9, 
   3.655133136191143*^9}, 3.655139379364915*^9, 3.655140934898776*^9, 
   3.655685958820243*^9, {3.655686021472381*^9, 3.655686104291648*^9}, {
   3.655686628995784*^9, 3.6556866523256617`*^9}, {3.655686775008876*^9, 
   3.655686790800606*^9}, {3.6556869365887423`*^9, 3.6556869436633453`*^9}, {
   3.655897510901232*^9, 3.655897580585657*^9}, {3.655897700208227*^9, 
   3.655897707897996*^9}, {3.6558978265163393`*^9, 3.655897840866001*^9}, {
   3.655906828252804*^9, 3.65590697514493*^9}, {3.656016191500207*^9, 
   3.656016322897867*^9}, {3.656016403504601*^9, 3.656016474683544*^9}, {
   3.6560165081802177`*^9, 3.656016510684053*^9}, {3.656017665820569*^9, 
   3.656017670051206*^9}, {3.6560177020920877`*^9, 3.656017796662747*^9}, {
   3.656017836928084*^9, 3.656017842934517*^9}, {3.656017884127618*^9, 
   3.6560179246263447`*^9}, {3.656018126349951*^9, 3.656018141111657*^9}, {
   3.65601822295599*^9, 3.656018227339559*^9}, {3.656018382295295*^9, 
   3.656018413206172*^9}, {3.656018567089851*^9, 3.6560185762817497`*^9}, {
   3.656018661301979*^9, 3.6560186674706917`*^9}, {3.656019000828253*^9, 
   3.656019008462689*^9}, {3.656026857960846*^9, 3.656026912380629*^9}, {
   3.656027384475429*^9, 3.656027469113996*^9}, 3.656029597625499*^9, {
   3.656029685231695*^9, 3.65602971012834*^9}, {3.656029777097834*^9, 
   3.656029786618861*^9}, {3.656029822792306*^9, 3.656029827351327*^9}, {
   3.656029888502777*^9, 3.656029895849015*^9}, {3.656029945958351*^9, 
   3.6560299541196012`*^9}, {3.656029997844549*^9, 3.6560300271166267`*^9}, {
   3.6560300580297213`*^9, 3.656030121785323*^9}, {3.656030152427906*^9, 
   3.656030180681767*^9}, {3.656030266129158*^9, 3.656030351032662*^9}, {
   3.6560304068937883`*^9, 3.656030429399436*^9}, {3.656030463055298*^9, 
   3.656030575513647*^9}, {3.656078911182303*^9, 3.656078941217513*^9}, 
   3.6560789742049294`*^9, 3.656092688527515*^9, {3.656100834870483*^9, 
   3.656100841704383*^9}, {3.656100875852545*^9, 3.656101001206546*^9}, {
   3.6561010471288548`*^9, 3.656101087831822*^9}, 3.656101118831853*^9, {
   3.6561016074575357`*^9, 3.656101628033204*^9}, {3.656101679409067*^9, 
   3.656101772141418*^9}, {3.6561018103922377`*^9, 3.6561018405608063`*^9}, {
   3.65610190282829*^9, 3.656102006126669*^9}, {3.656102038349825*^9, 
   3.6561020967316236`*^9}, {3.656102385277981*^9, 3.656102400531629*^9}, {
   3.656102603416642*^9, 3.656102760688612*^9}, {3.656103052505468*^9, 
   3.656103118728335*^9}, {3.65620736276171*^9, 3.6562073764004593`*^9}, 
   3.656207437689229*^9, {3.656207469585573*^9, 3.656207495707308*^9}, 
   3.656207536843093*^9, {3.6562075698219013`*^9, 3.6562076025450983`*^9}, {
   3.656208214023613*^9, 3.656208215040977*^9}, {3.6562082615322227`*^9, 
   3.656208262671357*^9}, 3.6562083261132717`*^9, {3.6562084161721992`*^9, 
   3.6562084575582113`*^9}, 3.6562085934149923`*^9, {3.656208695411194*^9, 
   3.65620872813824*^9}, {3.656208790758182*^9, 3.656208808431767*^9}, 
   3.6562088826954803`*^9, {3.656208917512312*^9, 3.656208932968484*^9}, 
   3.6562089671866627`*^9, {3.6562090048005857`*^9, 3.656209067706441*^9}, {
   3.656709564468067*^9, 3.6567095785332003`*^9}, {3.65671110005939*^9, 
   3.656711105890012*^9}, {3.656711186905665*^9, 3.656711210760038*^9}, 
   3.656711252190983*^9, {3.656711347948435*^9, 3.656711348627199*^9}, {
   3.656711397941596*^9, 3.656711428345449*^9}, {3.6567115588705597`*^9, 
   3.6567116234726133`*^9}, {3.656711656033697*^9, 3.656711672987649*^9}, {
   3.656712609747081*^9, 3.6567126464002438`*^9}, {3.656713024838416*^9, 
   3.656713027885292*^9}, 3.656713086904971*^9, 3.656804532113298*^9, {
   3.656804740680127*^9, 3.6568047442079277`*^9}, {3.6568601140098753`*^9, 
   3.6568601209043617`*^9}, {3.6568602034955683`*^9, 3.65686020372609*^9}, {
   3.6568602386141644`*^9, 3.656860284735097*^9}, {3.6568603815350847`*^9, 
   3.6568604090914993`*^9}, 3.6652359499221687`*^9, 3.665239385739396*^9, 
   3.665243354196267*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Dgss", "[", "x", "]"}], "\[Rule]", 
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{"2", " ", "gZs", " ", "s", " ", 
      SuperscriptBox["\[Tau]", "3"]}], 
     SuperscriptBox["\[CapitalPi]", "3"]]}], "+", 
   FractionBox[
    RowBox[{"2", " ", "g\[Alpha]", " ", 
     SuperscriptBox["s", "3"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Eta]L"}], ")"}], " ", "\[Mu]L", " ", 
     SuperscriptBox["\[Tau]\[Mu]L", "3"]}], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", 
     SuperscriptBox["\[CapitalPi]\[Mu]L", "5"]}]], "-", 
   FractionBox[
    RowBox[{"2", " ", "g\[Beta]s", " ", 
     SuperscriptBox["s", "2"], " ", "\[Mu]Ss", " ", 
     SuperscriptBox["\[Tau]\[Mu]Ss", "3"]}], 
    SuperscriptBox["\[CapitalPi]\[Mu]Ss", "4"]], "-", 
   FractionBox[
    RowBox[{"4", " ", "\[ImaginaryI]", " ", "gZ\[Omega]", " ", "s", " ", 
     SuperscriptBox["\[Tau]", "3"], " ", "\[Omega]"}], 
    SuperscriptBox["\[CapitalPi]", "4"]], "-", 
   FractionBox[
    RowBox[{"2", " ", "\[ImaginaryI]", " ", "g\[Beta]\[Omega]", " ", 
     SuperscriptBox["\[Mu]S", "2"], " ", 
     SuperscriptBox["\[Tau]\[Mu]S", "4"], " ", "\[Omega]"}], 
    SuperscriptBox["\[CapitalPi]\[Mu]S", "4"]], "+", 
   FractionBox[
    RowBox[{"4", " ", "g\[Theta]", " ", 
     SuperscriptBox["s", "2"], " ", "\[Mu]\[Theta]", " ", 
     SuperscriptBox["\[Tau]\[Theta]", "3"]}], 
    RowBox[{
     RowBox[{"8", " ", 
      SuperscriptBox["s", "3"], " ", "\[CapitalPi]\[Theta]"}], "+", 
     RowBox[{"4", " ", "s", " ", "\[Mu]\[Theta]", " ", 
      RowBox[{"(", 
       RowBox[{"s", "+", "\[CapitalPi]\[Theta]"}], ")"}], " ", 
      SuperscriptBox["\[Omega]", "2"]}], "+", 
     RowBox[{
      SuperscriptBox["\[Mu]\[Theta]", "2"], " ", 
      SuperscriptBox["\[Omega]", "4"]}]}]], "+", 
   FractionBox[
    RowBox[{"4", " ", "gRePsi", " ", 
     SuperscriptBox["s", "2"], " ", "\[Tau]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "s"}], "+", "\[Tau]"}], ")"}], " ", 
     RowBox[{"Cos", "[", 
      RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
    SuperscriptBox["\[CapitalPi]", "3"]], "+", 
   FractionBox[
    RowBox[{"4", " ", "gImPsi", " ", 
     SuperscriptBox["s", "2"], " ", 
     RowBox[{"(", 
      RowBox[{"s", "-", "\[Tau]"}], ")"}], " ", "\[Tau]", " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
    SuperscriptBox["\[CapitalPi]", "3"]]}]}]], "Output",
 CellChangeTimes->{3.6781077747513647`*^9, 3.678108360403339*^9, 
  3.6781098506094837`*^9, 3.6808664727161827`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["\[Gamma]qq", "Text",
 CellChangeTimes->{{3.6514101294436073`*^9, 3.6514101367745953`*^9}, {
  3.655816128956986*^9, 3.6558161392342777`*^9}, {3.655907107401081*^9, 
  3.655907110328779*^9}, {3.6559071428893213`*^9, 3.655907176296447*^9}, {
  3.655907253683921*^9, 3.655907268147191*^9}, {3.656016152619293*^9, 
  3.6560161572305393`*^9}, {3.656030636385325*^9, 3.656030664335841*^9}}],

Cell[CellGroupData[{

Cell["Define rules to simplify  the coefficients ", "Text",
 CellChangeTimes->{{3.656179361884219*^9, 3.656179397548088*^9}, {
  3.656197829904808*^9, 3.656197872593563*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Gamma]qqReductionRules", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       FractionBox[
        RowBox[{"2", " ", "g\[Alpha]", " ", 
         SuperscriptBox["s", "3"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Eta]L"}], ")"}], " ", "\[Mu]L", " ", 
         SuperscriptBox["\[Omega]", "2"]}], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"16", " ", 
            SuperscriptBox["s", "5"]}], "+", 
           RowBox[{"20", " ", 
            SuperscriptBox["s", "3"], " ", "\[Mu]L", " ", 
            SuperscriptBox["\[Omega]", "2"]}], "+", 
           RowBox[{"5", " ", "s", " ", 
            SuperscriptBox["\[Mu]L", "2"], " ", 
            SuperscriptBox["\[Omega]", "4"]}], "+", 
           RowBox[{"16", " ", 
            SuperscriptBox["s", "4"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              RowBox[{"\[Mu]L", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
           RowBox[{"12", " ", 
            SuperscriptBox["s", "2"], " ", "\[Mu]L", " ", 
            SuperscriptBox["\[Omega]", "2"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              RowBox[{"\[Mu]L", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
           RowBox[{
            SuperscriptBox["\[Mu]L", "2"], " ", 
            SuperscriptBox["\[Omega]", "4"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              RowBox[{"\[Mu]L", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}]], ")"}], 
      "\[Rule]", " ", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"2", " ", "g\[Alpha]", " ", 
         SuperscriptBox["s", "3"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Eta]L"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"s", "-", 
           RowBox[{
            SqrtBox["\[Mu]L"], " ", "\[Tau]\[Mu]L"}]}], ")"}]}], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"s", "+", 
            RowBox[{
             SqrtBox["\[Mu]L"], " ", "\[Tau]\[Mu]L"}]}], ")"}], "4"]}]]}]}], 
     ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "g\[Beta]\[Omega]", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             RowBox[{"\[Mu]S", " ", 
              SuperscriptBox["\[Omega]", "2"]}]}], ")"}], "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "8"}], " ", 
             SuperscriptBox["s", "3"]}], "-", 
            RowBox[{"4", " ", "s", " ", "\[Mu]S", " ", 
             SuperscriptBox["\[Omega]", "2"]}], "+", 
            FractionBox[
             RowBox[{
              SuperscriptBox["\[Mu]S", "2"], " ", 
              SuperscriptBox["\[Omega]", "4"]}], 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               RowBox[{"\[Mu]S", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}]]], "+", 
            RowBox[{"8", " ", 
             SuperscriptBox["s", "2"], " ", 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               RowBox[{"\[Mu]S", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}], 
         RowBox[{
          SuperscriptBox["\[Mu]S", 
           RowBox[{"7", "/", "2"}]], " ", 
          SuperscriptBox["\[Omega]", "7"]}]]}], ")"}], "\[Rule]", " ", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"2", " ", "\[ImaginaryI]", " ", "g\[Beta]\[Omega]", " ", 
         SuperscriptBox["\[Mu]S", "2"], " ", 
         SuperscriptBox["\[Tau]\[Mu]S", "3"], " ", "\[Omega]"}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"s", "+", 
           RowBox[{
            SqrtBox["\[Mu]S"], " ", "\[Tau]\[Mu]S"}]}], ")"}], "4"]]}]}], ",", 
     RowBox[{
      RowBox[{"(", 
       FractionBox[
        RowBox[{"2", " ", "\[ImaginaryI]", " ", "g\[Beta]s", " ", 
         SuperscriptBox["s", "2"], " ", 
         SqrtBox["\[Mu]S"], " ", 
         SqrtBox["\[Mu]Ss"], " ", 
         SqrtBox[
          RowBox[{"-", 
           FractionBox["\[Mu]Ss", "\[Mu]S"]}]], " ", 
         SuperscriptBox["\[Omega]", "2"]}], 
        RowBox[{
         RowBox[{"8", " ", 
          SuperscriptBox["s", "4"]}], "+", 
         RowBox[{"8", " ", 
          SuperscriptBox["s", "2"], " ", "\[Mu]Ss", " ", 
          SuperscriptBox["\[Omega]", "2"]}], "+", 
         RowBox[{
          SuperscriptBox["\[Mu]Ss", "2"], " ", 
          SuperscriptBox["\[Omega]", "4"]}], "+", 
         RowBox[{"8", " ", 
          SuperscriptBox["s", "3"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            RowBox[{"\[Mu]Ss", " ", 
             SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
         RowBox[{"4", " ", "s", " ", "\[Mu]Ss", " ", 
          SuperscriptBox["\[Omega]", "2"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            RowBox[{"\[Mu]Ss", " ", 
             SuperscriptBox["\[Omega]", "2"]}]}]]}]}]], ")"}], "\[Rule]", " ", 
      FractionBox[
       RowBox[{"2", " ", "g\[Beta]s", " ", 
        SuperscriptBox["s", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"s", "-", 
          RowBox[{
           SqrtBox["\[Mu]Ss"], " ", "\[Tau]\[Mu]Ss"}]}], ")"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"s", "+", 
          RowBox[{
           SqrtBox["\[Mu]Ss"], " ", "\[Tau]\[Mu]Ss"}]}], ")"}], "3"]]}], ",", 
     
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"2", " ", "gZs", " ", "s", " ", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}], ")"}]}], 
        RowBox[{
         RowBox[{"4", " ", 
          SuperscriptBox["s", "3"]}], "+", 
         RowBox[{"3", " ", "s", " ", 
          SuperscriptBox["\[Omega]", "2"]}], "+", 
         RowBox[{"4", " ", 
          SuperscriptBox["s", "2"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
         RowBox[{
          SuperscriptBox["\[Omega]", "2"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]}]}]]}], "\[Rule]", " ", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"2", " ", "gZs", " ", "s", " ", 
         SuperscriptBox["\[Tau]", "2"]}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"s", "+", "\[Tau]"}], ")"}], "3"]]}]}], ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{
        "4", " ", "\[ImaginaryI]", " ", "gZ\[Omega]", " ", "s", " ", 
         "\[Omega]", " ", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}], ")"}]}], 
        RowBox[{
         RowBox[{"8", " ", 
          SuperscriptBox["s", "4"]}], "+", 
         RowBox[{"8", " ", 
          SuperscriptBox["s", "2"], " ", 
          SuperscriptBox["\[Omega]", "2"]}], "+", 
         SuperscriptBox["\[Omega]", "4"], "+", 
         RowBox[{"8", " ", 
          SuperscriptBox["s", "3"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
         RowBox[{"4", " ", "s", " ", 
          SuperscriptBox["\[Omega]", "2"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]}]}]]}], "\[Rule]", "  ", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"4", " ", "\[ImaginaryI]", " ", "gZ\[Omega]", " ", "s", " ", 
         SuperscriptBox["\[Tau]", "2"], " ", "\[Omega]"}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"s", "+", "\[Tau]"}], ")"}], "4"]]}]}], ",", 
     RowBox[{
      FractionBox[
       RowBox[{"4", " ", "gRePsi", " ", 
        SuperscriptBox["s", "2"], " ", 
        SuperscriptBox["\[Omega]", "2"], " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
       RowBox[{
        RowBox[{"8", " ", 
         SuperscriptBox["s", "4"]}], "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["s", "2"], " ", 
         SuperscriptBox["\[Omega]", "2"]}], "+", 
        SuperscriptBox["\[Omega]", "4"], "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["s", "3"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
        RowBox[{"4", " ", "s", " ", 
         SuperscriptBox["\[Omega]", "2"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]]}]}]], "\[Rule]", " ", 
      FractionBox[
       RowBox[{"4", " ", "gRePsi", " ", 
        SuperscriptBox["s", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "s"}], "+", "\[Tau]"}], ")"}], " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"s", "+", "\[Tau]"}], ")"}], "3"]]}], ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"4", " ", "gImPsi", " ", 
         SuperscriptBox["s", "2"], " ", 
         SuperscriptBox["\[Omega]", "2"], " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
        RowBox[{
         RowBox[{"8", " ", 
          SuperscriptBox["s", "4"]}], "+", 
         RowBox[{"8", " ", 
          SuperscriptBox["s", "2"], " ", 
          SuperscriptBox["\[Omega]", "2"]}], "+", 
         SuperscriptBox["\[Omega]", "4"], "+", 
         RowBox[{"8", " ", 
          SuperscriptBox["s", "3"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
         RowBox[{"4", " ", "s", " ", 
          SuperscriptBox["\[Omega]", "2"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]}]}]]}], "\[Rule]", " ", 
      FractionBox[
       RowBox[{"4", " ", "gImPsi", " ", 
        SuperscriptBox["s", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"s", "-", "\[Tau]"}], ")"}], " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"s", "+", "\[Tau]"}], ")"}], "3"]]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"2", " ", "g\[Theta]", " ", 
         SuperscriptBox["s", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"32", " ", 
            SuperscriptBox["s", "10"], " ", "\[Mu]S", " ", 
            RowBox[{"(", 
             RowBox[{"\[Mu]Ss", "-", 
              RowBox[{"\[Mu]S", " ", "\[Mu]\[Theta]"}]}], ")"}]}], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "8"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"7", " ", "\[Mu]S", " ", "\[Mu]Ss"}], "+", 
              RowBox[{"16", " ", 
               SuperscriptBox["\[Mu]Ss", "2"]}], "-", 
              RowBox[{"7", " ", 
               SuperscriptBox["\[Mu]S", "2"], " ", "\[Mu]\[Theta]"}]}], ")"}],
             " ", 
            SuperscriptBox["\[Omega]", "2"]}], "+", 
           RowBox[{"4", " ", 
            SuperscriptBox["s", "6"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"7", " ", "\[Mu]S", " ", "\[Mu]Ss"}], "+", 
              RowBox[{"72", " ", 
               SuperscriptBox["\[Mu]Ss", "2"]}], "-", 
              RowBox[{"7", " ", 
               SuperscriptBox["\[Mu]S", "2"], " ", "\[Mu]\[Theta]"}]}], ")"}],
             " ", 
            SuperscriptBox["\[Omega]", "4"]}], "+", 
           RowBox[{"4", " ", 
            SuperscriptBox["s", "4"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"\[Mu]Ss", " ", 
               RowBox[{"(", 
                RowBox[{"\[Mu]S", "+", 
                 RowBox[{"52", " ", "\[Mu]Ss"}]}], ")"}]}], "-", 
              RowBox[{
               SuperscriptBox["\[Mu]S", "2"], " ", "\[Mu]\[Theta]"}]}], ")"}],
             " ", 
            SuperscriptBox["\[Omega]", "6"]}], "+", 
           RowBox[{"50", " ", 
            SuperscriptBox["s", "2"], " ", 
            SuperscriptBox["\[Mu]Ss", "2"], " ", 
            SuperscriptBox["\[Omega]", "8"]}], "+", 
           RowBox[{"2", " ", 
            SuperscriptBox["\[Mu]Ss", "2"], " ", 
            SuperscriptBox["\[Omega]", "10"]}], "+", 
           RowBox[{"32", " ", 
            SuperscriptBox["s", "9"], " ", "\[Mu]S", " ", 
            RowBox[{"(", 
             RowBox[{"\[Mu]Ss", "-", 
              RowBox[{"\[Mu]S", " ", "\[Mu]\[Theta]"}]}], ")"}], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "7"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"5", " ", "\[Mu]S", " ", "\[Mu]Ss"}], "+", 
              RowBox[{"16", " ", 
               SuperscriptBox["\[Mu]Ss", "2"]}], "-", 
              RowBox[{"5", " ", 
               SuperscriptBox["\[Mu]S", "2"], " ", "\[Mu]\[Theta]"}]}], ")"}],
             " ", 
            SuperscriptBox["\[Omega]", "2"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
           RowBox[{"4", " ", 
            SuperscriptBox["s", "5"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"3", " ", "\[Mu]S", " ", "\[Mu]Ss"}], "+", 
              RowBox[{"56", " ", 
               SuperscriptBox["\[Mu]Ss", "2"]}], "-", 
              RowBox[{"3", " ", 
               SuperscriptBox["\[Mu]S", "2"], " ", "\[Mu]\[Theta]"}]}], ")"}],
             " ", 
            SuperscriptBox["\[Omega]", "4"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
           RowBox[{
            SuperscriptBox["s", "3"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"\[Mu]Ss", " ", 
               RowBox[{"(", 
                RowBox[{"\[Mu]S", "+", 
                 RowBox[{"112", " ", "\[Mu]Ss"}]}], ")"}]}], "-", 
              RowBox[{
               SuperscriptBox["\[Mu]S", "2"], " ", "\[Mu]\[Theta]"}]}], ")"}],
             " ", 
            SuperscriptBox["\[Omega]", "6"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
           RowBox[{"14", " ", "s", " ", 
            SuperscriptBox["\[Mu]Ss", "2"], " ", 
            SuperscriptBox["\[Omega]", "8"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"\[Mu]S", " ", 
         SqrtBox["\[Mu]Ss"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"4", " ", 
            SuperscriptBox["s", "3"]}], "+", 
           RowBox[{"3", " ", "s", " ", 
            SuperscriptBox["\[Omega]", "2"]}], "+", 
           RowBox[{"4", " ", 
            SuperscriptBox["s", "2"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
           RowBox[{
            SuperscriptBox["\[Omega]", "2"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"8", " ", 
            SuperscriptBox["s", "4"]}], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "2"], " ", 
            SuperscriptBox["\[Omega]", "2"]}], "+", 
           SuperscriptBox["\[Omega]", "4"], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "3"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
           RowBox[{"4", " ", "s", " ", 
            SuperscriptBox["\[Omega]", "2"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"8", " ", 
            SuperscriptBox["s", "4"], " ", 
            SqrtBox["\[Mu]Ss"]}], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "2"], " ", 
            SqrtBox["\[Mu]Ss"], " ", "\[Mu]\[Theta]", " ", 
            SuperscriptBox["\[Omega]", "2"]}], "+", 
           RowBox[{
            SqrtBox["\[Mu]Ss"], " ", 
            SuperscriptBox["\[Mu]\[Theta]", "2"], " ", 
            SuperscriptBox["\[Omega]", "4"]}], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "3"], " ", 
            SqrtBox["\[Mu]\[Theta]"], " ", 
            SqrtBox[
             RowBox[{
              RowBox[{
               SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
              RowBox[{"\[Mu]Ss", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
           RowBox[{"4", " ", "s", " ", 
            SuperscriptBox["\[Mu]\[Theta]", 
             RowBox[{"3", "/", "2"}]], " ", 
            SuperscriptBox["\[Omega]", "2"], " ", 
            SqrtBox[
             RowBox[{
              RowBox[{
               SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
              RowBox[{"\[Mu]Ss", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}], ")"}]}], 
      "\[Rule]", 
      FractionBox[
       RowBox[{"4", " ", "g\[Theta]", " ", 
        SuperscriptBox["s", "2"], " ", "\[Mu]\[Theta]", " ", 
        SuperscriptBox["\[Omega]", "2"]}], 
       RowBox[{
        RowBox[{"8", " ", 
         SuperscriptBox["s", "3"], " ", "\[CapitalPi]\[Theta]"}], "+", 
        RowBox[{"4", " ", "s", " ", "\[Mu]\[Theta]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", "s"}], "+", 
           RowBox[{
            SqrtBox["\[Mu]\[Theta]"], " ", "\[Tau]\[Theta]"}]}], ")"}], " ", 
         SuperscriptBox["\[Omega]", "2"]}], "+", 
        RowBox[{
         SuperscriptBox["\[Mu]\[Theta]", "2"], " ", 
         SuperscriptBox["\[Omega]", "4"]}]}]]}]}], " ", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.656197317136907*^9, {3.656197591356351*^9, 3.656197615134934*^9}, {
   3.6561976985016327`*^9, 3.656197713716668*^9}, {3.656197890200432*^9, 
   3.6561978944471827`*^9}, {3.656198524527907*^9, 3.656198573437891*^9}, 
   3.6561986292644167`*^9, 3.6561986845292597`*^9, 3.656198751625868*^9, 
   3.656199114468399*^9, {3.6561997806369667`*^9, 3.656199789553647*^9}, {
   3.656201244134453*^9, 3.656201263154828*^9}, {3.6562072728008127`*^9, 
   3.656207288049733*^9}, {3.656209230409919*^9, 3.656209262528981*^9}, 
   3.6562092971802*^9, {3.656209342010572*^9, 3.65620934789705*^9}, 
   3.6562093820838118`*^9, 3.6562098859687853`*^9, {3.656713312455711*^9, 
   3.6567133138832827`*^9}, {3.656713349792698*^9, 3.656713353229354*^9}, 
   3.656713854151927*^9, {3.656861637175826*^9, 3.6568616401744223`*^9}, 
   3.6652401145178213`*^9, {3.665240155522708*^9, 3.665240171364299*^9}, {
   3.665240251238009*^9, 3.6652403080596237`*^9}, {3.665240340527954*^9, 
   3.665240401384026*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"D\[Gamma]qqReductionRules", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{"2", " ", "g\[Alpha]", " ", 
          SuperscriptBox["s", "3"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Eta]L"}], ")"}], " ", 
          SqrtBox["\[Mu]L"], " ", 
          SuperscriptBox["\[Omega]", "2"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            RowBox[{"\[Mu]L", " ", 
             SuperscriptBox["\[Omega]", "2"]}]}]]}], 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"16", " ", 
             SuperscriptBox["s", "5"]}], "+", 
            RowBox[{"20", " ", 
             SuperscriptBox["s", "3"], " ", "\[Mu]L", " ", 
             SuperscriptBox["\[Omega]", "2"]}], "+", 
            RowBox[{"5", " ", "s", " ", 
             SuperscriptBox["\[Mu]L", "2"], " ", 
             SuperscriptBox["\[Omega]", "4"]}], "+", 
            RowBox[{"16", " ", 
             SuperscriptBox["s", "4"], " ", 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               RowBox[{"\[Mu]L", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
            RowBox[{"12", " ", 
             SuperscriptBox["s", "2"], " ", "\[Mu]L", " ", 
             SuperscriptBox["\[Omega]", "2"], " ", 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               RowBox[{"\[Mu]L", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
            RowBox[{
             SuperscriptBox["\[Mu]L", "2"], " ", 
             SuperscriptBox["\[Omega]", "4"], " ", 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               RowBox[{"\[Mu]L", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}]]}], ")"}], 
      "\[Rule]", " ", 
      FractionBox[
       RowBox[{"2", " ", "g\[Alpha]", " ", 
        SuperscriptBox["s", "3"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Eta]L"}], ")"}], " ", "\[Tau]\[Mu]L", 
        " ", 
        RowBox[{"(", 
         RowBox[{"s", "-", 
          RowBox[{
           SqrtBox["\[Mu]L"], " ", "\[Tau]\[Mu]L"}]}], ")"}]}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"s", "+", 
           RowBox[{
            SqrtBox["\[Mu]L"], " ", "\[Tau]\[Mu]L"}]}], ")"}], "4"]}]]}], ",", 
     RowBox[{
      FractionBox[
       RowBox[{
       "2", " ", "\[ImaginaryI]", " ", "g\[Beta]\[Omega]", " ", "\[Omega]"}], 
       
       RowBox[{"1", "+", 
        FractionBox[
         SuperscriptBox["s", "4"], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            RowBox[{"\[Mu]S", " ", 
             SuperscriptBox["\[Omega]", "2"]}]}], ")"}], "2"]], "+", 
        FractionBox[
         RowBox[{"4", " ", 
          SuperscriptBox["s", "3"]}], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            RowBox[{"\[Mu]S", " ", 
             SuperscriptBox["\[Omega]", "2"]}]}], ")"}], 
          RowBox[{"3", "/", "2"}]]], "+", 
        FractionBox[
         RowBox[{"6", " ", 
          SuperscriptBox["s", "2"]}], 
         RowBox[{
          SuperscriptBox["s", "2"], "+", 
          RowBox[{"\[Mu]S", " ", 
           SuperscriptBox["\[Omega]", "2"]}]}]], "+", 
        FractionBox[
         RowBox[{"4", " ", "s"}], 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           RowBox[{"\[Mu]S", " ", 
            SuperscriptBox["\[Omega]", "2"]}]}]]]}]], "\[Rule]", " ", 
      FractionBox[
       RowBox[{"2", " ", "\[ImaginaryI]", " ", "g\[Beta]\[Omega]", " ", 
        SuperscriptBox["\[Mu]S", "2"], " ", 
        SuperscriptBox["\[Tau]\[Mu]S", "4"], " ", "\[Omega]"}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"s", "+", 
          RowBox[{
           SqrtBox["\[Mu]S"], " ", "\[Tau]\[Mu]S"}]}], ")"}], "4"]]}], ",", 
     RowBox[{
      FractionBox[
       RowBox[{"2", " ", "g\[Beta]s", " ", 
        SuperscriptBox["s", "2"], " ", 
        SqrtBox["\[Mu]Ss"], " ", 
        SuperscriptBox["\[Omega]", "2"], " ", 
        SqrtBox[
         RowBox[{
          SuperscriptBox["s", "2"], "+", 
          RowBox[{"\[Mu]Ss", " ", 
           SuperscriptBox["\[Omega]", "2"]}]}]]}], 
       RowBox[{
        RowBox[{"8", " ", 
         SuperscriptBox["s", "4"]}], "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["s", "2"], " ", "\[Mu]Ss", " ", 
         SuperscriptBox["\[Omega]", "2"]}], "+", 
        RowBox[{
         SuperscriptBox["\[Mu]Ss", "2"], " ", 
         SuperscriptBox["\[Omega]", "4"]}], "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["s", "3"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           RowBox[{"\[Mu]Ss", " ", 
            SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
        RowBox[{"4", " ", "s", " ", "\[Mu]Ss", " ", 
         SuperscriptBox["\[Omega]", "2"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           RowBox[{"\[Mu]Ss", " ", 
            SuperscriptBox["\[Omega]", "2"]}]}]]}]}]], "\[Rule]", " ", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"2", " ", "g\[Beta]s", " ", 
         SuperscriptBox["s", "2"], " ", "\[Tau]\[Mu]Ss", " ", 
         RowBox[{"(", 
          RowBox[{"s", "-", 
           RowBox[{
            SqrtBox["\[Mu]Ss"], " ", "\[Tau]\[Mu]Ss"}]}], ")"}]}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"s", "+", 
           RowBox[{
            SqrtBox["\[Mu]Ss"], " ", "\[Tau]\[Mu]Ss"}]}], ")"}], "3"]]}]}], 
     " ", ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"2", " ", "\[ImaginaryI]", " ", "g\[Beta]\[Omega]", " ", 
         SuperscriptBox["\[Mu]S", "2"], " ", 
         SuperscriptBox["\[Tau]\[Mu]S", "3"], " ", "\[Omega]"}], 
        SuperscriptBox["\[CapitalPi]\[Mu]S", "4"]]}], "\[Rule]", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"2", " ", "\[ImaginaryI]", " ", "g\[Beta]\[Omega]", " ", 
         SuperscriptBox["\[Mu]S", "2"], " ", 
         SuperscriptBox["\[Tau]\[Mu]S", "3"], " ", "\[Omega]"}], 
        SuperscriptBox["\[CapitalPi]\[Mu]S", "4"]]}]}], " ", ",", 
     RowBox[{
      FractionBox[
       RowBox[{"2", " ", "gZs", " ", "s", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}], ")"}], 
         RowBox[{"3", "/", "2"}]]}], 
       RowBox[{
        RowBox[{"4", " ", 
         SuperscriptBox["s", "3"]}], "+", 
        RowBox[{"3", " ", "s", " ", 
         SuperscriptBox["\[Omega]", "2"]}], "+", 
        RowBox[{"4", " ", 
         SuperscriptBox["s", "2"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
        RowBox[{
         SuperscriptBox["\[Omega]", "2"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]]}]}]], "\[Rule]", 
      FractionBox[
       RowBox[{"2", " ", "gZs", " ", "s", " ", 
        SuperscriptBox["\[Tau]", "3"]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"s", "+", "\[Tau]"}], ")"}], "3"]]}], ",", 
     RowBox[{
      FractionBox[
       RowBox[{"4", " ", "\[ImaginaryI]", " ", "gZ\[Omega]", " ", "s", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["s", "2"], "+", 
          SuperscriptBox["\[Omega]", "2"]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "8"}], " ", 
           SuperscriptBox["s", "5"]}], "-", 
          RowBox[{"12", " ", 
           SuperscriptBox["s", "3"], " ", 
           SuperscriptBox["\[Omega]", "2"]}], "-", 
          RowBox[{"4", " ", "s", " ", 
           SuperscriptBox["\[Omega]", "4"]}], "+", 
          RowBox[{"8", " ", 
           SuperscriptBox["s", "4"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
          RowBox[{"8", " ", 
           SuperscriptBox["s", "2"], " ", 
           SuperscriptBox["\[Omega]", "2"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
          RowBox[{
           SuperscriptBox["\[Omega]", "4"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}]}], 
       SuperscriptBox["\[Omega]", "7"]], "\[Rule]", 
      RowBox[{"+", 
       FractionBox[
        RowBox[{"4", " ", "\[ImaginaryI]", " ", "gZ\[Omega]", " ", "s", " ", 
         SuperscriptBox["\[Tau]", "3"], " ", "\[Omega]"}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"s", "+", "\[Tau]"}], ")"}], "4"]]}]}], " ", ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"4", " ", "gRePsi", " ", 
         SuperscriptBox["s", "2"], " ", 
         SuperscriptBox["\[Omega]", "2"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]], " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
        RowBox[{
         RowBox[{"8", " ", 
          SuperscriptBox["s", "4"]}], "+", 
         RowBox[{"8", " ", 
          SuperscriptBox["s", "2"], " ", 
          SuperscriptBox["\[Omega]", "2"]}], "+", 
         SuperscriptBox["\[Omega]", "4"], "+", 
         RowBox[{"8", " ", 
          SuperscriptBox["s", "3"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
         RowBox[{"4", " ", "s", " ", 
          SuperscriptBox["\[Omega]", "2"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]}]}]]}], "\[Rule]", 
      FractionBox[
       RowBox[{"4", " ", "gRePsi", " ", 
        SuperscriptBox["s", "2"], " ", "\[Tau]", " ", 
        RowBox[{"(", 
         RowBox[{"s", "-", "\[Tau]"}], ")"}], " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"s", "+", "\[Tau]"}], ")"}], "3"]]}], " ", ",", 
     RowBox[{
      FractionBox[
       RowBox[{"4", " ", "gImPsi", " ", 
        SuperscriptBox["s", "2"], " ", 
        SuperscriptBox["\[Omega]", "2"], " ", 
        SqrtBox[
         RowBox[{
          SuperscriptBox["s", "2"], "+", 
          SuperscriptBox["\[Omega]", "2"]}]], " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
       RowBox[{
        RowBox[{"8", " ", 
         SuperscriptBox["s", "4"]}], "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["s", "2"], " ", 
         SuperscriptBox["\[Omega]", "2"]}], "+", 
        SuperscriptBox["\[Omega]", "4"], "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["s", "3"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
        RowBox[{"4", " ", "s", " ", 
         SuperscriptBox["\[Omega]", "2"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]]}]}]], "\[Rule]", 
      RowBox[{"+", 
       FractionBox[
        RowBox[{"4", " ", "gImPsi", " ", 
         SuperscriptBox["s", "2"], " ", "\[Tau]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "s"}], "+", "\[Tau]"}], ")"}], " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"s", "+", "\[Tau]"}], ")"}], "3"]]}]}], " ", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"2", " ", "g\[Theta]", " ", 
         SuperscriptBox["s", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"32", " ", 
            SuperscriptBox["s", "11"], " ", "\[Mu]S", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "\[Mu]Ss"}], "+", 
              RowBox[{"\[Mu]S", " ", "\[Mu]\[Theta]"}]}], ")"}]}], "+", 
           RowBox[{"72", " ", 
            SuperscriptBox["s", "9"], " ", "\[Mu]S", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "\[Mu]Ss"}], "+", 
              RowBox[{"\[Mu]S", " ", "\[Mu]\[Theta]"}]}], ")"}], " ", 
            SuperscriptBox["\[Omega]", "2"]}], "+", 
           RowBox[{"32", " ", 
            SuperscriptBox["s", "10"], " ", "\[Mu]S", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "\[Mu]Ss"}], "+", 
              RowBox[{"\[Mu]S", " ", "\[Mu]\[Theta]"}]}], ")"}], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}], "-", 
           RowBox[{"50", " ", 
            SuperscriptBox["s", "2"], " ", 
            SuperscriptBox["\[Mu]Ss", 
             RowBox[{"3", "/", "2"}]], " ", 
            SuperscriptBox["\[Omega]", "8"], " ", 
            SqrtBox[
             RowBox[{
              RowBox[{
               SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
              RowBox[{"\[Mu]Ss", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]}], "-", 
           RowBox[{"2", " ", 
            SuperscriptBox["\[Mu]Ss", 
             RowBox[{"3", "/", "2"}]], " ", 
            SuperscriptBox["\[Omega]", "10"], " ", 
            SqrtBox[
             RowBox[{
              RowBox[{
               SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
              RowBox[{"\[Mu]Ss", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]}], "-", 
           RowBox[{"14", " ", "s", " ", 
            SuperscriptBox["\[Mu]Ss", 
             RowBox[{"3", "/", "2"}]], " ", 
            SuperscriptBox["\[Omega]", "8"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]], " ", 
            SqrtBox[
             RowBox[{
              RowBox[{
               SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
              RowBox[{"\[Mu]Ss", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
           RowBox[{"4", " ", 
            SuperscriptBox["s", "6"], " ", 
            SuperscriptBox["\[Omega]", "4"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "7"}], " ", "\[Mu]S", " ", "\[Mu]Ss", " ", 
               SqrtBox[
                RowBox[{
                 SuperscriptBox["s", "2"], "+", 
                 SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
              RowBox[{"7", " ", 
               SuperscriptBox["\[Mu]S", "2"], " ", "\[Mu]\[Theta]", " ", 
               SqrtBox[
                RowBox[{
                 SuperscriptBox["s", "2"], "+", 
                 SuperscriptBox["\[Omega]", "2"]}]]}], "-", 
              RowBox[{"72", " ", 
               SuperscriptBox["\[Mu]Ss", 
                RowBox[{"3", "/", "2"}]], " ", 
               SqrtBox[
                RowBox[{
                 RowBox[{
                  SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
                 RowBox[{"\[Mu]Ss", " ", 
                  SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}], "+", 
           RowBox[{"4", " ", 
            SuperscriptBox["s", "4"], " ", 
            SuperscriptBox["\[Omega]", "6"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "\[Mu]S"}], " ", "\[Mu]Ss", " ", 
               SqrtBox[
                RowBox[{
                 SuperscriptBox["s", "2"], "+", 
                 SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
              RowBox[{
               SuperscriptBox["\[Mu]S", "2"], " ", "\[Mu]\[Theta]", " ", 
               SqrtBox[
                RowBox[{
                 SuperscriptBox["s", "2"], "+", 
                 SuperscriptBox["\[Omega]", "2"]}]]}], "-", 
              RowBox[{"52", " ", 
               SuperscriptBox["\[Mu]Ss", 
                RowBox[{"3", "/", "2"}]], " ", 
               SqrtBox[
                RowBox[{
                 RowBox[{
                  SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
                 RowBox[{"\[Mu]Ss", " ", 
                  SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "8"], " ", 
            SuperscriptBox["\[Omega]", "2"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "7"}], " ", "\[Mu]S", " ", "\[Mu]Ss", " ", 
               SqrtBox[
                RowBox[{
                 SuperscriptBox["s", "2"], "+", 
                 SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
              RowBox[{"7", " ", 
               SuperscriptBox["\[Mu]S", "2"], " ", "\[Mu]\[Theta]", " ", 
               SqrtBox[
                RowBox[{
                 SuperscriptBox["s", "2"], "+", 
                 SuperscriptBox["\[Omega]", "2"]}]]}], "-", 
              RowBox[{"16", " ", 
               SuperscriptBox["\[Mu]Ss", 
                RowBox[{"3", "/", "2"}]], " ", 
               SqrtBox[
                RowBox[{
                 RowBox[{
                  SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
                 RowBox[{"\[Mu]Ss", " ", 
                  SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}], "+", 
           RowBox[{
            SuperscriptBox["s", "5"], " ", 
            SuperscriptBox["\[Omega]", "4"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"13", " ", "\[Mu]S", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "\[Mu]Ss"}], "+", 
                 RowBox[{"\[Mu]S", " ", "\[Mu]\[Theta]"}]}], ")"}], " ", 
               SuperscriptBox["\[Omega]", "2"]}], "-", 
              RowBox[{"224", " ", 
               SuperscriptBox["\[Mu]Ss", 
                RowBox[{"3", "/", "2"}]], " ", 
               SqrtBox[
                RowBox[{
                 SuperscriptBox["s", "2"], "+", 
                 SuperscriptBox["\[Omega]", "2"]}]], " ", 
               SqrtBox[
                RowBox[{
                 RowBox[{
                  SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
                 RowBox[{"\[Mu]Ss", " ", 
                  SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}], "+", 
           RowBox[{
            SuperscriptBox["s", "3"], " ", 
            SuperscriptBox["\[Omega]", "6"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"\[Mu]S", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "\[Mu]Ss"}], "+", 
                 RowBox[{"\[Mu]S", " ", "\[Mu]\[Theta]"}]}], ")"}], " ", 
               SuperscriptBox["\[Omega]", "2"]}], "-", 
              RowBox[{"112", " ", 
               SuperscriptBox["\[Mu]Ss", 
                RowBox[{"3", "/", "2"}]], " ", 
               SqrtBox[
                RowBox[{
                 SuperscriptBox["s", "2"], "+", 
                 SuperscriptBox["\[Omega]", "2"]}]], " ", 
               SqrtBox[
                RowBox[{
                 RowBox[{
                  SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
                 RowBox[{"\[Mu]Ss", " ", 
                  SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}], "+", 
           RowBox[{"4", " ", 
            SuperscriptBox["s", "7"], " ", 
            SuperscriptBox["\[Omega]", "2"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"13", " ", "\[Mu]S", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "\[Mu]Ss"}], "+", 
                 RowBox[{"\[Mu]S", " ", "\[Mu]\[Theta]"}]}], ")"}], " ", 
               SuperscriptBox["\[Omega]", "2"]}], "-", 
              RowBox[{"32", " ", 
               SuperscriptBox["\[Mu]Ss", 
                RowBox[{"3", "/", "2"}]], " ", 
               SqrtBox[
                RowBox[{
                 SuperscriptBox["s", "2"], "+", 
                 SuperscriptBox["\[Omega]", "2"]}]], " ", 
               SqrtBox[
                RowBox[{
                 RowBox[{
                  SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
                 RowBox[{"\[Mu]Ss", " ", 
                  SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}]}], 
          ")"}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"\[Mu]S", " ", 
         SqrtBox["\[Mu]Ss"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"4", " ", 
            SuperscriptBox["s", "3"]}], "+", 
           RowBox[{"3", " ", "s", " ", 
            SuperscriptBox["\[Omega]", "2"]}], "+", 
           RowBox[{"4", " ", 
            SuperscriptBox["s", "2"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
           RowBox[{
            SuperscriptBox["\[Omega]", "2"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"8", " ", 
            SuperscriptBox["s", "4"]}], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "2"], " ", 
            SuperscriptBox["\[Omega]", "2"]}], "+", 
           SuperscriptBox["\[Omega]", "4"], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "3"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
           RowBox[{"4", " ", "s", " ", 
            SuperscriptBox["\[Omega]", "2"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"8", " ", 
            SuperscriptBox["s", "4"], " ", 
            SqrtBox["\[Mu]Ss"]}], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "2"], " ", 
            SqrtBox["\[Mu]Ss"], " ", "\[Mu]\[Theta]", " ", 
            SuperscriptBox["\[Omega]", "2"]}], "+", 
           RowBox[{
            SqrtBox["\[Mu]Ss"], " ", 
            SuperscriptBox["\[Mu]\[Theta]", "2"], " ", 
            SuperscriptBox["\[Omega]", "4"]}], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "3"], " ", 
            SqrtBox["\[Mu]\[Theta]"], " ", 
            SqrtBox[
             RowBox[{
              RowBox[{
               SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
              RowBox[{"\[Mu]Ss", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
           RowBox[{"4", " ", "s", " ", 
            SuperscriptBox["\[Mu]\[Theta]", 
             RowBox[{"3", "/", "2"}]], " ", 
            SuperscriptBox["\[Omega]", "2"], " ", 
            SqrtBox[
             RowBox[{
              RowBox[{
               SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
              RowBox[{"\[Mu]Ss", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}], ")"}]}], 
      "\[Rule]", " ", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"4", " ", "g\[Theta]", " ", 
         SuperscriptBox["s", "2"], " ", "\[Mu]\[Theta]", " ", 
         "\[Tau]\[Theta]", " ", 
         SuperscriptBox["\[Omega]", "2"]}], 
        RowBox[{
         RowBox[{"8", " ", 
          SuperscriptBox["s", "3"], " ", "\[CapitalPi]\[Theta]"}], "+", 
         RowBox[{"4", " ", "s", " ", "\[Mu]\[Theta]", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", "s"}], "+", 
            RowBox[{
             SqrtBox["\[Mu]\[Theta]"], " ", "\[Tau]\[Theta]"}]}], ")"}], " ", 
          
          SuperscriptBox["\[Omega]", "2"]}], "+", 
         RowBox[{
          SuperscriptBox["\[Mu]\[Theta]", "2"], " ", 
          SuperscriptBox["\[Omega]", "4"]}]}]]}]}]}], "}"}]}], ";"}]], "Input",\

 CellChangeTimes->{{3.656197899122781*^9, 3.656197941277927*^9}, {
   3.6561991682945538`*^9, 3.656199183451766*^9}, {3.6561997845334177`*^9, 
   3.65619979419431*^9}, {3.656207541849846*^9, 3.656207561179963*^9}, {
   3.65620790588702*^9, 3.656207908553808*^9}, 3.65620798644872*^9, {
   3.656208033979836*^9, 3.656208068714076*^9}, 3.656208168917615*^9, {
   3.6562082688309298`*^9, 3.656208270203795*^9}, 3.656208371672751*^9, {
   3.656209281855721*^9, 3.656209283591557*^9}, 3.656209921248437*^9, {
   3.6562102533705587`*^9, 3.656210288589561*^9}, 3.656713888617095*^9, {
   3.656713927843872*^9, 3.6567139297607727`*^9}, 3.656714850630151*^9, 
   3.65686175639815*^9, {3.665239703723136*^9, 3.6652397568998537`*^9}, {
   3.665239791112898*^9, 3.665239796468412*^9}, {3.665239868871847*^9, 
   3.665239928531774*^9}, {3.665239989601056*^9, 3.665240019859089*^9}, {
   3.665240445853983*^9, 3.6652405636555*^9}, {3.6652406129325533`*^9, 
   3.665240618272942*^9}, {3.665240657647421*^9, 3.665240676067717*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"gqqRule", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Collect", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"ChangeofVarRuleOldToNew", "[", 
              RowBox[{"[", "8", "]"}], "]"}], "/.", "BsimSolnRule"}], "/.", 
            "PhysSoln"}], "/.", "CPBCSoln"}], "/.", "UnTauRules"}], "/.", 
         "GaugeBCSoln"}], "/.", "Use\[Mu]SsRules"}], ",", "bcVec", ",", 
       "FullSimplify"}], "]"}], "//.", "\[Gamma]qqReductionRules"}], "/.", 
    "\[CapitalPi]Rule"}], "/.", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "s"}], "+", 
      RowBox[{
       SqrtBox["\[Mu]\[Theta]"], " ", "\[Tau]\[Theta]"}]}], ")"}], "\[Rule]", 
    " ", 
    RowBox[{"\[CapitalPi]\[Theta]", "+", "s"}]}]}]}]], "Input",
 CellChangeTimes->{{3.655128316980991*^9, 3.655128432738233*^9}, {
   3.655128486074627*^9, 3.655128510154388*^9}, {3.6551285519985943`*^9, 
   3.65512855421734*^9}, {3.655128627623309*^9, 3.655128672148464*^9}, {
   3.6551287253792763`*^9, 3.655128841950807*^9}, {3.655128927863023*^9, 
   3.655128996027336*^9}, {3.655129113857185*^9, 3.655129120369822*^9}, {
   3.6551291945348577`*^9, 3.655129197062739*^9}, {3.6551293223241167`*^9, 
   3.655129343445898*^9}, {3.655129416217803*^9, 3.655129426521679*^9}, {
   3.655130005207491*^9, 3.655130050390329*^9}, {3.655130247600363*^9, 
   3.655130296931057*^9}, {3.6551303651699123`*^9, 3.6551303737887373`*^9}, 
   3.6551320436577168`*^9, 3.6551328872569923`*^9, {3.655133134595283*^9, 
   3.655133136191143*^9}, 3.655139379364915*^9, 3.655140934898776*^9, 
   3.655685958820243*^9, {3.655686021472381*^9, 3.655686104291648*^9}, {
   3.655686628995784*^9, 3.6556866523256617`*^9}, {3.655686775008876*^9, 
   3.655686790800606*^9}, {3.6556869365887423`*^9, 3.6556869436633453`*^9}, {
   3.655897510901232*^9, 3.655897580585657*^9}, {3.655897700208227*^9, 
   3.655897707897996*^9}, {3.6558978265163393`*^9, 3.655897840866001*^9}, {
   3.655906828252804*^9, 3.65590697514493*^9}, {3.656016191500207*^9, 
   3.656016322897867*^9}, {3.656016403504601*^9, 3.656016474683544*^9}, {
   3.6560165081802177`*^9, 3.656016510684053*^9}, {3.656017665820569*^9, 
   3.656017670051206*^9}, {3.6560177020920877`*^9, 3.656017796662747*^9}, {
   3.656017836928084*^9, 3.656017842934517*^9}, {3.656017884127618*^9, 
   3.6560179246263447`*^9}, {3.656018126349951*^9, 3.656018141111657*^9}, {
   3.65601822295599*^9, 3.656018227339559*^9}, {3.656018382295295*^9, 
   3.656018413206172*^9}, {3.656018567089851*^9, 3.6560185762817497`*^9}, {
   3.656018661301979*^9, 3.6560186674706917`*^9}, {3.656019000828253*^9, 
   3.656019008462689*^9}, {3.656026857960846*^9, 3.656026912380629*^9}, {
   3.656027384475429*^9, 3.656027469113996*^9}, 3.656029597625499*^9, {
   3.656029685231695*^9, 3.65602971012834*^9}, {3.656029777097834*^9, 
   3.656029786618861*^9}, {3.656029822792306*^9, 3.656029827351327*^9}, {
   3.656029888502777*^9, 3.656029895849015*^9}, {3.656029945958351*^9, 
   3.6560299541196012`*^9}, {3.656029997844549*^9, 3.6560300271166267`*^9}, {
   3.6560300580297213`*^9, 3.656030121785323*^9}, {3.656030676985282*^9, 
   3.656030724867683*^9}, {3.656030760223359*^9, 3.656030760767312*^9}, {
   3.656030809973929*^9, 3.656030843997347*^9}, {3.65603096026577*^9, 
   3.6560309836172867`*^9}, {3.656031017042556*^9, 3.656031064086728*^9}, {
   3.656031161006688*^9, 3.656031177269631*^9}, {3.6560312598847523`*^9, 
   3.656031328127087*^9}, {3.656078996706633*^9, 3.656079056017771*^9}, 
   3.6561016661003313`*^9, 3.65620909743671*^9, {3.656209139523744*^9, 
   3.656209217338389*^9}, 3.656209270873657*^9, {3.656209312369026*^9, 
   3.656209323127493*^9}, {3.6568606204289722`*^9, 3.6568606317775297`*^9}, {
   3.656861648587853*^9, 3.6568616526026897`*^9}, 3.665243371356531*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"gqq", "[", "x", "]"}], "\[Rule]", 
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{"2", " ", "gZs", " ", "s", " ", 
      SuperscriptBox["\[Tau]", "2"]}], 
     SuperscriptBox["\[CapitalPi]", "3"]]}], "-", 
   FractionBox[
    RowBox[{"2", " ", "g\[Alpha]", " ", 
     SuperscriptBox["s", "3"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Eta]L"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"s", "-", 
       RowBox[{
        SqrtBox["\[Mu]L"], " ", "\[Tau]\[Mu]L"}]}], ")"}]}], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", 
     SuperscriptBox["\[CapitalPi]\[Mu]L", "4"]}]], "+", 
   FractionBox[
    RowBox[{"2", " ", "g\[Beta]s", " ", 
     SuperscriptBox["s", "2"], " ", 
     RowBox[{"(", 
      RowBox[{"s", "-", 
       RowBox[{
        SqrtBox["\[Mu]Ss"], " ", "\[Tau]\[Mu]Ss"}]}], ")"}]}], 
    SuperscriptBox["\[CapitalPi]\[Mu]Ss", "3"]], "-", 
   FractionBox[
    RowBox[{"4", " ", "\[ImaginaryI]", " ", "gZ\[Omega]", " ", "s", " ", 
     SuperscriptBox["\[Tau]", "2"], " ", "\[Omega]"}], 
    SuperscriptBox["\[CapitalPi]", "4"]], "-", 
   FractionBox[
    RowBox[{"2", " ", "\[ImaginaryI]", " ", "g\[Beta]\[Omega]", " ", 
     SuperscriptBox["\[Mu]S", "2"], " ", 
     SuperscriptBox["\[Tau]\[Mu]S", "3"], " ", "\[Omega]"}], 
    SuperscriptBox["\[CapitalPi]\[Mu]S", "4"]], "+", 
   FractionBox[
    RowBox[{"4", " ", "g\[Theta]", " ", 
     SuperscriptBox["s", "2"], " ", "\[Mu]\[Theta]", " ", 
     SuperscriptBox["\[Omega]", "2"]}], 
    RowBox[{
     RowBox[{"8", " ", 
      SuperscriptBox["s", "3"], " ", "\[CapitalPi]\[Theta]"}], "+", 
     RowBox[{"4", " ", "s", " ", "\[Mu]\[Theta]", " ", 
      RowBox[{"(", 
       RowBox[{"s", "+", "\[CapitalPi]\[Theta]"}], ")"}], " ", 
      SuperscriptBox["\[Omega]", "2"]}], "+", 
     RowBox[{
      SuperscriptBox["\[Mu]\[Theta]", "2"], " ", 
      SuperscriptBox["\[Omega]", "4"]}]}]], "+", 
   FractionBox[
    RowBox[{"4", " ", "gRePsi", " ", 
     SuperscriptBox["s", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "s"}], "+", "\[Tau]"}], ")"}], " ", 
     RowBox[{"Cos", "[", 
      RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
    SuperscriptBox["\[CapitalPi]", "3"]], "+", 
   FractionBox[
    RowBox[{"4", " ", "gImPsi", " ", 
     SuperscriptBox["s", "2"], " ", 
     RowBox[{"(", 
      RowBox[{"s", "-", "\[Tau]"}], ")"}], " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
    SuperscriptBox["\[CapitalPi]", "3"]]}]}]], "Output",
 CellChangeTimes->{
  3.655897708616041*^9, {3.655897834982278*^9, 3.655897841631912*^9}, {
   3.655906833151668*^9, 3.655906875312064*^9}, {3.655906926652876*^9, 
   3.655906975937682*^9}, {3.656016195332011*^9, 3.6560163182934103`*^9}, {
   3.656016406553344*^9, 3.656016481453293*^9}, 3.656016518124838*^9, 
   3.656017583713917*^9, 3.656017681060884*^9, {3.656017716025559*^9, 
   3.6560177877759323`*^9}, 3.6560178339653053`*^9, {3.656017877428911*^9, 
   3.656017911823699*^9}, 3.656017945827847*^9, 3.6560181647010937`*^9, 
   3.656018231183565*^9, {3.656018384283504*^9, 3.656018413832099*^9}, 
   3.656018576962653*^9, 3.6560186686378317`*^9, 3.656019009299855*^9, 
   3.656026879130118*^9, 3.656027453746127*^9, 3.656029601046445*^9, {
   3.656029698610189*^9, 3.656029712834988*^9}, 3.656029787500802*^9, 
   3.6560298280868883`*^9, 3.656029896626712*^9, 3.656029954948595*^9, 
   3.656030007452549*^9, 3.656030061391334*^9, {3.656030094525268*^9, 
   3.65603012239957*^9}, 3.6560301853025007`*^9, 3.656030692571069*^9, 
   3.656030757697888*^9, {3.656030807167214*^9, 3.656030844917851*^9}, 
   3.656030970005197*^9, {3.656031017925671*^9, 3.656031043777318*^9}, 
   3.6560311618720703`*^9, 3.656031262997963*^9, {3.65603130248351*^9, 
   3.656031328822921*^9}, 3.656078999822668*^9, 3.656079058413426*^9, 
   3.656080785330604*^9, 3.656101667983732*^9, 3.656111434060951*^9, 
   3.656113673752511*^9, 3.6561785247382593`*^9, {3.6562090941735983`*^9, 
   3.656209103617785*^9}, 3.656209170714463*^9, 3.656209203805418*^9, 
   3.656209272175826*^9, {3.656209308872661*^9, 3.656209323698044*^9}, 
   3.656209354154398*^9, 3.65620990135116*^9, 3.656213764912569*^9, 
   3.656214208407536*^9, 3.656713328615754*^9, 3.6567138665992327`*^9, 
   3.656714863727116*^9, 3.656718540033992*^9, 3.6567662103540993`*^9, {
   3.656860625691639*^9, 3.656860642507498*^9}, 3.656861662932826*^9, 
   3.656861769952879*^9, 3.65686764616525*^9, 3.6651471534840813`*^9, 
   3.66523967163492*^9, 3.665239727916912*^9, 3.665239802511994*^9, 
   3.665239895822669*^9, 3.665240024391511*^9, 3.6652401230461082`*^9, {
   3.665240178938816*^9, 3.6652401822657223`*^9}, 3.665240291618825*^9, 
   3.665240353205106*^9, 3.6652404062437162`*^9, 3.6652406814196*^9, 
   3.665243374156268*^9, 3.665244809444454*^9, 3.6781077901766148`*^9, 
   3.678108744857265*^9, 3.678109852568758*^9, 3.680866475313066*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DgqqRule", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Collect", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"ChangeofVarRuleOldToNew", "[", 
              RowBox[{"[", "11", "]"}], "]"}], "/.", "BsimSolnRule"}], "/.", 
            "PhysSoln"}], "/.", "CPBCSoln"}], "/.", "UnTauRules"}], "/.", 
         "GaugeBCSoln"}], "/.", "Use\[Mu]SsRules"}], ",", "bcVec", ",", 
       "FullSimplify"}], "]"}], "//.", "D\[Gamma]qqReductionRules"}], "/.", 
    "\[CapitalPi]Rule"}], "/.", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "s"}], "+", 
      RowBox[{
       SqrtBox["\[Mu]\[Theta]"], " ", "\[Tau]\[Theta]"}]}], ")"}], "\[Rule]", 
    " ", 
    RowBox[{"\[CapitalPi]\[Theta]", "+", "s"}]}]}]}]], "Input",
 CellChangeTimes->{{3.655128316980991*^9, 3.655128432738233*^9}, {
   3.655128486074627*^9, 3.655128510154388*^9}, {3.6551285519985943`*^9, 
   3.65512855421734*^9}, {3.655128627623309*^9, 3.655128672148464*^9}, {
   3.6551287253792763`*^9, 3.655128841950807*^9}, {3.655128927863023*^9, 
   3.655128996027336*^9}, {3.655129113857185*^9, 3.655129120369822*^9}, {
   3.6551291945348577`*^9, 3.655129197062739*^9}, {3.6551293223241167`*^9, 
   3.655129343445898*^9}, {3.655129416217803*^9, 3.655129426521679*^9}, {
   3.655130005207491*^9, 3.655130050390329*^9}, {3.655130247600363*^9, 
   3.655130296931057*^9}, {3.6551303651699123`*^9, 3.6551303737887373`*^9}, 
   3.6551320436577168`*^9, 3.6551328872569923`*^9, {3.655133134595283*^9, 
   3.655133136191143*^9}, 3.655139379364915*^9, 3.655140934898776*^9, 
   3.655685958820243*^9, {3.655686021472381*^9, 3.655686104291648*^9}, {
   3.655686628995784*^9, 3.6556866523256617`*^9}, {3.655686775008876*^9, 
   3.655686790800606*^9}, {3.6556869365887423`*^9, 3.6556869436633453`*^9}, {
   3.655897510901232*^9, 3.655897580585657*^9}, {3.655897700208227*^9, 
   3.655897707897996*^9}, {3.6558978265163393`*^9, 3.655897840866001*^9}, {
   3.655906828252804*^9, 3.65590697514493*^9}, {3.656016191500207*^9, 
   3.656016322897867*^9}, {3.656016403504601*^9, 3.656016474683544*^9}, {
   3.6560165081802177`*^9, 3.656016510684053*^9}, {3.656017665820569*^9, 
   3.656017670051206*^9}, {3.6560177020920877`*^9, 3.656017796662747*^9}, {
   3.656017836928084*^9, 3.656017842934517*^9}, {3.656017884127618*^9, 
   3.6560179246263447`*^9}, {3.656018126349951*^9, 3.656018141111657*^9}, {
   3.65601822295599*^9, 3.656018227339559*^9}, {3.656018382295295*^9, 
   3.656018413206172*^9}, {3.656018567089851*^9, 3.6560185762817497`*^9}, {
   3.656018661301979*^9, 3.6560186674706917`*^9}, {3.656019000828253*^9, 
   3.656019008462689*^9}, {3.656026857960846*^9, 3.656026912380629*^9}, {
   3.656027384475429*^9, 3.656027469113996*^9}, 3.656029597625499*^9, {
   3.656029685231695*^9, 3.65602971012834*^9}, {3.656029777097834*^9, 
   3.656029786618861*^9}, {3.656029822792306*^9, 3.656029827351327*^9}, {
   3.656029888502777*^9, 3.656029895849015*^9}, {3.656029945958351*^9, 
   3.6560299541196012`*^9}, {3.656029997844549*^9, 3.6560300271166267`*^9}, {
   3.6560300580297213`*^9, 3.656030121785323*^9}, {3.656030152427906*^9, 
   3.656030180681767*^9}, {3.656030266129158*^9, 3.656030351032662*^9}, {
   3.6560304068937883`*^9, 3.656030429399436*^9}, {3.656030463055298*^9, 
   3.656030575513647*^9}, {3.656078911182303*^9, 3.656078941217513*^9}, 
   3.6560789742049294`*^9, 3.656092688527515*^9, {3.656100834870483*^9, 
   3.656100841704383*^9}, {3.656100875852545*^9, 3.656101001206546*^9}, {
   3.6561010471288548`*^9, 3.656101087831822*^9}, 3.656101118831853*^9, {
   3.6561016074575357`*^9, 3.656101628033204*^9}, {3.656101679409067*^9, 
   3.656101772141418*^9}, {3.6561018103922377`*^9, 3.6561018405608063`*^9}, {
   3.65610190282829*^9, 3.656102006126669*^9}, {3.656102038349825*^9, 
   3.6561020967316236`*^9}, {3.656102385277981*^9, 3.656102400531629*^9}, {
   3.656102603416642*^9, 3.656102760688612*^9}, {3.656103052505468*^9, 
   3.656103118728335*^9}, {3.6561065318061743`*^9, 3.6561065326154537`*^9}, {
   3.656106570693831*^9, 3.6561065751201057`*^9}, {3.656106821861979*^9, 
   3.656107077981724*^9}, {3.65610727597047*^9, 3.656107283781939*^9}, {
   3.656107352880372*^9, 3.65610735483174*^9}, {3.656209942154779*^9, 
   3.656209959177618*^9}, {3.656209992059449*^9, 3.656210049345499*^9}, {
   3.65621022820155*^9, 3.656210246188348*^9}, {3.656210308260026*^9, 
   3.656210323729649*^9}, {3.656860558655458*^9, 3.656860572915575*^9}, {
   3.6568617686446667`*^9, 3.656861773605927*^9}, 3.665243383729828*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Dgqq", "[", "x", "]"}], "\[Rule]", 
  RowBox[{
   FractionBox[
    RowBox[{"2", " ", "gZs", " ", "s", " ", 
     SuperscriptBox["\[Tau]", "3"]}], 
    SuperscriptBox["\[CapitalPi]", "3"]], "+", 
   FractionBox[
    RowBox[{"2", " ", "g\[Alpha]", " ", 
     SuperscriptBox["s", "3"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Eta]L"}], ")"}], " ", "\[Tau]\[Mu]L", " ", 
     
     RowBox[{"(", 
      RowBox[{"s", "-", 
       RowBox[{
        SqrtBox["\[Mu]L"], " ", "\[Tau]\[Mu]L"}]}], ")"}]}], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", 
     SuperscriptBox["\[CapitalPi]\[Mu]L", "4"]}]], "-", 
   FractionBox[
    RowBox[{"2", " ", "g\[Beta]s", " ", 
     SuperscriptBox["s", "2"], " ", "\[Tau]\[Mu]Ss", " ", 
     RowBox[{"(", 
      RowBox[{"s", "-", 
       RowBox[{
        SqrtBox["\[Mu]Ss"], " ", "\[Tau]\[Mu]Ss"}]}], ")"}]}], 
    SuperscriptBox["\[CapitalPi]\[Mu]Ss", "3"]], "+", 
   FractionBox[
    RowBox[{"4", " ", "\[ImaginaryI]", " ", "gZ\[Omega]", " ", "s", " ", 
     SuperscriptBox["\[Tau]", "3"], " ", "\[Omega]"}], 
    SuperscriptBox["\[CapitalPi]", "4"]], "+", 
   FractionBox[
    RowBox[{"2", " ", "\[ImaginaryI]", " ", "g\[Beta]\[Omega]", " ", 
     SuperscriptBox["\[Mu]S", "2"], " ", 
     SuperscriptBox["\[Tau]\[Mu]S", "4"], " ", "\[Omega]"}], 
    SuperscriptBox["\[CapitalPi]\[Mu]S", "4"]], "-", 
   FractionBox[
    RowBox[{"4", " ", "g\[Theta]", " ", 
     SuperscriptBox["s", "2"], " ", "\[Mu]\[Theta]", " ", "\[Tau]\[Theta]", 
     " ", 
     SuperscriptBox["\[Omega]", "2"]}], 
    RowBox[{
     RowBox[{"8", " ", 
      SuperscriptBox["s", "3"], " ", "\[CapitalPi]\[Theta]"}], "+", 
     RowBox[{"4", " ", "s", " ", "\[Mu]\[Theta]", " ", 
      RowBox[{"(", 
       RowBox[{"s", "+", "\[CapitalPi]\[Theta]"}], ")"}], " ", 
      SuperscriptBox["\[Omega]", "2"]}], "+", 
     RowBox[{
      SuperscriptBox["\[Mu]\[Theta]", "2"], " ", 
      SuperscriptBox["\[Omega]", "4"]}]}]], "+", 
   FractionBox[
    RowBox[{"4", " ", "gRePsi", " ", 
     SuperscriptBox["s", "2"], " ", 
     RowBox[{"(", 
      RowBox[{"s", "-", "\[Tau]"}], ")"}], " ", "\[Tau]", " ", 
     RowBox[{"Cos", "[", 
      RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
    SuperscriptBox["\[CapitalPi]", "3"]], "+", 
   FractionBox[
    RowBox[{"4", " ", "gImPsi", " ", 
     SuperscriptBox["s", "2"], " ", "\[Tau]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "s"}], "+", "\[Tau]"}], ")"}], " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
    SuperscriptBox["\[CapitalPi]", "3"]]}]}]], "Output",
 CellChangeTimes->{{3.656102630571909*^9, 3.656102680340768*^9}, {
   3.6561027164660473`*^9, 3.656102767738286*^9}, 3.656103069516749*^9, {
   3.656103107687022*^9, 3.656103126495346*^9}, 3.656106551209445*^9, 
   3.656106581253718*^9, 3.656106840120028*^9, 3.656106885766275*^9, {
   3.656106934180872*^9, 3.656107010226275*^9}, {3.656107048585005*^9, 
   3.656107068286541*^9}, {3.6561072768858852`*^9, 3.65610728436915*^9}, 
   3.656107356195259*^9, 3.656111439483452*^9, 3.65611367942558*^9, 
   3.656178530736658*^9, {3.656209937024356*^9, 3.656209961184565*^9}, 
   3.656210018750978*^9, 3.6562100502379723`*^9, 3.656210234447797*^9, {
   3.656210314450783*^9, 3.6562103244704237`*^9}, 3.656213773905761*^9, 
   3.65621421378197*^9, 3.656713902642284*^9, 3.6567148720885487`*^9, 
   3.656718545041135*^9, 3.656766215612615*^9, 3.6568605782910347`*^9, 
   3.6568616947592773`*^9, {3.6568617759139338`*^9, 3.65686178230355*^9}, 
   3.656867651371269*^9, 3.665147160489325*^9, 3.6652404222618523`*^9, 
   3.665240505882291*^9, 3.665240573180353*^9, 3.66524062802929*^9, 
   3.665240687678808*^9, 3.66524339140376*^9, 3.665244816661379*^9, 
   3.678107796947112*^9, 3.678108753470359*^9, 3.678109859229734*^9, 
   3.680866483131276*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["\[Gamma]\[Omega]\[Omega]", "Text",
 CellChangeTimes->{{3.6514101294436073`*^9, 3.6514101367745953`*^9}, {
  3.655816128956986*^9, 3.6558161392342777`*^9}, {3.655907107401081*^9, 
  3.655907110328779*^9}, {3.6559071428893213`*^9, 3.655907176296447*^9}, {
  3.655907253683921*^9, 3.655907268147191*^9}, {3.656016152619293*^9, 
  3.6560161572305393`*^9}, {3.656030636385325*^9, 3.656030664335841*^9}, {
  3.656032108745384*^9, 3.656032115295807*^9}}],

Cell[CellGroupData[{

Cell["Define rules to simplify  the coefficients ", "Text",
 CellChangeTimes->{{3.656179361884219*^9, 3.656179397548088*^9}, {
  3.656197829904808*^9, 3.656197872593563*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Gamma]\[Omega]\[Omega]ReductionRules", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         FractionBox[
          RowBox[{"2", " ", "gZs", " ", "s", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}], ")"}], 
            RowBox[{"3", "/", "2"}]]}], 
          RowBox[{
           RowBox[{"8", " ", 
            SuperscriptBox["s", "4"]}], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "2"], " ", 
            SuperscriptBox["\[Omega]", "2"]}], "+", 
           SuperscriptBox["\[Omega]", "4"], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "3"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
           RowBox[{"4", " ", "s", " ", 
            SuperscriptBox["\[Omega]", "2"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}]}]]}], "-", 
        FractionBox[
         RowBox[{
         "2", " ", "\[ImaginaryI]", " ", "gZ\[Omega]", " ", "s", " ", 
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"16", " ", 
             SuperscriptBox["s", "6"]}], "+", 
            RowBox[{"36", " ", 
             SuperscriptBox["s", "4"], " ", 
             SuperscriptBox["\[Omega]", "2"]}], "+", 
            RowBox[{"21", " ", 
             SuperscriptBox["s", "2"], " ", 
             SuperscriptBox["\[Omega]", "4"]}], "+", 
            RowBox[{"2", " ", 
             SuperscriptBox["\[Omega]", "6"]}], "-", 
            RowBox[{"16", " ", 
             SuperscriptBox["s", "5"], " ", 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               SuperscriptBox["\[Omega]", "2"]}]]}], "-", 
            RowBox[{"28", " ", 
             SuperscriptBox["s", "3"], " ", 
             SuperscriptBox["\[Omega]", "2"], " ", 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               SuperscriptBox["\[Omega]", "2"]}]]}], "-", 
            RowBox[{"9", " ", "s", " ", 
             SuperscriptBox["\[Omega]", "4"], " ", 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}]}], 
         SuperscriptBox["\[Omega]", "9"]]}], ")"}], "\[Rule]", " ", 
      RowBox[{
       RowBox[{"-", 
        FractionBox[
         RowBox[{"2", " ", "gZs", " ", "s", " ", 
          SuperscriptBox["\[Tau]", "3"]}], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"s", "+", "\[Tau]"}], ")"}], "4"]]}], "-", 
       FractionBox[
        RowBox[{"2", " ", "\[ImaginaryI]", " ", "gZ\[Omega]", " ", "s", " ", 
         SuperscriptBox["\[Tau]", "2"], " ", 
         RowBox[{"(", 
          RowBox[{"s", "+", 
           RowBox[{"2", " ", "\[Tau]"}]}], ")"}], " ", "\[Omega]"}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"s", "+", "\[Tau]"}], ")"}], "5"]]}]}], ",", 
     RowBox[{
      FractionBox[
       RowBox[{"2", " ", "g\[Alpha]", " ", 
        SuperscriptBox["s", "3"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Eta]L"}], ")"}], " ", "\[Mu]L", " ", 
        SuperscriptBox["\[Omega]", "2"]}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"16", " ", 
           SuperscriptBox["s", "5"]}], "+", 
          RowBox[{"20", " ", 
           SuperscriptBox["s", "3"], " ", "\[Mu]L", " ", 
           SuperscriptBox["\[Omega]", "2"]}], "+", 
          RowBox[{"5", " ", "s", " ", 
           SuperscriptBox["\[Mu]L", "2"], " ", 
           SuperscriptBox["\[Omega]", "4"]}], "+", 
          RowBox[{"16", " ", 
           SuperscriptBox["s", "4"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             RowBox[{"\[Mu]L", " ", 
              SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
          RowBox[{"12", " ", 
           SuperscriptBox["s", "2"], " ", "\[Mu]L", " ", 
           SuperscriptBox["\[Omega]", "2"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             RowBox[{"\[Mu]L", " ", 
              SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
          RowBox[{
           SuperscriptBox["\[Mu]L", "2"], " ", 
           SuperscriptBox["\[Omega]", "4"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             RowBox[{"\[Mu]L", " ", 
              SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}]], "\[Rule]", 
      " ", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"2", " ", "g\[Alpha]", " ", 
         SuperscriptBox["s", "3"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Eta]L"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"s", "-", 
           RowBox[{
            SqrtBox["\[Mu]L"], " ", "\[Tau]\[Mu]L"}]}], ")"}]}], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"s", "+", 
            RowBox[{
             SqrtBox["\[Mu]L"], " ", "\[Tau]\[Mu]L"}]}], ")"}], "4"]}]]}]}], 
     ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"2", " ", "\[ImaginaryI]", " ", "g\[Beta]\[Omega]", " ", 
         SqrtBox["\[Mu]S"], " ", "\[Omega]"}], 
        RowBox[{"s", " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           RowBox[{"\[Mu]S", " ", 
            SuperscriptBox["\[Omega]", "2"]}]}]], " ", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["1", "s"], "+", 
           FractionBox[
            RowBox[{"4", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"2", " ", 
                SuperscriptBox["s", "2"]}], "+", 
               RowBox[{"\[Mu]S", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}], ")"}]}], 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               RowBox[{"\[Mu]S", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}], ")"}], 
             RowBox[{"3", "/", "2"}]]], "+", 
           FractionBox[
            RowBox[{"s", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"7", " ", 
                SuperscriptBox["s", "2"]}], "+", 
               RowBox[{"6", " ", "\[Mu]S", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}], ")"}]}], 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               RowBox[{"\[Mu]S", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}], ")"}], "2"]]}], 
          ")"}]}]]}], "\[Rule]", " ", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"2", " ", "\[ImaginaryI]", " ", "g\[Beta]\[Omega]", " ", 
         SuperscriptBox["\[Mu]S", "2"], " ", 
         SuperscriptBox["\[Tau]\[Mu]S", "3"], " ", "\[Omega]"}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"s", "+", 
           RowBox[{
            SqrtBox["\[Mu]S"], " ", "\[Tau]\[Mu]S"}]}], ")"}], "4"]]}]}], ",", 
     RowBox[{
      FractionBox[
       RowBox[{"2", " ", "\[ImaginaryI]", " ", "g\[Beta]s", " ", 
        SuperscriptBox["s", "2"], " ", 
        SqrtBox["\[Mu]S"], " ", 
        SqrtBox["\[Mu]Ss"], " ", 
        SqrtBox[
         RowBox[{"-", 
          FractionBox["\[Mu]Ss", "\[Mu]S"]}]], " ", 
        SuperscriptBox["\[Omega]", "2"]}], 
       RowBox[{
        RowBox[{"8", " ", 
         SuperscriptBox["s", "4"]}], "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["s", "2"], " ", "\[Mu]Ss", " ", 
         SuperscriptBox["\[Omega]", "2"]}], "+", 
        RowBox[{
         SuperscriptBox["\[Mu]Ss", "2"], " ", 
         SuperscriptBox["\[Omega]", "4"]}], "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["s", "3"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           RowBox[{"\[Mu]Ss", " ", 
            SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
        RowBox[{"4", " ", "s", " ", "\[Mu]Ss", " ", 
         SuperscriptBox["\[Omega]", "2"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           RowBox[{"\[Mu]Ss", " ", 
            SuperscriptBox["\[Omega]", "2"]}]}]]}]}]], "\[Rule]", " ", 
      FractionBox[
       RowBox[{"2", " ", "g\[Beta]s", " ", 
        SuperscriptBox["s", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"s", "-", 
          RowBox[{
           SqrtBox["\[Mu]Ss"], " ", "\[Tau]\[Mu]Ss"}]}], ")"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"s", "+", 
          RowBox[{
           SqrtBox["\[Mu]Ss"], " ", "\[Tau]\[Mu]Ss"}]}], ")"}], "3"]]}], ",", 
     
     RowBox[{
      FractionBox[
       RowBox[{"4", " ", "gRePsi", " ", 
        SuperscriptBox["s", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["s", "2"], "+", 
          SuperscriptBox["\[Omega]", "2"]}], ")"}], " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
       RowBox[{
        RowBox[{"8", " ", 
         SuperscriptBox["s", "4"]}], "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["s", "2"], " ", 
         SuperscriptBox["\[Omega]", "2"]}], "+", 
        SuperscriptBox["\[Omega]", "4"], "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["s", "3"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
        RowBox[{"4", " ", "s", " ", 
         SuperscriptBox["\[Omega]", "2"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]]}]}]], "\[Rule]", 
      FractionBox[
       RowBox[{"4", " ", "gRePsi", " ", 
        SuperscriptBox["s", "2"], " ", 
        SuperscriptBox["\[Tau]", "2"], " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"s", "+", "\[Tau]"}], ")"}], "4"]]}], ",", " ", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"4", " ", "gImPsi", " ", 
         SuperscriptBox["s", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}], ")"}], " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
        RowBox[{
         RowBox[{"8", " ", 
          SuperscriptBox["s", "4"]}], "+", 
         RowBox[{"8", " ", 
          SuperscriptBox["s", "2"], " ", 
          SuperscriptBox["\[Omega]", "2"]}], "+", 
         SuperscriptBox["\[Omega]", "4"], "+", 
         RowBox[{"8", " ", 
          SuperscriptBox["s", "3"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
         RowBox[{"4", " ", "s", " ", 
          SuperscriptBox["\[Omega]", "2"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]}]}]]}], "\[Rule]", " ", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"4", " ", "gImPsi", " ", 
         SuperscriptBox["s", "2"], " ", 
         SuperscriptBox["\[Tau]", "2"], " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"s", "+", "\[Tau]"}], ")"}], "4"]]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"+", 
        RowBox[{"(", 
         RowBox[{"2", " ", "g\[Theta]", " ", 
          SuperscriptBox["s", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"16", " ", 
             SuperscriptBox["s", "9"], " ", "\[Mu]S", " ", 
             RowBox[{"(", 
              RowBox[{"\[Mu]Ss", "-", 
               RowBox[{"\[Mu]S", " ", "\[Mu]\[Theta]"}]}], ")"}]}], "+", 
            RowBox[{"8", " ", 
             SuperscriptBox["s", "7"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"3", " ", "\[Mu]S", " ", "\[Mu]Ss"}], "+", 
               RowBox[{"16", " ", 
                SuperscriptBox["\[Mu]Ss", "2"]}], "-", 
               RowBox[{"3", " ", 
                SuperscriptBox["\[Mu]S", "2"], " ", "\[Mu]\[Theta]"}]}], 
              ")"}], " ", 
             SuperscriptBox["\[Omega]", "2"]}], "+", 
            RowBox[{
             SuperscriptBox["s", "5"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"9", " ", "\[Mu]S", " ", "\[Mu]Ss"}], "+", 
               RowBox[{"224", " ", 
                SuperscriptBox["\[Mu]Ss", "2"]}], "-", 
               RowBox[{"9", " ", 
                SuperscriptBox["\[Mu]S", "2"], " ", "\[Mu]\[Theta]"}]}], 
              ")"}], " ", 
             SuperscriptBox["\[Omega]", "4"]}], "+", 
            RowBox[{
             SuperscriptBox["s", "3"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"\[Mu]Ss", " ", 
                RowBox[{"(", 
                 RowBox[{"\[Mu]S", "+", 
                  RowBox[{"112", " ", "\[Mu]Ss"}]}], ")"}]}], "-", 
               RowBox[{
                SuperscriptBox["\[Mu]S", "2"], " ", "\[Mu]\[Theta]"}]}], 
              ")"}], " ", 
             SuperscriptBox["\[Omega]", "6"]}], "+", 
            RowBox[{"14", " ", "s", " ", 
             SuperscriptBox["\[Mu]Ss", "2"], " ", 
             SuperscriptBox["\[Omega]", "8"]}], "+", 
            RowBox[{"16", " ", 
             SuperscriptBox["s", "8"], " ", "\[Mu]S", " ", 
             RowBox[{"(", 
              RowBox[{"\[Mu]Ss", "-", 
               RowBox[{"\[Mu]S", " ", "\[Mu]\[Theta]"}]}], ")"}], " ", 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
            RowBox[{"16", " ", 
             SuperscriptBox["s", "6"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"\[Mu]Ss", " ", 
                RowBox[{"(", 
                 RowBox[{"\[Mu]S", "+", 
                  RowBox[{"8", " ", "\[Mu]Ss"}]}], ")"}]}], "-", 
               RowBox[{
                SuperscriptBox["\[Mu]S", "2"], " ", "\[Mu]\[Theta]"}]}], 
              ")"}], " ", 
             SuperscriptBox["\[Omega]", "2"], " ", 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
            RowBox[{
             SuperscriptBox["s", "4"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"3", " ", "\[Mu]S", " ", "\[Mu]Ss"}], "+", 
               RowBox[{"160", " ", 
                SuperscriptBox["\[Mu]Ss", "2"]}], "-", 
               RowBox[{"3", " ", 
                SuperscriptBox["\[Mu]S", "2"], " ", "\[Mu]\[Theta]"}]}], 
              ")"}], " ", 
             SuperscriptBox["\[Omega]", "4"], " ", 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
            RowBox[{"48", " ", 
             SuperscriptBox["s", "2"], " ", 
             SuperscriptBox["\[Mu]Ss", "2"], " ", 
             SuperscriptBox["\[Omega]", "6"], " ", 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
            RowBox[{"2", " ", 
             SuperscriptBox["\[Mu]Ss", "2"], " ", 
             SuperscriptBox["\[Omega]", "8"], " ", 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}]}], ")"}]}], "/", 
       
       RowBox[{"(", 
        RowBox[{"\[Mu]S", " ", 
         SqrtBox["\[Mu]Ss"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"4", " ", 
            SuperscriptBox["s", "3"]}], "+", 
           RowBox[{"3", " ", "s", " ", 
            SuperscriptBox["\[Omega]", "2"]}], "+", 
           RowBox[{"4", " ", 
            SuperscriptBox["s", "2"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
           RowBox[{
            SuperscriptBox["\[Omega]", "2"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"8", " ", 
            SuperscriptBox["s", "4"]}], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "2"], " ", 
            SuperscriptBox["\[Omega]", "2"]}], "+", 
           SuperscriptBox["\[Omega]", "4"], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "3"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
           RowBox[{"4", " ", "s", " ", 
            SuperscriptBox["\[Omega]", "2"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"8", " ", 
            SuperscriptBox["s", "4"], " ", 
            SqrtBox["\[Mu]Ss"]}], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "2"], " ", 
            SqrtBox["\[Mu]Ss"], " ", "\[Mu]\[Theta]", " ", 
            SuperscriptBox["\[Omega]", "2"]}], "+", 
           RowBox[{
            SqrtBox["\[Mu]Ss"], " ", 
            SuperscriptBox["\[Mu]\[Theta]", "2"], " ", 
            SuperscriptBox["\[Omega]", "4"]}], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "3"], " ", 
            SqrtBox["\[Mu]\[Theta]"], " ", 
            SqrtBox[
             RowBox[{
              RowBox[{
               SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
              RowBox[{"\[Mu]Ss", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
           RowBox[{"4", " ", "s", " ", 
            SuperscriptBox["\[Mu]\[Theta]", 
             RowBox[{"3", "/", "2"}]], " ", 
            SuperscriptBox["\[Omega]", "2"], " ", 
            SqrtBox[
             RowBox[{
              RowBox[{
               SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
              RowBox[{"\[Mu]Ss", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}], ")"}]}], 
      "\[Rule]", " ", 
      FractionBox[
       RowBox[{"4", " ", "g\[Theta]", " ", 
        SuperscriptBox["s", "2"], " ", "\[Mu]\[Theta]", " ", 
        SuperscriptBox["\[Omega]", "2"]}], 
       RowBox[{
        RowBox[{"8", " ", 
         SuperscriptBox["s", "3"], " ", "\[CapitalPi]\[Theta]"}], "+", 
        RowBox[{"4", " ", "s", " ", "\[Mu]\[Theta]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", "s"}], "+", 
           RowBox[{
            SqrtBox["\[Mu]\[Theta]"], " ", "\[Tau]\[Theta]"}]}], ")"}], " ", 
         SuperscriptBox["\[Omega]", "2"]}], "+", 
        RowBox[{
         SuperscriptBox["\[Mu]\[Theta]", "2"], " ", 
         SuperscriptBox["\[Omega]", "4"]}]}]]}]}], "\[IndentingNewLine]", " ",
     "}"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.656197317136907*^9, {3.656197591356351*^9, 3.656197615134934*^9}, {
   3.6561976985016327`*^9, 3.656197713716668*^9}, {3.656197890200432*^9, 
   3.6561978944471827`*^9}, {3.656198524527907*^9, 3.656198573437891*^9}, 
   3.6561986292644167`*^9, 3.6561986845292597`*^9, 3.656198751625868*^9, 
   3.656199114468399*^9, {3.6561997806369667`*^9, 3.656199789553647*^9}, {
   3.656201244134453*^9, 3.656201263154828*^9}, {3.6562072728008127`*^9, 
   3.656207288049733*^9}, {3.656209230409919*^9, 3.656209262528981*^9}, 
   3.6562092971802*^9, {3.656209342010572*^9, 3.65620934789705*^9}, 
   3.6562093820838118`*^9, 3.6562098859687853`*^9, {3.656210998812744*^9, 
   3.656211064854113*^9}, {3.6567149839368896`*^9, 3.656714984614233*^9}, {
   3.6567150612767487`*^9, 3.656715066753907*^9}, 3.656715183305378*^9, 
   3.656864328833152*^9, {3.6652410863842688`*^9, 3.6652411387629633`*^9}, {
   3.665241175583165*^9, 3.6652412264425*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"D\[Gamma]\[Omega]\[Omega]ReductionRules", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox[
       RowBox[{"2", " ", "gZs", " ", "s", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}], ")"}], "2"]}], 
       RowBox[{
        RowBox[{"8", " ", 
         SuperscriptBox["s", "4"]}], "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["s", "2"], " ", 
         SuperscriptBox["\[Omega]", "2"]}], "+", 
        SuperscriptBox["\[Omega]", "4"], "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["s", "3"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
        RowBox[{"4", " ", "s", " ", 
         SuperscriptBox["\[Omega]", "2"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]]}]}]], "\[Rule]", " ", 
      FractionBox[
       RowBox[{"2", " ", "gZs", " ", "s", " ", 
        SuperscriptBox["\[Tau]", "4"]}], 
       SuperscriptBox["\[CapitalPi]", "4"]]}], ",", 
     RowBox[{
      RowBox[{
       FractionBox["1", 
        SuperscriptBox["\[Omega]", "9"]], 
       RowBox[{"2", " ", "\[ImaginaryI]", " ", "gZ\[Omega]", " ", "s", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["s", "2"], "+", 
          SuperscriptBox["\[Omega]", "2"]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "16"}], " ", 
           SuperscriptBox["s", "7"]}], "-", 
          RowBox[{"44", " ", 
           SuperscriptBox["s", "5"], " ", 
           SuperscriptBox["\[Omega]", "2"]}], "-", 
          RowBox[{"37", " ", 
           SuperscriptBox["s", "3"], " ", 
           SuperscriptBox["\[Omega]", "4"]}], "-", 
          RowBox[{"9", " ", "s", " ", 
           SuperscriptBox["\[Omega]", "6"]}], "+", 
          RowBox[{"16", " ", 
           SuperscriptBox["s", "6"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
          RowBox[{"36", " ", 
           SuperscriptBox["s", "4"], " ", 
           SuperscriptBox["\[Omega]", "2"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
          RowBox[{"21", " ", 
           SuperscriptBox["s", "2"], " ", 
           SuperscriptBox["\[Omega]", "4"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
          RowBox[{"2", " ", 
           SuperscriptBox["\[Omega]", "6"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}]}]}], "\[Rule]", 
      " ", 
      RowBox[{"+", 
       FractionBox[
        RowBox[{"2", " ", "\[ImaginaryI]", " ", "gZ\[Omega]", " ", "s", " ", 
         SuperscriptBox["\[Tau]", "3"], " ", 
         RowBox[{"(", 
          RowBox[{"s", "+", 
           RowBox[{"2", " ", "\[Tau]"}]}], ")"}], " ", "\[Omega]"}], 
        SuperscriptBox["\[CapitalPi]", "5"]]}]}], ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"2", " ", "g\[Alpha]", " ", 
         SuperscriptBox["s", "3"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Eta]L"}], ")"}], " ", 
         SqrtBox["\[Mu]L"], " ", 
         SuperscriptBox["\[Omega]", "2"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           RowBox[{"\[Mu]L", " ", 
            SuperscriptBox["\[Omega]", "2"]}]}]]}], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"16", " ", 
            SuperscriptBox["s", "5"]}], "+", 
           RowBox[{"20", " ", 
            SuperscriptBox["s", "3"], " ", "\[Mu]L", " ", 
            SuperscriptBox["\[Omega]", "2"]}], "+", 
           RowBox[{"5", " ", "s", " ", 
            SuperscriptBox["\[Mu]L", "2"], " ", 
            SuperscriptBox["\[Omega]", "4"]}], "+", 
           RowBox[{"16", " ", 
            SuperscriptBox["s", "4"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              RowBox[{"\[Mu]L", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
           RowBox[{"12", " ", 
            SuperscriptBox["s", "2"], " ", "\[Mu]L", " ", 
            SuperscriptBox["\[Omega]", "2"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              RowBox[{"\[Mu]L", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
           RowBox[{
            SuperscriptBox["\[Mu]L", "2"], " ", 
            SuperscriptBox["\[Omega]", "4"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              RowBox[{"\[Mu]L", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}]]}], 
      "\[Rule]", " ", 
      FractionBox[
       RowBox[{"2", " ", "g\[Alpha]", " ", 
        SuperscriptBox["s", "3"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Eta]L"}], ")"}], " ", "\[Tau]\[Mu]L", 
        " ", 
        RowBox[{"(", 
         RowBox[{"s", "-", 
          RowBox[{
           SqrtBox["\[Mu]L"], " ", "\[Tau]\[Mu]L"}]}], ")"}]}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"s", "+", 
           RowBox[{
            SqrtBox["\[Mu]L"], " ", "\[Tau]\[Mu]L"}]}], ")"}], "4"]}]]}], ",", 
     RowBox[{
      FractionBox[
       RowBox[{
       "2", " ", "\[ImaginaryI]", " ", "g\[Beta]\[Omega]", " ", "\[Omega]"}], 
       
       RowBox[{"s", " ", 
        RowBox[{"(", 
         RowBox[{
          FractionBox["1", "s"], "+", 
          FractionBox[
           RowBox[{"4", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"2", " ", 
               SuperscriptBox["s", "2"]}], "+", 
              RowBox[{"\[Mu]S", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}], ")"}]}], 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              RowBox[{"\[Mu]S", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}], ")"}], 
            RowBox[{"3", "/", "2"}]]], "+", 
          FractionBox[
           RowBox[{"s", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"7", " ", 
               SuperscriptBox["s", "2"]}], "+", 
              RowBox[{"6", " ", "\[Mu]S", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}], ")"}]}], 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              RowBox[{"\[Mu]S", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}], ")"}], "2"]]}], ")"}]}]], 
      "\[Rule]", " ", 
      FractionBox[
       RowBox[{"2", " ", "\[ImaginaryI]", " ", "g\[Beta]\[Omega]", " ", 
        SuperscriptBox["\[Mu]S", "2"], " ", 
        SuperscriptBox["\[Tau]\[Mu]S", "4"], " ", "\[Omega]"}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"s", "+", 
          RowBox[{
           SqrtBox["\[Mu]S"], " ", "\[Tau]\[Mu]S"}]}], ")"}], "4"]]}], ",", 
     RowBox[{
      FractionBox[
       RowBox[{"2", " ", "g\[Beta]s", " ", 
        SuperscriptBox["s", "2"], " ", 
        SqrtBox["\[Mu]Ss"], " ", 
        SuperscriptBox["\[Omega]", "2"], " ", 
        SqrtBox[
         RowBox[{
          SuperscriptBox["s", "2"], "+", 
          RowBox[{"\[Mu]Ss", " ", 
           SuperscriptBox["\[Omega]", "2"]}]}]]}], 
       RowBox[{
        RowBox[{"8", " ", 
         SuperscriptBox["s", "4"]}], "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["s", "2"], " ", "\[Mu]Ss", " ", 
         SuperscriptBox["\[Omega]", "2"]}], "+", 
        RowBox[{
         SuperscriptBox["\[Mu]Ss", "2"], " ", 
         SuperscriptBox["\[Omega]", "4"]}], "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["s", "3"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           RowBox[{"\[Mu]Ss", " ", 
            SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
        RowBox[{"4", " ", "s", " ", "\[Mu]Ss", " ", 
         SuperscriptBox["\[Omega]", "2"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           RowBox[{"\[Mu]Ss", " ", 
            SuperscriptBox["\[Omega]", "2"]}]}]]}]}]], "\[Rule]", " ", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"2", " ", "g\[Beta]s", " ", 
         SuperscriptBox["s", "2"], " ", "\[Tau]\[Mu]Ss", " ", 
         RowBox[{"(", 
          RowBox[{"s", "-", 
           RowBox[{
            SqrtBox["\[Mu]Ss"], " ", "\[Tau]\[Mu]Ss"}]}], ")"}]}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"s", "+", 
           RowBox[{
            SqrtBox["\[Mu]Ss"], " ", "\[Tau]\[Mu]Ss"}]}], ")"}], "3"]]}]}], 
     ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"4", " ", "gRePsi", " ", 
         SuperscriptBox["s", "2"], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}], ")"}], 
          RowBox[{"3", "/", "2"}]], " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
        RowBox[{
         RowBox[{"8", " ", 
          SuperscriptBox["s", "4"]}], "+", 
         RowBox[{"8", " ", 
          SuperscriptBox["s", "2"], " ", 
          SuperscriptBox["\[Omega]", "2"]}], "+", 
         SuperscriptBox["\[Omega]", "4"], "+", 
         RowBox[{"8", " ", 
          SuperscriptBox["s", "3"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
         RowBox[{"4", " ", "s", " ", 
          SuperscriptBox["\[Omega]", "2"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]}]}]]}], "\[Rule]", " ", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"4", " ", "gRePsi", " ", 
         SuperscriptBox["s", "2"], " ", 
         SuperscriptBox["\[Tau]", "3"], " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
        SuperscriptBox["\[CapitalPi]", "4"]]}]}], ",", 
     RowBox[{
      FractionBox[
       RowBox[{"4", " ", "gImPsi", " ", 
        SuperscriptBox["s", "2"], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}], ")"}], 
         RowBox[{"3", "/", "2"}]], " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
       RowBox[{
        RowBox[{"8", " ", 
         SuperscriptBox["s", "4"]}], "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["s", "2"], " ", 
         SuperscriptBox["\[Omega]", "2"]}], "+", 
        SuperscriptBox["\[Omega]", "4"], "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["s", "3"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
        RowBox[{"4", " ", "s", " ", 
         SuperscriptBox["\[Omega]", "2"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]]}]}]], "\[Rule]", 
      RowBox[{"+", 
       FractionBox[
        RowBox[{"4", " ", "gImPsi", " ", 
         SuperscriptBox["s", "2"], " ", 
         SuperscriptBox["\[Tau]", "3"], " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
        SuperscriptBox["\[CapitalPi]", "4"]]}]}], " ", ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"2", " ", "g\[Theta]", " ", 
          SuperscriptBox["s", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", 
             SuperscriptBox["s", "7"], " ", "\[Mu]S", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "\[Mu]Ss"}], "+", 
               RowBox[{"\[Mu]S", " ", "\[Mu]\[Theta]"}]}], ")"}]}], "+", 
            RowBox[{"5", " ", 
             SuperscriptBox["s", "5"], " ", "\[Mu]S", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "\[Mu]Ss"}], "+", 
               RowBox[{"\[Mu]S", " ", "\[Mu]\[Theta]"}]}], ")"}], " ", 
             SuperscriptBox["\[Omega]", "2"]}], "-", 
            RowBox[{"16", " ", 
             SuperscriptBox["s", "4"], " ", 
             SuperscriptBox["\[Mu]Ss", 
              RowBox[{"3", "/", "2"}]], " ", 
             SuperscriptBox["\[Omega]", "2"], " ", 
             SqrtBox[
              RowBox[{
               RowBox[{
                SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
               RowBox[{"\[Mu]Ss", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}]]}], "-", 
            RowBox[{"16", " ", 
             SuperscriptBox["s", "2"], " ", 
             SuperscriptBox["\[Mu]Ss", 
              RowBox[{"3", "/", "2"}]], " ", 
             SuperscriptBox["\[Omega]", "4"], " ", 
             SqrtBox[
              RowBox[{
               RowBox[{
                SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
               RowBox[{"\[Mu]Ss", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}]]}], "-", 
            RowBox[{"2", " ", 
             SuperscriptBox["\[Mu]Ss", 
              RowBox[{"3", "/", "2"}]], " ", 
             SuperscriptBox["\[Omega]", "6"], " ", 
             SqrtBox[
              RowBox[{
               RowBox[{
                SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
               RowBox[{"\[Mu]Ss", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}]]}], "-", 
            RowBox[{"8", " ", "s", " ", 
             SuperscriptBox["\[Mu]Ss", 
              RowBox[{"3", "/", "2"}]], " ", 
             SuperscriptBox["\[Omega]", "4"], " ", 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               SuperscriptBox["\[Omega]", "2"]}]], " ", 
             SqrtBox[
              RowBox[{
               RowBox[{
                SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
               RowBox[{"\[Mu]Ss", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
            RowBox[{
             SuperscriptBox["s", "3"], " ", 
             SuperscriptBox["\[Omega]", "2"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"\[Mu]S", " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "\[Mu]Ss"}], "+", 
                  RowBox[{"\[Mu]S", " ", "\[Mu]\[Theta]"}]}], ")"}], " ", 
                SuperscriptBox["\[Omega]", "2"]}], "-", 
               RowBox[{"16", " ", 
                SuperscriptBox["\[Mu]Ss", 
                 RowBox[{"3", "/", "2"}]], " ", 
                SqrtBox[
                 RowBox[{
                  SuperscriptBox["s", "2"], "+", 
                  SuperscriptBox["\[Omega]", "2"]}]], " ", 
                SqrtBox[
                 RowBox[{
                  RowBox[{
                   SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
                  RowBox[{"\[Mu]Ss", " ", 
                   SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}]}], 
           ")"}]}], ")"}], "/", 
        RowBox[{"(", 
         RowBox[{"\[Mu]S", " ", 
          SqrtBox["\[Mu]Ss"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"8", " ", 
             SuperscriptBox["s", "4"]}], "+", 
            RowBox[{"8", " ", 
             SuperscriptBox["s", "2"], " ", 
             SuperscriptBox["\[Omega]", "2"]}], "+", 
            SuperscriptBox["\[Omega]", "4"], "+", 
            RowBox[{"8", " ", 
             SuperscriptBox["s", "3"], " ", 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
            RowBox[{"4", " ", "s", " ", 
             SuperscriptBox["\[Omega]", "2"], " ", 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"8", " ", 
             SuperscriptBox["s", "4"], " ", 
             SqrtBox["\[Mu]Ss"]}], "+", 
            RowBox[{"8", " ", 
             SuperscriptBox["s", "2"], " ", 
             SqrtBox["\[Mu]Ss"], " ", "\[Mu]\[Theta]", " ", 
             SuperscriptBox["\[Omega]", "2"]}], "+", 
            RowBox[{
             SqrtBox["\[Mu]Ss"], " ", 
             SuperscriptBox["\[Mu]\[Theta]", "2"], " ", 
             SuperscriptBox["\[Omega]", "4"]}], "+", 
            RowBox[{"8", " ", 
             SuperscriptBox["s", "3"], " ", 
             SqrtBox["\[Mu]\[Theta]"], " ", 
             SqrtBox[
              RowBox[{
               RowBox[{
                SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
               RowBox[{"\[Mu]Ss", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
            RowBox[{"4", " ", "s", " ", 
             SuperscriptBox["\[Mu]\[Theta]", 
              RowBox[{"3", "/", "2"}]], " ", 
             SuperscriptBox["\[Omega]", "2"], " ", 
             SqrtBox[
              RowBox[{
               RowBox[{
                SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
               RowBox[{"\[Mu]Ss", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}], ")"}]}], 
       ")"}], "\[Rule]", " ", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"4", " ", "g\[Theta]", " ", 
         SuperscriptBox["s", "2"], " ", "\[Mu]\[Theta]", " ", 
         "\[Tau]\[Theta]", " ", 
         SuperscriptBox["\[Omega]", "2"]}], 
        RowBox[{
         RowBox[{"8", " ", 
          SuperscriptBox["s", "3"], " ", "\[CapitalPi]\[Theta]"}], "+", 
         RowBox[{"4", " ", "s", " ", "\[Mu]\[Theta]", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", "s"}], "+", 
            RowBox[{
             SqrtBox["\[Mu]\[Theta]"], " ", "\[Tau]\[Theta]"}]}], ")"}], " ", 
          
          SuperscriptBox["\[Omega]", "2"]}], "+", 
         RowBox[{
          SuperscriptBox["\[Mu]\[Theta]", "2"], " ", 
          SuperscriptBox["\[Omega]", "4"]}]}]]}]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.656197899122781*^9, 3.656197941277927*^9}, {
   3.6561991682945538`*^9, 3.656199183451766*^9}, {3.6561997845334177`*^9, 
   3.65619979419431*^9}, {3.656207541849846*^9, 3.656207561179963*^9}, {
   3.65620790588702*^9, 3.656207908553808*^9}, 3.65620798644872*^9, {
   3.656208033979836*^9, 3.656208068714076*^9}, 3.656208168917615*^9, {
   3.6562082688309298`*^9, 3.656208270203795*^9}, 3.656208371672751*^9, {
   3.656209281855721*^9, 3.656209283591557*^9}, 3.656209921248437*^9, {
   3.6562102533705587`*^9, 3.656210288589561*^9}, {3.656211006339246*^9, 
   3.656211006733775*^9}, {3.656211391393639*^9, 3.656211460503631*^9}, {
   3.656213623198667*^9, 3.656213629883209*^9}, 3.6567149919124537`*^9, {
   3.6567152002294197`*^9, 3.656715204741886*^9}, 3.6567152528004827`*^9, 
   3.656864369702558*^9, 3.656864967223702*^9, {3.665241258236555*^9, 
   3.665241279118292*^9}, {3.665241332724163*^9, 3.6652413633041*^9}, {
   3.665241404997734*^9, 3.6652414101012897`*^9}, {3.665241440478942*^9, 
   3.665241464524776*^9}, {3.665241570361993*^9, 3.6652415755368757`*^9}, {
   3.665241635163989*^9, 3.665241647290804*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"g\[Omega]\[Omega]Rule", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Collect", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"BsimSolnRule", "[", 
             RowBox[{"[", "7", "]"}], "]"}], "/.", "GaugeBCSoln"}], "/.", 
           "UnTauRules"}], "/.", "PhysSoln"}], "/.", "Use\[Mu]SsRules"}], "/.",
         "CPBCSoln"}], ",", "bcVec", ",", "FullSimplify"}], "]"}], "//.", 
     "\[Gamma]\[Omega]\[Omega]ReductionRules"}], "/.", "\[CapitalPi]Rule"}], "/.", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "s"}], "+", 
      RowBox[{
       SqrtBox["\[Mu]\[Theta]"], " ", "\[Tau]\[Theta]"}]}], ")"}], "\[Rule]", 
    " ", 
    RowBox[{"\[CapitalPi]\[Theta]", "+", "s"}]}]}]}]], "Input",
 CellChangeTimes->{{3.6560321400403976`*^9, 3.6560322484194403`*^9}, {
   3.656032279966917*^9, 3.6560322969238234`*^9}, {3.656032379242381*^9, 
   3.6560325441767387`*^9}, {3.656032575293243*^9, 3.6560326085463133`*^9}, {
   3.656032680747472*^9, 3.656032782574668*^9}, {3.656032813357417*^9, 
   3.656032926380843*^9}, {3.65603307700292*^9, 3.656033088932745*^9}, {
   3.6560332897010937`*^9, 3.656033338702046*^9}, {3.656033465993292*^9, 
   3.656033489288835*^9}, {3.656033572784129*^9, 3.656033645186635*^9}, 
   3.656079809420662*^9, {3.6560798582828503`*^9, 3.656079892834297*^9}, {
   3.6561074016963654`*^9, 3.656107410655466*^9}, {3.6561074426362762`*^9, 
   3.656107725742359*^9}, {3.656107896306611*^9, 3.656107916453249*^9}, {
   3.656210360314279*^9, 3.6562104174230127`*^9}, {3.6562106714093857`*^9, 
   3.656210693784822*^9}, {3.656210951018981*^9, 3.6562109696637907`*^9}, {
   3.6562110775045*^9, 3.6562110898619204`*^9}, {3.656861837150064*^9, 
   3.656861838845039*^9}, {3.656864335867647*^9, 3.656864337347171*^9}, {
   3.665243409808132*^9, 3.6652434116328382`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"g\[Omega]\[Omega]", "[", "x", "]"}], "\[Rule]", 
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{"2", " ", "gZs", " ", "s", " ", 
      SuperscriptBox["\[Tau]", "3"]}], 
     SuperscriptBox["\[CapitalPi]", "4"]]}], "-", 
   FractionBox[
    RowBox[{"2", " ", "g\[Alpha]", " ", 
     SuperscriptBox["s", "3"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Eta]L"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"s", "-", 
       RowBox[{
        SqrtBox["\[Mu]L"], " ", "\[Tau]\[Mu]L"}]}], ")"}]}], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", 
     SuperscriptBox["\[CapitalPi]\[Mu]L", "4"]}]], "+", 
   FractionBox[
    RowBox[{"2", " ", "g\[Beta]s", " ", 
     SuperscriptBox["s", "2"], " ", 
     RowBox[{"(", 
      RowBox[{"s", "-", 
       RowBox[{
        SqrtBox["\[Mu]Ss"], " ", "\[Tau]\[Mu]Ss"}]}], ")"}]}], 
    SuperscriptBox["\[CapitalPi]\[Mu]Ss", "3"]], "-", 
   FractionBox[
    RowBox[{"2", " ", "\[ImaginaryI]", " ", "gZ\[Omega]", " ", "s", " ", 
     SuperscriptBox["\[Tau]", "2"], " ", 
     RowBox[{"(", 
      RowBox[{"s", "+", 
       RowBox[{"2", " ", "\[Tau]"}]}], ")"}], " ", "\[Omega]"}], 
    SuperscriptBox["\[CapitalPi]", "5"]], "-", 
   FractionBox[
    RowBox[{"2", " ", "\[ImaginaryI]", " ", "g\[Beta]\[Omega]", " ", 
     SuperscriptBox["\[Mu]S", "2"], " ", 
     SuperscriptBox["\[Tau]\[Mu]S", "3"], " ", "\[Omega]"}], 
    SuperscriptBox["\[CapitalPi]\[Mu]S", "4"]], "+", 
   FractionBox[
    RowBox[{"4", " ", "g\[Theta]", " ", 
     SuperscriptBox["s", "2"], " ", "\[Mu]\[Theta]", " ", 
     SuperscriptBox["\[Omega]", "2"]}], 
    RowBox[{
     RowBox[{"8", " ", 
      SuperscriptBox["s", "3"], " ", "\[CapitalPi]\[Theta]"}], "+", 
     RowBox[{"4", " ", "s", " ", "\[Mu]\[Theta]", " ", 
      RowBox[{"(", 
       RowBox[{"s", "+", "\[CapitalPi]\[Theta]"}], ")"}], " ", 
      SuperscriptBox["\[Omega]", "2"]}], "+", 
     RowBox[{
      SuperscriptBox["\[Mu]\[Theta]", "2"], " ", 
      SuperscriptBox["\[Omega]", "4"]}]}]], "+", 
   FractionBox[
    RowBox[{"4", " ", "gRePsi", " ", 
     SuperscriptBox["s", "2"], " ", 
     SuperscriptBox["\[Tau]", "2"], " ", 
     RowBox[{"Cos", "[", 
      RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
    SuperscriptBox["\[CapitalPi]", "4"]], "-", 
   FractionBox[
    RowBox[{"4", " ", "gImPsi", " ", 
     SuperscriptBox["s", "2"], " ", 
     SuperscriptBox["\[Tau]", "2"], " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
    SuperscriptBox["\[CapitalPi]", "4"]]}]}]], "Output",
 CellChangeTimes->{{3.656032134659133*^9, 3.6560321776204643`*^9}, {
   3.6560322201178627`*^9, 3.656032249286943*^9}, 3.656032297757628*^9, 
   3.656032386248448*^9, {3.6560324268858767`*^9, 3.656032448991129*^9}, {
   3.65603248026311*^9, 3.656032580635285*^9}, 3.656032681567997*^9, {
   3.656032715381012*^9, 3.65603278306609*^9}, {3.656032817334527*^9, 
   3.656032853093092*^9}, {3.6560328838935738`*^9, 3.656032927247756*^9}, 
   3.6560330896447983`*^9, 3.656033296378337*^9, 3.656033339614416*^9, 
   3.656033475610072*^9, 3.65603357358398*^9, {3.656033608126335*^9, 
   3.656033645879714*^9}, 3.656079812941009*^9, 3.656079896060505*^9, 
   3.6560807961991034`*^9, 3.656107416459546*^9, 3.656107477147853*^9, 
   3.6561075262425947`*^9, 3.656107564881123*^9, 3.656107598340452*^9, {
   3.656107629106892*^9, 3.656107657468809*^9}, {3.656107690280344*^9, 
   3.656107717208297*^9}, {3.656107903999483*^9, 3.656107921495943*^9}, 
   3.6561114441367083`*^9, 3.6561136847774677`*^9, 3.6561785385456657`*^9, {
   3.656210387852191*^9, 3.6562103983041763`*^9}, {3.656210673051612*^9, 
   3.6562106943278933`*^9}, 3.656210958770267*^9, {3.6562110803405123`*^9, 
   3.65621109057345*^9}, 3.656213777659371*^9, 3.65621423024807*^9, 
   3.656715008226413*^9, 3.656715202521057*^9, 3.656718553927376*^9, 
   3.656766224906843*^9, 3.656861850389646*^9, 3.656864348042974*^9, 
   3.65686766125008*^9, 3.656905228830673*^9, 3.665147172776195*^9, {
   3.665241008876367*^9, 3.665241023920169*^9}, 3.665241113630911*^9, 
   3.665241233917243*^9, {3.6652412911078367`*^9, 3.665241316789071*^9}, 
   3.665241508509457*^9, 3.665241651400066*^9, 3.6652434147091846`*^9, 
   3.665244818819625*^9, 3.678108762886373*^9, 3.678109861148693*^9, 
   3.680866485762072*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dg\[Omega]\[Omega]Rule", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Collect", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"BsimSolnRule", "[", 
             RowBox[{"[", "8", "]"}], "]"}], "/.", "GaugeBCSoln"}], "/.", 
           "UnTauRules"}], "/.", "PhysSoln"}], "/.", "Use\[Mu]SsRules"}], "/.",
         "CPBCSoln"}], ",", "bcVec", ",", "FullSimplify"}], "]"}], "//.", 
     "D\[Gamma]\[Omega]\[Omega]ReductionRules"}], "/.", "\[CapitalPi]Rule"}], 
   "/.", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "s"}], "+", 
      RowBox[{
       SqrtBox["\[Mu]\[Theta]"], " ", "\[Tau]\[Theta]"}]}], ")"}], "\[Rule]", 
    " ", 
    RowBox[{"\[CapitalPi]\[Theta]", "+", "s"}]}]}]}]], "Input",
 CellChangeTimes->{{3.655128316980991*^9, 3.655128432738233*^9}, {
   3.655128486074627*^9, 3.655128510154388*^9}, {3.6551285519985943`*^9, 
   3.65512855421734*^9}, {3.655128627623309*^9, 3.655128672148464*^9}, {
   3.6551287253792763`*^9, 3.655128841950807*^9}, {3.655128927863023*^9, 
   3.655128996027336*^9}, {3.655129113857185*^9, 3.655129120369822*^9}, {
   3.6551291945348577`*^9, 3.655129197062739*^9}, {3.6551293223241167`*^9, 
   3.655129343445898*^9}, {3.655129416217803*^9, 3.655129426521679*^9}, {
   3.655130005207491*^9, 3.655130050390329*^9}, {3.655130247600363*^9, 
   3.655130296931057*^9}, {3.6551303651699123`*^9, 3.6551303737887373`*^9}, 
   3.6551320436577168`*^9, 3.6551328872569923`*^9, {3.655133134595283*^9, 
   3.655133136191143*^9}, 3.655139379364915*^9, 3.655140934898776*^9, 
   3.655685958820243*^9, {3.655686021472381*^9, 3.655686104291648*^9}, {
   3.655686628995784*^9, 3.6556866523256617`*^9}, {3.655686775008876*^9, 
   3.655686790800606*^9}, {3.6556869365887423`*^9, 3.6556869436633453`*^9}, {
   3.655897510901232*^9, 3.655897580585657*^9}, {3.655897700208227*^9, 
   3.655897707897996*^9}, {3.6558978265163393`*^9, 3.655897840866001*^9}, {
   3.655906828252804*^9, 3.65590697514493*^9}, {3.656016191500207*^9, 
   3.656016322897867*^9}, {3.656016403504601*^9, 3.656016474683544*^9}, {
   3.6560165081802177`*^9, 3.656016510684053*^9}, {3.656017665820569*^9, 
   3.656017670051206*^9}, {3.6560177020920877`*^9, 3.656017796662747*^9}, {
   3.656017836928084*^9, 3.656017842934517*^9}, {3.656017884127618*^9, 
   3.6560179246263447`*^9}, {3.656018126349951*^9, 3.656018141111657*^9}, {
   3.65601822295599*^9, 3.656018227339559*^9}, {3.656018382295295*^9, 
   3.656018413206172*^9}, {3.656018567089851*^9, 3.6560185762817497`*^9}, {
   3.656018661301979*^9, 3.6560186674706917`*^9}, {3.656019000828253*^9, 
   3.656019008462689*^9}, {3.656026857960846*^9, 3.656026912380629*^9}, {
   3.656027384475429*^9, 3.656027469113996*^9}, 3.656029597625499*^9, {
   3.656029685231695*^9, 3.65602971012834*^9}, {3.656029777097834*^9, 
   3.656029786618861*^9}, {3.656029822792306*^9, 3.656029827351327*^9}, {
   3.656029888502777*^9, 3.656029895849015*^9}, {3.656029945958351*^9, 
   3.6560299541196012`*^9}, {3.656029997844549*^9, 3.6560300271166267`*^9}, {
   3.6560300580297213`*^9, 3.656030121785323*^9}, {3.656030152427906*^9, 
   3.656030180681767*^9}, {3.656030266129158*^9, 3.656030351032662*^9}, {
   3.6560304068937883`*^9, 3.656030429399436*^9}, {3.656030463055298*^9, 
   3.656030575513647*^9}, {3.6560313577330427`*^9, 3.656031409570527*^9}, {
   3.6560314666583242`*^9, 3.6560315026415873`*^9}, 3.6560315535700493`*^9, {
   3.6560316442062197`*^9, 3.656031666893957*^9}, {3.656031746797676*^9, 
   3.656031771549518*^9}, {3.656032002581749*^9, 3.656032051560676*^9}, {
   3.656033726363287*^9, 3.6560338674874763`*^9}, {3.656033903070663*^9, 
   3.656033951102529*^9}, {3.656034216468588*^9, 3.656034218796391*^9}, {
   3.656034306498497*^9, 3.6560343789258842`*^9}, {3.656034492040309*^9, 
   3.6560345011863737`*^9}, {3.656034531545129*^9, 3.656034546457067*^9}, {
   3.656034583856988*^9, 3.656034666496098*^9}, {3.656034712310446*^9, 
   3.656034724427931*^9}, {3.6560347729264393`*^9, 3.656034789644144*^9}, 
   3.656079813726553*^9, {3.656079903554645*^9, 3.656079922475906*^9}, {
   3.6561079340484753`*^9, 3.6561080448804092`*^9}, {3.656108084527484*^9, 
   3.6561081483583097`*^9}, {3.656108201559407*^9, 3.656108226318284*^9}, {
   3.656108337988632*^9, 3.6561083428045588`*^9}, 3.656211072952628*^9, {
   3.656211114869926*^9, 3.656211184320167*^9}, {3.65621121497768*^9, 
   3.656211257520554*^9}, {3.6562114037602587`*^9, 3.6562114165970488`*^9}, {
   3.65621148667771*^9, 3.65621148761512*^9}, {3.6568618473878317`*^9, 
   3.656861849060058*^9}, {3.6568649728173723`*^9, 3.656864973991235*^9}, {
   3.656867673767729*^9, 3.656867676582917*^9}, 3.665243415114496*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Dg\[Omega]\[Omega]", "[", "x", "]"}], "\[Rule]", 
  RowBox[{
   FractionBox[
    RowBox[{"2", " ", "gZs", " ", "s", " ", 
     SuperscriptBox["\[Tau]", "4"]}], 
    SuperscriptBox["\[CapitalPi]", "4"]], "+", 
   FractionBox[
    RowBox[{"2", " ", "g\[Alpha]", " ", 
     SuperscriptBox["s", "3"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Eta]L"}], ")"}], " ", "\[Tau]\[Mu]L", " ", 
     
     RowBox[{"(", 
      RowBox[{"s", "-", 
       RowBox[{
        SqrtBox["\[Mu]L"], " ", "\[Tau]\[Mu]L"}]}], ")"}]}], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", 
     SuperscriptBox["\[CapitalPi]\[Mu]L", "4"]}]], "-", 
   FractionBox[
    RowBox[{"2", " ", "g\[Beta]s", " ", 
     SuperscriptBox["s", "2"], " ", "\[Tau]\[Mu]Ss", " ", 
     RowBox[{"(", 
      RowBox[{"s", "-", 
       RowBox[{
        SqrtBox["\[Mu]Ss"], " ", "\[Tau]\[Mu]Ss"}]}], ")"}]}], 
    SuperscriptBox["\[CapitalPi]\[Mu]Ss", "3"]], "+", 
   FractionBox[
    RowBox[{"2", " ", "\[ImaginaryI]", " ", "gZ\[Omega]", " ", "s", " ", 
     SuperscriptBox["\[Tau]", "3"], " ", 
     RowBox[{"(", 
      RowBox[{"s", "+", 
       RowBox[{"2", " ", "\[Tau]"}]}], ")"}], " ", "\[Omega]"}], 
    SuperscriptBox["\[CapitalPi]", "5"]], "+", 
   FractionBox[
    RowBox[{"2", " ", "\[ImaginaryI]", " ", "g\[Beta]\[Omega]", " ", 
     SuperscriptBox["\[Mu]S", "2"], " ", 
     SuperscriptBox["\[Tau]\[Mu]S", "4"], " ", "\[Omega]"}], 
    SuperscriptBox["\[CapitalPi]\[Mu]S", "4"]], "-", 
   FractionBox[
    RowBox[{"4", " ", "g\[Theta]", " ", 
     SuperscriptBox["s", "2"], " ", "\[Mu]\[Theta]", " ", "\[Tau]\[Theta]", 
     " ", 
     SuperscriptBox["\[Omega]", "2"]}], 
    RowBox[{
     RowBox[{"8", " ", 
      SuperscriptBox["s", "3"], " ", "\[CapitalPi]\[Theta]"}], "+", 
     RowBox[{"4", " ", "s", " ", "\[Mu]\[Theta]", " ", 
      RowBox[{"(", 
       RowBox[{"s", "+", "\[CapitalPi]\[Theta]"}], ")"}], " ", 
      SuperscriptBox["\[Omega]", "2"]}], "+", 
     RowBox[{
      SuperscriptBox["\[Mu]\[Theta]", "2"], " ", 
      SuperscriptBox["\[Omega]", "4"]}]}]], "-", 
   FractionBox[
    RowBox[{"4", " ", "gRePsi", " ", 
     SuperscriptBox["s", "2"], " ", 
     SuperscriptBox["\[Tau]", "3"], " ", 
     RowBox[{"Cos", "[", 
      RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
    SuperscriptBox["\[CapitalPi]", "4"]], "+", 
   FractionBox[
    RowBox[{"4", " ", "gImPsi", " ", 
     SuperscriptBox["s", "2"], " ", 
     SuperscriptBox["\[Tau]", "3"], " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
    SuperscriptBox["\[CapitalPi]", "4"]]}]}]], "Output",
 CellChangeTimes->{
  3.65621118231813*^9, {3.656211231200893*^9, 3.656211247401244*^9}, 
   3.656211414617786*^9, {3.656211474943221*^9, 3.656211494769438*^9}, 
   3.65621364195693*^9, 3.6562137780806227`*^9, 3.65621423834201*^9, 
   3.6567150203088293`*^9, 3.656715265925212*^9, 3.656718562371744*^9, 
   3.656766233212179*^9, 3.656861864856203*^9, 3.656864988863859*^9, 
   3.65686766970257*^9, 3.656867760040876*^9, 3.656905236010954*^9, 
   3.66514718379084*^9, 3.665241303487277*^9, 3.665241424600675*^9, 
   3.665241590411209*^9, 3.665241661798271*^9, 3.6652434262591476`*^9, 
   3.665244829676882*^9, 3.678108773350041*^9, 3.678109871437705*^9, 
   3.680866496254911*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["\[Gamma]\[Nu]\[Nu]", "Text",
 CellChangeTimes->{{3.6514101294436073`*^9, 3.6514101367745953`*^9}, {
  3.655816128956986*^9, 3.6558161392342777`*^9}, {3.655907107401081*^9, 
  3.655907110328779*^9}, {3.6559071428893213`*^9, 3.655907176296447*^9}, {
  3.655907253683921*^9, 3.655907268147191*^9}, {3.656016152619293*^9, 
  3.6560161572305393`*^9}, {3.656030636385325*^9, 3.656030664335841*^9}, {
  3.656032108745384*^9, 3.656032115295807*^9}, {3.656034858829646*^9, 
  3.656034861828116*^9}}],

Cell[CellGroupData[{

Cell["Define rules to simplify  the coefficients ", "Text",
 CellChangeTimes->{{3.656179361884219*^9, 3.656179397548088*^9}, {
  3.656197829904808*^9, 3.656197872593563*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Gamma]\[Nu]\[Nu]ReductionRules", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"2", " ", "gZs", " ", 
         SuperscriptBox["s", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}], ")"}]}], 
        RowBox[{
         RowBox[{"8", " ", 
          SuperscriptBox["s", "4"]}], "+", 
         RowBox[{"8", " ", 
          SuperscriptBox["s", "2"], " ", 
          SuperscriptBox["\[Omega]", "2"]}], "+", 
         SuperscriptBox["\[Omega]", "4"], "+", 
         RowBox[{"8", " ", 
          SuperscriptBox["s", "3"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
         RowBox[{"4", " ", "s", " ", 
          SuperscriptBox["\[Omega]", "2"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]}]}]]}], "\[Rule]", " ", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"2", " ", "gZs", " ", 
         SuperscriptBox["s", "2"], " ", 
         SuperscriptBox["\[Tau]", "2"]}], 
        SuperscriptBox["\[CapitalPi]", "4"]]}]}], ",", 
     RowBox[{
      FractionBox[
       RowBox[{"2", " ", "\[ImaginaryI]", " ", "gZ\[Omega]", " ", 
        SuperscriptBox["s", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["s", "2"], "+", 
          SuperscriptBox["\[Omega]", "2"]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"16", " ", 
           SuperscriptBox["s", "5"]}], "+", 
          RowBox[{"20", " ", 
           SuperscriptBox["s", "3"], " ", 
           SuperscriptBox["\[Omega]", "2"]}], "+", 
          RowBox[{"5", " ", "s", " ", 
           SuperscriptBox["\[Omega]", "4"]}], "-", 
          RowBox[{"16", " ", 
           SuperscriptBox["s", "4"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]]}], "-", 
          RowBox[{"12", " ", 
           SuperscriptBox["s", "2"], " ", 
           SuperscriptBox["\[Omega]", "2"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]]}], "-", 
          RowBox[{
           SuperscriptBox["\[Omega]", "4"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}]}], 
       SuperscriptBox["\[Omega]", "9"]], "\[Rule]", " ", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"2", " ", "\[ImaginaryI]", " ", "gZ\[Omega]", " ", 
         SuperscriptBox["s", "2"], " ", 
         SuperscriptBox["\[Tau]", "2"], " ", "\[Omega]"}], 
        SuperscriptBox["\[CapitalPi]", "5"]]}]}], ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"4", " ", "gRePsi", " ", 
         SuperscriptBox["s", "4"], " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
        RowBox[{
         RowBox[{"8", " ", 
          SuperscriptBox["s", "4"]}], "+", 
         RowBox[{"8", " ", 
          SuperscriptBox["s", "2"], " ", 
          SuperscriptBox["\[Omega]", "2"]}], "+", 
         SuperscriptBox["\[Omega]", "4"], "+", 
         RowBox[{"8", " ", 
          SuperscriptBox["s", "3"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
         RowBox[{"4", " ", "s", " ", 
          SuperscriptBox["\[Omega]", "2"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]}]}]]}], "\[Rule]", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"4", " ", "gRePsi", " ", 
         SuperscriptBox["s", "4"], " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
        SuperscriptBox["\[CapitalPi]", "4"]]}]}], " ", ",", 
     RowBox[{
      FractionBox[
       RowBox[{"4", " ", "gImPsi", " ", 
        SuperscriptBox["s", "4"], " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
       RowBox[{
        RowBox[{"8", " ", 
         SuperscriptBox["s", "4"]}], "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["s", "2"], " ", 
         SuperscriptBox["\[Omega]", "2"]}], "+", 
        SuperscriptBox["\[Omega]", "4"], "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["s", "3"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
        RowBox[{"4", " ", "s", " ", 
         SuperscriptBox["\[Omega]", "2"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]]}]}]], "\[Rule]", " ", 
      RowBox[{"+", 
       FractionBox[
        RowBox[{"4", " ", "gImPsi", " ", 
         SuperscriptBox["s", "4"], " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
        SuperscriptBox["\[CapitalPi]", "4"]]}]}], ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"2", " ", "g\[Theta]", " ", 
          SuperscriptBox["s", "6"], " ", 
          RowBox[{"(", 
           RowBox[{"\[Mu]Ss", "-", 
            RowBox[{"\[Mu]S", " ", "\[Mu]\[Theta]"}]}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", 
             SuperscriptBox["s", "2"]}], "+", 
            SuperscriptBox["\[Omega]", "2"]}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", 
             SuperscriptBox["s", "4"]}], "+", 
            RowBox[{"5", " ", 
             SuperscriptBox["s", "2"], " ", 
             SuperscriptBox["\[Omega]", "2"]}], "+", 
            SuperscriptBox["\[Omega]", "4"], "+", 
            RowBox[{"4", " ", 
             SuperscriptBox["s", "3"], " ", 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
            RowBox[{"3", " ", "s", " ", 
             SuperscriptBox["\[Omega]", "2"], " ", 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}]}], ")"}], "/", 
        RowBox[{"(", 
         RowBox[{
          SqrtBox["\[Mu]Ss"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", 
             SuperscriptBox["s", "3"]}], "+", 
            RowBox[{"3", " ", "s", " ", 
             SuperscriptBox["\[Omega]", "2"]}], "+", 
            RowBox[{"4", " ", 
             SuperscriptBox["s", "2"], " ", 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
            RowBox[{
             SuperscriptBox["\[Omega]", "2"], " ", 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"8", " ", 
             SuperscriptBox["s", "4"]}], "+", 
            RowBox[{"8", " ", 
             SuperscriptBox["s", "2"], " ", 
             SuperscriptBox["\[Omega]", "2"]}], "+", 
            SuperscriptBox["\[Omega]", "4"], "+", 
            RowBox[{"8", " ", 
             SuperscriptBox["s", "3"], " ", 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
            RowBox[{"4", " ", "s", " ", 
             SuperscriptBox["\[Omega]", "2"], " ", 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"8", " ", 
             SuperscriptBox["s", "4"], " ", 
             SqrtBox["\[Mu]Ss"]}], "+", 
            RowBox[{"8", " ", 
             SuperscriptBox["s", "2"], " ", 
             SqrtBox["\[Mu]Ss"], " ", "\[Mu]\[Theta]", " ", 
             SuperscriptBox["\[Omega]", "2"]}], "+", 
            RowBox[{
             SqrtBox["\[Mu]Ss"], " ", 
             SuperscriptBox["\[Mu]\[Theta]", "2"], " ", 
             SuperscriptBox["\[Omega]", "4"]}], "+", 
            RowBox[{"8", " ", 
             SuperscriptBox["s", "3"], " ", 
             SqrtBox["\[Mu]\[Theta]"], " ", 
             SqrtBox[
              RowBox[{
               RowBox[{
                SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
               RowBox[{"\[Mu]Ss", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
            RowBox[{"4", " ", "s", " ", 
             SuperscriptBox["\[Mu]\[Theta]", 
              RowBox[{"3", "/", "2"}]], " ", 
             SuperscriptBox["\[Omega]", "2"], " ", 
             SqrtBox[
              RowBox[{
               RowBox[{
                SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
               RowBox[{"\[Mu]Ss", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}], ")"}]}], 
       ")"}], "\[Rule]", " ", "0"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.656197317136907*^9, {3.656197591356351*^9, 3.656197615134934*^9}, {
   3.6561976985016327`*^9, 3.656197713716668*^9}, {3.656197890200432*^9, 
   3.6561978944471827`*^9}, {3.656198524527907*^9, 3.656198573437891*^9}, 
   3.6561986292644167`*^9, 3.6561986845292597`*^9, 3.656198751625868*^9, 
   3.656199114468399*^9, {3.6561997806369667`*^9, 3.656199789553647*^9}, {
   3.656201244134453*^9, 3.656201263154828*^9}, {3.6562072728008127`*^9, 
   3.656207288049733*^9}, {3.656209230409919*^9, 3.656209262528981*^9}, 
   3.6562092971802*^9, {3.656209342010572*^9, 3.65620934789705*^9}, 
   3.6562093820838118`*^9, 3.6562098859687853`*^9, {3.656210998812744*^9, 
   3.656211064854113*^9}, {3.656211780511688*^9, 3.6562118257315893`*^9}, {
   3.6567152877361393`*^9, 3.656715288867922*^9}, {3.6567153227552967`*^9, 
   3.656715350573045*^9}, 3.656865168375463*^9, {3.665241777303411*^9, 
   3.665241971386422*^9}, {3.665242062984664*^9, 3.665242065146873*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"D\[Gamma]\[Nu]\[Nu]ReductionRules", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox[
       RowBox[{"2", " ", "gZs", " ", 
        SuperscriptBox["s", "2"], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}], ")"}], 
         RowBox[{"3", "/", "2"}]]}], 
       RowBox[{
        RowBox[{"8", " ", 
         SuperscriptBox["s", "4"]}], "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["s", "2"], " ", 
         SuperscriptBox["\[Omega]", "2"]}], "+", 
        SuperscriptBox["\[Omega]", "4"], "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["s", "3"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
        RowBox[{"4", " ", "s", " ", 
         SuperscriptBox["\[Omega]", "2"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]]}]}]], "\[Rule]", " ", 
      FractionBox[
       RowBox[{"2", " ", "gZs", " ", 
        SuperscriptBox["s", "2"], " ", 
        SuperscriptBox["\[Tau]", "3"]}], 
       SuperscriptBox["\[CapitalPi]", "4"]]}], ",", 
     RowBox[{
      FractionBox[
       RowBox[{"2", " ", "\[ImaginaryI]", " ", "gZ\[Omega]", " ", 
        SuperscriptBox["s", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["s", "2"], "+", 
          SuperscriptBox["\[Omega]", "2"]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"16", " ", 
           SuperscriptBox["s", "6"]}], "+", 
          RowBox[{"28", " ", 
           SuperscriptBox["s", "4"], " ", 
           SuperscriptBox["\[Omega]", "2"]}], "+", 
          RowBox[{"13", " ", 
           SuperscriptBox["s", "2"], " ", 
           SuperscriptBox["\[Omega]", "4"]}], "+", 
          SuperscriptBox["\[Omega]", "6"], "-", 
          RowBox[{"16", " ", 
           SuperscriptBox["s", "5"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]]}], "-", 
          RowBox[{"20", " ", 
           SuperscriptBox["s", "3"], " ", 
           SuperscriptBox["\[Omega]", "2"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]]}], "-", 
          RowBox[{"5", " ", "s", " ", 
           SuperscriptBox["\[Omega]", "4"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}]}], 
       SuperscriptBox["\[Omega]", "9"]], "\[Rule]", 
      RowBox[{"+", 
       FractionBox[
        RowBox[{"2", " ", "\[ImaginaryI]", " ", "gZ\[Omega]", " ", 
         SuperscriptBox["s", "2"], " ", 
         SuperscriptBox["\[Tau]", "3"], " ", "\[Omega]"}], 
        SuperscriptBox["\[CapitalPi]", "5"]]}]}], ",", " ", 
     RowBox[{
      FractionBox[
       RowBox[{"4", " ", "gRePsi", " ", 
        SuperscriptBox["s", "4"], " ", 
        SqrtBox[
         RowBox[{
          SuperscriptBox["s", "2"], "+", 
          SuperscriptBox["\[Omega]", "2"]}]], " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
       RowBox[{
        RowBox[{"8", " ", 
         SuperscriptBox["s", "4"]}], "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["s", "2"], " ", 
         SuperscriptBox["\[Omega]", "2"]}], "+", 
        SuperscriptBox["\[Omega]", "4"], "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["s", "3"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
        RowBox[{"4", " ", "s", " ", 
         SuperscriptBox["\[Omega]", "2"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]]}]}]], "\[Rule]", " ", 
      FractionBox[
       RowBox[{"4", " ", "gRePsi", " ", 
        SuperscriptBox["s", "4"], " ", "\[Tau]", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
       SuperscriptBox["\[CapitalPi]", "4"]]}], ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"4", " ", "gImPsi", " ", 
         SuperscriptBox["s", "4"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]], " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
        RowBox[{
         RowBox[{"8", " ", 
          SuperscriptBox["s", "4"]}], "+", 
         RowBox[{"8", " ", 
          SuperscriptBox["s", "2"], " ", 
          SuperscriptBox["\[Omega]", "2"]}], "+", 
         SuperscriptBox["\[Omega]", "4"], "+", 
         RowBox[{"8", " ", 
          SuperscriptBox["s", "3"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
         RowBox[{"4", " ", "s", " ", 
          SuperscriptBox["\[Omega]", "2"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]}]}]]}], "\[Rule]", " ", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"4", " ", "gImPsi", " ", 
         SuperscriptBox["s", "4"], " ", "\[Tau]", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
        SuperscriptBox["\[CapitalPi]", "4"]]}]}], ",", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"2", " ", "g\[Theta]", " ", 
           SuperscriptBox["s", "6"], " ", 
           RowBox[{"(", 
            RowBox[{"\[Mu]Ss", "-", 
             RowBox[{"\[Mu]S", " ", "\[Mu]\[Theta]"}]}], ")"}], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"4", " ", 
              SuperscriptBox["s", "2"]}], "+", 
             SuperscriptBox["\[Omega]", "2"]}], ")"}]}], ")"}], "/", 
         RowBox[{"(", 
          RowBox[{
           SqrtBox["\[Mu]Ss"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"8", " ", 
              SuperscriptBox["s", "4"]}], "+", 
             RowBox[{"8", " ", 
              SuperscriptBox["s", "2"], " ", 
              SuperscriptBox["\[Omega]", "2"]}], "+", 
             SuperscriptBox["\[Omega]", "4"], "+", 
             RowBox[{"8", " ", 
              SuperscriptBox["s", "3"], " ", 
              SqrtBox[
               RowBox[{
                SuperscriptBox["s", "2"], "+", 
                SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
             RowBox[{"4", " ", "s", " ", 
              SuperscriptBox["\[Omega]", "2"], " ", 
              SqrtBox[
               RowBox[{
                SuperscriptBox["s", "2"], "+", 
                SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"8", " ", 
              SuperscriptBox["s", "4"], " ", 
              SqrtBox["\[Mu]Ss"]}], "+", 
             RowBox[{"8", " ", 
              SuperscriptBox["s", "2"], " ", 
              SqrtBox["\[Mu]Ss"], " ", "\[Mu]\[Theta]", " ", 
              SuperscriptBox["\[Omega]", "2"]}], "+", 
             RowBox[{
              SqrtBox["\[Mu]Ss"], " ", 
              SuperscriptBox["\[Mu]\[Theta]", "2"], " ", 
              SuperscriptBox["\[Omega]", "4"]}], "+", 
             RowBox[{"8", " ", 
              SuperscriptBox["s", "3"], " ", 
              SqrtBox["\[Mu]\[Theta]"], " ", 
              SqrtBox[
               RowBox[{
                RowBox[{
                 SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
                RowBox[{"\[Mu]Ss", " ", 
                 SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
             RowBox[{"4", " ", "s", " ", 
              SuperscriptBox["\[Mu]\[Theta]", 
               RowBox[{"3", "/", "2"}]], " ", 
              SuperscriptBox["\[Omega]", "2"], " ", 
              SqrtBox[
               RowBox[{
                RowBox[{
                 SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
                RowBox[{"\[Mu]Ss", " ", 
                 SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}], ")"}]}], 
        ")"}]}], "\[Rule]", " ", "0"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.656197899122781*^9, 3.656197941277927*^9}, {
   3.6561991682945538`*^9, 3.656199183451766*^9}, {3.6561997845334177`*^9, 
   3.65619979419431*^9}, {3.656207541849846*^9, 3.656207561179963*^9}, {
   3.65620790588702*^9, 3.656207908553808*^9}, 3.65620798644872*^9, {
   3.656208033979836*^9, 3.656208068714076*^9}, 3.656208168917615*^9, {
   3.6562082688309298`*^9, 3.656208270203795*^9}, 3.656208371672751*^9, {
   3.656209281855721*^9, 3.656209283591557*^9}, 3.656209921248437*^9, {
   3.6562102533705587`*^9, 3.656210288589561*^9}, {3.656211006339246*^9, 
   3.656211006733775*^9}, {3.656211391393639*^9, 3.656211460503631*^9}, {
   3.656211795587142*^9, 3.6562118029975224`*^9}, {3.656212030645096*^9, 
   3.656212039824583*^9}, 3.656715295631678*^9, {3.656715364016604*^9, 
   3.656715387472231*^9}, 3.656865304355837*^9, {3.6652417843356237`*^9, 
   3.6652418082818813`*^9}, {3.665242086678978*^9, 3.665242179198872*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"g\[Nu]\[Nu]Rule", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Collect", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"ChangeofVarRuleOldToNew", "[", 
             RowBox[{"[", "15", "]"}], "]"}], "/.", "BsimSolnRule"}], "/.", 
           "PhysSoln"}], "/.", "CPBCSoln"}], "/.", "UnTauRules"}], "/.", 
        "GaugeBCSoln"}], "/.", "Use\[Mu]SsRules"}], ",", "bcVec", ",", 
      "FullSimplify"}], "]"}], "//.", "\[Gamma]\[Nu]\[Nu]ReductionRules"}], "/.",
    "\[CapitalPi]Rule"}]}]], "Input",
 CellChangeTimes->{{3.6560321400403976`*^9, 3.6560322484194403`*^9}, {
   3.656032279966917*^9, 3.6560322969238234`*^9}, {3.656032379242381*^9, 
   3.6560325441767387`*^9}, {3.656032575293243*^9, 3.6560326085463133`*^9}, {
   3.656032680747472*^9, 3.656032782574668*^9}, {3.656032813357417*^9, 
   3.656032926380843*^9}, {3.65603307700292*^9, 3.656033088932745*^9}, {
   3.6560332897010937`*^9, 3.656033338702046*^9}, {3.656033465993292*^9, 
   3.656033489288835*^9}, {3.656033572784129*^9, 3.656033645186635*^9}, {
   3.656034866797659*^9, 3.656034940515917*^9}, 3.656035038954814*^9, {
   3.656035131653098*^9, 3.656035198665189*^9}, {3.6560352435227222`*^9, 
   3.656035300431005*^9}, 3.656079950184564*^9, 3.6561084012566423`*^9, {
   3.6561084615887413`*^9, 3.656108514826787*^9}, {3.656108546340613*^9, 
   3.6561085518315563`*^9}, {3.656108589204775*^9, 3.656108681786126*^9}, {
   3.656108714761031*^9, 3.656108732524279*^9}, {3.656108866075864*^9, 
   3.656108868418295*^9}, {3.65621152119282*^9, 3.65621155003238*^9}, {
   3.656211632763453*^9, 3.656211660718088*^9}, {3.656211715569858*^9, 
   3.6562117210072002`*^9}, 3.65621175930967*^9, {3.6562118125492764`*^9, 
   3.656211846266323*^9}, {3.656865018621035*^9, 3.6568650211668253`*^9}, {
   3.656865174893758*^9, 3.6568651772739143`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"g\[Nu]\[Nu]", "[", "x", "]"}], "\[Rule]", 
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{"2", " ", "gZs", " ", 
      SuperscriptBox["s", "2"], " ", 
      SuperscriptBox["\[Tau]", "2"]}], 
     SuperscriptBox["\[CapitalPi]", "4"]]}], "-", 
   FractionBox[
    RowBox[{"2", " ", "\[ImaginaryI]", " ", "gZ\[Omega]", " ", 
     SuperscriptBox["s", "2"], " ", 
     SuperscriptBox["\[Tau]", "2"], " ", "\[Omega]"}], 
    SuperscriptBox["\[CapitalPi]", "5"]], "-", 
   FractionBox[
    RowBox[{"4", " ", "gRePsi", " ", 
     SuperscriptBox["s", "4"], " ", 
     RowBox[{"Cos", "[", 
      RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
    SuperscriptBox["\[CapitalPi]", "4"]], "+", 
   FractionBox[
    RowBox[{"4", " ", "gImPsi", " ", 
     SuperscriptBox["s", "4"], " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
    SuperscriptBox["\[CapitalPi]", "4"]]}]}]], "Output",
 CellChangeTimes->{{3.6560349108290567`*^9, 3.656034940937405*^9}, {
   3.6560351342175217`*^9, 3.656035160494594*^9}, {3.656035245319276*^9, 
   3.656035301024029*^9}, 3.6560799523393517`*^9, 3.656080804853138*^9, {
   3.656108456979187*^9, 3.656108517150486*^9}, 3.656108590200221*^9, 
   3.656108644038052*^9, 3.6561086840756283`*^9, 3.6561087335656843`*^9, 
   3.656108870472487*^9, 3.656111451831787*^9, 3.6561136934220467`*^9, 
   3.65617855372062*^9, 3.6562115575722733`*^9, 3.656211661790904*^9, 
   3.656211721737183*^9, 3.656211760305984*^9, {3.656211837077745*^9, 
   3.656211847311956*^9}, 3.656213778282816*^9, 3.6562142527177267`*^9, 
   3.656715307894733*^9, 3.656715364352274*^9, 3.6567185710332823`*^9, 
   3.6567662420085487`*^9, 3.656865032296804*^9, 3.656865186916441*^9, 
   3.656865319152583*^9, 3.6568676777018633`*^9, 3.665147191612097*^9, 
   3.665241745403225*^9, 3.665241809715852*^9, {3.665241950562826*^9, 
   3.665241973380829*^9}, 3.6652420677058764`*^9, 3.665242181507656*^9, 
   3.665244830673768*^9, 3.6781087758472958`*^9, 3.6781088193483458`*^9, 
   3.678109872524242*^9, 3.6808664974462957`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dg\[Nu]\[Nu]Rule", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Collect", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"ChangeofVarRuleOldToNew", "[", 
             RowBox[{"[", "18", "]"}], "]"}], "/.", "BsimSolnRule"}], "/.", 
           "PhysSoln"}], "/.", "CPBCSoln"}], "/.", "UnTauRules"}], "/.", 
        "GaugeBCSoln"}], "/.", "Use\[Mu]SsRules"}], ",", "bcVec", ",", 
      "FullSimplify"}], "]"}], "//.", "D\[Gamma]\[Nu]\[Nu]ReductionRules"}], "/.",
    "\[CapitalPi]Rule"}]}]], "Input",
 CellChangeTimes->{{3.6560321400403976`*^9, 3.6560322484194403`*^9}, {
   3.656032279966917*^9, 3.6560322969238234`*^9}, {3.656032379242381*^9, 
   3.6560325441767387`*^9}, {3.656032575293243*^9, 3.6560326085463133`*^9}, {
   3.656032680747472*^9, 3.656032782574668*^9}, {3.656032813357417*^9, 
   3.656032926380843*^9}, {3.65603307700292*^9, 3.656033088932745*^9}, {
   3.6560332897010937`*^9, 3.656033338702046*^9}, {3.656033465993292*^9, 
   3.656033489288835*^9}, {3.656033572784129*^9, 3.656033645186635*^9}, {
   3.656034866797659*^9, 3.656034940515917*^9}, 3.656035038954814*^9, {
   3.656035131653098*^9, 3.656035198665189*^9}, {3.6560352435227222`*^9, 
   3.656035331311975*^9}, 3.656079955712674*^9, {3.656108755770624*^9, 
   3.6561088318407297`*^9}, {3.6561088631289*^9, 3.656108929999158*^9}, {
   3.6562118747134867`*^9, 3.656211911122959*^9}, {3.656211944702051*^9, 
   3.656211959745296*^9}, {3.656211990989264*^9, 3.65621206003572*^9}, {
   3.656865025904848*^9, 3.6568650274053297`*^9}, {3.6568653157572613`*^9, 
   3.6568653170927067`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Dg\[Nu]\[Nu]", "[", "x", "]"}], "\[Rule]", 
  RowBox[{
   FractionBox[
    RowBox[{"2", " ", "gZs", " ", 
     SuperscriptBox["s", "2"], " ", 
     SuperscriptBox["\[Tau]", "3"]}], 
    SuperscriptBox["\[CapitalPi]", "4"]], "+", 
   FractionBox[
    RowBox[{"2", " ", "\[ImaginaryI]", " ", "gZ\[Omega]", " ", 
     SuperscriptBox["s", "2"], " ", 
     SuperscriptBox["\[Tau]", "3"], " ", "\[Omega]"}], 
    SuperscriptBox["\[CapitalPi]", "5"]], "+", 
   FractionBox[
    RowBox[{"4", " ", "gRePsi", " ", 
     SuperscriptBox["s", "4"], " ", "\[Tau]", " ", 
     RowBox[{"Cos", "[", 
      RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
    SuperscriptBox["\[CapitalPi]", "4"]], "-", 
   FractionBox[
    RowBox[{"4", " ", "gImPsi", " ", 
     SuperscriptBox["s", "4"], " ", "\[Tau]", " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
    SuperscriptBox["\[CapitalPi]", "4"]]}]}]], "Output",
 CellChangeTimes->{{3.6560349108290567`*^9, 3.656034940937405*^9}, {
   3.6560351342175217`*^9, 3.656035160494594*^9}, {3.656035245319276*^9, 
   3.656035333251704*^9}, 3.656079958281127*^9, 3.656080806773746*^9, 
   3.6561087647822123`*^9, {3.65610881776457*^9, 3.6561088288093224`*^9}, {
   3.656108864487836*^9, 3.65610887538521*^9}, {3.656108923815351*^9, 
   3.656108930716959*^9}, 3.656111454277586*^9, 3.656113696173077*^9, 
   3.656178561541465*^9, 3.65621191962584*^9, 3.656211960509625*^9, {
   3.65621200424514*^9, 3.656212015026257*^9}, {3.656212056615266*^9, 
   3.6562120605293694`*^9}, 3.656213778471146*^9, 3.656214260075903*^9, 
   3.6567153154147377`*^9, 3.656715398677986*^9, 3.656718577566236*^9, 
   3.656766249209016*^9, 3.656865039391942*^9, {3.656865326254176*^9, 
   3.656865333224288*^9}, 3.656867684248252*^9, 3.665147200176201*^9, 
   3.665241756328697*^9, 3.66524181104996*^9, {3.665242164300804*^9, 
   3.665242182645357*^9}, 3.665244831950657*^9, 3.678108777175908*^9, 
   3.67810882356907*^9, 3.6781098738622303`*^9, 3.680866498987919*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["\[Gamma]s\[Omega]", "Text",
 CellChangeTimes->{{3.6514101294436073`*^9, 3.6514101367745953`*^9}, {
  3.655816128956986*^9, 3.6558161392342777`*^9}, {3.655907107401081*^9, 
  3.655907110328779*^9}, {3.6559071428893213`*^9, 3.655907176296447*^9}, {
  3.655907253683921*^9, 3.655907268147191*^9}, {3.656016152619293*^9, 
  3.6560161572305393`*^9}, {3.656030636385325*^9, 3.656030664335841*^9}, {
  3.656032108745384*^9, 3.656032115295807*^9}, {3.656034858829646*^9, 
  3.656034861828116*^9}, {3.65603538485105*^9, 3.656035386234824*^9}, {
  3.656035603276943*^9, 3.656035615659314*^9}, {3.6561091311049767`*^9, 
  3.656109131440818*^9}}],

Cell[CellGroupData[{

Cell["Define rules to simplify  the coefficients ", "Text",
 CellChangeTimes->{{3.656179361884219*^9, 3.656179397548088*^9}, {
  3.656197829904808*^9, 3.656197872593563*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Gamma]s\[Omega]ReductionRules", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox[
       RowBox[{"2", " ", "\[ImaginaryI]", " ", "g\[Alpha]", " ", 
        SuperscriptBox["s", "3"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Eta]L"}], ")"}], " ", 
        SqrtBox["\[Mu]L"], " ", "\[Omega]", " ", 
        SqrtBox[
         RowBox[{
          SuperscriptBox["s", "2"], "+", 
          RowBox[{"\[Mu]L", " ", 
           SuperscriptBox["\[Omega]", "2"]}]}]]}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"16", " ", 
           SuperscriptBox["s", "5"]}], "+", 
          RowBox[{"20", " ", 
           SuperscriptBox["s", "3"], " ", "\[Mu]L", " ", 
           SuperscriptBox["\[Omega]", "2"]}], "+", 
          RowBox[{"5", " ", "s", " ", 
           SuperscriptBox["\[Mu]L", "2"], " ", 
           SuperscriptBox["\[Omega]", "4"]}], "+", 
          RowBox[{"16", " ", 
           SuperscriptBox["s", "4"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             RowBox[{"\[Mu]L", " ", 
              SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
          RowBox[{"12", " ", 
           SuperscriptBox["s", "2"], " ", "\[Mu]L", " ", 
           SuperscriptBox["\[Omega]", "2"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             RowBox[{"\[Mu]L", " ", 
              SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
          RowBox[{
           SuperscriptBox["\[Mu]L", "2"], " ", 
           SuperscriptBox["\[Omega]", "4"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             RowBox[{"\[Mu]L", " ", 
              SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}]], "\[Rule]", 
      " ", 
      FractionBox[
       RowBox[{"2", " ", "\[ImaginaryI]", " ", "g\[Alpha]", " ", 
        SuperscriptBox["s", "3"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Eta]L"}], ")"}], " ", "\[Mu]L", " ", 
        "\[Tau]\[Mu]L", " ", "\[Omega]"}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"s", "+", 
           RowBox[{
            SqrtBox["\[Mu]L"], " ", "\[Tau]\[Mu]L"}]}], ")"}], "5"]}]]}], ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"2", " ", "\[ImaginaryI]", " ", "g\[Beta]s", " ", 
         SuperscriptBox["s", "2"], " ", 
         SqrtBox["\[Mu]Ss"], " ", "\[Omega]", " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           RowBox[{"\[Mu]Ss", " ", 
            SuperscriptBox["\[Omega]", "2"]}]}]]}], 
        RowBox[{
         RowBox[{"8", " ", 
          SuperscriptBox["s", "4"]}], "+", 
         RowBox[{"8", " ", 
          SuperscriptBox["s", "2"], " ", "\[Mu]Ss", " ", 
          SuperscriptBox["\[Omega]", "2"]}], "+", 
         RowBox[{
          SuperscriptBox["\[Mu]Ss", "2"], " ", 
          SuperscriptBox["\[Omega]", "4"]}], "+", 
         RowBox[{"8", " ", 
          SuperscriptBox["s", "3"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            RowBox[{"\[Mu]Ss", " ", 
             SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
         RowBox[{"4", " ", "s", " ", "\[Mu]Ss", " ", 
          SuperscriptBox["\[Omega]", "2"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            RowBox[{"\[Mu]Ss", " ", 
             SuperscriptBox["\[Omega]", "2"]}]}]]}]}]]}], "\[Rule]", " ", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"2", " ", "\[ImaginaryI]", " ", "g\[Beta]s", " ", 
         SuperscriptBox["s", "2"], " ", "\[Mu]Ss", " ", "\[Tau]\[Mu]Ss", " ", 
         "\[Omega]"}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"s", "+", 
           RowBox[{
            SqrtBox["\[Mu]Ss"], " ", "\[Tau]\[Mu]Ss"}]}], ")"}], "4"]]}]}], 
     ",", 
     RowBox[{
      FractionBox[
       RowBox[{"g\[Beta]\[Omega]", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           RowBox[{"\[Mu]S", " ", 
            SuperscriptBox["\[Omega]", "2"]}]}], ")"}], 
         RowBox[{"3", "/", "2"}]], " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["s", "2"], "+", 
          RowBox[{"2", " ", "\[Mu]S", " ", 
           SuperscriptBox["\[Omega]", "2"]}]}], ")"}]}], 
       RowBox[{
        RowBox[{"8", " ", 
         SuperscriptBox["s", "5"]}], "+", 
        RowBox[{"12", " ", 
         SuperscriptBox["s", "3"], " ", "\[Mu]S", " ", 
         SuperscriptBox["\[Omega]", "2"]}], "+", 
        RowBox[{"4", " ", "s", " ", 
         SuperscriptBox["\[Mu]S", "2"], " ", 
         SuperscriptBox["\[Omega]", "4"]}], "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["s", "4"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           RowBox[{"\[Mu]S", " ", 
            SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["s", "2"], " ", "\[Mu]S", " ", 
         SuperscriptBox["\[Omega]", "2"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           RowBox[{"\[Mu]S", " ", 
            SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
        RowBox[{
         SuperscriptBox["\[Mu]S", "2"], " ", 
         SuperscriptBox["\[Omega]", "4"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           RowBox[{"\[Mu]S", " ", 
            SuperscriptBox["\[Omega]", "2"]}]}]]}]}]], "\[Rule]", " ", 
      FractionBox[
       RowBox[{"g\[Beta]\[Omega]", " ", "\[Mu]S", " ", 
        SuperscriptBox["\[Tau]\[Mu]S", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["s", "2"]}], "+", 
          RowBox[{"2", " ", "\[Mu]S", " ", 
           SuperscriptBox["\[Tau]\[Mu]S", "2"]}]}], ")"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"s", "+", 
          RowBox[{
           SqrtBox["\[Mu]S"], " ", "\[Tau]\[Mu]S"}]}], ")"}], "4"]]}], " ", 
     ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{
        "2", " ", "\[ImaginaryI]", " ", "gZs", " ", "s", " ", "\[Omega]", " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"4", " ", 
            SuperscriptBox["s", "4"]}], "+", 
           RowBox[{"5", " ", 
            SuperscriptBox["s", "2"], " ", 
            SuperscriptBox["\[Omega]", "2"]}], "+", 
           SuperscriptBox["\[Omega]", "4"], "+", 
           RowBox[{"4", " ", 
            SuperscriptBox["s", "3"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
           RowBox[{"3", " ", "s", " ", 
            SuperscriptBox["\[Omega]", "2"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}]}], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"4", " ", 
            SuperscriptBox["s", "3"]}], "+", 
           RowBox[{"3", " ", "s", " ", 
            SuperscriptBox["\[Omega]", "2"]}], "+", 
           RowBox[{"4", " ", 
            SuperscriptBox["s", "2"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
           RowBox[{
            SuperscriptBox["\[Omega]", "2"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"8", " ", 
            SuperscriptBox["s", "4"]}], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "2"], " ", 
            SuperscriptBox["\[Omega]", "2"]}], "+", 
           SuperscriptBox["\[Omega]", "4"], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "3"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
           RowBox[{"4", " ", "s", " ", 
            SuperscriptBox["\[Omega]", "2"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}]}]]}], "\[Rule]", 
      " ", 
      FractionBox[
       RowBox[{"4", " ", "gZ\[Omega]", " ", "s", " ", 
        SuperscriptBox["\[Tau]", "3"]}], 
       SuperscriptBox["\[CapitalPi]", "4"]]}], ",", 
     RowBox[{
      FractionBox[
       RowBox[{"4", " ", "gZ\[Omega]", " ", "s", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["s", "2"], "+", 
          SuperscriptBox["\[Omega]", "2"]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"4", " ", 
           SuperscriptBox["s", "4"]}], "+", 
          RowBox[{"5", " ", 
           SuperscriptBox["s", "2"], " ", 
           SuperscriptBox["\[Omega]", "2"]}], "+", 
          SuperscriptBox["\[Omega]", "4"], "+", 
          RowBox[{"4", " ", 
           SuperscriptBox["s", "3"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
          RowBox[{"3", " ", "s", " ", 
           SuperscriptBox["\[Omega]", "2"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}]}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"4", " ", 
           SuperscriptBox["s", "3"]}], "+", 
          RowBox[{"3", " ", "s", " ", 
           SuperscriptBox["\[Omega]", "2"]}], "+", 
          RowBox[{"4", " ", 
           SuperscriptBox["s", "2"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
          RowBox[{
           SuperscriptBox["\[Omega]", "2"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"8", " ", 
           SuperscriptBox["s", "4"]}], "+", 
          RowBox[{"8", " ", 
           SuperscriptBox["s", "2"], " ", 
           SuperscriptBox["\[Omega]", "2"]}], "+", 
          SuperscriptBox["\[Omega]", "4"], "+", 
          RowBox[{"8", " ", 
           SuperscriptBox["s", "3"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
          RowBox[{"4", " ", "s", " ", 
           SuperscriptBox["\[Omega]", "2"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}]}]], "\[Rule]", " ", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"2", " ", "\[ImaginaryI]", " ", "gZs", " ", "s", " ", 
         SuperscriptBox["\[Tau]", "2"], " ", "\[Omega]"}], 
        SuperscriptBox["\[CapitalPi]", "4"]]}]}], ",", 
     RowBox[{
      RowBox[{"+", 
       FractionBox[
        RowBox[{"4", " ", "\[ImaginaryI]", " ", "gRePsi", " ", 
         SuperscriptBox["s", "2"], " ", "\[Omega]", " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]], " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
        RowBox[{
         RowBox[{"8", " ", 
          SuperscriptBox["s", "4"]}], "+", 
         RowBox[{"8", " ", 
          SuperscriptBox["s", "2"], " ", 
          SuperscriptBox["\[Omega]", "2"]}], "+", 
         SuperscriptBox["\[Omega]", "4"], "+", 
         RowBox[{"8", " ", 
          SuperscriptBox["s", "3"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
         RowBox[{"4", " ", "s", " ", 
          SuperscriptBox["\[Omega]", "2"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]}]}]]}], "\[Rule]", 
      FractionBox[
       RowBox[{"4", " ", "\[ImaginaryI]", " ", "gRePsi", " ", 
        SuperscriptBox["s", "2"], " ", "\[Tau]", " ", "\[Omega]", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
       SuperscriptBox["\[CapitalPi]", "4"]]}], ",", " ", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"4", " ", "\[ImaginaryI]", " ", "gImPsi", " ", 
         SuperscriptBox["s", "2"], " ", "\[Omega]", " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]], " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
        RowBox[{
         RowBox[{"8", " ", 
          SuperscriptBox["s", "4"]}], "+", 
         RowBox[{"8", " ", 
          SuperscriptBox["s", "2"], " ", 
          SuperscriptBox["\[Omega]", "2"]}], "+", 
         SuperscriptBox["\[Omega]", "4"], "+", 
         RowBox[{"8", " ", 
          SuperscriptBox["s", "3"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
         RowBox[{"4", " ", "s", " ", 
          SuperscriptBox["\[Omega]", "2"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]}]}]]}], "\[Rule]", " ", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"4", " ", "\[ImaginaryI]", " ", "gImPsi", " ", 
         SuperscriptBox["s", "2"], " ", "\[Tau]", " ", "\[Omega]", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
        SuperscriptBox["\[CapitalPi]", "4"]]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "g\[Theta]", " ", 
          SuperscriptBox["s", "2"], " ", "\[Omega]", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"16", " ", 
             SuperscriptBox["s", "9"], " ", "\[Mu]S", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "\[Mu]Ss"}], "+", 
               RowBox[{"\[Mu]S", " ", "\[Mu]\[Theta]"}]}], ")"}]}], "-", 
            RowBox[{"50", " ", 
             SuperscriptBox["s", "2"], " ", 
             SuperscriptBox["\[Mu]Ss", 
              RowBox[{"3", "/", "2"}]], " ", 
             SuperscriptBox["\[Omega]", "6"], " ", 
             SqrtBox[
              RowBox[{
               RowBox[{
                SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
               RowBox[{"\[Mu]Ss", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}]]}], "-", 
            RowBox[{"2", " ", 
             SuperscriptBox["\[Mu]Ss", 
              RowBox[{"3", "/", "2"}]], " ", 
             SuperscriptBox["\[Omega]", "8"], " ", 
             SqrtBox[
              RowBox[{
               RowBox[{
                SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
               RowBox[{"\[Mu]Ss", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}]]}], "-", 
            RowBox[{"14", " ", "s", " ", 
             SuperscriptBox["\[Mu]Ss", 
              RowBox[{"3", "/", "2"}]], " ", 
             SuperscriptBox["\[Omega]", "6"], " ", 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               SuperscriptBox["\[Omega]", "2"]}]], " ", 
             SqrtBox[
              RowBox[{
               RowBox[{
                SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
               RowBox[{"\[Mu]Ss", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
            RowBox[{
             SuperscriptBox["s", "4"], " ", 
             SuperscriptBox["\[Omega]", "4"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "3"}], " ", "\[Mu]S", " ", "\[Mu]Ss", " ", 
                SqrtBox[
                 RowBox[{
                  SuperscriptBox["s", "2"], "+", 
                  SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
               RowBox[{"3", " ", 
                SuperscriptBox["\[Mu]S", "2"], " ", "\[Mu]\[Theta]", " ", 
                SqrtBox[
                 RowBox[{
                  SuperscriptBox["s", "2"], "+", 
                  SuperscriptBox["\[Omega]", "2"]}]]}], "-", 
               RowBox[{"208", " ", 
                SuperscriptBox["\[Mu]Ss", 
                 RowBox[{"3", "/", "2"}]], " ", 
                SqrtBox[
                 RowBox[{
                  RowBox[{
                   SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
                  RowBox[{"\[Mu]Ss", " ", 
                   SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}], "+", 
            RowBox[{"16", " ", 
             SuperscriptBox["s", "6"], " ", 
             SuperscriptBox["\[Omega]", "2"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "\[Mu]S"}], " ", "\[Mu]Ss", " ", 
                SqrtBox[
                 RowBox[{
                  SuperscriptBox["s", "2"], "+", 
                  SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
               RowBox[{
                SuperscriptBox["\[Mu]S", "2"], " ", "\[Mu]\[Theta]", " ", 
                SqrtBox[
                 RowBox[{
                  SuperscriptBox["s", "2"], "+", 
                  SuperscriptBox["\[Omega]", "2"]}]]}], "-", 
               RowBox[{"18", " ", 
                SuperscriptBox["\[Mu]Ss", 
                 RowBox[{"3", "/", "2"}]], " ", 
                SqrtBox[
                 RowBox[{
                  RowBox[{
                   SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
                  RowBox[{"\[Mu]Ss", " ", 
                   SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}], "+", 
            RowBox[{"16", " ", 
             SuperscriptBox["s", "8"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "\[Mu]S"}], " ", "\[Mu]Ss", " ", 
                SqrtBox[
                 RowBox[{
                  SuperscriptBox["s", "2"], "+", 
                  SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
               RowBox[{
                SuperscriptBox["\[Mu]S", "2"], " ", "\[Mu]\[Theta]", " ", 
                SqrtBox[
                 RowBox[{
                  SuperscriptBox["s", "2"], "+", 
                  SuperscriptBox["\[Omega]", "2"]}]]}], "-", 
               RowBox[{"8", " ", 
                SuperscriptBox["\[Mu]Ss", 
                 RowBox[{"3", "/", "2"}]], " ", 
                SqrtBox[
                 RowBox[{
                  RowBox[{
                   SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
                  RowBox[{"\[Mu]Ss", " ", 
                   SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}], "-", 
            RowBox[{"8", " ", 
             SuperscriptBox["s", "7"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"3", " ", "\[Mu]S", " ", "\[Mu]Ss", " ", 
                SuperscriptBox["\[Omega]", "2"]}], "-", 
               RowBox[{"3", " ", 
                SuperscriptBox["\[Mu]S", "2"], " ", "\[Mu]\[Theta]", " ", 
                SuperscriptBox["\[Omega]", "2"]}], "+", 
               RowBox[{"16", " ", 
                SuperscriptBox["\[Mu]Ss", 
                 RowBox[{"3", "/", "2"}]], " ", 
                SqrtBox[
                 RowBox[{
                  SuperscriptBox["s", "2"], "+", 
                  SuperscriptBox["\[Omega]", "2"]}]], " ", 
                SqrtBox[
                 RowBox[{
                  RowBox[{
                   SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
                  RowBox[{"\[Mu]Ss", " ", 
                   SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}], "+", 
            RowBox[{
             SuperscriptBox["s", "5"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "9"}], " ", "\[Mu]S", " ", "\[Mu]Ss", " ", 
                SuperscriptBox["\[Omega]", "4"]}], "+", 
               RowBox[{"9", " ", 
                SuperscriptBox["\[Mu]S", "2"], " ", "\[Mu]\[Theta]", " ", 
                SuperscriptBox["\[Omega]", "4"]}], "-", 
               RowBox[{"224", " ", 
                SuperscriptBox["\[Mu]Ss", 
                 RowBox[{"3", "/", "2"}]], " ", 
                SuperscriptBox["\[Omega]", "2"], " ", 
                SqrtBox[
                 RowBox[{
                  SuperscriptBox["s", "2"], "+", 
                  SuperscriptBox["\[Omega]", "2"]}]], " ", 
                SqrtBox[
                 RowBox[{
                  RowBox[{
                   SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
                  RowBox[{"\[Mu]Ss", " ", 
                   SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}], "+", 
            RowBox[{
             SuperscriptBox["s", "3"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "\[Mu]S"}], " ", "\[Mu]Ss", " ", 
                SuperscriptBox["\[Omega]", "6"]}], "+", 
               RowBox[{
                SuperscriptBox["\[Mu]S", "2"], " ", "\[Mu]\[Theta]", " ", 
                SuperscriptBox["\[Omega]", "6"]}], "-", 
               RowBox[{"112", " ", 
                SuperscriptBox["\[Mu]Ss", 
                 RowBox[{"3", "/", "2"}]], " ", 
                SuperscriptBox["\[Omega]", "4"], " ", 
                SqrtBox[
                 RowBox[{
                  SuperscriptBox["s", "2"], "+", 
                  SuperscriptBox["\[Omega]", "2"]}]], " ", 
                SqrtBox[
                 RowBox[{
                  RowBox[{
                   SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
                  RowBox[{"\[Mu]Ss", " ", 
                   SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}]}], 
           ")"}]}], ")"}]}], "/", 
       RowBox[{"(", 
        RowBox[{"\[Mu]S", " ", 
         SqrtBox["\[Mu]Ss"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"4", " ", 
            SuperscriptBox["s", "3"]}], "+", 
           RowBox[{"3", " ", "s", " ", 
            SuperscriptBox["\[Omega]", "2"]}], "+", 
           RowBox[{"4", " ", 
            SuperscriptBox["s", "2"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
           RowBox[{
            SuperscriptBox["\[Omega]", "2"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"8", " ", 
            SuperscriptBox["s", "4"]}], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "2"], " ", 
            SuperscriptBox["\[Omega]", "2"]}], "+", 
           SuperscriptBox["\[Omega]", "4"], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "3"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
           RowBox[{"4", " ", "s", " ", 
            SuperscriptBox["\[Omega]", "2"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"8", " ", 
            SuperscriptBox["s", "4"], " ", 
            SqrtBox["\[Mu]Ss"]}], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "2"], " ", 
            SqrtBox["\[Mu]Ss"], " ", "\[Mu]\[Theta]", " ", 
            SuperscriptBox["\[Omega]", "2"]}], "+", 
           RowBox[{
            SqrtBox["\[Mu]Ss"], " ", 
            SuperscriptBox["\[Mu]\[Theta]", "2"], " ", 
            SuperscriptBox["\[Omega]", "4"]}], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "3"], " ", 
            SqrtBox["\[Mu]\[Theta]"], " ", 
            SqrtBox[
             RowBox[{
              RowBox[{
               SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
              RowBox[{"\[Mu]Ss", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
           RowBox[{"4", " ", "s", " ", 
            SuperscriptBox["\[Mu]\[Theta]", 
             RowBox[{"3", "/", "2"}]], " ", 
            SuperscriptBox["\[Omega]", "2"], " ", 
            SqrtBox[
             RowBox[{
              RowBox[{
               SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
              RowBox[{"\[Mu]Ss", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}], ")"}]}], 
      "\[Rule]", 
      FractionBox[
       RowBox[{"4", " ", "\[ImaginaryI]", " ", "g\[Theta]", " ", 
        SuperscriptBox["s", "2"], " ", "\[Mu]\[Theta]", " ", "\[Tau]\[Theta]",
         " ", "\[Omega]"}], 
       RowBox[{
        RowBox[{"8", " ", 
         SuperscriptBox["s", "3"], " ", "\[CapitalPi]\[Theta]"}], "+", 
        RowBox[{"4", " ", "s", " ", "\[Mu]\[Theta]", " ", 
         RowBox[{"(", 
          RowBox[{"s", "+", "\[CapitalPi]\[Theta]"}], ")"}], " ", 
         SuperscriptBox["\[Omega]", "2"]}], "+", 
        RowBox[{
         SuperscriptBox["\[Mu]\[Theta]", "2"], " ", 
         SuperscriptBox["\[Omega]", "4"]}]}]]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.656197317136907*^9, {3.656197591356351*^9, 3.656197615134934*^9}, {
   3.6561976985016327`*^9, 3.656197713716668*^9}, {3.656197890200432*^9, 
   3.6561978944471827`*^9}, {3.656198524527907*^9, 3.656198573437891*^9}, 
   3.6561986292644167`*^9, 3.6561986845292597`*^9, 3.656198751625868*^9, 
   3.656199114468399*^9, {3.6561997806369667`*^9, 3.656199789553647*^9}, {
   3.656201244134453*^9, 3.656201263154828*^9}, {3.6562072728008127`*^9, 
   3.656207288049733*^9}, {3.656209230409919*^9, 3.656209262528981*^9}, 
   3.6562092971802*^9, {3.656209342010572*^9, 3.65620934789705*^9}, 
   3.6562093820838118`*^9, 3.6562098859687853`*^9, {3.656210998812744*^9, 
   3.656211064854113*^9}, {3.656211780511688*^9, 3.6562118257315893`*^9}, {
   3.656212095961948*^9, 3.6562121032156773`*^9}, {3.656212484537594*^9, 
   3.656212510749056*^9}, {3.656715420677247*^9, 3.6567154213221483`*^9}, {
   3.656715466718663*^9, 3.656715467982761*^9}, {3.656715499638042*^9, 
   3.6567155007216663`*^9}, {3.65671582561098*^9, 3.65671585893277*^9}, 
   3.656717651598372*^9, 3.6568656689212513`*^9, {3.656865813188274*^9, 
   3.656865814816428*^9}, {3.6568658987807207`*^9, 3.6568658995698013`*^9}, {
   3.6652426138272753`*^9, 3.665242630989006*^9}, {3.665242675281228*^9, 
   3.6652427095473757`*^9}, 3.6652427736746607`*^9, {3.6652428344238987`*^9, 
   3.665242875982994*^9}, {3.6652429193425827`*^9, 3.665242921409849*^9}, {
   3.665243014171419*^9, 3.6652430261259823`*^9}, 3.665243202921948*^9, 
   3.66524349742815*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"D\[Gamma]s\[Omega]ReductionRules", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "g\[Alpha]", " ", 
          SuperscriptBox["s", "3"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Eta]L"}], ")"}], " ", "\[Omega]", " ", 
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            RowBox[{"\[Mu]L", " ", 
             SuperscriptBox["\[Omega]", "2"]}]}], ")"}]}], 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"16", " ", 
             SuperscriptBox["s", "5"]}], "+", 
            RowBox[{"20", " ", 
             SuperscriptBox["s", "3"], " ", "\[Mu]L", " ", 
             SuperscriptBox["\[Omega]", "2"]}], "+", 
            RowBox[{"5", " ", "s", " ", 
             SuperscriptBox["\[Mu]L", "2"], " ", 
             SuperscriptBox["\[Omega]", "4"]}], "+", 
            RowBox[{"16", " ", 
             SuperscriptBox["s", "4"], " ", 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               RowBox[{"\[Mu]L", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
            RowBox[{"12", " ", 
             SuperscriptBox["s", "2"], " ", "\[Mu]L", " ", 
             SuperscriptBox["\[Omega]", "2"], " ", 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               RowBox[{"\[Mu]L", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
            RowBox[{
             SuperscriptBox["\[Mu]L", "2"], " ", 
             SuperscriptBox["\[Omega]", "4"], " ", 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               RowBox[{"\[Mu]L", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}]]}], ")"}], 
      "\[Rule]", " ", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"2", " ", "\[ImaginaryI]", " ", "g\[Alpha]", " ", 
         SuperscriptBox["s", "3"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Eta]L"}], ")"}], " ", "\[Mu]L", " ", 
         SuperscriptBox["\[Tau]\[Mu]L", "2"], " ", "\[Omega]"}], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"s", "+", 
            RowBox[{
             SqrtBox["\[Mu]L"], " ", "\[Tau]\[Mu]L"}]}], ")"}], "5"]}]]}]}], 
     ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{"g\[Beta]\[Omega]", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             RowBox[{"\[Mu]S", " ", 
              SuperscriptBox["\[Omega]", "2"]}]}], ")"}], "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            RowBox[{"2", " ", "\[Mu]S", " ", 
             SuperscriptBox["\[Omega]", "2"]}]}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "8"}], " ", 
             SuperscriptBox["s", "3"]}], "-", 
            RowBox[{"4", " ", "s", " ", "\[Mu]S", " ", 
             SuperscriptBox["\[Omega]", "2"]}], "+", 
            FractionBox[
             RowBox[{
              SuperscriptBox["\[Mu]S", "2"], " ", 
              SuperscriptBox["\[Omega]", "4"]}], 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               RowBox[{"\[Mu]S", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}]]], "+", 
            RowBox[{"8", " ", 
             SuperscriptBox["s", "2"], " ", 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               RowBox[{"\[Mu]S", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}], 
         RowBox[{
          SuperscriptBox["\[Mu]S", 
           RowBox[{"9", "/", "2"}]], " ", 
          SuperscriptBox["\[Omega]", "8"]}]]}], ")"}], "\[Rule]", " ", 
      FractionBox[
       RowBox[{"g\[Beta]\[Omega]", " ", "\[Mu]S", " ", 
        SuperscriptBox["\[Tau]\[Mu]S", "3"], " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["s", "2"], "-", 
          RowBox[{"2", " ", "\[Mu]S", " ", 
           SuperscriptBox["\[Tau]\[Mu]S", "2"]}]}], ")"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"s", "+", 
          RowBox[{
           SqrtBox["\[Mu]S"], " ", "\[Tau]\[Mu]S"}]}], ")"}], "4"]]}], ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"+", 
        FractionBox[
         RowBox[{"2", " ", "g\[Beta]s", " ", 
          SuperscriptBox["s", "2"], " ", 
          SqrtBox["\[Mu]S"], " ", 
          SqrtBox[
           RowBox[{"-", 
            FractionBox["\[Mu]Ss", "\[Mu]S"]}]], " ", "\[Omega]", " ", 
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            RowBox[{"\[Mu]Ss", " ", 
             SuperscriptBox["\[Omega]", "2"]}]}], ")"}]}], 
         RowBox[{
          SqrtBox["\[Mu]Ss"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"8", " ", 
             SuperscriptBox["s", "4"]}], "+", 
            RowBox[{"8", " ", 
             SuperscriptBox["s", "2"], " ", "\[Mu]Ss", " ", 
             SuperscriptBox["\[Omega]", "2"]}], "+", 
            RowBox[{
             SuperscriptBox["\[Mu]Ss", "2"], " ", 
             SuperscriptBox["\[Omega]", "4"]}], "+", 
            RowBox[{"8", " ", 
             SuperscriptBox["s", "3"], " ", 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               RowBox[{"\[Mu]Ss", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
            RowBox[{"4", " ", "s", " ", "\[Mu]Ss", " ", 
             SuperscriptBox["\[Omega]", "2"], " ", 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               RowBox[{"\[Mu]Ss", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}]]}], ")"}], 
      "\[Rule]", " ", 
      FractionBox[
       RowBox[{"2", " ", "\[ImaginaryI]", " ", "g\[Beta]s", " ", 
        SuperscriptBox["s", "2"], " ", "\[Mu]Ss", " ", 
        SuperscriptBox["\[Tau]\[Mu]Ss", "2"], " ", "\[Omega]"}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"s", "+", 
          RowBox[{
           SqrtBox["\[Mu]Ss"], " ", "\[Tau]\[Mu]Ss"}]}], ")"}], "4"]]}], " ", 
     ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"4", " ", "gZ\[Omega]", " ", "s", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}], ")"}], "2"]}], 
        RowBox[{
         RowBox[{"8", " ", 
          SuperscriptBox["s", "4"]}], "+", 
         RowBox[{"8", " ", 
          SuperscriptBox["s", "2"], " ", 
          SuperscriptBox["\[Omega]", "2"]}], "+", 
         SuperscriptBox["\[Omega]", "4"], "+", 
         RowBox[{"8", " ", 
          SuperscriptBox["s", "3"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
         RowBox[{"4", " ", "s", " ", 
          SuperscriptBox["\[Omega]", "2"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]}]}]]}], "\[Rule]", " ", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"4", " ", "gZ\[Omega]", " ", "s", " ", 
         SuperscriptBox["\[Tau]", "4"]}], 
        SuperscriptBox["\[CapitalPi]", "4"]]}]}], ",", 
     RowBox[{
      FractionBox[
       RowBox[{"2", " ", "\[ImaginaryI]", " ", "gZs", " ", "s", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["s", "2"], "+", 
          SuperscriptBox["\[Omega]", "2"]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "8"}], " ", 
           SuperscriptBox["s", "5"]}], "-", 
          RowBox[{"12", " ", 
           SuperscriptBox["s", "3"], " ", 
           SuperscriptBox["\[Omega]", "2"]}], "-", 
          RowBox[{"4", " ", "s", " ", 
           SuperscriptBox["\[Omega]", "4"]}], "+", 
          RowBox[{"8", " ", 
           SuperscriptBox["s", "4"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
          RowBox[{"8", " ", 
           SuperscriptBox["s", "2"], " ", 
           SuperscriptBox["\[Omega]", "2"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
          RowBox[{
           SuperscriptBox["\[Omega]", "4"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}]}], 
       SuperscriptBox["\[Omega]", "7"]], "\[Rule]", 
      RowBox[{"+", 
       FractionBox[
        RowBox[{"2", " ", "\[ImaginaryI]", " ", "gZs", " ", "s", " ", 
         SuperscriptBox["\[Tau]", "3"], " ", "\[Omega]"}], 
        SuperscriptBox["\[CapitalPi]", "4"]]}]}], " ", ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"4", " ", "\[ImaginaryI]", " ", "gRePsi", " ", 
         SuperscriptBox["s", "2"], " ", "\[Omega]", " ", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}], ")"}], " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
        RowBox[{
         RowBox[{"8", " ", 
          SuperscriptBox["s", "4"]}], "+", 
         RowBox[{"8", " ", 
          SuperscriptBox["s", "2"], " ", 
          SuperscriptBox["\[Omega]", "2"]}], "+", 
         SuperscriptBox["\[Omega]", "4"], "+", 
         RowBox[{"8", " ", 
          SuperscriptBox["s", "3"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
         RowBox[{"4", " ", "s", " ", 
          SuperscriptBox["\[Omega]", "2"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]}]}]]}], "\[Rule]", " ", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"4", " ", "\[ImaginaryI]", " ", "gRePsi", " ", 
         SuperscriptBox["s", "2"], " ", 
         SuperscriptBox["\[Tau]", "2"], " ", "\[Omega]", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
        SuperscriptBox["\[CapitalPi]", "4"]]}]}], ",", 
     RowBox[{
      FractionBox[
       RowBox[{"4", " ", "\[ImaginaryI]", " ", "gImPsi", " ", 
        SuperscriptBox["s", "2"], " ", "\[Omega]", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["s", "2"], "+", 
          SuperscriptBox["\[Omega]", "2"]}], ")"}], " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
       RowBox[{
        RowBox[{"8", " ", 
         SuperscriptBox["s", "4"]}], "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["s", "2"], " ", 
         SuperscriptBox["\[Omega]", "2"]}], "+", 
        SuperscriptBox["\[Omega]", "4"], "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["s", "3"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
        RowBox[{"4", " ", "s", " ", 
         SuperscriptBox["\[Omega]", "2"], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]]}]}]], "\[Rule]", " ", 
      RowBox[{"+", 
       FractionBox[
        RowBox[{"4", " ", "\[ImaginaryI]", " ", "gImPsi", " ", 
         SuperscriptBox["s", "2"], " ", 
         SuperscriptBox["\[Tau]", "2"], " ", "\[Omega]", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
        SuperscriptBox["\[CapitalPi]", "4"]]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"2", " ", "\[ImaginaryI]", " ", "g\[Theta]", " ", 
         SuperscriptBox["s", "2"], " ", "\[Omega]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"16", " ", 
            SuperscriptBox["s", "9"], " ", "\[Mu]S", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "9"}], " ", "\[Mu]Ss"}], "+", 
              RowBox[{"\[Mu]S", " ", "\[Mu]\[Theta]"}]}], ")"}]}], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "7"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "31"}], " ", "\[Mu]S", " ", "\[Mu]Ss"}], "-", 
              RowBox[{"16", " ", 
               SuperscriptBox["\[Mu]Ss", "2"]}], "+", 
              RowBox[{"3", " ", 
               SuperscriptBox["\[Mu]S", "2"], " ", "\[Mu]\[Theta]"}]}], ")"}],
             " ", 
            SuperscriptBox["\[Omega]", "2"]}], "+", 
           RowBox[{
            SuperscriptBox["s", "5"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "121"}], " ", "\[Mu]S", " ", "\[Mu]Ss"}], "-", 
              RowBox[{"224", " ", 
               SuperscriptBox["\[Mu]Ss", "2"]}], "+", 
              RowBox[{"9", " ", 
               SuperscriptBox["\[Mu]S", "2"], " ", "\[Mu]\[Theta]"}]}], ")"}],
             " ", 
            SuperscriptBox["\[Omega]", "4"]}], "+", 
           RowBox[{
            SuperscriptBox["s", "3"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "15"}], " ", "\[Mu]S", " ", "\[Mu]Ss"}], "-", 
              RowBox[{"112", " ", 
               SuperscriptBox["\[Mu]Ss", "2"]}], "+", 
              RowBox[{
               SuperscriptBox["\[Mu]S", "2"], " ", "\[Mu]\[Theta]"}]}], ")"}],
             " ", 
            SuperscriptBox["\[Omega]", "6"]}], "-", 
           RowBox[{"14", " ", "s", " ", 
            SuperscriptBox["\[Mu]Ss", "2"], " ", 
            SuperscriptBox["\[Omega]", "8"]}], "+", 
           RowBox[{"16", " ", 
            SuperscriptBox["s", "8"], " ", "\[Mu]S", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "9"}], " ", "\[Mu]Ss"}], "+", 
              RowBox[{"\[Mu]S", " ", "\[Mu]\[Theta]"}]}], ")"}], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
           RowBox[{"16", " ", 
            SuperscriptBox["s", "6"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "11"}], " ", "\[Mu]S", " ", "\[Mu]Ss"}], "-", 
              RowBox[{"8", " ", 
               SuperscriptBox["\[Mu]Ss", "2"]}], "+", 
              RowBox[{
               SuperscriptBox["\[Mu]S", "2"], " ", "\[Mu]\[Theta]"}]}], ")"}],
             " ", 
            SuperscriptBox["\[Omega]", "2"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
           RowBox[{
            SuperscriptBox["s", "4"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "51"}], " ", "\[Mu]S", " ", "\[Mu]Ss"}], "-", 
              RowBox[{"160", " ", 
               SuperscriptBox["\[Mu]Ss", "2"]}], "+", 
              RowBox[{"3", " ", 
               SuperscriptBox["\[Mu]S", "2"], " ", "\[Mu]\[Theta]"}]}], ")"}],
             " ", 
            SuperscriptBox["\[Omega]", "4"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}], "-", 
           RowBox[{"2", " ", 
            SuperscriptBox["s", "2"], " ", "\[Mu]Ss", " ", 
            RowBox[{"(", 
             RowBox[{"\[Mu]S", "+", 
              RowBox[{"24", " ", "\[Mu]Ss"}]}], ")"}], " ", 
            SuperscriptBox["\[Omega]", "6"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}], "-", 
           RowBox[{"2", " ", 
            SuperscriptBox["\[Mu]Ss", "2"], " ", 
            SuperscriptBox["\[Omega]", "8"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"\[Mu]S", " ", 
         SqrtBox["\[Mu]Ss"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"4", " ", 
            SuperscriptBox["s", "3"]}], "+", 
           RowBox[{"3", " ", "s", " ", 
            SuperscriptBox["\[Omega]", "2"]}], "+", 
           RowBox[{"4", " ", 
            SuperscriptBox["s", "2"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
           RowBox[{
            SuperscriptBox["\[Omega]", "2"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"8", " ", 
            SuperscriptBox["s", "4"]}], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "2"], " ", 
            SuperscriptBox["\[Omega]", "2"]}], "+", 
           SuperscriptBox["\[Omega]", "4"], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "3"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
           RowBox[{"4", " ", "s", " ", 
            SuperscriptBox["\[Omega]", "2"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"8", " ", 
            SuperscriptBox["s", "4"], " ", 
            SqrtBox["\[Mu]Ss"]}], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "2"], " ", 
            SqrtBox["\[Mu]Ss"], " ", "\[Mu]\[Theta]", " ", 
            SuperscriptBox["\[Omega]", "2"]}], "+", 
           RowBox[{
            SqrtBox["\[Mu]Ss"], " ", 
            SuperscriptBox["\[Mu]\[Theta]", "2"], " ", 
            SuperscriptBox["\[Omega]", "4"]}], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "3"], " ", 
            SqrtBox["\[Mu]\[Theta]"], " ", 
            SqrtBox[
             RowBox[{
              RowBox[{
               SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
              RowBox[{"\[Mu]Ss", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]}], "+", 
           RowBox[{"4", " ", "s", " ", 
            SuperscriptBox["\[Mu]\[Theta]", 
             RowBox[{"3", "/", "2"}]], " ", 
            SuperscriptBox["\[Omega]", "2"], " ", 
            SqrtBox[
             RowBox[{
              RowBox[{
               SuperscriptBox["s", "2"], " ", "\[Mu]S"}], "+", 
              RowBox[{"\[Mu]Ss", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}], ")"}]}], 
      "\[Rule]", " ", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"4", " ", "\[ImaginaryI]", " ", "g\[Theta]", " ", 
         SuperscriptBox["s", "2"], " ", "\[Omega]", " ", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           RowBox[{"\[Mu]\[Theta]", " ", 
            SuperscriptBox["\[Omega]", "2"]}]}], ")"}]}], 
        RowBox[{
         RowBox[{"8", " ", 
          SuperscriptBox["s", "3"], " ", "\[CapitalPi]\[Theta]"}], "+", 
         RowBox[{"4", " ", "s", " ", "\[Mu]\[Theta]", " ", 
          RowBox[{"(", 
           RowBox[{"s", "+", "\[CapitalPi]\[Theta]"}], ")"}], " ", 
          SuperscriptBox["\[Omega]", "2"]}], "+", 
         RowBox[{
          SuperscriptBox["\[Mu]\[Theta]", "2"], " ", 
          SuperscriptBox["\[Omega]", "4"]}]}]]}]}]}], "}"}]}], ";"}]], "Input",\

 CellChangeTimes->{{3.656197899122781*^9, 3.656197941277927*^9}, {
   3.6561991682945538`*^9, 3.656199183451766*^9}, {3.6561997845334177`*^9, 
   3.65619979419431*^9}, {3.656207541849846*^9, 3.656207561179963*^9}, {
   3.65620790588702*^9, 3.656207908553808*^9}, 3.65620798644872*^9, {
   3.656208033979836*^9, 3.656208068714076*^9}, 3.656208168917615*^9, {
   3.6562082688309298`*^9, 3.656208270203795*^9}, 3.656208371672751*^9, {
   3.656209281855721*^9, 3.656209283591557*^9}, 3.656209921248437*^9, {
   3.6562102533705587`*^9, 3.656210288589561*^9}, {3.656211006339246*^9, 
   3.656211006733775*^9}, {3.656211391393639*^9, 3.656211460503631*^9}, {
   3.656211795587142*^9, 3.6562118029975224`*^9}, {3.656212030645096*^9, 
   3.656212039824583*^9}, {3.656212107047235*^9, 3.656212113369508*^9}, {
   3.6562132059798737`*^9, 3.656213222663906*^9}, {3.6567154294683867`*^9, 
   3.656715454960326*^9}, {3.656717667620656*^9, 3.6567176746725817`*^9}, 
   3.656717865431085*^9, 3.656865706925136*^9, 3.656866568665759*^9, {
   3.665242539716847*^9, 3.6652425404166193`*^9}, 3.665243526921317*^9, {
   3.665243559394361*^9, 3.665243668747889*^9}, 3.665243709341467*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"gs\[Omega]Rule", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Collect", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"ChangeofVarRuleOldToNew", "[", 
             RowBox[{"[", "9", "]"}], "]"}], "/.", "BsimSolnRule"}], "/.", 
           "GaugeBCSoln"}], "/.", "UnTauRules"}], "/.", "PhysSoln"}], "/.", 
        "Use\[Mu]SsRules"}], "/.", "CPBCSoln"}], ",", "bcVec", ",", 
      "Simplify"}], "]"}], "/.", "\[Gamma]s\[Omega]ReductionRules"}], "/.", 
   "\[CapitalPi]Rule"}]}]], "Input",
 CellChangeTimes->{{3.6560321400403976`*^9, 3.6560322484194403`*^9}, {
   3.656032279966917*^9, 3.6560322969238234`*^9}, {3.656032379242381*^9, 
   3.6560325441767387`*^9}, {3.656032575293243*^9, 3.6560326085463133`*^9}, {
   3.656032680747472*^9, 3.656032782574668*^9}, {3.656032813357417*^9, 
   3.656032926380843*^9}, {3.65603307700292*^9, 3.656033088932745*^9}, {
   3.6560332897010937`*^9, 3.656033338702046*^9}, {3.656033465993292*^9, 
   3.656033489288835*^9}, {3.656033572784129*^9, 3.656033645186635*^9}, {
   3.656034866797659*^9, 3.656034940515917*^9}, 3.656035038954814*^9, {
   3.656035131653098*^9, 3.656035198665189*^9}, {3.6560352435227222`*^9, 
   3.656035300431005*^9}, {3.6560356343499737`*^9, 3.656035672444161*^9}, {
   3.656035817832074*^9, 3.656035844599579*^9}, {3.6560359155184402`*^9, 
   3.656035918733831*^9}, {3.656035955686489*^9, 3.65603603550858*^9}, {
   3.656036094821041*^9, 3.656036125468062*^9}, {3.656036167004251*^9, 
   3.656036193536058*^9}, 3.656079981711267*^9, 3.656080153689691*^9, {
   3.656080233276739*^9, 3.656080239655778*^9}, {3.6561091196215343`*^9, 
   3.656109127651067*^9}, {3.6561091640906277`*^9, 3.6561091834516277`*^9}, {
   3.656109220032745*^9, 3.656109231619521*^9}, 3.656109280832472*^9, {
   3.656109316909128*^9, 3.656109397516721*^9}, {3.656109441420444*^9, 
   3.6561094459422827`*^9}, {3.65610947661059*^9, 3.6561094927382183`*^9}, {
   3.656109547561638*^9, 3.656109555651408*^9}, {3.6561096316301947`*^9, 
   3.6561096858354597`*^9}, {3.6561097265151052`*^9, 3.656109739877789*^9}, {
   3.6562121244273367`*^9, 3.656212173331787*^9}, {3.656212232934086*^9, 
   3.6562122794609737`*^9}, 3.65621242039013*^9, 3.656212481108452*^9, {
   3.656212526170944*^9, 3.6562125527290297`*^9}, {3.656865347371523*^9, 
   3.656865349445182*^9}, {3.656865683265004*^9, 3.656865685314679*^9}, {
   3.656866082560781*^9, 3.656866083704136*^9}, {3.6652422830649023`*^9, 
   3.6652422860860367`*^9}, 3.6652425508606853`*^9, {3.665242582886146*^9, 
   3.665242583350253*^9}, {3.665242645436811*^9, 3.6652426638710546`*^9}, {
   3.665243196090852*^9, 3.6652432218142*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"gs\[Omega]", "[", "x", "]"}], "\[Rule]", 
  RowBox[{
   FractionBox[
    RowBox[{"4", " ", "gZ\[Omega]", " ", "s", " ", 
     SuperscriptBox["\[Tau]", "3"]}], 
    SuperscriptBox["\[CapitalPi]", "4"]], "+", 
   FractionBox[
    RowBox[{"g\[Beta]\[Omega]", " ", "\[Mu]S", " ", 
     SuperscriptBox["\[Tau]\[Mu]S", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox["s", "2"]}], "+", 
       RowBox[{"2", " ", "\[Mu]S", " ", 
        SuperscriptBox["\[Tau]\[Mu]S", "2"]}]}], ")"}]}], 
    SuperscriptBox["\[CapitalPi]\[Mu]S", "4"]], "-", 
   FractionBox[
    RowBox[{"2", " ", "\[ImaginaryI]", " ", "gZs", " ", "s", " ", 
     SuperscriptBox["\[Tau]", "2"], " ", "\[Omega]"}], 
    SuperscriptBox["\[CapitalPi]", "4"]], "+", 
   FractionBox[
    RowBox[{"2", " ", "\[ImaginaryI]", " ", "g\[Alpha]", " ", 
     SuperscriptBox["s", "3"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Eta]L"}], ")"}], " ", "\[Mu]L", " ", 
     "\[Tau]\[Mu]L", " ", "\[Omega]"}], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", 
     SuperscriptBox["\[CapitalPi]\[Mu]L", "5"]}]], "-", 
   FractionBox[
    RowBox[{"2", " ", "\[ImaginaryI]", " ", "g\[Beta]s", " ", 
     SuperscriptBox["s", "2"], " ", "\[Mu]Ss", " ", "\[Tau]\[Mu]Ss", " ", 
     "\[Omega]"}], 
    SuperscriptBox["\[CapitalPi]\[Mu]Ss", "4"]], "+", 
   FractionBox[
    RowBox[{"4", " ", "\[ImaginaryI]", " ", "g\[Theta]", " ", 
     SuperscriptBox["s", "2"], " ", "\[Mu]\[Theta]", " ", "\[Tau]\[Theta]", 
     " ", "\[Omega]"}], 
    RowBox[{
     RowBox[{"8", " ", 
      SuperscriptBox["s", "3"], " ", "\[CapitalPi]\[Theta]"}], "+", 
     RowBox[{"4", " ", "s", " ", "\[Mu]\[Theta]", " ", 
      RowBox[{"(", 
       RowBox[{"s", "+", "\[CapitalPi]\[Theta]"}], ")"}], " ", 
      SuperscriptBox["\[Omega]", "2"]}], "+", 
     RowBox[{
      SuperscriptBox["\[Mu]\[Theta]", "2"], " ", 
      SuperscriptBox["\[Omega]", "4"]}]}]], "+", 
   FractionBox[
    RowBox[{"4", " ", "\[ImaginaryI]", " ", "gRePsi", " ", 
     SuperscriptBox["s", "2"], " ", "\[Tau]", " ", "\[Omega]", " ", 
     RowBox[{"Cos", "[", 
      RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
    SuperscriptBox["\[CapitalPi]", "4"]], "-", 
   FractionBox[
    RowBox[{"4", " ", "\[ImaginaryI]", " ", "gImPsi", " ", 
     SuperscriptBox["s", "2"], " ", "\[Tau]", " ", "\[Omega]", " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
    SuperscriptBox["\[CapitalPi]", "4"]]}]}]], "Output",
 CellChangeTimes->{{3.6560349108290567`*^9, 3.656034940937405*^9}, {
   3.6560351342175217`*^9, 3.656035160494594*^9}, {3.656035245319276*^9, 
   3.656035301024029*^9}, {3.656035644983679*^9, 3.656035673241148*^9}, {
   3.6560358270725613`*^9, 3.656035845239876*^9}, 3.6560359564826803`*^9, 
   3.656035987619995*^9, 3.656036018325082*^9, {3.656036095460022*^9, 
   3.656036115228054*^9}, {3.656036167649453*^9, 3.656036194273621*^9}, {
   3.656079976597053*^9, 3.656079982402994*^9}, 3.656080156840518*^9, 
   3.65608024044287*^9, 3.656080812346738*^9, 3.656109140151772*^9, 
   3.656109224366341*^9, 3.6561092815329733`*^9, {3.656109332169454*^9, 
   3.656109360787497*^9}, 3.6561093988233013`*^9, 3.656109477354225*^9, 
   3.6561095560262527`*^9, {3.656109646459012*^9, 3.656109673019474*^9}, {
   3.6561097109894867`*^9, 3.656109745942692*^9}, 3.6561114596722*^9, 
   3.656113702199362*^9, 3.656178623625959*^9, {3.6562121595248117`*^9, 
   3.656212165123901*^9}, 3.656212215113999*^9, {3.656212262639543*^9, 
   3.6562122800413027`*^9}, 3.656212468079733*^9, {3.6562125297100897`*^9, 
   3.656212553384696*^9}, 3.65621378053561*^9, 3.656214306895567*^9, 
   3.656715472549324*^9, 3.6567158398738823`*^9, 3.6567176978377237`*^9, 
   3.656717913233923*^9, 3.656718618672159*^9, 3.6567662909631023`*^9, 
   3.656865394878434*^9, 3.656865729338546*^9, 3.6568658633188257`*^9, 
   3.656865949056264*^9, 3.656866126773947*^9, 3.656866614045023*^9, 
   3.656867722701304*^9, 3.665147238629566*^9, 3.6652422726786423`*^9, 
   3.665242525063162*^9, {3.6652425804135227`*^9, 3.6652425845422993`*^9}, 
   3.6652426478625603`*^9, 3.665242714895072*^9, 3.665242821702896*^9, 
   3.6652428839114122`*^9, {3.665243208671402*^9, 3.6652432224490843`*^9}, 
   3.66524350505468*^9, 3.665243716724205*^9, 3.665244832811076*^9, 
   3.678108829187264*^9, 3.678109874621537*^9, 3.680866499998865*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dgs\[Omega]Rule", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Collect", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"ChangeofVarRuleOldToNew", "[", 
             RowBox[{"[", "12", "]"}], "]"}], "/.", "BsimSolnRule"}], "/.", 
           "GaugeBCSoln"}], "/.", "UnTauRules"}], "/.", "PhysSoln"}], "/.", 
        "Use\[Mu]SsRules"}], "/.", "CPBCSoln"}], ",", "bcVec", ",", 
      "FullSimplify"}], "]"}], "//.", "D\[Gamma]s\[Omega]ReductionRules"}], "/.",
    "\[CapitalPi]Rule"}]}]], "Input",
 CellChangeTimes->{{3.6560321400403976`*^9, 3.6560322484194403`*^9}, {
   3.656032279966917*^9, 3.6560322969238234`*^9}, {3.656032379242381*^9, 
   3.6560325441767387`*^9}, {3.656032575293243*^9, 3.6560326085463133`*^9}, {
   3.656032680747472*^9, 3.656032782574668*^9}, {3.656032813357417*^9, 
   3.656032926380843*^9}, {3.65603307700292*^9, 3.656033088932745*^9}, {
   3.6560332897010937`*^9, 3.656033338702046*^9}, {3.656033465993292*^9, 
   3.656033489288835*^9}, {3.656033572784129*^9, 3.656033645186635*^9}, {
   3.656034866797659*^9, 3.656034940515917*^9}, 3.656035038954814*^9, {
   3.656035131653098*^9, 3.656035198665189*^9}, {3.6560352435227222`*^9, 
   3.656035331311975*^9}, {3.656036215426647*^9, 3.656036271153048*^9}, {
   3.656036316609421*^9, 3.656036454816762*^9}, 3.656036846692502*^9, 
   3.656036877635509*^9, 3.6560369281712503`*^9, {3.656036959167136*^9, 
   3.656036962361043*^9}, {3.656037005752956*^9, 3.656037039812336*^9}, 
   3.656079992246963*^9, {3.656080282928529*^9, 3.6560803104015083`*^9}, {
   3.656109779900051*^9, 3.656109796198599*^9}, {3.6561098302195883`*^9, 
   3.656109847901832*^9}, {3.6561100426303043`*^9, 3.656110052408342*^9}, {
   3.656110125261495*^9, 3.656110160443715*^9}, {3.6561101978056507`*^9, 
   3.65611027218808*^9}, {3.656110566828382*^9, 3.656110568066966*^9}, {
   3.656110623574648*^9, 3.6561106260496817`*^9}, {3.656212210232047*^9, 
   3.656212215026733*^9}, {3.656212557586053*^9, 3.6562126070789433`*^9}, {
   3.656212687191318*^9, 3.656212701802724*^9}, {3.6562127455648127`*^9, 
   3.65621275818366*^9}, 3.656213132696231*^9, 3.6562131997911863`*^9, {
   3.656213237468965*^9, 3.6562132380608063`*^9}, 3.6562132782249517`*^9, {
   3.65686535420004*^9, 3.656865355803753*^9}, {3.6568665730877934`*^9, 
   3.65686657561551*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Dgs\[Omega]", "[", "x", "]"}], "\[Rule]", 
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{"4", " ", "gZ\[Omega]", " ", "s", " ", 
      SuperscriptBox["\[Tau]", "4"]}], 
     SuperscriptBox["\[CapitalPi]", "4"]]}], "+", 
   FractionBox[
    RowBox[{"g\[Beta]\[Omega]", " ", "\[Mu]S", " ", 
     SuperscriptBox["\[Tau]\[Mu]S", "3"], " ", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["s", "2"], "-", 
       RowBox[{"2", " ", "\[Mu]S", " ", 
        SuperscriptBox["\[Tau]\[Mu]S", "2"]}]}], ")"}]}], 
    SuperscriptBox["\[CapitalPi]\[Mu]S", "4"]], "+", 
   FractionBox[
    RowBox[{"2", " ", "\[ImaginaryI]", " ", "gZs", " ", "s", " ", 
     SuperscriptBox["\[Tau]", "3"], " ", "\[Omega]"}], 
    SuperscriptBox["\[CapitalPi]", "4"]], "-", 
   FractionBox[
    RowBox[{"2", " ", "\[ImaginaryI]", " ", "g\[Alpha]", " ", 
     SuperscriptBox["s", "3"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Eta]L"}], ")"}], " ", "\[Mu]L", " ", 
     SuperscriptBox["\[Tau]\[Mu]L", "2"], " ", "\[Omega]"}], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Mu]L", "-", "\[Mu]Ss"}], ")"}], " ", 
     SuperscriptBox["\[CapitalPi]\[Mu]L", "5"]}]], "+", 
   FractionBox[
    RowBox[{"2", " ", "\[ImaginaryI]", " ", "g\[Beta]s", " ", 
     SuperscriptBox["s", "2"], " ", "\[Mu]Ss", " ", 
     SuperscriptBox["\[Tau]\[Mu]Ss", "2"], " ", "\[Omega]"}], 
    SuperscriptBox["\[CapitalPi]\[Mu]Ss", "4"]], "-", 
   FractionBox[
    RowBox[{"4", " ", "\[ImaginaryI]", " ", "g\[Theta]", " ", 
     SuperscriptBox["s", "2"], " ", "\[Omega]", " ", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["s", "2"], "+", 
       RowBox[{"\[Mu]\[Theta]", " ", 
        SuperscriptBox["\[Omega]", "2"]}]}], ")"}]}], 
    RowBox[{
     RowBox[{"8", " ", 
      SuperscriptBox["s", "3"], " ", "\[CapitalPi]\[Theta]"}], "+", 
     RowBox[{"4", " ", "s", " ", "\[Mu]\[Theta]", " ", 
      RowBox[{"(", 
       RowBox[{"s", "+", "\[CapitalPi]\[Theta]"}], ")"}], " ", 
      SuperscriptBox["\[Omega]", "2"]}], "+", 
     RowBox[{
      SuperscriptBox["\[Mu]\[Theta]", "2"], " ", 
      SuperscriptBox["\[Omega]", "4"]}]}]], "-", 
   FractionBox[
    RowBox[{"4", " ", "\[ImaginaryI]", " ", "gRePsi", " ", 
     SuperscriptBox["s", "2"], " ", 
     SuperscriptBox["\[Tau]", "2"], " ", "\[Omega]", " ", 
     RowBox[{"Cos", "[", 
      RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
    SuperscriptBox["\[CapitalPi]", "4"]], "+", 
   FractionBox[
    RowBox[{"4", " ", "\[ImaginaryI]", " ", "gImPsi", " ", 
     SuperscriptBox["s", "2"], " ", 
     SuperscriptBox["\[Tau]", "2"], " ", "\[Omega]", " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
    SuperscriptBox["\[CapitalPi]", "4"]]}]}]], "Output",
 CellChangeTimes->{
  3.656212642969396*^9, {3.656212737878334*^9, 3.6562127602003508`*^9}, 
   3.6562131689308434`*^9, {3.656213273183626*^9, 3.656213280035652*^9}, 
   3.656213790483201*^9, 3.6562143404054737`*^9, 3.656715502439831*^9, 
   3.656717943265242*^9, 3.6567186496372833`*^9, 3.656766322143127*^9, 
   3.656865425149624*^9, 3.656866643220145*^9, 3.656867750803926*^9, 
   3.665147268170483*^9, 3.6652435328997517`*^9, 3.6652437195104103`*^9, 
   3.6652448352679043`*^9, 3.6781088317687693`*^9, 3.6781098766478148`*^9, 
   3.680866502993536*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["\[Gamma]s\[Nu]", "Text",
 CellChangeTimes->{{3.6514101294436073`*^9, 3.6514101367745953`*^9}, {
  3.655816128956986*^9, 3.6558161392342777`*^9}, {3.655907107401081*^9, 
  3.655907110328779*^9}, {3.6559071428893213`*^9, 3.655907176296447*^9}, {
  3.655907253683921*^9, 3.655907268147191*^9}, {3.656016152619293*^9, 
  3.6560161572305393`*^9}, {3.656030636385325*^9, 3.656030664335841*^9}, {
  3.656032108745384*^9, 3.656032115295807*^9}, {3.656034858829646*^9, 
  3.656034861828116*^9}, {3.656381130231392*^9, 3.6563811303339767`*^9}}],

Cell[CellGroupData[{

Cell["Define rules to simplify  the coefficients ", "Text",
 CellChangeTimes->{{3.656179361884219*^9, 3.656179397548088*^9}, {
  3.656197829904808*^9, 3.656197872593563*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Gamma]\[Nu]\[Nu]ReductionRules", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox["g\[Beta]\[Nu]", 
       RowBox[{"7", "+", 
        FractionBox[
         RowBox[{"\[Mu]S", " ", 
          SuperscriptBox["\[Omega]", "2"]}], 
         SuperscriptBox["s", "2"]], "+", 
        FractionBox[
         SuperscriptBox["s", "2"], 
         RowBox[{
          SuperscriptBox["s", "2"], "+", 
          RowBox[{"\[Mu]S", " ", 
           SuperscriptBox["\[Omega]", "2"]}]}]], "+", 
        FractionBox[
         RowBox[{"4", " ", "s"}], 
         SqrtBox[
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           RowBox[{"\[Mu]S", " ", 
            SuperscriptBox["\[Omega]", "2"]}]}]]], "+", 
        FractionBox[
         RowBox[{"4", " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            RowBox[{"\[Mu]S", " ", 
             SuperscriptBox["\[Omega]", "2"]}]}]]}], "s"]}]], "\[Rule]", " ", 
      
      FractionBox[
       RowBox[{"g\[Beta]\[Nu]", " ", 
        SuperscriptBox["s", "2"], " ", "\[Mu]S", " ", 
        SuperscriptBox["\[Tau]\[Mu]S", "2"]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"s", "+", 
          RowBox[{
           SqrtBox["\[Mu]S"], " ", "\[Tau]\[Mu]S"}]}], ")"}], "4"]]}], ",", 
     RowBox[{
      FractionBox["gZ\[Nu]", 
       RowBox[{"2", "+", 
        FractionBox[
         RowBox[{
          RowBox[{"8", " ", 
           SuperscriptBox["s", "5"]}], "+", 
          RowBox[{"12", " ", 
           SuperscriptBox["s", "3"], " ", 
           SuperscriptBox["\[Omega]", "2"]}], "+", 
          RowBox[{"4", " ", "s", " ", 
           SuperscriptBox["\[Omega]", "4"]}], "+", 
          RowBox[{
           SuperscriptBox["\[Omega]", "4"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]]}]}], 
         RowBox[{"4", " ", 
          SuperscriptBox["s", "2"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}], ")"}], 
           RowBox[{"3", "/", "2"}]]}]]}]], "\[Rule]", " ", 
      FractionBox[
       RowBox[{"4", " ", "gZ\[Nu]", " ", 
        SuperscriptBox["s", "2"], " ", 
        SuperscriptBox["\[Tau]", "2"]}], 
       SuperscriptBox["\[CapitalPi]", "4"]]}], ",", 
     RowBox[{
      FractionBox[
       RowBox[{"4", " ", "\[ImaginaryI]", " ", "gImPsi", " ", 
        SuperscriptBox["s", "3"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"8", " ", 
           SuperscriptBox["s", "4"]}], "+", 
          RowBox[{"8", " ", 
           SuperscriptBox["s", "2"], " ", 
           SuperscriptBox["\[Omega]", "2"]}], "+", 
          SuperscriptBox["\[Omega]", "4"], "-", 
          RowBox[{"8", " ", 
           SuperscriptBox["s", "3"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]]}], "-", 
          RowBox[{"4", " ", "s", " ", 
           SuperscriptBox["\[Omega]", "2"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}], " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
       SuperscriptBox["\[Omega]", "7"]], "\[Rule]", " ", 
      FractionBox[
       RowBox[{"4", " ", "\[ImaginaryI]", " ", "gImPsi", " ", 
        SuperscriptBox["s", "3"], " ", "\[Omega]", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
       SuperscriptBox["\[CapitalPi]", "4"]]}], ",", 
     RowBox[{
      FractionBox[
       RowBox[{"4", " ", "\[ImaginaryI]", " ", "gRePsi", " ", 
        SuperscriptBox["s", "3"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"8", " ", 
           SuperscriptBox["s", "4"]}], "+", 
          RowBox[{"8", " ", 
           SuperscriptBox["s", "2"], " ", 
           SuperscriptBox["\[Omega]", "2"]}], "+", 
          SuperscriptBox["\[Omega]", "4"], "-", 
          RowBox[{"8", " ", 
           SuperscriptBox["s", "3"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]]}], "-", 
          RowBox[{"4", " ", "s", " ", 
           SuperscriptBox["\[Omega]", "2"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}], " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
       SuperscriptBox["\[Omega]", "7"]], "\[Rule]", 
      RowBox[{"+", 
       FractionBox[
        RowBox[{"4", " ", "\[ImaginaryI]", " ", "gRePsi", " ", 
         SuperscriptBox["s", "3"], " ", "\[Omega]", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
        SuperscriptBox["\[CapitalPi]", "4"]]}]}]}], " ", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.656197317136907*^9, {3.656197591356351*^9, 3.656197615134934*^9}, {
   3.6561976985016327`*^9, 3.656197713716668*^9}, {3.656197890200432*^9, 
   3.6561978944471827`*^9}, {3.656198524527907*^9, 3.656198573437891*^9}, 
   3.6561986292644167`*^9, 3.6561986845292597`*^9, 3.656198751625868*^9, 
   3.656199114468399*^9, {3.6561997806369667`*^9, 3.656199789553647*^9}, {
   3.656201244134453*^9, 3.656201263154828*^9}, {3.6562072728008127`*^9, 
   3.656207288049733*^9}, {3.656209230409919*^9, 3.656209262528981*^9}, 
   3.6562092971802*^9, {3.656209342010572*^9, 3.65620934789705*^9}, 
   3.6562093820838118`*^9, 3.6562098859687853`*^9, {3.656210998812744*^9, 
   3.656211064854113*^9}, {3.656211780511688*^9, 3.6562118257315893`*^9}, {
   3.6569052799645853`*^9, 3.656905304021256*^9}, {3.665243770970839*^9, 
   3.665243778346488*^9}, {3.665243813644459*^9, 3.6652438420942163`*^9}, {
   3.665243881323537*^9, 3.665243907289341*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"D\[Gamma]\[Nu]\[Nu]ReductionRules", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"g\[Beta]\[Nu]", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["s", "3"], "+", 
            RowBox[{"s", " ", "\[Mu]S", " ", 
             SuperscriptBox["\[Omega]", "2"]}]}], ")"}], "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "8"}], " ", 
            SuperscriptBox["s", "3"]}], "-", 
           RowBox[{"4", " ", "s", " ", "\[Mu]S", " ", 
            SuperscriptBox["\[Omega]", "2"]}], "+", 
           FractionBox[
            RowBox[{
             SuperscriptBox["\[Mu]S", "2"], " ", 
             SuperscriptBox["\[Omega]", "4"]}], 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              RowBox[{"\[Mu]S", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "2"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              RowBox[{"\[Mu]S", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]}]}], ")"}]}], 
        RowBox[{
         SuperscriptBox["\[Mu]S", 
          RowBox[{"9", "/", "2"}]], " ", 
         SuperscriptBox["\[Omega]", "8"]}]]}], "\[Rule]", " ", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"g\[Beta]\[Nu]", " ", 
         SuperscriptBox["s", "2"], " ", "\[Mu]S", " ", 
         SuperscriptBox["\[Tau]\[Mu]S", "3"]}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"s", "+", 
           RowBox[{
            SqrtBox["\[Mu]S"], " ", "\[Tau]\[Mu]S"}]}], ")"}], "4"]]}]}], ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"4", " ", "gZ\[Nu]", " ", 
         SuperscriptBox["s", "2"], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}], ")"}], 
          RowBox[{"3", "/", "2"}]]}], 
        RowBox[{
         RowBox[{"8", " ", 
          SuperscriptBox["s", "4"]}], "+", 
         RowBox[{"8", " ", 
          SuperscriptBox["s", "2"], " ", 
          SuperscriptBox["\[Omega]", "2"]}], "+", 
         SuperscriptBox["\[Omega]", "4"], "+", 
         RowBox[{"8", " ", 
          SuperscriptBox["s", "3"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]}], "+", 
         RowBox[{"4", " ", "s", " ", 
          SuperscriptBox["\[Omega]", "2"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]}]}]]}], "\[Rule]", " ", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"4", " ", "gZ\[Nu]", " ", 
         SuperscriptBox["s", "2"], " ", 
         SuperscriptBox["\[Tau]", "3"]}], 
        SuperscriptBox["\[CapitalPi]", "4"]]}]}], ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"4", " ", "\[ImaginaryI]", " ", "gImPsi", " ", 
         SuperscriptBox["s", "3"], " ", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "8"}], " ", 
            SuperscriptBox["s", "3"]}], "-", 
           RowBox[{"4", " ", "s", " ", 
            SuperscriptBox["\[Omega]", "2"]}], "+", 
           FractionBox[
            SuperscriptBox["\[Omega]", "4"], 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "2"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}], " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
        SuperscriptBox["\[Omega]", "7"]]}], "\[Rule]", " ", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"4", " ", "\[ImaginaryI]", " ", "gImPsi", " ", 
         SuperscriptBox["s", "3"], " ", "\[Tau]", " ", "\[Omega]", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
        SuperscriptBox["\[CapitalPi]", "4"]]}]}], ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"4", " ", "\[ImaginaryI]", " ", "gRePsi", " ", 
         SuperscriptBox["s", "3"], " ", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "8"}], " ", 
            SuperscriptBox["s", "3"]}], "-", 
           RowBox[{"4", " ", "s", " ", 
            SuperscriptBox["\[Omega]", "2"]}], "+", 
           FractionBox[
            SuperscriptBox["\[Omega]", "4"], 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "2"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}], " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
        SuperscriptBox["\[Omega]", "7"]]}], "\[Rule]", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"4", " ", "\[ImaginaryI]", " ", "gRePsi", " ", 
         SuperscriptBox["s", "3"], " ", "\[Tau]", " ", "\[Omega]", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
        SuperscriptBox["\[CapitalPi]", "4"]]}]}]}], " ", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.656197899122781*^9, 3.656197941277927*^9}, {
   3.6561991682945538`*^9, 3.656199183451766*^9}, {3.6561997845334177`*^9, 
   3.65619979419431*^9}, {3.656207541849846*^9, 3.656207561179963*^9}, {
   3.65620790588702*^9, 3.656207908553808*^9}, 3.65620798644872*^9, {
   3.656208033979836*^9, 3.656208068714076*^9}, 3.656208168917615*^9, {
   3.6562082688309298`*^9, 3.656208270203795*^9}, 3.656208371672751*^9, {
   3.656209281855721*^9, 3.656209283591557*^9}, 3.656209921248437*^9, {
   3.6562102533705587`*^9, 3.656210288589561*^9}, {3.656211006339246*^9, 
   3.656211006733775*^9}, {3.656211391393639*^9, 3.656211460503631*^9}, {
   3.656211795587142*^9, 3.6562118029975224`*^9}, {3.656212030645096*^9, 
   3.656212039824583*^9}, {3.656905338963674*^9, 3.65690535739497*^9}, 
   3.665243787777972*^9, {3.665243931890242*^9, 3.665243990672307*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"gs\[Nu]Rule", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Collect", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"ChangeofVarRuleOldToNew", "[", 
             RowBox[{"[", "13", "]"}], "]"}], "/.", "BsimSolnRule"}], "/.", 
           "PhysSoln"}], "/.", "CPBCSoln"}], "/.", "UnTauRules"}], "/.", 
        "GaugeBCSoln"}], "/.", "Use\[Mu]SsRules"}], ",", "bcVec", ",", 
      "FullSimplify"}], "]"}], "//.", "\[Gamma]\[Nu]\[Nu]ReductionRules"}], "/.",
    "\[CapitalPi]Rule"}]}]], "Input",
 CellChangeTimes->{{3.6560321400403976`*^9, 3.6560322484194403`*^9}, {
   3.656032279966917*^9, 3.6560322969238234`*^9}, {3.656032379242381*^9, 
   3.6560325441767387`*^9}, {3.656032575293243*^9, 3.6560326085463133`*^9}, {
   3.656032680747472*^9, 3.656032782574668*^9}, {3.656032813357417*^9, 
   3.656032926380843*^9}, {3.65603307700292*^9, 3.656033088932745*^9}, {
   3.6560332897010937`*^9, 3.656033338702046*^9}, {3.656033465993292*^9, 
   3.656033489288835*^9}, {3.656033572784129*^9, 3.656033645186635*^9}, {
   3.656034866797659*^9, 3.656034940515917*^9}, 3.656035038954814*^9, {
   3.656035131653098*^9, 3.656035198665189*^9}, {3.6560352435227222`*^9, 
   3.656035300431005*^9}, 3.656079950184564*^9, 3.6561084012566423`*^9, {
   3.6561084615887413`*^9, 3.656108514826787*^9}, {3.656108546340613*^9, 
   3.6561085518315563`*^9}, {3.656108589204775*^9, 3.656108681786126*^9}, {
   3.656108714761031*^9, 3.656108732524279*^9}, {3.656108866075864*^9, 
   3.656108868418295*^9}, {3.65621152119282*^9, 3.65621155003238*^9}, {
   3.656211632763453*^9, 3.656211660718088*^9}, {3.656211715569858*^9, 
   3.6562117210072002`*^9}, 3.65621175930967*^9, {3.6562118125492764`*^9, 
   3.656211846266323*^9}, {3.6563811370610437`*^9, 3.6563811371266212`*^9}, {
   3.6563811847548923`*^9, 3.656381189795246*^9}, {3.656381281175728*^9, 
   3.656381306512952*^9}, {3.656381374103455*^9, 3.6563813816497107`*^9}, {
   3.656905290954892*^9, 3.6569053246552*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"gs\[Nu]", "[", "x", "]"}], "\[Rule]", 
  RowBox[{
   FractionBox[
    RowBox[{"4", " ", "gZ\[Nu]", " ", 
     SuperscriptBox["s", "2"], " ", 
     SuperscriptBox["\[Tau]", "2"]}], 
    SuperscriptBox["\[CapitalPi]", "4"]], "+", 
   FractionBox[
    RowBox[{"g\[Beta]\[Nu]", " ", 
     SuperscriptBox["s", "2"], " ", "\[Mu]S", " ", 
     SuperscriptBox["\[Tau]\[Mu]S", "2"]}], 
    SuperscriptBox["\[CapitalPi]\[Mu]S", "4"]], "+", 
   FractionBox[
    RowBox[{"4", " ", "\[ImaginaryI]", " ", "gImPsi", " ", 
     SuperscriptBox["s", "3"], " ", "\[Omega]", " ", 
     RowBox[{"Cos", "[", 
      RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
    SuperscriptBox["\[CapitalPi]", "4"]], "+", 
   FractionBox[
    RowBox[{"4", " ", "\[ImaginaryI]", " ", "gRePsi", " ", 
     SuperscriptBox["s", "3"], " ", "\[Omega]", " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
    SuperscriptBox["\[CapitalPi]", "4"]]}]}]], "Output",
 CellChangeTimes->{{3.6560349108290567`*^9, 3.656034940937405*^9}, {
   3.6560351342175217`*^9, 3.656035160494594*^9}, {3.656035245319276*^9, 
   3.656035301024029*^9}, 3.6560799523393517`*^9, 3.656080804853138*^9, {
   3.656108456979187*^9, 3.656108517150486*^9}, 3.656108590200221*^9, 
   3.656108644038052*^9, 3.6561086840756283`*^9, 3.6561087335656843`*^9, 
   3.656108870472487*^9, 3.656111451831787*^9, 3.6561136934220467`*^9, 
   3.65617855372062*^9, 3.6562115575722733`*^9, 3.656211661790904*^9, 
   3.656211721737183*^9, 3.656211760305984*^9, {3.656211837077745*^9, 
   3.656211847311956*^9}, 3.656213778282816*^9, 3.6562142527177267`*^9, 
   3.6563811913774548`*^9, 3.656381291457542*^9, {3.656381378929844*^9, 
   3.656381382726617*^9}, 3.656433337819192*^9, 3.656904483686428*^9, 
   3.656904516123954*^9, {3.656905320972397*^9, 3.656905325268578*^9}, 
   3.665147269047551*^9, 3.66524375577728*^9, 3.6652437965022907`*^9, 
   3.6652438504086123`*^9, 3.665243912980297*^9, 3.665244836160014*^9, 
   3.678108853256456*^9, 3.678109877455051*^9, 3.680866503939238*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dgs\[Nu]Rule", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Collect", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"ChangeofVarRuleOldToNew", "[", 
             RowBox[{"[", "16", "]"}], "]"}], "/.", "BsimSolnRule"}], "/.", 
           "PhysSoln"}], "/.", "CPBCSoln"}], "/.", "UnTauRules"}], "/.", 
        "GaugeBCSoln"}], "/.", "Use\[Mu]SsRules"}], ",", "bcVec", ",", 
      "FullSimplify"}], "]"}], "//.", "D\[Gamma]\[Nu]\[Nu]ReductionRules"}], "/.",
    "\[CapitalPi]Rule"}]}]], "Input",
 CellChangeTimes->{{3.6560321400403976`*^9, 3.6560322484194403`*^9}, {
   3.656032279966917*^9, 3.6560322969238234`*^9}, {3.656032379242381*^9, 
   3.6560325441767387`*^9}, {3.656032575293243*^9, 3.6560326085463133`*^9}, {
   3.656032680747472*^9, 3.656032782574668*^9}, {3.656032813357417*^9, 
   3.656032926380843*^9}, {3.65603307700292*^9, 3.656033088932745*^9}, {
   3.6560332897010937`*^9, 3.656033338702046*^9}, {3.656033465993292*^9, 
   3.656033489288835*^9}, {3.656033572784129*^9, 3.656033645186635*^9}, {
   3.656034866797659*^9, 3.656034940515917*^9}, 3.656035038954814*^9, {
   3.656035131653098*^9, 3.656035198665189*^9}, {3.6560352435227222`*^9, 
   3.656035331311975*^9}, 3.656079955712674*^9, {3.656108755770624*^9, 
   3.6561088318407297`*^9}, {3.6561088631289*^9, 3.656108929999158*^9}, {
   3.6562118747134867`*^9, 3.656211911122959*^9}, {3.656211944702051*^9, 
   3.656211959745296*^9}, {3.656211990989264*^9, 3.65621206003572*^9}, {
   3.656381140947937*^9, 3.656381141046741*^9}, {3.656381200992125*^9, 
   3.656381205918881*^9}, {3.6563814129053802`*^9, 3.65638144473387*^9}, {
   3.6563814980683527`*^9, 3.656381530262356*^9}, {3.656381594105887*^9, 
   3.6563816307720623`*^9}, {3.656905346446096*^9, 3.656905378932868*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Dgs\[Nu]", "[", "x", "]"}], "\[Rule]", 
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{"4", " ", "gZ\[Nu]", " ", 
      SuperscriptBox["s", "2"], " ", 
      SuperscriptBox["\[Tau]", "3"]}], 
     SuperscriptBox["\[CapitalPi]", "4"]]}], "-", 
   FractionBox[
    RowBox[{"g\[Beta]\[Nu]", " ", 
     SuperscriptBox["s", "2"], " ", "\[Mu]S", " ", 
     SuperscriptBox["\[Tau]\[Mu]S", "3"]}], 
    SuperscriptBox["\[CapitalPi]\[Mu]S", "4"]], "-", 
   FractionBox[
    RowBox[{"4", " ", "\[ImaginaryI]", " ", "gImPsi", " ", 
     SuperscriptBox["s", "3"], " ", "\[Tau]", " ", "\[Omega]", " ", 
     RowBox[{"Cos", "[", 
      RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
    SuperscriptBox["\[CapitalPi]", "4"]], "-", 
   FractionBox[
    RowBox[{"4", " ", "\[ImaginaryI]", " ", "gRePsi", " ", 
     SuperscriptBox["s", "3"], " ", "\[Tau]", " ", "\[Omega]", " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
    SuperscriptBox["\[CapitalPi]", "4"]]}]}]], "Output",
 CellChangeTimes->{{3.6560349108290567`*^9, 3.656034940937405*^9}, {
   3.6560351342175217`*^9, 3.656035160494594*^9}, {3.656035245319276*^9, 
   3.656035333251704*^9}, 3.656079958281127*^9, 3.656080806773746*^9, 
   3.6561087647822123`*^9, {3.65610881776457*^9, 3.6561088288093224`*^9}, {
   3.656108864487836*^9, 3.65610887538521*^9}, {3.656108923815351*^9, 
   3.656108930716959*^9}, 3.656111454277586*^9, 3.656113696173077*^9, 
   3.656178561541465*^9, 3.65621191962584*^9, 3.656211960509625*^9, {
   3.65621200424514*^9, 3.656212015026257*^9}, {3.656212056615266*^9, 
   3.6562120605293694`*^9}, 3.656213778471146*^9, 3.656214260075903*^9, 
   3.6563812084293737`*^9, 3.656381445686384*^9, 3.656381500342946*^9, {
   3.656381595108531*^9, 3.6563816313256807`*^9}, 3.656433338617165*^9, 
   3.656904550966226*^9, 3.6569053798968163`*^9, 3.6651472696759872`*^9, 
   3.66524375847134*^9, 3.665243797297923*^9, 3.665243995679675*^9, 
   3.665244836907831*^9, 3.678108854037024*^9, 3.678109878059165*^9, 
   3.680866504796789*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["\[Gamma]\[Omega]\[Nu]", "Text",
 CellChangeTimes->{{3.6514101294436073`*^9, 3.6514101367745953`*^9}, {
  3.655816128956986*^9, 3.6558161392342777`*^9}, {3.655907107401081*^9, 
  3.655907110328779*^9}, {3.6559071428893213`*^9, 3.655907176296447*^9}, {
  3.655907253683921*^9, 3.655907268147191*^9}, {3.656016152619293*^9, 
  3.6560161572305393`*^9}, {3.656030636385325*^9, 3.656030664335841*^9}, {
  3.656032108745384*^9, 3.656032115295807*^9}, {3.656034858829646*^9, 
  3.656034861828116*^9}, {3.65603538485105*^9, 3.656035386234824*^9}, {
  3.656035603276943*^9, 3.656035615659314*^9}, {3.656037092020093*^9, 
  3.65603709263489*^9}, {3.6560371544661407`*^9, 3.656037156264711*^9}}],

Cell[CellGroupData[{

Cell["Define rules to simplify  the coefficients ", "Text",
 CellChangeTimes->{{3.656179361884219*^9, 3.656179397548088*^9}, {
  3.656197829904808*^9, 3.656197872593563*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Gamma]\[Omega]\[Nu]ReductionRules", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{"\[ImaginaryI]", " ", "g\[Beta]\[Nu]", " ", 
          SqrtBox["\[Mu]S"], " ", "\[Omega]"}], 
         RowBox[{
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            RowBox[{"\[Mu]S", " ", 
             SuperscriptBox["\[Omega]", "2"]}]}]], " ", 
          RowBox[{"(", 
           RowBox[{"7", "+", 
            FractionBox[
             RowBox[{"\[Mu]S", " ", 
              SuperscriptBox["\[Omega]", "2"]}], 
             SuperscriptBox["s", "2"]], "+", 
            FractionBox[
             SuperscriptBox["s", "2"], 
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              RowBox[{"\[Mu]S", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]], "+", 
            FractionBox[
             RowBox[{"4", " ", "s"}], 
             SqrtBox[
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               RowBox[{"\[Mu]S", " ", 
                SuperscriptBox["\[Omega]", "2"]}]}]]], "+", 
            FractionBox[
             RowBox[{"4", " ", 
              SqrtBox[
               RowBox[{
                SuperscriptBox["s", "2"], "+", 
                RowBox[{"\[Mu]S", " ", 
                 SuperscriptBox["\[Omega]", "2"]}]}]]}], "s"]}], ")"}]}]]}], 
       ")"}], "\[Rule]", " ", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"\[ImaginaryI]", " ", "g\[Beta]\[Nu]", " ", 
         SuperscriptBox["s", "2"], " ", "\[Mu]S", " ", "\[Tau]\[Mu]S", " ", 
         "\[Omega]"}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"s", "+", 
           RowBox[{
            SqrtBox["\[Mu]S"], " ", "\[Tau]\[Mu]S"}]}], ")"}], "4"]]}]}], ",", 
     RowBox[{
      FractionBox[
       RowBox[{"2", " ", "\[ImaginaryI]", " ", "gZ\[Nu]", " ", 
        SuperscriptBox["s", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["s", "2"], "+", 
          SuperscriptBox["\[Omega]", "2"]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"16", " ", 
           SuperscriptBox["s", "5"]}], "+", 
          RowBox[{"20", " ", 
           SuperscriptBox["s", "3"], " ", 
           SuperscriptBox["\[Omega]", "2"]}], "+", 
          RowBox[{"5", " ", "s", " ", 
           SuperscriptBox["\[Omega]", "4"]}], "-", 
          RowBox[{"16", " ", 
           SuperscriptBox["s", "4"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]]}], "-", 
          RowBox[{"12", " ", 
           SuperscriptBox["s", "2"], " ", 
           SuperscriptBox["\[Omega]", "2"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]]}], "-", 
          RowBox[{
           SuperscriptBox["\[Omega]", "4"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}]}], 
       SuperscriptBox["\[Omega]", "9"]], "\[Rule]", " ", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"2", " ", "\[ImaginaryI]", " ", "gZ\[Nu]", " ", 
         SuperscriptBox["s", "2"], " ", 
         SuperscriptBox["\[Tau]", "2"], " ", "\[Omega]"}], 
        SuperscriptBox["\[CapitalPi]", "5"]]}]}], ",", 
     RowBox[{
      FractionBox[
       RowBox[{"4", " ", "gImPsi", " ", 
        SuperscriptBox["s", "3"], " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["s", "2"], "+", 
          SuperscriptBox["\[Omega]", "2"]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "8"}], " ", 
           SuperscriptBox["s", "3"]}], "-", 
          RowBox[{"4", " ", "s", " ", 
           SuperscriptBox["\[Omega]", "2"]}], "+", 
          FractionBox[
           SuperscriptBox["\[Omega]", "4"], 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]]], "+", 
          RowBox[{"8", " ", 
           SuperscriptBox["s", "2"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}], " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
       SuperscriptBox["\[Omega]", "8"]], "\[Rule]", " ", 
      FractionBox[
       RowBox[{"4", " ", "gImPsi", " ", 
        SuperscriptBox["s", "3"], " ", "\[Tau]", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
       SuperscriptBox["\[CapitalPi]", "4"]]}], ",", 
     RowBox[{
      RowBox[{"+", 
       FractionBox[
        RowBox[{"4", " ", "gRePsi", " ", 
         SuperscriptBox["s", "3"], " ", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "8"}], " ", 
            SuperscriptBox["s", "3"]}], "-", 
           RowBox[{"4", " ", "s", " ", 
            SuperscriptBox["\[Omega]", "2"]}], "+", 
           FractionBox[
            SuperscriptBox["\[Omega]", "4"], 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["s", "2"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["s", "2"], "+", 
              SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}], " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
        SuperscriptBox["\[Omega]", "8"]]}], "\[Rule]", 
      RowBox[{"+", 
       FractionBox[
        RowBox[{"4", " ", "gRePsi", " ", 
         SuperscriptBox["s", "3"], " ", "\[Tau]", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
        SuperscriptBox["\[CapitalPi]", "4"]]}]}]}], " ", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.656197317136907*^9, {3.656197591356351*^9, 3.656197615134934*^9}, {
   3.6561976985016327`*^9, 3.656197713716668*^9}, {3.656197890200432*^9, 
   3.6561978944471827`*^9}, {3.656198524527907*^9, 3.656198573437891*^9}, 
   3.6561986292644167`*^9, 3.6561986845292597`*^9, 3.656198751625868*^9, 
   3.656199114468399*^9, {3.6561997806369667`*^9, 3.656199789553647*^9}, {
   3.656201244134453*^9, 3.656201263154828*^9}, {3.6562072728008127`*^9, 
   3.656207288049733*^9}, {3.656209230409919*^9, 3.656209262528981*^9}, 
   3.6562092971802*^9, {3.656209342010572*^9, 3.65620934789705*^9}, 
   3.6562093820838118`*^9, 3.6562098859687853`*^9, {3.656210998812744*^9, 
   3.656211064854113*^9}, {3.656211780511688*^9, 3.6562118257315893`*^9}, {
   3.656212095961948*^9, 3.6562121032156773`*^9}, {3.656212484537594*^9, 
   3.656212510749056*^9}, {3.6562132975132227`*^9, 3.656213302213834*^9}, {
   3.656213450377152*^9, 3.656213458970141*^9}, {3.665244101883025*^9, 
   3.6652441059710207`*^9}, {3.66524413867994*^9, 3.665244147521482*^9}, {
   3.6652441923101263`*^9, 3.665244219643852*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"D\[Gamma]\[Omega]\[Nu]ReductionRules", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       FractionBox[
        RowBox[{"\[ImaginaryI]", " ", "g\[Beta]\[Nu]", " ", "\[Omega]"}], 
        RowBox[{"7", "+", 
         FractionBox[
          RowBox[{"\[Mu]S", " ", 
           SuperscriptBox["\[Omega]", "2"]}], 
          SuperscriptBox["s", "2"]], "+", 
         FractionBox[
          SuperscriptBox["s", "2"], 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           RowBox[{"\[Mu]S", " ", 
            SuperscriptBox["\[Omega]", "2"]}]}]], "+", 
         FractionBox[
          RowBox[{"4", " ", "s"}], 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            RowBox[{"\[Mu]S", " ", 
             SuperscriptBox["\[Omega]", "2"]}]}]]], "+", 
         FractionBox[
          RowBox[{"4", " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             RowBox[{"\[Mu]S", " ", 
              SuperscriptBox["\[Omega]", "2"]}]}]]}], "s"]}]], ")"}], 
      "\[Rule]", " ", 
      FractionBox[
       RowBox[{"\[ImaginaryI]", " ", "g\[Beta]\[Nu]", " ", 
        SuperscriptBox["s", "2"], " ", "\[Mu]S", " ", 
        SuperscriptBox["\[Tau]\[Mu]S", "2"], " ", "\[Omega]"}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"s", "+", 
          RowBox[{
           SqrtBox["\[Mu]S"], " ", "\[Tau]\[Mu]S"}]}], ")"}], "4"]]}], ",", 
     RowBox[{
      FractionBox[
       RowBox[{"2", " ", "\[ImaginaryI]", " ", "gZ\[Nu]", " ", 
        SuperscriptBox["s", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["s", "2"], "+", 
          SuperscriptBox["\[Omega]", "2"]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"16", " ", 
           SuperscriptBox["s", "6"]}], "+", 
          RowBox[{"28", " ", 
           SuperscriptBox["s", "4"], " ", 
           SuperscriptBox["\[Omega]", "2"]}], "+", 
          RowBox[{"13", " ", 
           SuperscriptBox["s", "2"], " ", 
           SuperscriptBox["\[Omega]", "4"]}], "+", 
          SuperscriptBox["\[Omega]", "6"], "-", 
          RowBox[{"16", " ", 
           SuperscriptBox["s", "5"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]]}], "-", 
          RowBox[{"20", " ", 
           SuperscriptBox["s", "3"], " ", 
           SuperscriptBox["\[Omega]", "2"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]]}], "-", 
          RowBox[{"5", " ", "s", " ", 
           SuperscriptBox["\[Omega]", "4"], " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]]}]}], ")"}]}], 
       SuperscriptBox["\[Omega]", "9"]], "\[Rule]", 
      FractionBox[
       RowBox[{"2", " ", "\[ImaginaryI]", " ", "gZ\[Nu]", " ", 
        SuperscriptBox["s", "2"], " ", 
        SuperscriptBox["\[Tau]", "3"], " ", "\[Omega]"}], 
       SuperscriptBox["\[CapitalPi]", "5"]]}], " ", ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"4", " ", "gImPsi", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
        RowBox[{
         FractionBox["7", "s"], "+", 
         FractionBox[
          SuperscriptBox["\[Omega]", "2"], 
          SuperscriptBox["s", "3"]], "+", 
         FractionBox["s", 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]], "+", 
         FractionBox["4", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]], "+", 
         FractionBox[
          RowBox[{"4", " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]]}], 
          SuperscriptBox["s", "2"]]}]]}], "\[Rule]", " ", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"4", " ", "gImPsi", " ", 
         SuperscriptBox["s", "3"], " ", 
         SuperscriptBox["\[Tau]", "2"], " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
        SuperscriptBox["\[CapitalPi]", "4"]]}]}], ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"4", " ", "gRePsi", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
        RowBox[{
         FractionBox["7", "s"], "+", 
         FractionBox[
          SuperscriptBox["\[Omega]", "2"], 
          SuperscriptBox["s", "3"]], "+", 
         FractionBox["s", 
          RowBox[{
           SuperscriptBox["s", "2"], "+", 
           SuperscriptBox["\[Omega]", "2"]}]], "+", 
         FractionBox["4", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["s", "2"], "+", 
            SuperscriptBox["\[Omega]", "2"]}]]], "+", 
         FractionBox[
          RowBox[{"4", " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["s", "2"], "+", 
             SuperscriptBox["\[Omega]", "2"]}]]}], 
          SuperscriptBox["s", "2"]]}]]}], "\[Rule]", " ", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"4", " ", "gRePsi", " ", 
         SuperscriptBox["s", "3"], " ", 
         SuperscriptBox["\[Tau]", "2"], " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
        SuperscriptBox["\[CapitalPi]", "4"]]}]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.656197899122781*^9, 3.656197941277927*^9}, {
   3.6561991682945538`*^9, 3.656199183451766*^9}, {3.6561997845334177`*^9, 
   3.65619979419431*^9}, {3.656207541849846*^9, 3.656207561179963*^9}, {
   3.65620790588702*^9, 3.656207908553808*^9}, 3.65620798644872*^9, {
   3.656208033979836*^9, 3.656208068714076*^9}, 3.656208168917615*^9, {
   3.6562082688309298`*^9, 3.656208270203795*^9}, 3.656208371672751*^9, {
   3.656209281855721*^9, 3.656209283591557*^9}, 3.656209921248437*^9, {
   3.6562102533705587`*^9, 3.656210288589561*^9}, {3.656211006339246*^9, 
   3.656211006733775*^9}, {3.656211391393639*^9, 3.656211460503631*^9}, {
   3.656211795587142*^9, 3.6562118029975224`*^9}, {3.656212030645096*^9, 
   3.656212039824583*^9}, {3.656212107047235*^9, 3.656212113369508*^9}, {
   3.6562132059798737`*^9, 3.656213222663906*^9}, {3.656213305618703*^9, 
   3.656213309461794*^9}, {3.656213549606648*^9, 3.656213554839266*^9}, {
   3.665244114674473*^9, 3.665244116010972*^9}, {3.6652442329076357`*^9, 
   3.6652442984095573`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"g\[Omega]\[Nu]Rule", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Collect", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"BsimSolnRule", "[", 
            RowBox[{"[", "19", "]"}], "]"}], "/.", "GaugeBCSoln"}], "/.", 
          "UnTauRules"}], "/.", "PhysSoln"}], "/.", "Use\[Mu]SsRules"}], "/.",
        "CPBCSoln"}], ",", "bcVec", ",", "FullSimplify"}], "]"}], "//.", 
    "\[Gamma]\[Omega]\[Nu]ReductionRules"}], "/.", 
   "\[CapitalPi]Rule"}]}]], "Input",
 CellChangeTimes->{{3.6560321400403976`*^9, 3.6560322484194403`*^9}, {
   3.656032279966917*^9, 3.6560322969238234`*^9}, {3.656032379242381*^9, 
   3.6560325441767387`*^9}, {3.656032575293243*^9, 3.6560326085463133`*^9}, {
   3.656032680747472*^9, 3.656032782574668*^9}, {3.656032813357417*^9, 
   3.656032926380843*^9}, {3.65603307700292*^9, 3.656033088932745*^9}, {
   3.6560332897010937`*^9, 3.656033338702046*^9}, {3.656033465993292*^9, 
   3.656033489288835*^9}, {3.656033572784129*^9, 3.656033645186635*^9}, {
   3.656034866797659*^9, 3.656034940515917*^9}, 3.656035038954814*^9, {
   3.656035131653098*^9, 3.656035198665189*^9}, {3.6560352435227222`*^9, 
   3.656035300431005*^9}, {3.6560356343499737`*^9, 3.656035672444161*^9}, {
   3.656035817832074*^9, 3.656035844599579*^9}, {3.6560359155184402`*^9, 
   3.656035918733831*^9}, {3.656035955686489*^9, 3.65603603550858*^9}, {
   3.656036094821041*^9, 3.656036125468062*^9}, {3.656036167004251*^9, 
   3.656036193536058*^9}, {3.6560370971628437`*^9, 3.656037115808299*^9}, {
   3.656037158851364*^9, 3.656037197674951*^9}, {3.656037245824705*^9, 
   3.656037248895315*^9}, {3.656080397405221*^9, 3.656080413631378*^9}, {
   3.656080574224347*^9, 3.656080595660034*^9}, {3.656080644325124*^9, 
   3.6560806486459*^9}, {3.6561106037237587`*^9, 3.656110604671165*^9}, {
   3.6561106436297283`*^9, 3.656110662890761*^9}, {3.656110702388214*^9, 
   3.656110728945119*^9}, {3.6561107929785833`*^9, 3.656110802655415*^9}, {
   3.656213316987719*^9, 3.656213352281567*^9}, {3.6562134164107027`*^9, 
   3.656213476195773*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"g\[Omega]\[Nu]", "[", "x", "]"}], "\[Rule]", 
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{"2", " ", "\[ImaginaryI]", " ", "gZ\[Nu]", " ", 
      SuperscriptBox["s", "2"], " ", 
      SuperscriptBox["\[Tau]", "2"], " ", "\[Omega]"}], 
     SuperscriptBox["\[CapitalPi]", "5"]]}], "-", 
   FractionBox[
    RowBox[{"\[ImaginaryI]", " ", "g\[Beta]\[Nu]", " ", 
     SuperscriptBox["s", "2"], " ", "\[Mu]S", " ", "\[Tau]\[Mu]S", " ", 
     "\[Omega]"}], 
    SuperscriptBox["\[CapitalPi]\[Mu]S", "4"]], "+", 
   FractionBox[
    RowBox[{"4", " ", "gImPsi", " ", 
     SuperscriptBox["s", "3"], " ", "\[Tau]", " ", 
     RowBox[{"Cos", "[", 
      RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
    SuperscriptBox["\[CapitalPi]", "4"]], "+", 
   FractionBox[
    RowBox[{"4", " ", "gRePsi", " ", 
     SuperscriptBox["s", "3"], " ", "\[Tau]", " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
    SuperscriptBox["\[CapitalPi]", "4"]]}]}]], "Output",
 CellChangeTimes->{
  3.656080414608376*^9, 3.656080466196761*^9, 3.656080580072378*^9, {
   3.6560806448772917`*^9, 3.656080649112171*^9}, 3.656080829421372*^9, 
   3.656110652742722*^9, 3.656110714887982*^9, {3.656110797894701*^9, 
   3.656110803227927*^9}, 3.656111464659162*^9, 3.656113707753502*^9, 
   3.656178657472632*^9, 3.656213360839047*^9, 3.6562134405191317`*^9, {
   3.656213473067432*^9, 3.656213476718605*^9}, 3.656213790715013*^9, 
   3.6562143502131433`*^9, 3.656717944088809*^9, 3.656718650405624*^9, 
   3.656766322899288*^9, 3.656866706624707*^9, 3.656867751485445*^9, 
   3.665147270310601*^9, 3.66524408823632*^9, 3.6652441212866507`*^9, {
   3.6652441684155693`*^9, 3.665244175799361*^9}, {3.665244222883891*^9, 
   3.665244252709222*^9}, 3.6652443013992767`*^9, 3.665244837640497*^9, 
   3.678108858912817*^9, 3.678109878785202*^9, 3.680866505580264*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dg\[Omega]\[Nu]Rule", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Collect", "[", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Collect", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"BsimSolnRule", "[", 
                RowBox[{"[", "20", "]"}], "]"}], "/.", "GaugeBCSoln"}], "/.", 
              "UnTauRules"}], "/.", "PhysSoln"}], "/.", "Use\[Mu]SsRules"}], "/.",
            "CPBCSoln"}], ",", "bcVec", ",", "FullSimplify"}], "]"}], "//", 
        "PowerExpand"}], ")"}], ",", "bcVec"}], "]"}], "//.", 
    "D\[Gamma]\[Omega]\[Nu]ReductionRules"}], "/.", 
   "\[CapitalPi]Rule"}]}]], "Input",
 CellChangeTimes->{{3.6560321400403976`*^9, 3.6560322484194403`*^9}, {
   3.656032279966917*^9, 3.6560322969238234`*^9}, {3.656032379242381*^9, 
   3.6560325441767387`*^9}, {3.656032575293243*^9, 3.6560326085463133`*^9}, {
   3.656032680747472*^9, 3.656032782574668*^9}, {3.656032813357417*^9, 
   3.656032926380843*^9}, {3.65603307700292*^9, 3.656033088932745*^9}, {
   3.6560332897010937`*^9, 3.656033338702046*^9}, {3.656033465993292*^9, 
   3.656033489288835*^9}, {3.656033572784129*^9, 3.656033645186635*^9}, {
   3.656034866797659*^9, 3.656034940515917*^9}, 3.656035038954814*^9, {
   3.656035131653098*^9, 3.656035198665189*^9}, {3.6560352435227222`*^9, 
   3.656035300431005*^9}, {3.6560356343499737`*^9, 3.656035672444161*^9}, {
   3.656035817832074*^9, 3.656035844599579*^9}, {3.6560359155184402`*^9, 
   3.656035918733831*^9}, {3.656035955686489*^9, 3.65603603550858*^9}, {
   3.656036094821041*^9, 3.656036125468062*^9}, {3.656036167004251*^9, 
   3.656036193536058*^9}, {3.6560370971628437`*^9, 3.656037115808299*^9}, {
   3.656037158851364*^9, 3.6560372223450413`*^9}, {3.656037390580682*^9, 
   3.656037397117326*^9}, {3.656037434515938*^9, 3.656037441213574*^9}, {
   3.656037507156455*^9, 3.6560375184416533`*^9}, 3.656080484158142*^9, {
   3.6561108175014877`*^9, 3.65611089254727*^9}, {3.65621348985082*^9, 
   3.656213567802867*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Dg\[Omega]\[Nu]", "[", "x", "]"}], "\[Rule]", 
  RowBox[{
   FractionBox[
    RowBox[{"2", " ", "\[ImaginaryI]", " ", "gZ\[Nu]", " ", 
     SuperscriptBox["s", "2"], " ", 
     SuperscriptBox["\[Tau]", "3"], " ", "\[Omega]"}], 
    SuperscriptBox["\[CapitalPi]", "5"]], "+", 
   FractionBox[
    RowBox[{"\[ImaginaryI]", " ", "g\[Beta]\[Nu]", " ", 
     SuperscriptBox["s", "2"], " ", "\[Mu]S", " ", 
     SuperscriptBox["\[Tau]\[Mu]S", "2"], " ", "\[Omega]"}], 
    SuperscriptBox["\[CapitalPi]\[Mu]S", "4"]], "-", 
   FractionBox[
    RowBox[{"4", " ", "gImPsi", " ", 
     SuperscriptBox["s", "3"], " ", 
     SuperscriptBox["\[Tau]", "2"], " ", 
     RowBox[{"Cos", "[", 
      RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
    SuperscriptBox["\[CapitalPi]", "4"]], "-", 
   FractionBox[
    RowBox[{"4", " ", "gRePsi", " ", 
     SuperscriptBox["s", "3"], " ", 
     SuperscriptBox["\[Tau]", "2"], " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"2", " ", "\[Phi]"}], "]"}]}], 
    SuperscriptBox["\[CapitalPi]", "4"]]}]}]], "Output",
 CellChangeTimes->{{3.6560349108290567`*^9, 3.656034940937405*^9}, {
   3.6560351342175217`*^9, 3.656035160494594*^9}, {3.656035245319276*^9, 
   3.656035301024029*^9}, {3.656035644983679*^9, 3.656035673241148*^9}, {
   3.6560358270725613`*^9, 3.656035845239876*^9}, 3.6560359564826803`*^9, 
   3.656035987619995*^9, 3.656036018325082*^9, {3.656036095460022*^9, 
   3.656036115228054*^9}, {3.656036167649453*^9, 3.656036194273621*^9}, 
   3.6560371669292297`*^9, {3.656037198807906*^9, 3.656037223369234*^9}, 
   3.656037397827642*^9, {3.6560375083573923`*^9, 3.656037519042845*^9}, 
   3.656080485216609*^9, 3.6560806606288157`*^9, 3.656080829915998*^9, 
   3.656110825330009*^9, {3.656110866568355*^9, 3.65611089318232*^9}, 
   3.656111465090756*^9, 3.656113708244698*^9, 3.656178657626171*^9, {
   3.656213495330771*^9, 3.656213568394298*^9}, 3.6562137907986307`*^9, 
   3.656214350560608*^9, 3.656717944705882*^9, 3.656718650915267*^9, 
   3.656766323453115*^9, 3.656866707222405*^9, 3.656867751976163*^9, 
   3.665147270717585*^9, 3.665244122497073*^9, 3.665244253943568*^9, 
   3.665244302912085*^9, 3.665244838662551*^9, 3.678108860182*^9, 
   3.678109879448786*^9, 3.680866506695531*^9}]
}, Open  ]]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Setup analysis tools: plots, and checker functions", "Subsection",
 CellChangeTimes->{{3.547058194716805*^9, 3.547058205203157*^9}, {
   3.54719962648418*^9, 3.5471996319637003`*^9}, 3.547208702887014*^9, {
   3.5482061480053577`*^9, 3.5482061523135157`*^9}, {3.651299035315319*^9, 
   3.651299038764303*^9}, {3.651408988322942*^9, 3.651409008417325*^9}, {
   3.65140918076015*^9, 3.651409182806637*^9}, {3.6514281791734056`*^9, 
   3.651428180156596*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"PlotRules", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"s", "\[Rule]", 
      RowBox[{"\[Eta]", "+", 
       RowBox[{"I", " ", "\[Xi]"}]}]}], ",", 
     RowBox[{"\[Omega]", "\[Rule]", "1"}], ",", 
     RowBox[{"\[Mu]L", "\[Rule]", "2"}], ",", 
     RowBox[{"\[Mu]S", "\[Rule]", 
      RowBox[{"\[Mu]SRatio", " ", "\[Mu]Ss"}]}], ",", 
     RowBox[{"\[Mu]Ss", "\[Rule]", "3"}], ",", 
     RowBox[{"\[Mu]SRatio", "\[Rule]", 
      RowBox[{"3", "/", "4"}]}], ",", 
     RowBox[{"\[Eta]L", "\[Rule]", "0"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.651292274734797*^9, 3.651292323634054*^9}, {
   3.6512925113048058`*^9, 3.6512925368572617`*^9}, {3.651292568689427*^9, 
   3.651292568978833*^9}, {3.651292853280181*^9, 3.651292898448588*^9}, {
   3.651298405468363*^9, 3.651298409966984*^9}, {3.651298647304441*^9, 
   3.651298674958693*^9}, 3.6512987565416527`*^9, {3.65621437969376*^9, 
   3.656214383477809*^9}, 3.656214495476529*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"test", " ", "for", " ", "wave", " ", 
    RowBox[{"gauge", " ", "--"}], " ", "these", " ", "need", " ", "to", " ", 
    "passed", " ", "to", " ", "make", " ", "the", " ", "last", " ", "big", 
    " ", "section", " ", "plot", " ", "correctly"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"PlotRulesWaveGauge", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"s", "\[Rule]", 
       RowBox[{"\[Eta]", "+", 
        RowBox[{"I", " ", "\[Xi]"}]}]}], ",", 
      RowBox[{"\[Omega]", "\[Rule]", "1"}], ",", 
      RowBox[{"\[Mu]L", "\[Rule]", "2"}], ",", 
      RowBox[{"\[Eta]L", "\[Rule]", 
       FractionBox["\[Mu]Ss", "\[Mu]L"]}], ",", 
      RowBox[{"\[Mu]S", "\[Rule]", 
       RowBox[{"\[Mu]SRatio", " ", "\[Mu]Ss"}]}], ",", 
      RowBox[{"\[Mu]Ss", "\[Rule]", "3"}], ",", 
      RowBox[{"\[Mu]SRatio", "\[Rule]", "1"}]}], "}"}]}], ";"}]}]], "Input",
 CellChangeTimes->{
  3.6526127766202917`*^9, {3.652612830858374*^9, 3.652612835606379*^9}, {
   3.652613284795548*^9, 3.652613291935218*^9}, {3.65261415408736*^9, 
   3.652614182696658*^9}, {3.6562143902224503`*^9, 3.6562143929742813`*^9}, 
   3.656214498814213*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"PlotBS", "[", 
   RowBox[{"Coeff_", ",", 
    RowBox[{"{", 
     RowBox[{"\[Eta]a_", ",", "\[Eta]b_"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Xi]a_", ",", "\[Xi]b_"}], "}"}], ",", 
    RowBox[{"opts", ":", 
     RowBox[{"OptionsPattern", "[", "]"}]}]}], "]"}], ":=", 
  RowBox[{"Plot3D", "[", 
   RowBox[{
    RowBox[{"Abs", "[", 
     RowBox[{"(", 
      RowBox[{"Coeff", "//.", "PlotRules"}], ")"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Eta]", ",", "\[Eta]a", ",", "\[Eta]b"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Xi]", ",", "\[Xi]a", ",", "\[Xi]b"}], "}"}], ",", 
    RowBox[{"Evaluate", "[", 
     RowBox[{"FilterRules", "[", 
      RowBox[{
       RowBox[{"{", "opts", "}"}], ",", 
       RowBox[{"Options", "[", "Plot3D", "]"}]}], "]"}], "]"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.651297608357046*^9, 3.651297688396305*^9}, {
   3.651297832631577*^9, 3.6512980411462517`*^9}, {3.6512980715265303`*^9, 
   3.651298105710928*^9}, 3.6512987880232563`*^9, {3.6512996808592463`*^9, 
   3.6512996810570593`*^9}, {3.65129985582369*^9, 3.6512998675762978`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"CheckForBlowUp", ":=", 
   RowBox[{"(", 
    RowBox[{"Function", "[", 
     RowBox[{"X", ",", 
      RowBox[{"(", 
       RowBox[{"Solve", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               SuperscriptBox["X", 
                RowBox[{"-", "1"}]], "//.", "PlotRules"}], "//.", 
              RowBox[{"\[Eta]", "\[Rule]", "0"}]}], ")"}], "\[Equal]", "0"}], 
           "&&", 
           RowBox[{"Element", "[", 
            RowBox[{"\[Xi]", ",", "Reals"}], "]"}]}], "}"}], ",", "\[Xi]"}], 
        "]"}], ")"}]}], "]"}], ")"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.651403033770692*^9, 3.6514030419172773`*^9}, {
   3.65140309237192*^9, 3.651403105122861*^9}, {3.6514031719018497`*^9, 
   3.651403254160039*^9}, 3.651403332525887*^9, {3.651403540899275*^9, 
   3.651403543448413*^9}, {3.651403588915079*^9, 3.651403608545116*^9}, {
   3.651403874509247*^9, 3.651403880573131*^9}, {3.6514039113480453`*^9, 
   3.651403945762239*^9}, 3.651404007955999*^9, {3.651404040715918*^9, 
   3.651404110678918*^9}, {3.6514041514031*^9, 3.651404155514558*^9}, {
   3.651404241739367*^9, 3.6514042595264482`*^9}, {3.651404401814052*^9, 
   3.651404403331727*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ExtractCoeffs", "[", "X_", "]"}], ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Coefficient", "[", 
       RowBox[{"#", ",", "X"}], "]"}], "&"}], "@", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"NormalizeMe", ".", "BSolnImpose"}], ")"}], "[", 
      RowBox[{"[", "i", "]"}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "20"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6514037295589447`*^9, 3.651403785344158*^9}, {
  3.6514043078830137`*^9, 3.65140431719244*^9}, {3.651406298684247*^9, 
  3.651406303943622*^9}, {3.6514071826103153`*^9, 3.651407202702725*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Plots to check for BS", "Subsection",
 CellChangeTimes->{{3.651350383561399*^9, 3.651350408767521*^9}, {
  3.651386214755969*^9, 3.651386216490974*^9}, {3.651409070892671*^9, 
  3.6514090722730627`*^9}, {3.651409168503971*^9, 3.651409168599533*^9}}],

Cell[TextData[{
 "Here I factor out the ",
 Cell[BoxData[
  FormBox["kappa", TraditionalForm]]],
 ", otherwise the plots for D variables show linear growth in |s| . This is \
just because of the poor choice of reduction variables."
}], "Text",
 CellChangeTimes->{{3.6513860726394863`*^9, 3.651386170539707*^9}, {
   3.651390445227831*^9, 3.6513904825138693`*^9}, {3.651390700252293*^9, 
   3.651390700802614*^9}, 3.651409146705921*^9, {3.651426803305113*^9, 
   3.6514268062644787`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Kappa]", "=", 
   RowBox[{"Sqrt", "[", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"Abs", "[", "s", "]"}], "^", "2"}], "+", 
      SuperscriptBox["\[Omega]", "2"]}], ")"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.651392708159813*^9, 3.6513927112980413`*^9}, {
  3.651409443195665*^9, 3.6514094460357113`*^9}, {3.6514095966101313`*^9, 
  3.651409616753647*^9}, {3.651409802104022*^9, 3.651409802245406*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"NormalizeMe", "=", 
   RowBox[{"DiagonalMatrix", "[", 
    RowBox[{"{", 
     RowBox[{"1", ",", 
      RowBox[{"1", "/", "\[Kappa]"}], ",", "1", ",", 
      RowBox[{"1", "/", "\[Kappa]"}], ",", "1", ",", 
      RowBox[{"1", "/", "\[Kappa]"}], ",", "1", ",", "1", ",", "1", ",", 
      RowBox[{"1", "/", "\[Kappa]"}], ",", 
      RowBox[{"1", "/", "\[Kappa]"}], ",", 
      RowBox[{"1", "/", "\[Kappa]"}], ",", "1", ",", "1", ",", "1", ",", 
      RowBox[{"1", "/", "\[Kappa]"}], ",", 
      RowBox[{"1", "/", "\[Kappa]"}], ",", 
      RowBox[{"1", "/", "\[Kappa]"}], ",", "1", ",", 
      RowBox[{"1", "/", "\[Kappa]"}]}], "}"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.651387947539649*^9, 3.651388084443466*^9}, {
   3.651388122980815*^9, 3.651388143264514*^9}, {3.651388176489511*^9, 
   3.651388224125404*^9}, {3.651388391503757*^9, 3.651388398423201*^9}, {
   3.6514071357435207`*^9, 3.651407138704014*^9}, {3.651409098373497*^9, 
   3.6514091315467663`*^9}, {3.651409806474514*^9, 3.651409816184741*^9}, 
   3.6514204273955717`*^9, {3.6561639414600563`*^9, 3.656163971156962*^9}, {
   3.656165487768874*^9, 3.656165560965541*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"BSolnPlotTable", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"PlotBS", "[", 
      RowBox[{
       RowBox[{"Coefficient", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"NormalizeMe", ".", "BSolnImpose"}], "/.", 
             RowBox[{"\[Mu]\[Theta]", "\[Rule]", 
              RowBox[{"\[Mu]Ss", "/", "\[Mu]S"}]}]}], "/.", 
            RowBox[{"\[Phi]", "\[Rule]", " ", "0"}]}], ")"}], "[", 
          RowBox[{"[", "i", "]"}], "]"}], ",", 
         RowBox[{"bcVec", "[", 
          RowBox[{"[", "j", "]"}], "]"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", ".05"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
       RowBox[{"Mesh", "\[Rule]", "None"}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<Re(s')\>\"", ",", "Large", ",", "Bold"}], "]"}], ",", 
          
          RowBox[{"Style", "[", 
           RowBox[{"\"\<Im(s')\>\"", ",", "Large", ",", "Bold"}], "]"}], ",", 
          " ", "\"\<\>\""}], "}"}]}], ",", 
       RowBox[{"TicksStyle", "\[Rule]", "Large"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
       RowBox[{"InterpolationOrder", "\[Rule]", "6"}], ",", 
       RowBox[{"PlotPoints", "\[Rule]", "80"}], ",", 
       RowBox[{"PerformanceGoal", "\[Rule]", "\"\<Quality\>\""}], ",", 
       RowBox[{"ColorFunction", "\[Rule]", "\"\<Rainbow\>\""}], ",", 
       RowBox[{"Mesh", "\[Rule]", "None"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "20"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "1", ",", "10"}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.651387695060124*^9, 3.6513876951695213`*^9}, 
   3.651387894009495*^9, {3.651388403748191*^9, 3.6513884055472307`*^9}, {
   3.6513885334983873`*^9, 3.651388537265026*^9}, 3.65138863474587*^9, {
   3.6513887922599773`*^9, 3.65138882199721*^9}, {3.651389581022256*^9, 
   3.651389582546268*^9}, {3.651389800460606*^9, 3.651389803884224*^9}, {
   3.651389849078629*^9, 3.65138984995496*^9}, {3.6513909042572412`*^9, 
   3.6513909091363173`*^9}, {3.651391044191945*^9, 3.6513910466948423`*^9}, {
   3.651391124278041*^9, 3.651391154117076*^9}, 3.6513912811184*^9, {
   3.651407143139443*^9, 3.651407145427926*^9}, {3.651409490198689*^9, 
   3.6514095017592583`*^9}, {3.651409532645721*^9, 3.651409540076973*^9}, {
   3.651409633221779*^9, 3.65140963448346*^9}, {3.6514098477148247`*^9, 
   3.651409871811771*^9}, {3.651409904113913*^9, 3.6514099166678247`*^9}, {
   3.651421200217586*^9, 3.651421202411963*^9}, 3.6514263315966682`*^9, {
   3.651426508621517*^9, 3.651426509689898*^9}, {3.651426645122985*^9, 
   3.651426652062315*^9}, {3.651427586173809*^9, 3.651427586467717*^9}, 
   3.651428605090621*^9, {3.6514303868058367`*^9, 3.651430387412137*^9}, 
   3.656165652149231*^9, 3.656165720189053*^9, {3.656166384332561*^9, 
   3.656166385240415*^9}, {3.656166989582844*^9, 3.65616699985903*^9}, {
   3.656214478301928*^9, 3.656214481821068*^9}, 3.656905464890621*^9, {
   3.65690553135366*^9, 3.656905538095929*^9}, 3.6569055948103113`*^9, {
   3.656905821424049*^9, 3.656905822857452*^9}, {3.665246649859838*^9, 
   3.6652466505657053`*^9}, {3.665246779524403*^9, 3.665246781304414*^9}, {
   3.665246930397613*^9, 3.6652469646222878`*^9}, {3.665247087201495*^9, 
   3.66524709599094*^9}, {3.665247286444243*^9, 3.665247290348815*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"BSolnPlotTable", "//", "Flatten"}], "//", "Intersection"}], 
     ")"}], "[", 
    RowBox[{"[", "i", "]"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "1", ",", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"BSolnPlotTable", "//", "Flatten"}], "//", "Intersection"}], "//",
        "Length"}], ")"}], ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6514272519554157`*^9, 3.6514272544140882`*^9}, {
   3.651427300551963*^9, 3.6514274014707317`*^9}, {3.651427440537134*^9, 
   3.651427443135469*^9}, {3.6514275235656843`*^9, 3.65142753888395*^9}, {
   3.6514279361918383`*^9, 3.651427942969598*^9}, 3.651428487342146*^9, {
   3.6516747180818443`*^9, 3.651674755812605*^9}, {3.651693568043865*^9, 
   3.651693660186187*^9}, {3.65260168946054*^9, 3.652601690450053*^9}, {
   3.656166638679861*^9, 3.656166641344214*^9}, {3.656167157393044*^9, 
   3.656167163226449*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`i$$ = 58, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`i$$], 1, 67, 1}}, Typeset`size$$ = {
    360., {115., 121.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`i$56480$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`i$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`i$$, $CellContext`i$56480$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Part[
        Intersection[
         Flatten[$CellContext`BSolnPlotTable]], $CellContext`i$$], 
      "Specifications" :> {{$CellContext`i$$, 1, 67, 1}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{407., {170., 177.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.655833394518689*^9, 3.655833658603136*^9, 3.655835212354398*^9, 
   3.656163374282216*^9, 3.656164033190804*^9, 3.65616409351171*^9, 
   3.656164450839117*^9, 3.6561650799462748`*^9, {3.656165621699663*^9, 
   3.656165628161525*^9}, 3.6561656905221*^9, 3.65616575019558*^9, 
   3.656166269112769*^9, 3.656166441383306*^9, 3.656166642043324*^9, {
   3.656167145460864*^9, 3.656167163864005*^9}, 3.656178751363192*^9, 
   3.656214644390072*^9, 3.656719291884447*^9, 3.656866851400599*^9, 
   3.656867903778125*^9, 3.6569055454813957`*^9, 3.656905588220893*^9, 
   3.6569057149007893`*^9, 3.656905943467217*^9, 3.665136183365789*^9, 
   3.665136750493688*^9, 3.665137337843009*^9, 3.665143168689271*^9, 
   3.665244387741214*^9, 3.665244893891975*^9, 3.665246866285288*^9, 
   3.6652470206073017`*^9, 3.665247149708465*^9, 3.680867377954114*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Check that all conditions fine on \[Eta]=0 axis\
\>", "Text",
 CellChangeTimes->{{3.651404458701877*^9, 3.651404489104143*^9}, {
   3.6514089447189693`*^9, 3.651408951309836*^9}, {3.651409515011613*^9, 
   3.6514095198355637`*^9}, {3.651426373094339*^9, 3.6514264039549*^9}, 
   3.6514276238522387`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"bcVec", "[", 
       RowBox[{"[", "i", "]"}], "]"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"CheckForBlowUp", "/@", 
          RowBox[{"ExtractCoeffs", "[", 
           RowBox[{"bcVec", "[", 
            RowBox[{"[", "i", "]"}], "]"}], "]"}]}], ")"}], "//", "Flatten"}],
        "//", "Intersection"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "10"}], "}"}]}], "]"}], "//", "MatrixForm"}]], "Input",\

 CellChangeTimes->{{3.651403772316012*^9, 3.651403775115732*^9}, {
  3.651403810244748*^9, 3.651403855667696*^9}, {3.65140427015131*^9, 
  3.651404289806638*^9}, {3.65140432003684*^9, 3.6514043214204473`*^9}, {
  3.651404408488764*^9, 3.65140444787774*^9}, {3.651404538541037*^9, 
  3.651404552381958*^9}, {3.651409479693787*^9, 3.651409480590654*^9}, {
  3.665140937977528*^9, 3.665140971854658*^9}, {3.6651416607124977`*^9, 
  3.665141662488371*^9}, {3.665142949218108*^9, 3.665142951289239*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Power", "::", "infy"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Infinite expression \[NoBreak]\\!\\(1\\/0\\)\[NoBreak] \
encountered. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/infy\\\", ButtonNote -> \
\\\"Power::infy\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.665142952332192*^9, 3.665143109382547*^9, 
  3.680867378905661*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Power", "::", "infy"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Infinite expression \[NoBreak]\\!\\(1\\/0\\)\[NoBreak] \
encountered. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/infy\\\", ButtonNote -> \
\\\"Power::infy\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.665142952332192*^9, 3.665143109382547*^9, 
  3.680867378942645*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Power", "::", "infy"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Infinite expression \[NoBreak]\\!\\(1\\/0\\)\[NoBreak] \
encountered. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/infy\\\", ButtonNote -> \
\\\"Power::infy\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.665142952332192*^9, 3.665143109382547*^9, 
  3.680867378979178*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Power :: \
infy\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.665142952332192*^9, 3.665143109382547*^9, 
  3.680867379001457*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"g\[Alpha]", 
      RowBox[{"{", "}"}]},
     {"g\[Beta]s", 
      RowBox[{"{", "}"}]},
     {"g\[Beta]\[Omega]", 
      RowBox[{"{", "}"}]},
     {"g\[Beta]\[Nu]", 
      RowBox[{"{", "}"}]},
     {"g\[Theta]", 
      RowBox[{"{", "}"}]},
     {"gZs", 
      RowBox[{"{", "}"}]},
     {"gZ\[Omega]", 
      RowBox[{"{", "}"}]},
     {"gZ\[Nu]", 
      RowBox[{"{", "}"}]},
     {"gRePsi", 
      RowBox[{"{", "}"}]},
     {"gImPsi", 
      RowBox[{"{", "}"}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.665140940379427*^9, 3.665140968998404*^9}, {
   3.665141644704571*^9, 3.665141666214622*^9}, 3.665142945831005*^9, 
   3.665142978416428*^9, 3.665143114254806*^9, 3.680867384265423*^9}]
}, Open  ]]
}, Closed]]
}, Closed]]
}, Closed]]
},
CellGrouping->Manual,
WindowSize->{1188, 848},
WindowMargins->{{Automatic, 0}, {Automatic, -10}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
ShowSelection->True,
FrontEndVersion->"9.0 for Linux x86 (64-bit) (November 20, 2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[400, 13, 120, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[545, 19, 1262, 23, 141, "Subtitle"],
Cell[1810, 44, 139, 3, 32, "Input"],
Cell[CellGroupData[{
Cell[1974, 51, 389, 9, 45, "Subsection"],
Cell[CellGroupData[{
Cell[2388, 64, 178, 2, 30, "Text"],
Cell[2569, 68, 3842, 105, 80, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[6448, 178, 177, 2, 27, "Text"],
Cell[6628, 182, 3153, 92, 63, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[9818, 279, 101, 1, 27, "Text"],
Cell[9922, 282, 651, 15, 28, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[10610, 302, 109, 1, 27, "Text"],
Cell[10722, 305, 559, 15, 28, "Input"],
Cell[11284, 322, 230, 6, 28, "Input"],
Cell[11517, 330, 2473, 67, 56, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[14027, 402, 103, 1, 27, "Text"],
Cell[14133, 405, 2802, 82, 77, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[16972, 492, 97, 1, 27, "Text"],
Cell[17072, 495, 2230, 61, 46, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[19339, 561, 213, 2, 27, "Text"],
Cell[19555, 565, 3907, 110, 109, "Input"],
Cell[23465, 677, 766, 19, 46, "Input"],
Cell[CellGroupData[{
Cell[24256, 700, 221, 5, 49, "Text"],
Cell[24480, 707, 1611, 40, 68, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[26128, 752, 100, 1, 27, "Text"],
Cell[26231, 755, 774, 19, 28, "Input"]
}, Open  ]],
Cell[27020, 777, 605, 11, 28, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[27674, 794, 292, 4, 37, "Subsection"],
Cell[CellGroupData[{
Cell[27991, 802, 204, 4, 30, "Text",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[28198, 808, 2054, 38, 46, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[30255, 848, 4445, 69, 46, "Input"],
Cell[34703, 919, 498, 12, 28, "Input"],
Cell[35204, 933, 671, 13, 28, "Input"],
Cell[35878, 948, 295, 7, 28, "Input"],
Cell[36176, 957, 554, 11, 28, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[36767, 973, 216, 4, 30, "Text",
 CellGroupingRules->{GroupTogetherGrouping, 10001.}],
Cell[36986, 979, 668, 15, 50, "Input"],
Cell[37657, 996, 2112, 60, 95, "Input"],
Cell[39772, 1058, 321, 9, 53, "Input"],
Cell[40096, 1069, 254, 6, 28, "Input"],
Cell[40353, 1077, 1226, 35, 40, "Input"],
Cell[41582, 1114, 1101, 30, 40, "Input"],
Cell[42686, 1146, 5837, 172, 162, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[48560, 1323, 230, 4, 27, "Text",
 CellGroupingRules->{GroupTogetherGrouping, 10003.}],
Cell[48793, 1329, 5657, 133, 199, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10003.}],
Cell[54453, 1464, 5448, 131, 199, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10003.}],
Cell[59904, 1597, 934, 18, 28, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[60875, 1620, 148, 3, 27, "Text"],
Cell[61026, 1625, 514, 11, 28, "Input"],
Cell[61543, 1638, 1064, 21, 28, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[62644, 1664, 191, 3, 27, "Text"],
Cell[62838, 1669, 943, 21, 28, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[63784, 1692, 881, 17, 28, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[64668, 1711, 616, 13, 28, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[65287, 1726, 1220, 26, 28, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[66510, 1754, 349, 7, 28, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[66908, 1767, 180, 2, 37, "Subsection"],
Cell[CellGroupData[{
Cell[67113, 1773, 129, 2, 30, "Text"],
Cell[67245, 1777, 5887, 154, 278, "Input"],
Cell[73135, 1933, 2528, 64, 121, "Input"]
}, Closed]],
Cell[75678, 2000, 4987, 95, 74, "Input"],
Cell[CellGroupData[{
Cell[80690, 2099, 279, 4, 30, "Text"],
Cell[80972, 2105, 743, 14, 28, "Input"],
Cell[CellGroupData[{
Cell[81740, 2123, 2983, 53, 46, "Input"],
Cell[84726, 2178, 8872, 228, 70, "Output"]
}, Open  ]],
Cell[93613, 2409, 954, 16, 28, "Input"],
Cell[94570, 2427, 283, 4, 30, "Text"],
Cell[CellGroupData[{
Cell[94878, 2435, 1261, 22, 28, "Input"],
Cell[96142, 2459, 1252, 26, 70, "Output"]
}, Open  ]],
Cell[97409, 2488, 109, 1, 30, "Text"],
Cell[CellGroupData[{
Cell[97543, 2493, 795, 19, 28, "Input"],
Cell[98341, 2514, 22104, 576, 70, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[120494, 3096, 203, 3, 27, "Text"],
Cell[120700, 3101, 2176, 34, 28, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[122913, 3140, 134, 2, 27, "Text"],
Cell[123050, 3144, 1453, 32, 28, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[124552, 3182, 325, 4, 37, "Subsection"],
Cell[CellGroupData[{
Cell[124902, 3190, 168, 3, 30, "Text"],
Cell[125073, 3195, 237, 5, 30, "Text"],
Cell[CellGroupData[{
Cell[125335, 3204, 1247, 23, 28, "Input"],
Cell[126585, 3229, 2482, 60, 70, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[129116, 3295, 228, 4, 27, "Text"],
Cell[CellGroupData[{
Cell[129369, 3303, 191, 2, 30, "Text"],
Cell[129563, 3307, 1765, 30, 28, "Input"],
Cell[131331, 3339, 665, 16, 28, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[132033, 3360, 316, 4, 27, "Text"],
Cell[132352, 3366, 933, 25, 64, "Input"],
Cell[133288, 3393, 249, 7, 28, "Input"],
Cell[133540, 3402, 450, 11, 28, "Input"],
Cell[133993, 3415, 1655, 42, 53, "Input"],
Cell[135651, 3459, 1528, 34, 52, "Input"],
Cell[137182, 3495, 506, 12, 46, "Input"],
Cell[137691, 3509, 833, 21, 64, "Input"],
Cell[138527, 3532, 998, 26, 54, "Input"],
Cell[139528, 3560, 879, 20, 50, "Input"],
Cell[140410, 3582, 574, 13, 28, "Input"],
Cell[140987, 3597, 1131, 26, 28, "Input"],
Cell[142121, 3625, 1934, 42, 53, "Input"],
Cell[144058, 3669, 258, 5, 30, "Text"],
Cell[CellGroupData[{
Cell[144341, 3678, 2828, 55, 46, "Input"],
Cell[147172, 3735, 3082, 45, 70, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[150303, 3786, 365, 5, 27, "Text"],
Cell[150671, 3793, 781, 19, 64, "Input"],
Cell[151455, 3814, 272, 7, 28, "Input"],
Cell[151730, 3823, 505, 12, 28, "Input"],
Cell[152238, 3837, 2395, 53, 53, "Input"],
Cell[154636, 3892, 2187, 53, 63, "Input"],
Cell[156826, 3947, 442, 11, 28, "Input"],
Cell[157271, 3960, 1015, 24, 64, "Input"],
Cell[158289, 3986, 1019, 26, 54, "Input"],
Cell[159311, 4014, 978, 21, 50, "Input"],
Cell[160292, 4037, 621, 14, 28, "Input"],
Cell[160916, 4053, 1193, 27, 32, "Input"],
Cell[162112, 4082, 1901, 41, 53, "Input"],
Cell[164016, 4125, 207, 4, 30, "Text"],
Cell[CellGroupData[{
Cell[164248, 4133, 2828, 55, 46, "Input"],
Cell[167079, 4190, 3705, 54, 70, "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[170845, 4251, 294, 4, 27, "Text"],
Cell[CellGroupData[{
Cell[171164, 4259, 286, 4, 30, "Text"],
Cell[171453, 4265, 1774, 29, 28, "Input"],
Cell[173230, 4296, 430, 8, 28, "Input"],
Cell[173663, 4306, 576, 14, 28, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[174276, 4325, 316, 4, 27, "Text"],
Cell[174595, 4331, 155, 5, 28, "Input"],
Cell[174753, 4338, 2072, 57, 54, "Input"],
Cell[176828, 4397, 1317, 32, 53, "Input"],
Cell[178148, 4431, 782, 18, 50, "Input"],
Cell[178933, 4451, 726, 20, 50, "Input"],
Cell[179662, 4473, 1496, 39, 53, "Input"],
Cell[181161, 4514, 521, 14, 49, "Input"],
Cell[181685, 4530, 518, 13, 49, "Input"],
Cell[182206, 4545, 512, 13, 49, "Input"],
Cell[182721, 4560, 659, 14, 49, "Input"],
Cell[183383, 4576, 491, 12, 49, "Input"],
Cell[183877, 4590, 223, 3, 30, "Text"],
Cell[CellGroupData[{
Cell[184125, 4597, 2701, 48, 28, "Input"],
Cell[186829, 4647, 2787, 51, 70, "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[189677, 4705, 113, 1, 27, "Text"],
Cell[189793, 4708, 429, 13, 28, "Input"],
Cell[190225, 4723, 717, 17, 28, "Input"]
}, Closed]],
Cell[190957, 4743, 802, 18, 22, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[191796, 4766, 849, 14, 63, "Subsection"],
Cell[CellGroupData[{
Cell[192670, 4784, 111, 1, 31, "Text"],
Cell[192784, 4787, 887, 23, 28, "Input"],
Cell[193674, 4812, 531, 16, 28, "Input"],
Cell[194208, 4830, 594, 16, 28, "Input"],
Cell[194805, 4848, 844, 23, 28, "Input"],
Cell[195652, 4873, 529, 16, 28, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[196218, 4894, 478, 7, 28, "Text"],
Cell[CellGroupData[{
Cell[196721, 4905, 157, 2, 31, "Text"],
Cell[CellGroupData[{
Cell[196903, 4911, 172, 3, 30, "Text"],
Cell[197078, 4916, 1542, 28, 50, "Input"],
Cell[198623, 4946, 1690, 33, 28, "Input"],
Cell[200316, 4981, 1167, 22, 28, "Input"],
Cell[201486, 5005, 1244, 24, 28, "Input"],
Cell[202733, 5031, 1123, 26, 28, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[203893, 5062, 256, 4, 27, "Text"],
Cell[CellGroupData[{
Cell[204174, 5070, 124, 1, 30, "Text"],
Cell[204301, 5073, 519, 12, 28, "Input"],
Cell[204823, 5087, 330, 9, 28, "Input"],
Cell[205156, 5098, 3907, 96, 238, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[209100, 5199, 123, 1, 27, "Text"],
Cell[209226, 5202, 4812, 99, 136, "Input"],
Cell[214041, 5303, 3228, 70, 113, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[217306, 5378, 221, 3, 27, "Text"],
Cell[217530, 5383, 1818, 47, 57, "Input"],
Cell[219351, 5432, 1651, 42, 57, "Input"],
Cell[221005, 5476, 1602, 41, 46, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[222644, 5522, 103, 1, 27, "Text"],
Cell[222750, 5525, 1513, 35, 56, "Input"],
Cell[224266, 5562, 1527, 35, 56, "Input"],
Cell[225796, 5599, 1588, 36, 56, "Input"],
Cell[227387, 5637, 1011, 24, 32, "Input"],
Cell[228401, 5663, 1533, 35, 56, "Input"],
Cell[229937, 5700, 1016, 24, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[230990, 5729, 226, 5, 27, "Text"],
Cell[CellGroupData[{
Cell[231241, 5738, 1835, 45, 74, "Input"],
Cell[233079, 5785, 3696, 52, 70, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[236812, 5842, 1750, 44, 74, "Input"],
Cell[238565, 5888, 3824, 53, 70, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[242462, 5949, 96, 1, 28, "Text"],
Cell[242561, 5952, 2738, 56, 57, "Input"],
Cell[245302, 6010, 1067, 22, 28, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[246418, 6038, 178, 3, 28, "Text"],
Cell[246599, 6043, 1067, 29, 46, "Input"],
Cell[247669, 6074, 1203, 31, 46, "Input"],
Cell[248875, 6107, 1043, 29, 46, "Input"],
Cell[249921, 6138, 1043, 29, 46, "Input"],
Cell[250967, 6169, 3042, 65, 101, "Input"],
Cell[254012, 6236, 1461, 31, 63, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[255510, 6272, 139, 2, 28, "Text"],
Cell[CellGroupData[{
Cell[255674, 6278, 218, 3, 30, "Text"],
Cell[255895, 6283, 1061, 29, 32, "Input"],
Cell[256959, 6314, 1436, 34, 32, "Input"],
Cell[258398, 6350, 491, 8, 32, "Input"]
}, Closed]],
Cell[258904, 6361, 8573, 163, 149, "Input"],
Cell[267480, 6526, 1694, 39, 46, "Input"],
Cell[269177, 6567, 863, 23, 46, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[270089, 6596, 1053, 14, 37, "Subsection"],
Cell[CellGroupData[{
Cell[271167, 6614, 143, 2, 31, "Text"],
Cell[CellGroupData[{
Cell[271335, 6620, 237, 3, 31, "Text"],
Cell[CellGroupData[{
Cell[271597, 6627, 720, 20, 62, "Input"],
Cell[272320, 6649, 859, 15, 56, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[273216, 6669, 722, 20, 62, "Input"],
Cell[273941, 6691, 867, 16, 56, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[274857, 6713, 313, 4, 28, "Text"],
Cell[CellGroupData[{
Cell[275195, 6721, 174, 2, 31, "Text"],
Cell[275372, 6725, 6339, 172, 270, "Input"],
Cell[281714, 6899, 5924, 163, 274, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[287675, 7067, 197, 3, 28, "Text"],
Cell[CellGroupData[{
Cell[287897, 7074, 2257, 41, 77, "Input"],
Cell[290157, 7117, 1038, 26, 56, "Output"],
Cell[CellGroupData[{
Cell[291220, 7147, 1358, 29, 77, "Input"],
Cell[292581, 7178, 1691, 36, 56, "Output"]
}, Open  ]]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[294333, 7221, 242, 3, 28, "Text"],
Cell[CellGroupData[{
Cell[294600, 7228, 784, 21, 62, "Input"],
Cell[295387, 7251, 944, 17, 56, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[296368, 7273, 788, 21, 62, "Input"],
Cell[297159, 7296, 952, 17, 56, "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[298172, 7320, 312, 4, 28, "Text"],
Cell[CellGroupData[{
Cell[298509, 7328, 174, 2, 31, "Text"],
Cell[298686, 7332, 6540, 178, 274, "Input"],
Cell[305229, 7512, 6566, 178, 325, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[311832, 7695, 2367, 38, 49, "Input"],
Cell[314202, 7735, 2089, 41, 56, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[316328, 7781, 2176, 35, 55, "Input"],
Cell[318507, 7818, 2053, 42, 56, "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[320621, 7867, 351, 5, 28, "Text"],
Cell[CellGroupData[{
Cell[320997, 7876, 390, 5, 31, "Text"],
Cell[CellGroupData[{
Cell[321412, 7885, 174, 2, 30, "Text"],
Cell[321589, 7889, 20987, 549, 729, "Input"],
Cell[342579, 8440, 28711, 739, 981, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[371327, 9184, 4408, 74, 67, "Input"],
Cell[375738, 9260, 3238, 75, 70, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[379013, 9340, 5677, 92, 73, "Input"],
Cell[384693, 9434, 2598, 66, 70, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[387340, 9506, 390, 5, 28, "Text"],
Cell[CellGroupData[{
Cell[387755, 9515, 174, 2, 30, "Text"],
Cell[387932, 9519, 20337, 533, 603, "Input"],
Cell[408272, 10054, 25898, 672, 644, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[434207, 10731, 3890, 67, 67, "Input"],
Cell[438100, 10800, 4958, 104, 70, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[443095, 10909, 4631, 77, 67, "Input"],
Cell[447729, 10988, 3894, 89, 70, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[451672, 11083, 453, 6, 28, "Text"],
Cell[CellGroupData[{
Cell[452150, 11093, 174, 2, 30, "Text"],
Cell[452327, 11097, 20923, 546, 523, "Input"],
Cell[473253, 11645, 20013, 522, 521, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[493303, 12172, 1918, 39, 67, "Input"],
Cell[495224, 12213, 4359, 95, 70, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[499620, 12313, 4756, 78, 73, "Input"],
Cell[504379, 12393, 3339, 82, 70, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[507767, 12481, 496, 7, 28, "Text"],
Cell[CellGroupData[{
Cell[508288, 12492, 174, 2, 30, "Text"],
Cell[508465, 12496, 10561, 272, 301, "Input"],
Cell[519029, 12770, 9522, 243, 272, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[528588, 13018, 1918, 35, 57, "Input"],
Cell[530509, 13055, 2072, 42, 70, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[532618, 13102, 1676, 32, 63, "Input"],
Cell[534297, 13136, 2018, 40, 70, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[536364, 13182, 640, 9, 28, "Text"],
Cell[CellGroupData[{
Cell[537029, 13195, 174, 2, 30, "Text"],
Cell[537206, 13199, 27803, 704, 686, "Input"],
Cell[565012, 13905, 21663, 553, 601, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[586712, 14463, 2728, 46, 57, "Input"],
Cell[589443, 14511, 4444, 89, 70, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[593924, 14605, 2411, 42, 63, "Input"],
Cell[596338, 14649, 3332, 78, 70, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[599719, 14733, 540, 7, 28, "Text"],
Cell[CellGroupData[{
Cell[600284, 14744, 174, 2, 30, "Text"],
Cell[600461, 14748, 6026, 154, 204, "Input"],
Cell[606490, 14904, 6854, 176, 224, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[613381, 15085, 2062, 37, 57, "Input"],
Cell[615446, 15124, 2052, 40, 70, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[617535, 15169, 1863, 34, 57, "Input"],
Cell[619401, 15205, 2060, 41, 70, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[621510, 15252, 689, 9, 28, "Text"],
Cell[CellGroupData[{
Cell[622224, 15265, 174, 2, 30, "Text"],
Cell[622401, 15269, 7307, 187, 300, "Input"],
Cell[629711, 15458, 6671, 172, 266, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[636419, 15635, 2135, 38, 40, "Input"],
Cell[638557, 15675, 1894, 39, 70, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[640488, 15719, 2100, 40, 63, "Input"],
Cell[642591, 15761, 2262, 44, 70, "Output"]
}, Open  ]]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[644926, 15813, 462, 6, 37, "Subsection"],
Cell[645391, 15821, 982, 21, 28, "Input"],
Cell[646376, 15844, 1203, 27, 67, "Input"],
Cell[647582, 15873, 1135, 28, 46, "Input"],
Cell[648720, 15903, 1307, 30, 35, "Input"],
Cell[650030, 15935, 663, 17, 28, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[650730, 15957, 255, 3, 37, "Subsection"],
Cell[650988, 15962, 487, 10, 31, "Text"],
Cell[651478, 15974, 470, 11, 37, "Input"],
Cell[651951, 15987, 1178, 22, 32, "Input"],
Cell[653132, 16011, 3571, 69, 121, "Input"],
Cell[CellGroupData[{
Cell[656728, 16084, 1021, 23, 55, "Input"],
Cell[657752, 16109, 2386, 45, 364, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[660175, 16159, 313, 6, 29, "Text"],
Cell[CellGroupData[{
Cell[660513, 16169, 1060, 25, 55, "Input"],
Cell[661576, 16196, 492, 11, 43, "Message"],
Cell[662071, 16209, 492, 11, 43, "Message"],
Cell[662566, 16222, 492, 11, 43, "Message"],
Cell[663061, 16235, 575, 12, 24, "Message"],
Cell[663639, 16249, 1227, 38, 208, "Output"]
}, Open  ]]
}, Closed]]
}, Closed]]
}, Closed]]
}
]
*)

